module     p0_dd_emnebardu_abbrevd17h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb17n1
   complex(ki), public :: abb17n2
   complex(ki), public :: abb17n3
   complex(ki), public :: abb17n4
   complex(ki), public :: abb17n5
   complex(ki), public :: abb17n6
   complex(ki), public :: abb17n7
   complex(ki), public :: abb17n8
   complex(ki), public :: abb17n9
   complex(ki), public :: abb17n10
   complex(ki), public :: abb17n11
   complex(ki), public :: rat2d17
   complex(ki), public :: abb17n13
   complex(ki), public :: abb17n14
   complex(ki), public :: abb17n15
   complex(ki), public :: abb17n16
   complex(ki), public :: abb17n17
   complex(ki), public :: abb17n18
   complex(ki), public :: abb17n19
   complex(ki), public :: abb17n20
   complex(ki), public :: abb17n21
   complex(ki), public :: abb17n22
   complex(ki), public :: abb17n23
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   real(ki) :: t34
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak3k5*spak3k6
      t34 = TR*TR
      t3 = t34*t2*spbk2k1*spbk4k3
      t4 = (es34+es61-(es345+es234))*(es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*&
      &mW)
      t5 = t3/t4
      t6 = t1*spak3k6
      t7 = t6*spak5k6
      t8 = t34*t7*spbk2k1*spbk6k4
      t9 = t8/t4
      t10 = t5+t9
      t11 = NC*NC*t4
      t3 = t3/t11
      t8 = t8/t11
      t12 = c1*i_
      t13 = NC*t4
      t14 = t34*t12/t13*spak3k5*spak3k6*spbk2k1*spbk4k3
      t15 = t12*spak3k6
      t16 = t34*t15/t13*spak5k6*spbk2k1*spbk6k4
      t17 = NC*c1
      t18 = t17*i_
      t19 = t18*spak3k5*spak3k6
      t20 = t34*t19/t4*spbk2k1*spbk4k3
      t21 = t18*spak3k6
      t22 = t21*spak5k6
      t23 = t34*t22/t4*spbk2k1*spbk6k4
      abb17n1 = ((2.0_ki)*(t10+t14+t16-(t8+t3+t23+t20)))
      t24 = es12*c2*i_
      t25 = es12*t17*i_
      t26 = es234*c2*i_
      t27 = es56*c2*i_
      t28 = es61*c2*i_
      t29 = t1*spak1k5
      t30 = TR*spbk2k1
      t30 = t30*t30
      t31 = es234*t17*i_
      t32 = es56*t17*i_
      t17 = es61*t17*i_
      t33 = t18*spak1k5
      abb17n2 = ((4.0_ki)*(t34*t24/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t34*t24/t4&
      &*spak3k6*spak5k6*spbk2k1*spbk6k4-(t34*t25/t4*spak3k6*spak5k6*spbk2k1*spbk&
      &6k4+t34*t25/t4*spak3k5*spak3k6*spbk2k1*spbk4k3))+(2.0_ki)*(t29*t30/t4*spa&
      &k2k3*spak3k6*spbk4k3+t30*t33/t4*spak2k6*spak3k6*spbk6k4+t34*t17/t4*spak3k&
      &5*spak3k6*spbk2k1*spbk4k3+t34*t17/t4*spak3k6*spak5k6*spbk2k1*spbk6k4+t34*&
      &t26/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t34*t26/t4*spak3k6*spak5k6*spbk2k1&
      &*spbk6k4+t34*t32/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t34*t32/t4*spak3k6*sp&
      &ak5k6*spbk2k1*spbk6k4-(t34*t31/t4*spak3k6*spak5k6*spbk2k1*spbk6k4+t34*t31&
      &/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t34*t28/t4*spak3k6*spak5k6*spbk2k1*sp&
      &bk6k4+t34*t28/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t34*t27/t4*spak3k6*spak5&
      &k6*spbk2k1*spbk6k4+t34*t27/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t30*t33/t4*&
      &spak2k3*spak3k6*spbk4k3+t29*t30/t4*spak2k6*spak3k6*spbk6k4)))
      abb17n3 = ((8.0_ki)*(t10-(t23+t20)))
      t5 = -(t9+t5)
      abb17n4 = ((8.0_ki)*(t20+t23+t5))
      t2 = t2*spbk4k3
      t9 = t19*spbk4k3
      abb17n5 = ((2.0_ki)*(t34/t4*t9*spbk5k1+t34*t22/t4*spbk5k1*spbk6k4+t34*t1/t&
      &4*spak2k6*spak3k6*spbk2k1*spbk6k4+t34*t18/t4*spak2k3*spak3k6*spbk2k1*spbk&
      &4k3-(t34*t18/t4*spak2k6*spak3k6*spbk2k1*spbk6k4+t34*t1/t4*spak2k3*spak3k6&
      &*spbk2k1*spbk4k3+t34/t4*t7*spbk5k1*spbk6k4+t34*t2/t4*spbk5k1)))
      abb17n6 = ((6.0_ki)*(t34*t2/t4*spbk5k2+t34/t4*t7*spbk5k2*spbk6k4-(t34*t22/&
      &t4*spbk5k2*spbk6k4+t34/t4*t9*spbk5k2))+(2.0_ki)*(t34*t1/t4*spak1k3*spak3k&
      &6*spbk2k1*spbk4k3+t34*t18/t4*spak1k6*spak3k6*spbk2k1*spbk6k4-(t34*t18/t4*&
      &spak1k3*spak3k6*spbk2k1*spbk4k3+t34*t1/t4*spak1k6*spak3k6*spbk2k1*spbk6k4&
      &)))
      t1 = t1*spak2k5*spak3k6*spbk2k1
      t2 = t12*spak2k5*spak3k6*spbk2k1
      abb17n7 = ((4.0_ki)*(t34*t1/t11*spbk4k3-t34*t2/t13*spbk4k3))
      abb17n8 = ((4.0_ki)*(t34*t2/t13*spbk6k4-t34*t1/t11*spbk6k4))
      abb17n9 = ((4.0_ki)*(t20+t23+t3+t5+t8-(t16+t14)))
      t1 = t34*t6*spbk4k3
      abb17n10 = ((4.0_ki)*(t34*t15/t13*spbk4k3+t34*t21/t4*spbk4k3-(t1/t4+t1/t11&
      &)))
      t1 = t34*t6*spbk6k4
      abb17n11 = ((4.0_ki)*(t1/t11+t1/t4-(t34*t21/t4*spbk6k4+t34*t15/t13*spbk6k4&
      &)))
      rat2d17 = abb17n1
      rat2 = rat2 + rat2d17
      abb17n13 = abb17n2
      abb17n14 = abb17n11
      abb17n15 = abb17n10
      abb17n16 = abb17n9
      abb17n17 = -(abb17n3)
      abb17n18 = -(abb17n4)
      abb17n19 = -(abb17n5)
      abb17n20 = -(abb17n6)
      abb17n21 = -(abb17n7)
      abb17n22 = -(abb17n8)
      abb17n23 = ((2.0_ki)*abb17n9)
   end subroutine
end module p0_dd_emnebardu_abbrevd17h0
