module     p0_dd_emnebardu_abbrevd60h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb60n1
   complex(ki), public :: abb60n2
   complex(ki), public :: abb60n3
   complex(ki), public :: abb60n4
   complex(ki), public :: abb60n5
   complex(ki), public :: abb60n6
   complex(ki), public :: abb60n7
   complex(ki), public :: abb60n8
   complex(ki), public :: abb60n9
   complex(ki), public :: abb60n10
   complex(ki), public :: abb60n11
   complex(ki), public :: abb60n12
   complex(ki), public :: abb60n13
   complex(ki), public :: rat2d60
   complex(ki), public :: abb60n15
   complex(ki), public :: abb60n16
   complex(ki), public :: abb60n17
   complex(ki), public :: abb60n18
   complex(ki), public :: abb60n19
   complex(ki), public :: abb60n20
   complex(ki), public :: abb60n21
   complex(ki), public :: abb60n22
   complex(ki), public :: abb60n23
   complex(ki), public :: abb60n24
   complex(ki), public :: abb60n25
   complex(ki), public :: abb60n26
   complex(ki), public :: abb60n27
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak3k4*spak5k6*spbk4k1
      t13 = TR*TR
      t3 = t13*t2*spbk6k2
      t4 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*NC*t4
      t6 = c1*i_
      t7 = t6*spak3k4*spak5k6*spbk4k1
      t8 = NC*t4
      abb60n1 = ((4.0_ki)*(t3/t4+t3/t5-(2.0_ki)*t13*t7/t8*spbk6k2))
      t3 = t1*spak1k3*spak5k6
      t9 = t3*spbk4k1
      t10 = t13*t9*spbk5k2
      t11 = t6*spak1k3*spak5k6
      t12 = t11*spbk4k1
      abb60n2 = ((4.0_ki)*(t10/t4+t10/t5-t13*(2.0_ki)*t12/t8*spbk5k2))
      t10 = t13*t9*spbk6k2
      abb60n3 = ((4.0_ki)*(t10/t4+t10/t5-t13*(2.0_ki)*t12/t8*spbk6k2))
      t1 = t1*spak5k6
      t10 = t13*t1*spbk3k1
      t6 = t6*spak5k6
      abb60n4 = ((4.0_ki)*((2.0_ki)*t13*t6/t8*spbk3k1-(t10/t5+t10/t4)))
      t3 = t13*t3*spbk2k1*spbk4k1
      t10 = t13*t2*spbk4k2
      abb60n5 = ((8.0_ki)*(t13*t11/t8*spbk2k1*spbk4k1-t13*t7/t8*spbk4k2)+(4.0_ki&
      &)*(t10/t4+t10/t5-(t3/t5+t3/t4)))
      t3 = t13*t2*spbk5k2
      abb60n6 = ((4.0_ki)*(t3/t4+t3/t5-(2.0_ki)*t13*t7/t8*spbk5k2))
      t3 = t13*t9*spbk5k1
      t10 = t13*t2*spbk5k4
      abb60n7 = ((8.0_ki)*(t13*t12/t8*spbk5k1+t13*t7/t8*spbk5k4)+(4.0_ki)*(-(t3/&
      &t5+t3/t4+t10/t5+t10/t4)))
      t3 = t13*t9*spbk6k1
      t2 = t13*t2*spbk6k4
      abb60n8 = ((8.0_ki)*(t13*t12/t8*spbk6k1+t13*t7/t8*spbk6k4)+(4.0_ki)*(-(t3/&
      &t5+t3/t4+t2/t5+t2/t4)))
      t2 = t13*t1*spbk4k1
      t3 = t2/t4
      t2 = t2/t5
      t7 = (2.0_ki)*t13*t6/t8*spbk4k1
      t9 = t2+t3-t7
      abb60n9 = ((8.0_ki)*t9)
      abb60n10 = ((4.0_ki)*t9)
      t2 = t7-(t3+t2)
      abb60n11 = ((4.0_ki)*t2)
      abb60n12 = ((8.0_ki)*t2)
      t1 = t13*t1*spbk4k3
      abb60n13 = ((4.0_ki)*((2.0_ki)*t13*t6/t8*spbk4k3-(t1/t5+t1/t4)))
      rat2d60 = 0
      rat2 = rat2 + rat2d60
      abb60n15 = -(abb60n1)
      abb60n16 = abb60n13
      abb60n17 = abb60n12
      abb60n18 = abb60n11
      abb60n19 = abb60n10
      abb60n20 = abb60n9
      abb60n21 = abb60n5
      abb60n22 = abb60n4
      abb60n23 = -(abb60n2)
      abb60n24 = -(abb60n3)
      abb60n25 = -(abb60n6)
      abb60n26 = -(abb60n7)
      abb60n27 = -(abb60n8)
   end subroutine
end module p0_dd_emnebardu_abbrevd60h0
