module     p0_dd_emnebardu_abbrevd61h1
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh1
   implicit none
   private
   complex(ki), public :: abb61n1
   complex(ki), public :: abb61n2
   complex(ki), public :: abb61n3
   complex(ki), public :: abb61n4
   complex(ki), public :: abb61n5
   complex(ki), public :: abb61n6
   complex(ki), public :: abb61n7
   complex(ki), public :: abb61n8
   complex(ki), public :: abb61n9
   complex(ki), public :: abb61n10
   complex(ki), public :: abb61n11
   complex(ki), public :: abb61n12
   complex(ki), public :: abb61n13
   complex(ki), public :: abb61n14
   complex(ki), public :: rat2d61
   complex(ki), public :: abb61n16
   complex(ki), public :: abb61n17
   complex(ki), public :: abb61n18
   complex(ki), public :: abb61n19
   complex(ki), public :: abb61n20
   complex(ki), public :: abb61n21
   complex(ki), public :: abb61n22
   complex(ki), public :: abb61n23
   complex(ki), public :: abb61n24
   complex(ki), public :: abb61n25
   complex(ki), public :: abb61n26
   complex(ki), public :: abb61n27
   complex(ki), public :: abb61n28
   complex(ki), public :: abb61n29
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak1k3
      t13 = TR*TR
      t4 = es234*NC*t1
      t5 = c1*i_
      t6 = t5*spak1k3
      t1 = es234*t1
      t7 = NC*NC*t1
      t8 = NC*c2*i_
      t9 = t8*spak1k3
      abb61n1 = ((8.0_ki)*(t13*t3/t4*spbk3k2+t13*t2/t4*spak1k4*spbk4k2)+(4.0_ki)&
      &*(-(t13*t5/t7*spak1k4*spbk4k2+t13/t1*t8*spak1k4*spbk4k2+t13*t6/t7*spbk3k2&
      &+t13/t1*t9*spbk3k2)))
      t10 = t13*t6/t7*spbk4k2
      t11 = (2.0_ki)*t13*t3/t4*spbk4k2
      t12 = t13/t1*t9*spbk4k2
      abb61n2 = ((8.0_ki)*(t10+t12-t11))
      abb61n3 = ((8.0_ki)*(t11-(t12+t10)))
      abb61n4 = ((8.0_ki)*(t13*t3/t4*spbk4k3-t13*t2/t4*spak1k2*spbk4k2)+(4.0_ki)&
      &*(t13/t1*t8*spak1k2*spbk4k2+t13*t5/t7*spak1k2*spbk4k2-(t13*t6/t7*spbk4k3+&
      &t13/t1*t9*spbk4k3)))
      t3 = t2*spak1k6
      t6 = t13*t3/t4*spak2k3*spbk4k2*spbk5k2
      t3 = t13*t3/t4*spak3k4*spbk4k2*spbk5k4
      t9 = t5*spak1k6
      t10 = t13/t7*t9*spak2k3*spbk4k2*spbk5k2
      t9 = t13/t7*t9*spak3k4*spbk4k2*spbk5k4
      t11 = t8*spak1k6
      t12 = t13*t11/t1*spak2k3*spbk4k2*spbk5k2
      t11 = t13*t11/t1*spak3k4*spbk4k2*spbk5k4
      abb61n5 = ((16.0_ki)*(-(t6+t3))+(8.0_ki)*(t10+t11+t12+t9))
      abb61n6 = ((16.0_ki)*(t3+t6)+(8.0_ki)*(-(t9+t12+t11+t10)))
      t3 = t13*t5/t7*spak2k3*spbk4k2
      t6 = (2.0_ki)*t13*t2/t4*spak2k3*spbk4k2
      t9 = t13/t1*t8*spak2k3*spbk4k2
      abb61n7 = ((4.0_ki)*(t3+t9-t6))
      abb61n8 = ((4.0_ki)*(t6-(t9+t3)))
      t3 = t13*t5/t7*spak3k4*spbk4k2
      t6 = (2.0_ki)*t13*t2/t4*spak3k4*spbk4k2
      t9 = t13/t1*t8*spak3k4*spbk4k2
      abb61n9 = ((4.0_ki)*(t3+t9-t6))
      abb61n10 = ((4.0_ki)*(t6-(t9+t3)))
      t3 = t5*spak3k6
      t6 = t13*t3/t7*spbk4k2
      t9 = t2*spak3k6
      t10 = (2.0_ki)*t13/t4*t9*spbk4k2
      t11 = t8*spak3k6
      t12 = t13*t11/t1*spbk4k2
      abb61n11 = ((8.0_ki)*(t12+t6-t10))
      abb61n12 = ((8.0_ki)*(t10-(t6+t12)))
      abb61n13 = ((8.0_ki)*(t13/t4*t9*spbk3k2+t13*t2/t4*spak4k6*spbk4k2)+(4.0_ki&
      &)*(-(t13*t5/t7*spak4k6*spbk4k2+t13/t1*t8*spak4k6*spbk4k2+t13*t3/t7*spbk3k&
      &2+t13*t11/t1*spbk3k2)))
      abb61n14 = ((8.0_ki)*(t13/t4*t9*spbk4k3-t13*t2/t4*spak2k6*spbk4k2)+(4.0_ki&
      &)*(t13/t1*t8*spak2k6*spbk4k2+t13*t5/t7*spak2k6*spbk4k2-(t13*t3/t7*spbk4k3&
      &+t13*t11/t1*spbk4k3)))
      rat2d61 = 0
      rat2 = rat2 + rat2d61
      abb61n16 = abb61n1
      abb61n17 = abb61n14
      abb61n18 = abb61n13
      abb61n19 = abb61n12
      abb61n20 = abb61n11
      abb61n21 = abb61n10
      abb61n22 = abb61n9
      abb61n23 = abb61n8
      abb61n24 = abb61n7
      abb61n25 = abb61n4
      abb61n26 = abb61n3
      abb61n27 = abb61n2
      abb61n28 = -(abb61n5)
      abb61n29 = -(abb61n6)
   end subroutine
end module p0_dd_emnebardu_abbrevd61h1
