module     p17_ddbar_neepdubar_abbrevd56h0
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb56n1
   complex(ki), public :: abb56n2
   complex(ki), public :: abb56n3
   complex(ki), public :: abb56n4
   complex(ki), public :: abb56n5
   complex(ki), public :: abb56n6
   complex(ki), public :: abb56n7
   complex(ki), public :: abb56n8
   complex(ki), public :: abb56n9
   complex(ki), public :: abb56n10
   complex(ki), public :: abb56n11
   complex(ki), public :: abb56n12
   complex(ki), public :: abb56n13
   complex(ki), public :: abb56n14
   complex(ki), public :: rat2d56
   complex(ki), public :: abb56n16
   complex(ki), public :: abb56n17
   complex(ki), public :: abb56n18
   complex(ki), public :: abb56n19
   complex(ki), public :: abb56n20
   complex(ki), public :: abb56n21
   complex(ki), public :: abb56n22
   complex(ki), public :: abb56n23
   complex(ki), public :: abb56n24
   complex(ki), public :: abb56n25
   complex(ki), public :: abb56n26
   complex(ki), public :: abb56n27
   complex(ki), public :: abb56n28
   complex(ki), public :: abb56n29
   complex(ki), public :: abb56n30
   complex(ki), public :: abb56n31
   complex(ki), public :: abb56n32
   complex(ki), public :: abb56n33
   complex(ki), public :: abb56n34
   complex(ki), public :: abb56n35
   complex(ki), public :: abb56n36
   complex(ki), public :: abb56n37
   complex(ki), public :: abb56n38
   complex(ki), public :: abb56n39
   complex(ki), public :: abb56n40
   complex(ki), public :: abb56n41
   complex(ki), public :: abb56n42
   complex(ki), public :: abb56n43
   complex(ki), public :: abb56n44
   complex(ki), public :: abb56n45
   complex(ki), public :: abb56n46
   complex(ki), public :: abb56n47
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak3k5
      t13 = TR*TR
      t4 = t13*t3*spak5k6*spbk5k2*spbk6k4
      t5 = NC*NC*t1
      t6 = c2*i_
      t7 = t6*spak3k5
      t8 = NC*t1
      abb56n1 = ((4.0_ki)*((2.0_ki)*t13*t7/t8*spak5k6*spbk5k2*spbk6k4-(t4/t5+t4/&
      &t1)))
      t4 = t13*t2*spak1k3*spbk4k2
      abb56n2 = ((8.0_ki)*((2.0_ki)*t13*t6/t8*spak1k3*spbk4k2-(t4/t5+t4/t1)))
      t4 = t2*spak1k5
      t9 = t13*t4*spbk4k2
      t10 = t9/t1
      t9 = t9/t5
      t11 = t6*spak1k5
      t12 = t13*(2.0_ki)*t11/t8*spbk4k2
      abb56n3 = ((8.0_ki)*(t10+t9-t12))
      t9 = t12-(t9+t10)
      abb56n4 = ((4.0_ki)*t9)
      abb56n5 = ((8.0_ki)*t9)
      t9 = t13*t4*spak3k5*spbk5k2*spbk6k4
      abb56n6 = ((8.0_ki)*(t13*(2.0_ki)*t11/t8*spak3k5*spbk5k2*spbk6k4-(t9/t5+t9&
      &/t1)))
      t4 = t13*t4*spbk6k2
      abb56n7 = ((8.0_ki)*(t4/t1+t4/t5-t13*(2.0_ki)*t11/t8*spbk6k2))
      t4 = t13*t3*spbk4k2
      t9 = t4/t1
      t4 = t4/t5
      t10 = (2.0_ki)*t13*t7/t8*spbk4k2
      t11 = t4+t9-t10
      abb56n8 = ((8.0_ki)*t11)
      abb56n9 = ((4.0_ki)*t11)
      abb56n10 = ((8.0_ki)*(t10-(t9+t4)))
      t4 = t13*t2*spak3k6*spbk4k2
      abb56n11 = ((4.0_ki)*((2.0_ki)*t13*t6/t8*spak3k6*spbk4k2-(t4/t5+t4/t1)))
      t3 = t13*t3*spbk5k2
      abb56n12 = ((4.0_ki)*((2.0_ki)*t13*t7/t8*spbk5k2-(t3/t5+t3/t1)))
      t3 = t13*t2*spak5k6*spbk6k2
      abb56n13 = ((4.0_ki)*(t3/t1+t3/t5-(2.0_ki)*t13*t6/t8*spak5k6*spbk6k2))
      t2 = t13*t2
      abb56n14 = ((4.0_ki)*(t2/t1+t2/t5-(2.0_ki)*t13*t6/t8))
      rat2d56 = 0
      rat2 = rat2 + rat2d56
      abb56n16 = -(abb56n1)
      abb56n17 = abb56n14
      abb56n18 = abb56n13
      abb56n19 = abb56n12
      abb56n20 = abb56n11
      abb56n21 = abb56n10
      abb56n22 = abb56n9
      abb56n23 = abb56n8
      abb56n24 = abb56n7
      abb56n25 = abb56n6
      abb56n26 = abb56n5
      abb56n27 = abb56n4
      abb56n28 = abb56n3
      abb56n29 = abb56n2
      abb56n30 = abb56n1
      abb56n31 = -(abb56n2)
      abb56n32 = -(abb56n3)
      t1 = (2.0_ki)*abb56n4
      abb56n33 = t1
      abb56n34 = -(abb56n4)
      abb56n35 = -(t1)
      abb56n36 = -(abb56n5)
      abb56n37 = -(abb56n6)
      abb56n38 = -(abb56n7)
      abb56n39 = -(abb56n8)
      t1 = (2.0_ki)*abb56n9
      abb56n40 = t1
      abb56n41 = -(abb56n9)
      abb56n42 = -(t1)
      abb56n43 = -(abb56n10)
      abb56n44 = -(abb56n11)
      abb56n45 = -(abb56n12)
      abb56n46 = -(abb56n13)
      abb56n47 = -(abb56n14)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd56h0
