module     p17_ddbar_neepdubar_abbrevd15h1
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb15n1
   complex(ki), public :: abb15n2
   complex(ki), public :: abb15n3
   complex(ki), public :: abb15n4
   complex(ki), public :: abb15n5
   complex(ki), public :: abb15n6
   complex(ki), public :: abb15n7
   complex(ki), public :: abb15n8
   complex(ki), public :: abb15n9
   complex(ki), public :: abb15n10
   complex(ki), public :: abb15n11
   complex(ki), public :: rat2d15
   complex(ki), public :: abb15n13
   complex(ki), public :: abb15n14
   complex(ki), public :: abb15n15
   complex(ki), public :: abb15n16
   complex(ki), public :: abb15n17
   complex(ki), public :: abb15n18
   complex(ki), public :: abb15n19
   complex(ki), public :: abb15n20
   complex(ki), public :: abb15n21
   complex(ki), public :: abb15n22
   complex(ki), public :: abb15n23
   complex(ki), public :: abb15n24
   complex(ki), public :: abb15n25
   complex(ki), public :: abb15n26
   complex(ki), public :: abb15n27
   complex(ki), public :: abb15n28
   complex(ki), public :: abb15n29
   complex(ki), public :: abb15n30
   complex(ki), public :: abb15n31
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   real(ki) :: t31
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak2k3
      t3 = t2*spak2k5*spbk4k2
      t31 = TR*TR
      t4 = t31*t3*spbk6k1
      t5 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = es234*t5
      t7 = t4/t6
      t8 = t2*spak3k5*spbk4k3
      t9 = t31*t8*spbk6k1
      t10 = t9/t6
      t11 = t10-t7
      t12 = NC*NC*t6
      t4 = t4/t12
      t9 = t9/t12
      t13 = c1*i_
      t14 = t13*spak2k3
      t5 = es234*NC*t5
      t15 = t31*t14/t5*spak2k5*spbk4k2*spbk6k1
      t16 = t31*t14/t5*spak3k5*spbk4k3*spbk6k1
      t17 = NC*c1
      t18 = t17*i_
      t19 = t18*spak2k3
      t20 = t19*spak2k5*spbk4k2
      t21 = t31*t20/t6*spbk6k1
      t22 = t19*spak3k5*spbk4k3
      t23 = t31*t22/t6*spbk6k1
      abb15n1 = ((2.0_ki)*(t11+t16+t21+t4-(t9+t23+t15)))
      t24 = es61*c2*i_*spak2k3
      t25 = es61*t17*i_*spak2k3
      t26 = es56*c2*i_*spak2k3
      t27 = t1*spak1k2*spak2k3
      t28 = TR*spbk6k1
      t28 = t28*t28
      t29 = t1*spak1k3*spak2k3
      t17 = es56*t17*i_*spak2k3
      t30 = t18*spak1k2*spak2k3
      t18 = t18*spak1k3*spak2k3
      abb15n2 = ((4.0_ki)*(t31*t24/t6*spak3k5*spbk4k3*spbk6k1+t31*t25/t6*spak2k5&
      &*spbk4k2*spbk6k1-(t31*t25/t6*spak3k5*spbk4k3*spbk6k1+t31*t24/t6*spak2k5*s&
      &pbk4k2*spbk6k1))+(2.0_ki)*(t18*t28/t6*spak5k6*spbk4k3+t27*t28/t6*spak5k6*&
      &spbk4k2+t31*t17/t6*spak2k5*spbk4k2*spbk6k1+t31*t26/t6*spak3k5*spbk4k3*spb&
      &k6k1-(t31*t26/t6*spak2k5*spbk4k2*spbk6k1+t31*t17/t6*spak3k5*spbk4k3*spbk6&
      &k1+t28*t30/t6*spak5k6*spbk4k2+t28*t29/t6*spak5k6*spbk4k3)))
      abb15n3 = ((8.0_ki)*(t11+t21-t23))
      t7 = t7-t10
      abb15n4 = ((8.0_ki)*(t23+t7-t21))
      abb15n5 = ((6.0_ki)*(t31*t22/t6*spbk5k1+t31*t3/t6*spbk5k1-(t31/t6*t8*spbk5&
      &k1+t31*t20/t6*spbk5k1))+(2.0_ki)*(t31*t19/t6*spak2k6*spbk4k2*spbk6k1+t31*&
      &t2/t6*spak3k6*spbk4k3*spbk6k1-(t31*t2/t6*spak2k6*spbk4k2*spbk6k1+t31*t19/&
      &t6*spak3k6*spbk4k3*spbk6k1)))
      abb15n6 = ((2.0_ki)*(t31*t22/t6*spbk6k5+t31*t3/t6*spbk6k5+t31*t18/t6*spbk4&
      &k3*spbk6k1+t31*t27/t6*spbk4k2*spbk6k1-(t31*t30/t6*spbk4k2*spbk6k1+t31*t29&
      &/t6*spbk4k3*spbk6k1+t31/t6*t8*spbk6k5+t31*t20/t6*spbk6k5)))
      t1 = t1*spak1k5*spak2k3
      t3 = t13*spak1k5*spak2k3
      abb15n7 = ((4.0_ki)*(t31*t3/t5*spbk4k2*spbk6k1-t31*t1/t12*spbk4k2*spbk6k1)&
      &)
      abb15n8 = ((4.0_ki)*(t31*t1/t12*spbk4k3*spbk6k1-t31*t3/t5*spbk4k3*spbk6k1)&
      &)
      abb15n9 = ((4.0_ki)*(t15+t23+t7+t9-(t4+t21+t16)))
      t1 = t31*t2*spbk4k2
      abb15n10 = ((4.0_ki)*(t31*t14/t5*spbk4k2+t31*t19/t6*spbk4k2-(t1/t6+t1/t12)&
      &))
      t1 = t31*t2*spbk4k3
      abb15n11 = ((4.0_ki)*(t1/t12+t1/t6-(t31*t19/t6*spbk4k3+t31*t14/t5*spbk4k3)&
      &))
      rat2d15 = abb15n1
      rat2 = rat2 + rat2d15
      abb15n13 = abb15n2
      abb15n14 = abb15n11
      abb15n15 = abb15n10
      abb15n16 = abb15n9
      abb15n17 = abb15n8
      abb15n18 = abb15n7
      abb15n19 = abb15n6
      abb15n20 = abb15n5
      abb15n21 = abb15n4
      abb15n22 = abb15n3
      abb15n23 = -(abb15n3)
      abb15n24 = -(abb15n4)
      abb15n25 = -(abb15n5)
      abb15n26 = -(abb15n6)
      abb15n27 = -(abb15n7)
      abb15n28 = -(abb15n8)
      abb15n29 = (-2.0_ki)*abb15n9
      abb15n30 = -(abb15n10)
      abb15n31 = -(abb15n11)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd15h1
