module     p17_ddbar_neepdubar_abbrevd51h1
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb51n1
   complex(ki), public :: abb51n2
   complex(ki), public :: abb51n3
   complex(ki), public :: abb51n4
   complex(ki), public :: abb51n5
   complex(ki), public :: abb51n6
   complex(ki), public :: abb51n7
   complex(ki), public :: abb51n8
   complex(ki), public :: rat2d51
   complex(ki), public :: abb51n10
   complex(ki), public :: abb51n11
   complex(ki), public :: abb51n12
   complex(ki), public :: abb51n13
   complex(ki), public :: abb51n14
   complex(ki), public :: abb51n15
   complex(ki), public :: abb51n16
   complex(ki), public :: abb51n17
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   complex(ki) :: t55
   complex(ki) :: t56
   complex(ki) :: t57
   complex(ki) :: t58
   complex(ki) :: t59
   real(ki) :: t60
   real(ki) :: t61
   real(ki) :: t62
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t60 = es12+es34-(es56+es345)
      t2 = c1*i_
      t3 = t2*spak2k5
      t4 = t3*spak3k4
      t61 = TR*TR
      t5 = t61*t4*spbk4k1*spbk6k4
      t62 = t60*t60
      t6 = t62*t1
      t7 = t3*spak3k6
      t8 = t61*t7*spbk6k1*spbk6k4
      t60 = t60*NC
      t60 = t60*t60
      t9 = t60*t1
      t10 = c2*i_
      t11 = t10*spak2k5
      t12 = t11*spak3k4
      t13 = NC*t1
      t14 = t62*t13
      t15 = t11*spak3k6
      t16 = NC*c2
      t17 = t16*i_
      t18 = t17*spak2k5
      t19 = t18*spak3k4
      t20 = t18*spak3k6
      t21 = es12*c2*i_*spak2k5
      t22 = t61*t21*spak3k4*spbk4k1*spbk6k4
      t23 = (es234-(es61+es56))*t1
      t24 = t62*t23
      t21 = t61*t21*spak3k6*spbk6k1*spbk6k4
      t25 = es234*c2*i_*spak2k5
      t26 = t61*t25*spak3k4*spbk4k1*spbk6k4
      t25 = t61*t25*spak3k6*spbk6k1*spbk6k4
      t27 = es56*c2*i_*spak2k5
      t28 = t61*t27*spak3k4*spbk4k1*spbk6k4
      t27 = t61*t27*spak3k6*spbk6k1*spbk6k4
      t29 = es61*c2*i_*spak2k5
      t30 = t61*t29*spak3k4*spbk4k1*spbk6k4
      t29 = t61*t29*spak3k6*spbk6k1*spbk6k4
      t31 = t10*spak3k4
      t32 = TR*spak2k5
      t32 = t32*t32
      t33 = t31*t32*spbk2k1*spbk5k4*spbk6k4
      t31 = t31*t32*spbk4k2*spbk5k1*spbk6k4
      t34 = t10*spak3k6
      t35 = t32*t34*spbk2k1*spbk6k4*spbk6k5
      t34 = t32*t34*spbk5k1*spbk6k2*spbk6k4
      t36 = es234*c1*i_*spak2k5
      t37 = t61*t36*spak3k4*spbk4k1*spbk6k4
      t1 = es12*t1
      t38 = t62*t1
      t36 = t61*t36*spak3k6*spbk6k1*spbk6k4
      t39 = es56*c1*i_*spak2k5
      t40 = t61*t39*spak3k4*spbk4k1*spbk6k4
      t39 = t61*t39*spak3k6*spbk6k1*spbk6k4
      t41 = es61*c1*i_*spak2k5
      t42 = t61*t41*spak3k4*spbk4k1*spbk6k4
      t41 = t61*t41*spak3k6*spbk6k1*spbk6k4
      t43 = t2*spak3k4
      t44 = t32*t43*spbk2k1*spbk5k4*spbk6k4
      t43 = t32*t43*spbk4k2*spbk5k1*spbk6k4
      t45 = t2*spak3k6
      t46 = t32*t45*spbk2k1*spbk6k4*spbk6k5
      t45 = t32*t45*spbk5k1*spbk6k2*spbk6k4
      t47 = t60*t23
      t48 = es12*c1*i_*spak2k5
      t23 = NC*t62*t23
      t49 = NC*c1
      t50 = es12*t49*i_*spak2k5
      t51 = es234*t49*i_*spak2k5
      t52 = es56*t49*i_*spak2k5
      t53 = es61*t49*i_*spak2k5
      t49 = t49*i_
      t54 = t49*spak3k4
      t55 = t49*spak3k6
      t1 = t60*t1
      t13 = es12*t62*t13
      t56 = es234*t16*i_*spak2k5
      t57 = es56*t16*i_*spak2k5
      t16 = es61*t16*i_*spak2k5
      t58 = t17*spak3k4
      t59 = t17*spak3k6
      abb51n1 = ((4.0_ki)*(t36/t1+t37/t1+t46/t1+t27/t13+t28/t13+t29/t13+t30/t13+&
      &t31/t13+t33/t13+t34/t13+t21/t47+t22/t47+t39/t23+t40/t23+t41/t23+t42/t23+t&
      &43/t23+t44/t23+t45/t23+t27/t24+t28/t24+t29/t24+t30/t24+t31/t24+t33/t24+t3&
      &4/t24+t25/t47+t26/t47+t35/t47+t39/t38+t40/t38+t41/t38+t42/t38+t43/t38+t44&
      &/t38+t45/t38+t5/t9+t8/t9+t61*t19/t6*spbk4k1*spbk6k4+t61*t20/t6*spbk6k1*sp&
      &bk6k4+t32/t24*t55*spbk2k1*spbk6k4*spbk6k5+t61*t50/t24*spak3k4*spbk4k1*spb&
      &k6k4+t61*t50/t24*spak3k6*spbk6k1*spbk6k4+t61*t51/t24*spak3k4*spbk4k1*spbk&
      &6k4+t61*t51/t24*spak3k6*spbk6k1*spbk6k4+t32/t38*t59*spbk2k1*spbk6k4*spbk6&
      &k5+t61*t56/t38*spak3k4*spbk4k1*spbk6k4+t61*t56/t38*spak3k6*spbk6k1*spbk6k&
      &4-(t61*t57/t38*spak3k6*spbk6k1*spbk6k4+t61*t57/t38*spak3k4*spbk4k1*spbk6k&
      &4+t32/t38*t59*spbk5k1*spbk6k2*spbk6k4+t32/t38*t58*spbk4k2*spbk5k1*spbk6k4&
      &+t32/t38*t58*spbk2k1*spbk5k4*spbk6k4+t61*t53/t24*spak3k6*spbk6k1*spbk6k4+&
      &t61*t53/t24*spak3k4*spbk4k1*spbk6k4+t61*t52/t24*spak3k6*spbk6k1*spbk6k4+t&
      &61*t52/t24*spak3k4*spbk4k1*spbk6k4+t32/t24*t55*spbk5k1*spbk6k2*spbk6k4+t3&
      &2/t24*t54*spbk4k2*spbk5k1*spbk6k4+t32/t24*t54*spbk2k1*spbk5k4*spbk6k4+t61&
      &*t48/t23*spak3k6*spbk6k1*spbk6k4+t61*t48/t23*spak3k4*spbk4k1*spbk6k4+t61*&
      &t16/t38*spak3k6*spbk6k1*spbk6k4+t61*t16/t38*spak3k4*spbk4k1*spbk6k4+t61*t&
      &15/t14*spbk6k1*spbk6k4+t61*t12/t14*spbk4k1*spbk6k4+t8/t6+t5/t6+t46/t38+t3&
      &7/t38+t36/t38+t34/t47+t33/t47+t31/t47+t30/t47+t29/t47+t28/t47+t27/t47+t35&
      &/t24+t26/t24+t25/t24+t46/t23+t37/t23+t36/t23+t22/t24+t21/t24+t35/t13+t26/&
      &t13+t25/t13+t45/t1+t44/t1+t43/t1+t42/t1+t41/t1+t40/t1+t39/t1)))
      t5 = t61*t12*spbk2k1*spbk6k4
      t6 = t61*t4*spbk2k1*spbk6k4
      t8 = t49*spak2k5
      t9 = t8*spak3k4
      abb51n2 = ((4.0_ki)*(t6/t1+t5/t47+t61*t19/t38*spbk2k1*spbk6k4+t61/t24*t9*s&
      &pbk2k1*spbk6k4-(t6/t38+t5/t24+t6/t23+t5/t13)))
      t5 = t61*t15*spbk2k1*spbk6k4
      t6 = t61*t7*spbk2k1*spbk6k4
      t14 = t8*spak3k6
      abb51n3 = ((4.0_ki)*(t6/t1+t5/t47+t61*t14/t24*spbk2k1*spbk6k4+t61*t20/t38*&
      &spbk2k1*spbk6k4-(t6/t38+t5/t24+t6/t23+t5/t13)))
      t5 = t61*t12*spbk5k1*spbk6k4
      t4 = t61*t4*spbk5k1*spbk6k4
      abb51n4 = ((4.0_ki)*(t5/t13+t4/t23+t5/t24+t4/t38-(t61/t24*t9*spbk5k1*spbk6&
      &k4+t61*t19/t38*spbk5k1*spbk6k4+t5/t47+t4/t1)))
      t4 = t10*spak2k3*spak2k5*spbk2k1
      t5 = t61*t4*spbk6k4
      t6 = t11*spak3k5
      t9 = t6*spbk5k1
      t12 = t61*t9*spbk6k4
      t16 = t2*spak2k3*spak2k5*spbk2k1
      t19 = t61*t16*spbk6k4
      t21 = t3*spak3k5
      t22 = t21*spbk5k1
      t25 = t61*t22*spbk6k4
      t26 = t49*spak2k3*spak2k5*spbk2k1
      t27 = t8*spak3k5
      t28 = t27*spbk5k1
      t29 = t17*spak2k3*spak2k5*spbk2k1
      t30 = t18*spak3k5
      t31 = t30*spbk5k1
      abb51n5 = ((16.0_ki)*(t19/t1+t25/t1+t12/t47+t5/t47+t61*t26/t24*spbk6k4+t61&
      &*t28/t24*spbk6k4+t61*t29/t38*spbk6k4+t61*t31/t38*spbk6k4-(t25/t38+t5/t24+&
      &t25/t23+t19/t38+t19/t23+t5/t13+t12/t24+t12/t13)))
      t5 = t61*t15*spbk5k1*spbk6k4
      t7 = t61*t7*spbk5k1*spbk6k4
      abb51n6 = ((4.0_ki)*(t5/t13+t7/t23+t5/t24+t7/t38-(t61*t20/t38*spbk5k1*spbk&
      &6k4+t61*t14/t24*spbk5k1*spbk6k4+t5/t47+t7/t1)))
      t5 = t61*t4*spbk6k3
      t7 = t61*t10*spak2k4*spak2k5*spbk2k1*spbk6k4
      t9 = t61*t9*spbk6k3
      t10 = t61*t11*spak4k5*spbk5k1*spbk6k4
      t12 = t61*t16*spbk6k3
      t2 = t61*t2*spak2k4*spak2k5*spbk2k1*spbk6k4
      t14 = t61*t22*spbk6k3
      t15 = t61*t3*spak4k5*spbk5k1*spbk6k4
      abb51n7 = ((8.0_ki)*(t10/t13+t10/t24+t12/t23+t12/t38+t5/t13+t7/t13+t9/t13+&
      &t14/t23+t14/t38+t15/t23+t15/t38+t2/t23+t2/t38+t5/t24+t7/t24+t9/t24-(t61*t&
      &49/t24*spak2k4*spak2k5*spbk2k1*spbk6k4+t61*t17/t38*spak2k4*spak2k5*spbk2k&
      &1*spbk6k4+t61/t24*t8*spak4k5*spbk5k1*spbk6k4+t61*t18/t38*spak4k5*spbk5k1*&
      &spbk6k4+t61*t31/t38*spbk6k3+t61*t29/t38*spbk6k3+t61*t28/t24*spbk6k3+t61*t&
      &26/t24*spbk6k3+t9/t47+t7/t47+t5/t47+t10/t47+t2/t1+t15/t1+t14/t1+t12/t1)))
      t2 = t61*t4*spbk4k3
      t4 = t61*t11*spak2k6*spbk2k1*spbk6k4
      t5 = t61*t6*spbk4k3*spbk5k1
      t6 = t61*t11*spak5k6*spbk5k1*spbk6k4
      t7 = t61*t16*spbk4k3
      t9 = t61*t3*spak2k6*spbk2k1*spbk6k4
      t10 = t61*t21*spbk4k3*spbk5k1
      t3 = t61*t3*spak5k6*spbk5k1*spbk6k4
      abb51n8 = ((8.0_ki)*(t10/t1+t3/t1+t7/t1+t4/t13+t2/t47+t9/t23+t4/t24+t9/t38&
      &+t5/t47+t6/t47+t61*t26/t24*spbk4k3+t61*t29/t38*spbk4k3+t61*t27/t24*spbk4k&
      &3*spbk5k1+t61*t30/t38*spbk4k3*spbk5k1+t61*t18/t38*spak5k6*spbk5k1*spbk6k4&
      &+t61/t24*t8*spak5k6*spbk5k1*spbk6k4-(t61/t24*t8*spak2k6*spbk2k1*spbk6k4+t&
      &61*t18/t38*spak2k6*spbk2k1*spbk6k4+t4/t47+t7/t38+t3/t38+t6/t24+t5/t24+t7/&
      &t23+t3/t23+t2/t24+t6/t13+t5/t13+t2/t13+t10/t38+t10/t23+t9/t1)))
      rat2d51 = 0
      rat2 = rat2 + rat2d51
      abb51n10 = abb51n1
      abb51n11 = -(abb51n2)
      abb51n12 = -(abb51n3)
      abb51n13 = -(abb51n4)
      abb51n14 = -(abb51n5)
      abb51n15 = -(abb51n6)
      abb51n16 = -(abb51n7)
      abb51n17 = -(abb51n8)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd51h1
