module     p18_ddbar_neepscbar_abbrevd6h1
   use p18_ddbar_neepscbar_config, only: ki
   use p18_ddbar_neepscbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb6n1
   complex(ki), public :: abb6n2
   complex(ki), public :: abb6n3
   complex(ki), public :: abb6n4
   complex(ki), public :: abb6n5
   complex(ki), public :: abb6n6
   complex(ki), public :: abb6n7
   complex(ki), public :: abb6n8
   complex(ki), public :: abb6n9
   complex(ki), public :: abb6n10
   complex(ki), public :: rat2d6
   complex(ki), public :: abb6n12
   complex(ki), public :: abb6n13
   complex(ki), public :: abb6n14
   complex(ki), public :: abb6n15
   complex(ki), public :: abb6n16
   complex(ki), public :: abb6n17
   complex(ki), public :: abb6n18
   complex(ki), public :: abb6n19
   complex(ki), public :: abb6n20
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   real(ki) :: t36
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p18_ddbar_neepscbar_config, only: deltaOS
      use p18_ddbar_neepscbar_kinematics
      use p18_ddbar_neepscbar_model
      use p18_ddbar_neepscbar_color, only: TR
      use p18_ddbar_neepscbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k3*spak3k5
      t4 = t3*spbk4k3
      t36 = TR*TR
      t5 = t36*t4*spbk6k1
      t6 = es12*t1
      t7 = es345*t6
      t8 = t5/t7
      t9 = t2*spak2k5*spak3k5
      t10 = t9*spbk5k4
      t11 = t36*t10*spbk6k1
      t12 = t11/t7
      t13 = NC*NC*t7
      t14 = t5/t13
      t15 = t11/t13
      t16 = c2*i_
      t17 = es345*es12*NC*t1
      t18 = t36*t16/t17*spak2k3*spak3k5*spbk4k3*spbk6k1
      t19 = t36*t16/t17*spak2k5*spak3k5*spbk5k4*spbk6k1
      t20 = NC*c2
      t21 = t20*i_
      t22 = t21*spak2k3*spak3k5
      t23 = t22*spbk4k3
      t24 = t36*t23*spbk6k1
      t25 = t24/t7
      t26 = t21*spak2k5*spak3k5
      t27 = t26*spbk5k4
      t28 = t36*t27*spbk6k1
      t29 = t28/t7
      abb6n1 = ((2.0_ki)*(t12+t14+t19+t25-(t8+t29+t18+t15)))
      t1 = es345*t1
      t30 = es61*c1*i_
      t31 = t2*spak1k3
      t32 = TR*spbk6k1
      t32 = t32*t32
      t33 = t2*spak1k5
      t20 = es61*t20*i_
      t34 = t21*spak1k3
      t35 = t21*spak1k5
      abb6n2 = ((2.0_ki)*(t28/t1+t5/t1+t11/t6+t24/t6+t32*t33/t7*spak2k6*spak3k5*&
      &spbk5k4+t32*t34/t7*spak2k6*spak3k5*spbk4k3+t36*t20/t7*spak2k3*spak3k5*spb&
      &k4k3*spbk6k1+t36*t30/t7*spak2k5*spak3k5*spbk5k4*spbk6k1-(t36*t30/t7*spak2&
      &k3*spak3k5*spbk4k3*spbk6k1+t36*t20/t7*spak2k5*spak3k5*spbk5k4*spbk6k1+t32&
      &*t35/t7*spak2k6*spak3k5*spbk5k4+t31*t32/t7*spak2k6*spak3k5*spbk4k3+t5/t6+&
      &t28/t6+t24/t1+t11/t1)))
      t1 = t8-t12
      abb6n3 = ((8.0_ki)*(t1+t29-t25))
      t5 = t2*spak3k5
      t6 = t21*spak3k5
      abb6n4 = ((6.0_ki)*(t36*t22/t7*spbk2k1*spbk4k3+t36/t7*t9*spbk2k1*spbk5k4-(&
      &t36*t3/t7*spbk2k1*spbk4k3+t36*t26/t7*spbk2k1*spbk5k4))+(2.0_ki)*(t36*t5/t&
      &7*spak3k6*spbk4k3*spbk6k1+t36*t6/t7*spak5k6*spbk5k4*spbk6k1-(t36*t6/t7*sp&
      &ak3k6*spbk4k3*spbk6k1+t36*t5/t7*spak5k6*spbk5k4*spbk6k1)))
      abb6n5 = ((2.0_ki)*(t36*t10/t7*spbk6k2+t36*t23/t7*spbk6k2+t36*t33/t7*spak3&
      &k5*spbk5k4*spbk6k1+t36*t34/t7*spak3k5*spbk4k3*spbk6k1-(t36*t35/t7*spak3k5&
      &*spbk5k4*spbk6k1+t36*t31/t7*spak3k5*spbk4k3*spbk6k1+t36*t4/t7*spbk6k2+t36&
      &*t27/t7*spbk6k2)))
      t2 = t2*spak1k2*spak3k5
      t3 = t16*spak1k2*spak3k5
      abb6n6 = ((4.0_ki)*(t36*t2/t13*spbk4k3*spbk6k1-t36*t3/t17*spbk4k3*spbk6k1)&
      &)
      abb6n7 = ((4.0_ki)*(t36*t3/t17*spbk5k4*spbk6k1-t36*t2/t13*spbk5k4*spbk6k1)&
      &)
      abb6n8 = ((4.0_ki)*(t1+t15+t18+t29-(t25+t19+t14)))
      t1 = t36*t5*spbk4k3
      t2 = t16*spak3k5
      abb6n9 = ((4.0_ki)*(t1/t13+t1/t7-(t36*t6/t7*spbk4k3+t36*t2/t17*spbk4k3)))
      t1 = t36*t5*spbk5k4
      abb6n10 = ((4.0_ki)*(t36*t2/t17*spbk5k4+t36*t6/t7*spbk5k4-(t1/t7+t1/t13)))
      rat2d6 = abb6n1
      rat2 = rat2 + rat2d6
      abb6n12 = abb6n2
      abb6n13 = abb6n10
      abb6n14 = abb6n9
      abb6n15 = abb6n8
      abb6n16 = -(abb6n3)
      abb6n17 = -(abb6n4)
      abb6n18 = -(abb6n5)
      abb6n19 = -(abb6n6)
      abb6n20 = -(abb6n7)
   end subroutine
end module p18_ddbar_neepscbar_abbrevd6h1
