module     p18_ddbar_neepscbar_d1h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p18_ddbar_neepscbar/helicity1/d1h1l1d.f90
   ! generator: haggies (1.1)
   use p18_ddbar_neepscbar_config, only: ki
   use p18_ddbar_neepscbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d1
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p18_ddbar_neepscbar_globalsl1, only: epspow
      use p18_ddbar_neepscbar_kinematics
      use p18_ddbar_neepscbar_abbrevd1h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      real(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k3+k6+k5+k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t32 = dotproduct(qshift, qshift)
      t1 = (spvak1k6(1)*qshift(1)-spvak1k6(2)*qshift(2)-spvak1k6(3)*qshift(3)-sp&
      &vak1k6(4)*qshift(4))
      t2 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t33 = dotproduct(k1, qshift)
      t34 = dotproduct(k2, qshift)
      t35 = dotproduct(k6, qshift)
      t3 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t36 = dotproduct(k5, qshift)
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak3k6(1)*qshift(1)-spvak3k6(2)*qshift(2)-spvak3k6(3)*qshift(3)-sp&
      &vak3k6(4)*qshift(4))
      t6 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t7 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb1n29+t1*abb1n57+t2*abb1n68+t3*abb1n71+t32*abb1n40+t33*a&
         &bb1n69+t34*abb1n69+t35*abb1n70+t36*abb1n76+t4*abb1n79+t1*t4*abb1n50+t2&
         &*t3*abb1n55+t2*t32*abb1n74+t2*t33*abb1n43+t2*t34*abb1n43+t2*t35*abb1n4&
         &3+t2*t4*abb1n36+t3*t32*abb1n65+t3*t36*abb1n48+t3*t4*abb1n37+t32*t4*abb&
         &1n86+t32*t5*abb1n60+t33*t4*abb1n34+t33*t5*abb1n53+t34*t4*abb1n34+t34*t&
         &5*abb1n53+t35*t5*abb1n51+t36*t4*abb1n33+t4*t5*abb1n31+t4*t6*abb1n35+t4&
         &*t7*abb1n39+t2*t4*t6*abb1n89)
         return
      end if
      t8 = k1(iv1)
      t9 = k2(iv1)
      t10 = k5(iv1)
      t11 = k6(iv1)
      t12 = qshift(iv1)
      t13 = spvak1k6(iv1)
      t14 = spvak2k1(iv1)
      t15 = spvak2k6(iv1)
      t16 = spvak3k4(iv1)
      t17 = t14*abb1n83
      t18 = t16*abb1n72
      t19 = spvak3k6(iv1)
      t20 = t19*abb1n58
      t21 = spvak5k4(iv1)
      t22 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb1n41+t11*abb1n45+t12*abb1n77+t13*abb1n54+t14*abb1n3&
         &8+t15*abb1n44+t16*abb1n47+t17*t33+t17*t34+t18*t33+t18*t34+t18*t35+t20*&
         &t33+t20*t34+t8*abb1n46+t9*abb1n46+t1*t14*abb1n63+t10*t3*abb1n67+t10*t4&
         &*abb1n84+t11*t2*abb1n72+t11*t5*abb1n62+t12*t2*abb1n73+t12*t3*abb1n64+t&
         &12*t4*abb1n85+t12*t5*abb1n59+t13*t4*abb1n63+t14*t2*abb1n81+t14*t3*abb1&
         &n80+t14*t32*abb1n32+t14*t36*abb1n84+t14*t5*abb1n88+t14*t6*abb1n82+t14*&
         &t7*abb1n78+t15*t2*abb1n56+t15*t32*abb1n49+t15*t36*abb1n67+t15*t4*abb1n&
         &80+t16*t3*abb1n56+t16*t32*abb1n42+t16*t4*abb1n81+t19*t32*abb1n52+t19*t&
         &35*abb1n62+t19*t4*abb1n88+t2*t8*abb1n72+t2*t9*abb1n72+t21*t4*abb1n78+t&
         &22*t4*abb1n82+t4*t8*abb1n83+t4*t9*abb1n83+t5*t8*abb1n58+t5*t9*abb1n58+&
         &t14*t2*t6*abb1n30+t16*t4*t6*abb1n30+t2*t22*t4*abb1n30)
         return
      end if
      t32 = d(iv1,iv2)
      t1 = spvak2k1(iv2)
      t7 = spvak3k4(iv2)
      t17 = spvak3k6(iv2)
      t18 = k1(iv2)
      t20 = k2(iv2)
      t23 = spvak2k6(iv2)
      t24 = k5(iv2)
      t25 = k6(iv2)
      t26 = qshift(iv2)
      t27 = t14*t7
      t28 = spvak5k6(iv2)
      t29 = t14*t28
      t30 = t1*t16
      t31 = t1*t22
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t32*abb1n40+t2*t32*abb1n74+t3*t32*abb1n65+t32*t4&
         &*abb1n86+t32*t5*abb1n60)+t27*abb1n36+t29*abb1n35+t30*abb1n36+t31*abb1n&
         &35+spvak1k6(iv2)*t14*abb1n50+spvak5k4(iv2)*t14*abb1n39+t1*t10*abb1n33+&
         &t1*t12*abb1n87+t1*t13*abb1n50+t1*t15*abb1n37+t1*t19*abb1n31+t1*t21*abb&
         &1n39+t1*t8*abb1n34+t1*t9*abb1n34+t10*t23*abb1n48+t11*t17*abb1n51+t11*t&
         &7*abb1n43+t12*t17*abb1n61+t12*t23*abb1n66+t12*t7*abb1n75+t14*t17*abb1n&
         &31+t14*t18*abb1n34+t14*t20*abb1n34+t14*t23*abb1n37+t14*t24*abb1n33+t14&
         &*t26*abb1n87+t15*t24*abb1n48+t15*t26*abb1n66+t15*t7*abb1n55+t16*t18*ab&
         &b1n43+t16*t20*abb1n43+t16*t23*abb1n55+t16*t25*abb1n43+t16*t26*abb1n75+&
         &t17*t8*abb1n53+t17*t9*abb1n53+t18*t19*abb1n53+t19*t20*abb1n53+t19*t25*&
         &abb1n51+t19*t26*abb1n61+t2*t29*abb1n89+t2*t31*abb1n89+t27*t6*abb1n89+t&
         &30*t6*abb1n89+t7*t8*abb1n43+t7*t9*abb1n43+t16*t28*t4*abb1n89+t22*t4*t7&
         &*abb1n89)
         return
      end if
      t33 = d(iv2,iv3)
      t34 = d(iv1,iv3)
      t2 = spvak2k1(iv3)
      t3 = spvak3k4(iv3)
      t4 = spvak5k6(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k6(iv3)*t32*abb1n49+spvak3k6(iv3)*t32*abb1&
         &n52+t1*t34*abb1n32+t14*t33*abb1n32+t15*t33*abb1n49+t16*t33*abb1n42+t17&
         &*t34*abb1n52+t19*t33*abb1n52+t2*t32*abb1n32+t23*t34*abb1n49+t3*t32*abb&
         &1n42+t34*t7*abb1n42)+t27*t4*abb1n30+t30*t4*abb1n30+t1*t22*t3*abb1n30+t&
         &14*t28*t3*abb1n30+t16*t2*t28*abb1n30+t2*t22*t7*abb1n30)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d1:
   subroutine     reconstruct_d1(coeffs)
      use p18_ddbar_neepscbar_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_1:
      coeffs%coeffs_1%c0 = derivative(czip)
      coeffs%coeffs_1%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_1%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_1%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_1%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_1%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_1%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_1%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_1%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_1%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_1%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_1%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_1%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_1%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_1%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_1%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_1%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_1%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_1%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_1%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_1%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_1%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_1%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_1%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_1%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_1%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_1%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_1%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_1%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_1%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_1%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_1%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_1%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_1%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_1%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_1:
   end subroutine reconstruct_d1
!---#] subroutine reconstruct_d1:
end module p18_ddbar_neepscbar_d1h1l1d
