module     p24_udbar_neepuubar_abbrevd13h0
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb13n1
   complex(ki), public :: abb13n2
   complex(ki), public :: abb13n3
   complex(ki), public :: abb13n4
   complex(ki), public :: abb13n5
   complex(ki), public :: abb13n6
   complex(ki), public :: abb13n7
   complex(ki), public :: abb13n8
   complex(ki), public :: abb13n9
   complex(ki), public :: abb13n10
   complex(ki), public :: abb13n11
   complex(ki), public :: abb13n12
   complex(ki), public :: abb13n13
   complex(ki), public :: abb13n14
   complex(ki), public :: abb13n15
   complex(ki), public :: abb13n16
   complex(ki), public :: abb13n17
   complex(ki), public :: rat2d13
   complex(ki), public :: abb13n19
   complex(ki), public :: abb13n20
   complex(ki), public :: abb13n21
   complex(ki), public :: abb13n22
   complex(ki), public :: abb13n23
   complex(ki), public :: abb13n24
   complex(ki), public :: abb13n25
   complex(ki), public :: abb13n26
   complex(ki), public :: abb13n27
   complex(ki), public :: abb13n28
   complex(ki), public :: abb13n29
   complex(ki), public :: abb13n30
   complex(ki), public :: abb13n31
   complex(ki), public :: abb13n32
   complex(ki), public :: abb13n33
   complex(ki), public :: abb13n34
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   real(ki) :: t43
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k3
      t3 = t2*spak2k6*spbk4k1
      t43 = TR*TR
      t4 = t43*t3*spbk5k1
      t5 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t6 = es56*t5
      t7 = t4/t6
      t8 = t1*spak2k6
      t9 = t8*spak3k4*spbk4k1
      t10 = t43*t9*spbk5k4
      t11 = t10/t6
      t12 = t11+t7
      t13 = NC*NC*t6
      t4 = t4/t13
      t10 = t10/t13
      t14 = c2*i_
      t15 = t14*spak1k3
      t16 = t15*spak2k6*spbk4k1
      t5 = es56*NC*t5
      t17 = t43*t16/t5*spbk5k1
      t18 = t14*spak2k6*spak3k4*spbk4k1
      t19 = t43*t18/t5*spbk5k4
      t20 = NC*c2
      t21 = t20*i_
      t22 = t21*spak1k3
      t23 = t22*spak2k6*spbk4k1
      t24 = t43*t23/t6*spbk5k1
      t25 = t21*spak2k6
      t26 = t25*spak3k4*spbk4k1
      t27 = t43*t26/t6*spbk5k4
      abb13n1 = ((2.0_ki)*(t12+t17+t19-(t4+t27+t24+t10)))
      t28 = es12*c1*i_
      t29 = es12*t20*i_
      t30 = es234*c1*i_
      t31 = es34*c1*i_
      t32 = es345*c1*i_
      t33 = es61*c1*i_
      t34 = t2*spbk4k1
      t35 = TR*spak2k6
      t35 = t35*t35
      t36 = t1*spak3k4
      t37 = t36*spbk4k1
      t38 = es234*t20*i_
      t39 = es34*t20*i_
      t40 = es345*t20*i_
      t20 = es61*t20*i_
      t41 = t22*spbk4k1
      t42 = t21*spak3k4*spbk4k1
      abb13n2 = ((4.0_ki)*(t43*t29/t6*spak1k3*spak2k6*spbk4k1*spbk5k1+t43*t29/t6&
      &*spak2k6*spak3k4*spbk4k1*spbk5k4-(t43*t28/t6*spak2k6*spak3k4*spbk4k1*spbk&
      &5k4+t43*t28/t6*spak1k3*spak2k6*spbk4k1*spbk5k1))+(2.0_ki)*(t34*t35/t6*spb&
      &k5k2*spbk6k1+t35*t37/t6*spbk5k2*spbk6k4+t43*t20/t6*spak1k3*spak2k6*spbk4k&
      &1*spbk5k1+t43*t20/t6*spak2k6*spak3k4*spbk4k1*spbk5k4+t43*t31/t6*spak1k3*s&
      &pak2k6*spbk4k1*spbk5k1+t43*t31/t6*spak2k6*spak3k4*spbk4k1*spbk5k4+t43*t32&
      &/t6*spak1k3*spak2k6*spbk4k1*spbk5k1+t43*t32/t6*spak2k6*spak3k4*spbk4k1*sp&
      &bk5k4+t43*t38/t6*spak1k3*spak2k6*spbk4k1*spbk5k1+t43*t38/t6*spak2k6*spak3&
      &k4*spbk4k1*spbk5k4-(t43*t40/t6*spak2k6*spak3k4*spbk4k1*spbk5k4+t43*t40/t6&
      &*spak1k3*spak2k6*spbk4k1*spbk5k1+t43*t39/t6*spak2k6*spak3k4*spbk4k1*spbk5&
      &k4+t43*t39/t6*spak1k3*spak2k6*spbk4k1*spbk5k1+t43*t33/t6*spak2k6*spak3k4*&
      &spbk4k1*spbk5k4+t43*t33/t6*spak1k3*spak2k6*spbk4k1*spbk5k1+t43*t30/t6*spa&
      &k2k6*spak3k4*spbk4k1*spbk5k4+t43*t30/t6*spak1k3*spak2k6*spbk4k1*spbk5k1+t&
      &35*t42/t6*spbk5k2*spbk6k4+t35*t41/t6*spbk5k2*spbk6k1)))
      abb13n3 = ((4.0_ki)*(t12-(t27+t24)))
      t12 = t8*spak3k6
      t20 = t43*t12/t6*spbk4k1*spbk6k5
      t28 = t25*spak3k6
      t29 = t43*t28/t6*spbk4k1*spbk6k5
      t30 = t1*spak2k3
      t31 = t30*spak2k6
      t32 = t43*t31/t6*spbk4k1*spbk5k2
      t33 = t21*spak2k3
      t35 = t33*spak2k6
      t38 = t43*t35/t6*spbk4k1*spbk5k2
      abb13n4 = ((12.0_ki)*(t20-t29)+(4.0_ki)*(t32-t38))
      abb13n5 = ((12.0_ki)*(t29-t20)+(4.0_ki)*(t38-t32))
      t20 = t1*spak2k4
      t29 = t21*spak2k4
      abb13n6 = ((6.0_ki)*(t43*t12/t6*spbk3k1*spbk6k5+t43/t6*t8*spak4k6*spbk4k1*&
      &spbk6k5-(t43*t25/t6*spak4k6*spbk4k1*spbk6k5+t43*t28/t6*spbk3k1*spbk6k5))+&
      &(2.0_ki)*(t43*t31/t6*spbk3k1*spbk5k2+t43*t20/t6*spak2k6*spbk4k1*spbk5k2-(&
      &t43*t29/t6*spak2k6*spbk4k1*spbk5k2+t43*t35/t6*spbk3k1*spbk5k2)))
      t8 = t1*spak1k2
      t25 = t21*spak1k2
      abb13n7 = ((6.0_ki)*(t43*t12/t6*spbk4k3*spbk6k5+t43*t21/t6*spak1k6*spak2k6&
      &*spbk4k1*spbk6k5-(t43*t1/t6*spak1k6*spak2k6*spbk4k1*spbk6k5+t43*t28/t6*sp&
      &bk4k3*spbk6k5))+(2.0_ki)*(t43*t31/t6*spbk4k3*spbk5k2+t43/t6*t8*spak2k6*sp&
      &bk4k1*spbk5k2-(t43*t25/t6*spak2k6*spbk4k1*spbk5k2+t43*t35/t6*spbk4k3*spbk&
      &5k2)))
      t12 = t43*t34
      abb13n8 = ((4.0_ki)*(t12/t13+t12/t6-(t43*t15/t5*spbk4k1+t43*t41/t6)))
      t12 = t43*t30*spbk4k1
      t28 = t12/t6
      t12 = t12/t13
      t31 = t14*spak2k3
      t32 = t43*t31/t5*spbk4k1
      t34 = t43*t33/t6*spbk4k1
      abb13n9 = ((16.0_ki)*(t12+t28-(t34+t32)))
      abb13n10 = ((16.0_ki)*(t32+t34-(t28+t12)))
      t12 = t43*t30*spbk3k1
      t20 = t43*t20*spbk4k1
      abb13n11 = ((8.0_ki)*(t43*t29/t6*spbk4k1+t43*t31/t5*spbk3k1+t43*t33/t6*spb&
      &k3k1+t43*t14/t5*spak2k4*spbk4k1-(t20/t6+t20/t13+t12/t6+t12/t13)))
      t7 = -(t7+t11)
      abb13n12 = ((4.0_ki)*(t10+t24+t27+t4+t7-(t19+t17)))
      abb13n13 = ((4.0_ki)*(t24+t27+t7)+(8.0_ki)*(t17+t19-(t4+t10)))
      t4 = t43*t2*spak2k5*spbk4k1*spbk5k1
      t3 = t43*t3*spbk6k1
      t1 = t43*t1*spak2k5*spak3k4*spbk4k1*spbk5k4
      t7 = t43*t9*spbk6k4
      abb13n14 = ((4.0_ki)*(t1/t13+t1/t6+t3/t13+t4/t13+t7/t13+t3/t6+t4/t6+t7/t6-&
      &(t43*t21/t6*spak2k5*spak3k4*spbk4k1*spbk5k4+t43*t14/t5*spak2k5*spak3k4*sp&
      &bk4k1*spbk5k4+t43*t22/t6*spak2k5*spbk4k1*spbk5k1+t43*t15/t5*spak2k5*spbk4&
      &k1*spbk5k1+t43*t26/t6*spbk6k4+t43*t23/t6*spbk6k1+t43*t18/t5*spbk6k4+t43*t&
      &16/t5*spbk6k1)))
      t1 = t14*spak3k4
      abb13n15 = ((4.0_ki)*(t43*t2/t13*spak5k6*spbk4k1*spbk5k1+t43*t36/t13*spak5&
      &k6*spbk4k1*spbk5k4-(t43*t15/t5*spak5k6*spbk4k1*spbk5k1+t43*t1/t5*spak5k6*&
      &spbk4k1*spbk5k4)))
      t2 = t43*t37
      abb13n16 = ((4.0_ki)*(t2/t13+t2/t6-(t43*t1/t5*spbk4k1+t43*t42/t6)))
      t1 = t43*t8*spbk4k1
      t2 = t43*t30*spbk4k3
      abb13n17 = ((8.0_ki)*(t43*t25/t6*spbk4k1+t43*t31/t5*spbk4k3+t43*t33/t6*spb&
      &k4k3+t43*t14/t5*spak1k2*spbk4k1-(t2/t6+t2/t13+t1/t6+t1/t13)))
      rat2d13 = abb13n1
      rat2 = rat2 + rat2d13
      abb13n19 = abb13n2
      abb13n20 = abb13n17
      abb13n21 = abb13n16
      abb13n22 = abb13n15
      abb13n23 = abb13n14
      abb13n24 = abb13n13
      abb13n25 = abb13n12
      abb13n26 = abb13n11
      abb13n27 = abb13n10
      abb13n28 = abb13n9
      abb13n29 = abb13n8
      abb13n30 = abb13n7
      abb13n31 = abb13n6
      abb13n32 = abb13n5
      abb13n33 = abb13n4
      abb13n34 = abb13n3
   end subroutine
end module p24_udbar_neepuubar_abbrevd13h0
