module     p24_udbar_neepuubar_abbrevd18h0
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb18n1
   complex(ki), public :: abb18n2
   complex(ki), public :: abb18n3
   complex(ki), public :: abb18n4
   complex(ki), public :: abb18n5
   complex(ki), public :: abb18n6
   complex(ki), public :: rat2d18
   complex(ki), public :: abb18n8
   complex(ki), public :: abb18n9
   complex(ki), public :: abb18n10
   complex(ki), public :: abb18n11
   complex(ki), public :: abb18n12
   complex(ki), public :: abb18n13
   complex(ki), public :: abb18n14
   complex(ki), public :: abb18n15
   complex(ki), public :: abb18n16
   complex(ki), public :: abb18n17
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   real(ki) :: t19
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t19 = TR*TR
      t2 = t19*t1*spak2k3*spak2k6*spbk4k1*spbk5k2
      t3 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t4 = es56*t3
      t5 = t2/t4
      t1 = t1*spak2k6
      t6 = t19*t1*spak3k6*spbk4k1*spbk6k5
      t7 = t6/t4
      t8 = NC*NC*t4
      t2 = t2/t8
      t6 = t6/t8
      t9 = c2*i_
      t3 = es56*NC*t3
      t10 = t19/t3*t9*spak2k3*spak2k6*spbk4k1*spbk5k2
      t9 = t9*spak2k6
      t11 = t19/t3*t9*spak3k6*spbk4k1*spbk6k5
      t12 = NC*c2*i_
      t13 = t19*t12/t4*spak2k3*spak2k6*spbk4k1*spbk5k2
      t12 = t12*spak2k6
      t14 = t19*t12/t4*spak3k6*spbk4k1*spbk6k5
      abb18n1 = ((2.0_ki)*(t11+t13+t2+t7-(t6+t5+t14+t10)))
      t15 = t1*spak3k4*spbk4k1
      t16 = t19*t15*spbk5k2
      t17 = t9*spak3k4*spbk4k1
      t18 = t12*spak3k4*spbk4k1
      abb18n2 = ((4.0_ki)*(t16/t4+t19*t17/t3*spbk5k2-(t19*t18/t4*spbk5k2+t16/t8)&
      &))
      t15 = t19*t15*spbk6k5
      abb18n3 = ((4.0_ki)*(t15/t4+t19*t17/t3*spbk6k5-(t19*t18/t4*spbk6k5+t15/t8)&
      &))
      abb18n4 = ((4.0_ki)*(t10+t14+t5+t6-(t7+t2+t13+t11)))
      t2 = t19*t1*spbk5k2
      abb18n5 = ((4.0_ki)*(t2/t8+t19*t12/t4*spbk5k2-(t19/t3*t9*spbk5k2+t2/t4)))
      t1 = t19*t1*spbk6k5
      abb18n6 = ((4.0_ki)*(t1/t8+t19*t12/t4*spbk6k5-(t19/t3*t9*spbk6k5+t1/t4)))
      rat2d18 = abb18n1
      rat2 = rat2 + rat2d18
      abb18n8 = -(abb18n3)
      abb18n9 = abb18n6
      abb18n10 = abb18n5
      abb18n11 = abb18n4
      abb18n12 = abb18n3
      abb18n13 = abb18n2
      abb18n14 = -(abb18n2)
      abb18n15 = (-2.0_ki)*abb18n4
      abb18n16 = -(abb18n5)
      abb18n17 = -(abb18n6)
   end subroutine
end module p24_udbar_neepuubar_abbrevd18h0
