module     p24_udbar_neepuubar_abbrevd58h0
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb58n1
   complex(ki), public :: abb58n2
   complex(ki), public :: abb58n3
   complex(ki), public :: abb58n4
   complex(ki), public :: abb58n5
   complex(ki), public :: abb58n6
   complex(ki), public :: abb58n7
   complex(ki), public :: abb58n8
   complex(ki), public :: abb58n9
   complex(ki), public :: abb58n10
   complex(ki), public :: abb58n11
   complex(ki), public :: abb58n12
   complex(ki), public :: abb58n13
   complex(ki), public :: abb58n14
   complex(ki), public :: rat2d58
   complex(ki), public :: abb58n16
   complex(ki), public :: abb58n17
   complex(ki), public :: abb58n18
   complex(ki), public :: abb58n19
   complex(ki), public :: abb58n20
   complex(ki), public :: abb58n21
   complex(ki), public :: abb58n22
   complex(ki), public :: abb58n23
   complex(ki), public :: abb58n24
   complex(ki), public :: abb58n25
   complex(ki), public :: abb58n26
   complex(ki), public :: abb58n27
   complex(ki), public :: abb58n28
   complex(ki), public :: abb58n29
   complex(ki), public :: abb58n30
   complex(ki), public :: abb58n31
   complex(ki), public :: abb58n32
   complex(ki), public :: abb58n33
   complex(ki), public :: abb58n34
   complex(ki), public :: abb58n35
   complex(ki), public :: abb58n36
   complex(ki), public :: abb58n37
   complex(ki), public :: abb58n38
   complex(ki), public :: abb58n39
   complex(ki), public :: abb58n40
   complex(ki), public :: abb58n41
   complex(ki), public :: abb58n42
   complex(ki), public :: abb58n43
   complex(ki), public :: abb58n44
   complex(ki), public :: abb58n45
   complex(ki), public :: abb58n46
   complex(ki), public :: abb58n47
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   real(ki) :: t11
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak1k2
      t11 = TR*TR
      t4 = t11*t3*spak2k3*spbk4k1*spbk5k2
      t5 = NC*NC*t1
      t6 = c2*i_
      t7 = t6*spak1k2
      t8 = NC*t1
      abb58n1 = ((4.0_ki)*(t4/t1+t4/t5-(2.0_ki)*t11*t7/t8*spak2k3*spbk4k1*spbk5k&
      &2))
      t3 = t11*t3*spbk5k1
      abb58n2 = ((4.0_ki)*((2.0_ki)*t11*t7/t8*spbk5k1-(t3/t5+t3/t1)))
      t3 = t11*t2*spak1k3*spbk5k4
      abb58n3 = ((4.0_ki)*(t3/t1+t3/t5-(2.0_ki)*t11*t6/t8*spak1k3*spbk5k4))
      t3 = t2*spak2k3
      t4 = t11*t3*spak2k6*spbk4k1*spbk5k2
      t7 = t6*spak2k3
      abb58n4 = ((8.0_ki)*(t4/t1+t4/t5-(2.0_ki)*t11*t7/t8*spak2k6*spbk4k1*spbk5k&
      &2))
      t4 = t2*spak2k6
      t9 = t11*t4*spbk5k1
      t10 = t6*spak2k6
      abb58n5 = ((8.0_ki)*(t11*(2.0_ki)*t10/t8*spbk5k1-(t9/t5+t9/t1)))
      t9 = t11*t3*spbk5k2
      abb58n6 = ((4.0_ki)*(t9/t1+t9/t5-(2.0_ki)*t11*t7/t8*spbk5k2))
      t3 = t11*t3*spbk5k4
      t9 = t3/t1
      t3 = t3/t5
      t7 = (2.0_ki)*t11*t7/t8*spbk5k4
      abb58n7 = ((8.0_ki)*(t3+t9-t7))
      t3 = t7-(t9+t3)
      abb58n8 = ((4.0_ki)*t3)
      abb58n9 = ((8.0_ki)*t3)
      t3 = t11*t4*spbk5k4
      t4 = t3/t1
      t3 = t3/t5
      t7 = t11*(2.0_ki)*t10/t8*spbk5k4
      t9 = t3+t4-t7
      abb58n10 = ((8.0_ki)*t9)
      abb58n11 = ((4.0_ki)*t9)
      abb58n12 = ((8.0_ki)*(t7-(t4+t3)))
      t3 = t11*t2*spak3k6*spbk5k4
      abb58n13 = ((8.0_ki)*(t3/t1+t3/t5-(2.0_ki)*t11*t6/t8*spak3k6*spbk5k4))
      t2 = t11*t2
      abb58n14 = ((4.0_ki)*((2.0_ki)*t11*t6/t8-(t2/t5+t2/t1)))
      rat2d58 = 0
      rat2 = rat2 + rat2d58
      abb58n16 = -(abb58n1)
      abb58n17 = abb58n14
      abb58n18 = abb58n13
      abb58n19 = abb58n12
      abb58n20 = abb58n11
      abb58n21 = abb58n10
      abb58n22 = abb58n9
      abb58n23 = abb58n8
      abb58n24 = abb58n7
      abb58n25 = abb58n6
      abb58n26 = abb58n5
      abb58n27 = abb58n4
      abb58n28 = abb58n3
      abb58n29 = abb58n2
      abb58n30 = abb58n1
      abb58n31 = -(abb58n2)
      abb58n32 = -(abb58n3)
      abb58n33 = -(abb58n4)
      abb58n34 = -(abb58n5)
      abb58n35 = -(abb58n6)
      abb58n36 = -(abb58n7)
      t1 = (2.0_ki)*abb58n8
      abb58n37 = t1
      abb58n38 = -(abb58n8)
      abb58n39 = -(t1)
      abb58n40 = -(abb58n9)
      abb58n41 = -(abb58n10)
      t1 = (2.0_ki)*abb58n11
      abb58n42 = t1
      abb58n43 = -(abb58n11)
      abb58n44 = -(t1)
      abb58n45 = -(abb58n12)
      abb58n46 = -(abb58n13)
      abb58n47 = -(abb58n14)
   end subroutine
end module p24_udbar_neepuubar_abbrevd58h0
