module     p24_udbar_neepuubar_abbrevd15h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb15n1
   complex(ki), public :: abb15n2
   complex(ki), public :: abb15n3
   complex(ki), public :: abb15n4
   complex(ki), public :: abb15n5
   complex(ki), public :: abb15n6
   complex(ki), public :: abb15n7
   complex(ki), public :: abb15n8
   complex(ki), public :: abb15n9
   complex(ki), public :: abb15n10
   complex(ki), public :: rat2d15
   complex(ki), public :: abb15n12
   complex(ki), public :: abb15n13
   complex(ki), public :: abb15n14
   complex(ki), public :: abb15n15
   complex(ki), public :: abb15n16
   complex(ki), public :: abb15n17
   complex(ki), public :: abb15n18
   complex(ki), public :: abb15n19
   complex(ki), public :: abb15n20
   complex(ki), public :: abb15n21
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   real(ki) :: t33
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k3
      t4 = t3*spak2k5*spbk4k2
      t33 = TR*TR
      t5 = t33*t4*spbk6k1
      t6 = es234*t1
      t7 = es56*t6
      t8 = t5/t7
      t9 = t3*spak3k5*spbk4k3
      t10 = t33*t9*spbk6k1
      t11 = t10/t7
      t12 = t11-t8
      t13 = NC*NC*t7
      t14 = t5/t13
      t15 = t10/t13
      t16 = c2*i_*spak2k3
      t17 = es56*es234*NC*t1
      t18 = t33*t16/t17*spak2k5*spbk4k2*spbk6k1
      t19 = t33*t16/t17*spak3k5*spbk4k3*spbk6k1
      t20 = NC*c2
      t21 = t20*i_
      t22 = t21*spak2k3
      t23 = t22*spak2k5*spbk4k2
      t24 = t33*t23*spbk6k1
      t25 = t24/t7
      t26 = t22*spak3k5*spbk4k3
      t27 = t33*t26*spbk6k1
      t28 = t27/t7
      abb15n1 = ((2.0_ki)*(t12+t14+t19+t25-(t28+t18+t15)))
      t1 = es56*t1
      t29 = es61*c1*i_*spak2k3
      t30 = t2*spak1k5*spak2k3
      t31 = TR*spbk6k1
      t31 = t31*t31
      t20 = es61*t20*i_*spak2k3
      t32 = t21*spak1k5*spak2k3
      abb15n2 = ((2.0_ki)*(t10/t1+t24/t1+t27/t6+t5/t6+t30*t31/t7*spak3k6*spbk4k3&
      &+t31*t32/t7*spak2k6*spbk4k2+t33*t20/t7*spak2k5*spbk4k2*spbk6k1+t33*t29/t7&
      &*spak3k5*spbk4k3*spbk6k1-(t33*t29/t7*spak2k5*spbk4k2*spbk6k1+t33*t20/t7*s&
      &pak3k5*spbk4k3*spbk6k1+t31*t32/t7*spak3k6*spbk4k3+t30*t31/t7*spak2k6*spbk&
      &4k2+t24/t6+t10/t6+t5/t1+t27/t1)))
      abb15n3 = ((8.0_ki)*(t12+t25-t28))
      abb15n4 = ((2.0_ki)*(t33*t26/t7*spbk5k1+t33*t4/t7*spbk5k1+t33*t22/t7*spak3&
      &k6*spbk4k3*spbk6k1+t33*t3/t7*spak2k6*spbk4k2*spbk6k1-(t33*t3/t7*spak3k6*s&
      &pbk4k3*spbk6k1+t33*t22/t7*spak2k6*spbk4k2*spbk6k1+t33/t7*t9*spbk5k1+t33*t&
      &23/t7*spbk5k1)))
      abb15n5 = ((6.0_ki)*(t33*t26/t7*spbk6k5+t33*t4/t7*spbk6k5-(t33/t7*t9*spbk6&
      &k5+t33*t23/t7*spbk6k5))+(2.0_ki)*(t33*t2/t7*spak1k3*spak2k3*spbk4k3*spbk6&
      &k1+t33*t21/t7*spak1k2*spak2k3*spbk4k2*spbk6k1-(t33*t21/t7*spak1k3*spak2k3&
      &*spbk4k3*spbk6k1+t33*t2/t7*spak1k2*spak2k3*spbk4k2*spbk6k1)))
      t1 = t3*spak5k6
      t2 = t16*spak5k6
      abb15n6 = ((4.0_ki)*(t33*t2/t17*spbk4k2*spbk6k1-t33*t1/t13*spbk4k2*spbk6k1&
      &))
      abb15n7 = ((4.0_ki)*(t15+t18+t28+t8-(t25+t19+t14+t11)))
      abb15n8 = ((4.0_ki)*(t33*t1/t13*spbk4k3*spbk6k1-t33*t2/t17*spbk4k3*spbk6k1&
      &))
      t1 = t33*t3*spbk4k2
      abb15n9 = ((4.0_ki)*(t1/t13+t1/t7-(t33*t22/t7*spbk4k2+t33*t16/t17*spbk4k2)&
      &))
      t1 = t33*t3*spbk4k3
      abb15n10 = ((4.0_ki)*(t33*t16/t17*spbk4k3+t33*t22/t7*spbk4k3-(t1/t7+t1/t13&
      &)))
      rat2d15 = abb15n1
      rat2 = rat2 + rat2d15
      abb15n12 = abb15n2
      abb15n13 = abb15n10
      abb15n14 = abb15n9
      abb15n15 = abb15n7
      abb15n16 = -(abb15n3)
      abb15n17 = -(abb15n4)
      abb15n18 = -(abb15n5)
      abb15n19 = -(abb15n6)
      abb15n20 = ((2.0_ki)*abb15n7)
      abb15n21 = -(abb15n8)
   end subroutine
end module p24_udbar_neepuubar_abbrevd15h1
