module     p24_udbar_neepuubar_abbrevd66h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb66n1
   complex(ki), public :: abb66n2
   complex(ki), public :: abb66n3
   complex(ki), public :: abb66n4
   complex(ki), public :: abb66n5
   complex(ki), public :: abb66n6
   complex(ki), public :: abb66n7
   complex(ki), public :: abb66n8
   complex(ki), public :: abb66n9
   complex(ki), public :: abb66n10
   complex(ki), public :: abb66n11
   complex(ki), public :: rat2d66
   complex(ki), public :: abb66n13
   complex(ki), public :: abb66n14
   complex(ki), public :: abb66n15
   complex(ki), public :: abb66n16
   complex(ki), public :: abb66n17
   complex(ki), public :: abb66n18
   complex(ki), public :: abb66n19
   complex(ki), public :: abb66n20
   complex(ki), public :: abb66n21
   complex(ki), public :: abb66n22
   complex(ki), public :: abb66n23
   complex(ki), public :: abb66n24
   complex(ki), public :: abb66n25
   complex(ki), public :: abb66n26
   complex(ki), public :: abb66n27
   complex(ki), public :: abb66n28
   complex(ki), public :: abb66n29
   complex(ki), public :: abb66n30
   complex(ki), public :: abb66n31
   complex(ki), public :: abb66n32
   complex(ki), public :: abb66n33
   complex(ki), public :: abb66n34
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   real(ki) :: t12
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = c2*i_*spak2k5
      t2 = t1*spak3k6
      t12 = TR*TR
      t3 = t12*t2*spbk5k1*spbk6k4
      t4 = (es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*NC*t4
      t6 = c1*i_*spak2k5
      t7 = t6*spak3k6
      t8 = NC*t4
      abb66n1 = ((4.0_ki)*(t3/t4+t3/t5-(2.0_ki)*t12*t7/t8*spbk5k1*spbk6k4))
      t3 = t1*spak3k4
      t9 = t12*t3*spbk2k1*spbk6k4
      t10 = t6*spak3k4
      abb66n2 = ((4.0_ki)*(t12*(2.0_ki)*t10/t8*spbk2k1*spbk6k4-(t9/t5+t9/t4)))
      t9 = t12*t2*spbk2k1*spbk6k4
      abb66n3 = ((4.0_ki)*((2.0_ki)*t12*t7/t8*spbk2k1*spbk6k4-(t9/t5+t9/t4)))
      t9 = t12*t3*spbk5k1*spbk6k4
      abb66n4 = ((4.0_ki)*(t9/t4+t9/t5-t12*(2.0_ki)*t10/t8*spbk5k1*spbk6k4))
      t9 = t12*t3*spbk4k1*spbk6k4
      t11 = t12*t2*spbk6k1*spbk6k4
      abb66n5 = ((8.0_ki)*(-(t12*t7/t8*spbk6k1*spbk6k4+t12*t10/t8*spbk4k1*spbk6k&
      &4))+(4.0_ki)*(t11/t4+t11/t5+t9/t4+t9/t5))
      t9 = t12*t3*spbk4k2*spbk6k4
      t11 = t12*t2*spbk6k2*spbk6k4
      abb66n6 = ((8.0_ki)*(t12*t10/t8*spbk4k2*spbk6k4+t12*t7/t8*spbk6k2*spbk6k4)&
      &+(4.0_ki)*(-(t9/t5+t9/t4+t11/t5+t11/t4)))
      t9 = t12*t1*spbk4k3
      abb66n7 = ((4.0_ki)*(t9/t4+t9/t5-(2.0_ki)*t12*t6/t8*spbk4k3))
      t3 = t12*t3*spbk5k4*spbk6k4
      t2 = t12*t2*spbk6k4*spbk6k5
      abb66n8 = ((8.0_ki)*(t12*t10/t8*spbk5k4*spbk6k4-t12*t7/t8*spbk6k4*spbk6k5)&
      &+(4.0_ki)*(t2/t4+t2/t5-(t3/t5+t3/t4)))
      t2 = t12*t1*spbk6k3
      abb66n9 = ((4.0_ki)*((2.0_ki)*t12*t6/t8*spbk6k3-(t2/t5+t2/t4)))
      t1 = t12*t1*spbk6k4
      t2 = t1/t4
      t1 = t1/t5
      t3 = (2.0_ki)*t12*t6/t8*spbk6k4
      abb66n10 = ((8.0_ki)*(t1+t2-t3))
      abb66n11 = ((4.0_ki)*(t3-(t2+t1)))
      rat2d66 = 0
      rat2 = rat2 + rat2d66
      abb66n13 = -(abb66n1)
      abb66n14 = abb66n11
      abb66n15 = abb66n10
      abb66n16 = abb66n9
      abb66n17 = abb66n8
      abb66n18 = abb66n7
      abb66n19 = abb66n6
      abb66n20 = abb66n5
      abb66n21 = abb66n4
      abb66n22 = abb66n3
      abb66n23 = abb66n2
      abb66n24 = abb66n1
      abb66n25 = -(abb66n2)
      abb66n26 = -(abb66n3)
      abb66n27 = -(abb66n4)
      abb66n28 = (-2.0_ki)*abb66n5
      abb66n29 = -(abb66n6)
      abb66n30 = -(abb66n7)
      abb66n31 = -(abb66n8)
      abb66n32 = -(abb66n9)
      abb66n33 = -(abb66n10)
      abb66n34 = -(abb66n11)
   end subroutine
end module p24_udbar_neepuubar_abbrevd66h1
