module     p25_udbar_neepssbar_abbrevd4h1
   use p25_udbar_neepssbar_config, only: ki
   use p25_udbar_neepssbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb4n1
   complex(ki), public :: abb4n2
   complex(ki), public :: abb4n3
   complex(ki), public :: abb4n4
   complex(ki), public :: abb4n5
   complex(ki), public :: abb4n6
   complex(ki), public :: abb4n7
   complex(ki), public :: abb4n8
   complex(ki), public :: abb4n9
   complex(ki), public :: abb4n10
   complex(ki), public :: abb4n11
   complex(ki), public :: abb4n12
   complex(ki), public :: abb4n13
   complex(ki), public :: abb4n14
   complex(ki), public :: abb4n15
   complex(ki), public :: abb4n16
   complex(ki), public :: abb4n17
   complex(ki), public :: rat2d4
   complex(ki), public :: abb4n19
   complex(ki), public :: abb4n20
   complex(ki), public :: abb4n21
   complex(ki), public :: abb4n22
   complex(ki), public :: abb4n23
   complex(ki), public :: abb4n24
   complex(ki), public :: abb4n25
   complex(ki), public :: abb4n26
   complex(ki), public :: abb4n27
   complex(ki), public :: abb4n28
   complex(ki), public :: abb4n29
   complex(ki), public :: abb4n30
   complex(ki), public :: abb4n31
   complex(ki), public :: abb4n32
   complex(ki), public :: abb4n33
   complex(ki), public :: abb4n34
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   real(ki) :: t43
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p25_udbar_neepssbar_config, only: deltaOS
      use p25_udbar_neepssbar_kinematics
      use p25_udbar_neepssbar_model
      use p25_udbar_neepssbar_color, only: TR
      use p25_udbar_neepssbar_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k3
      t3 = t2*spak2k5*spbk4k1
      t43 = TR*TR
      t4 = t43*t3*spbk6k1
      t5 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t6 = es56*t5
      t7 = t4/t6
      t8 = t1*spak2k5
      t9 = t8*spak3k4*spbk4k1
      t10 = t43*t9*spbk6k4
      t11 = t10/t6
      t12 = t11+t7
      t13 = NC*NC*t6
      t4 = t4/t13
      t10 = t10/t13
      t14 = c2*i_
      t15 = t14*spak1k3
      t16 = t15*spak2k5*spbk4k1
      t5 = es56*NC*t5
      t17 = t43*t16/t5*spbk6k1
      t18 = t14*spak2k5*spak3k4*spbk4k1
      t19 = t43*t18/t5*spbk6k4
      t20 = NC*c2
      t21 = t20*i_
      t22 = t21*spak1k3
      t23 = t22*spak2k5*spbk4k1
      t24 = t43*t23/t6*spbk6k1
      t25 = t21*spak2k5
      t26 = t25*spak3k4*spbk4k1
      t27 = t43*t26/t6*spbk6k4
      abb4n1 = ((2.0_ki)*(t12+t17+t19-(t4+t27+t24+t10)))
      t28 = es234*c1*i_
      t29 = es34*c1*i_
      t30 = es234*t20*i_
      t31 = es34*t20*i_
      t32 = es12*c1*i_
      t33 = es345*c1*i_
      t34 = es61*c1*i_
      t35 = t2*spbk4k1
      t36 = TR*spak2k5
      t36 = t36*t36
      t37 = t1*spak3k4
      t38 = t37*spbk4k1
      t39 = es12*t20*i_
      t40 = es345*t20*i_
      t20 = es61*t20*i_
      t41 = t22*spbk4k1
      t42 = t21*spak3k4*spbk4k1
      abb4n2 = ((4.0_ki)*(t43*t29/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t29/t6*&
      &spak2k5*spak3k4*spbk4k1*spbk6k4+t43*t30/t6*spak1k3*spak2k5*spbk4k1*spbk6k&
      &1+t43*t30/t6*spak2k5*spak3k4*spbk4k1*spbk6k4-(t43*t31/t6*spak2k5*spak3k4*&
      &spbk4k1*spbk6k4+t43*t31/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t28/t6*spa&
      &k2k5*spak3k4*spbk4k1*spbk6k4+t43*t28/t6*spak1k3*spak2k5*spbk4k1*spbk6k1))&
      &+(2.0_ki)*(t35*t36/t6*spbk5k1*spbk6k2+t36*t38/t6*spbk5k4*spbk6k2+t43*t34/&
      &t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t34/t6*spak2k5*spak3k4*spbk4k1*spb&
      &k6k4+t43*t39/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t39/t6*spak2k5*spak3k&
      &4*spbk4k1*spbk6k4+t43*t40/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t40/t6*s&
      &pak2k5*spak3k4*spbk4k1*spbk6k4-(t43*t33/t6*spak2k5*spak3k4*spbk4k1*spbk6k&
      &4+t43*t33/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t32/t6*spak2k5*spak3k4*s&
      &pbk4k1*spbk6k4+t43*t32/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t43*t20/t6*spak&
      &2k5*spak3k4*spbk4k1*spbk6k4+t43*t20/t6*spak1k3*spak2k5*spbk4k1*spbk6k1+t3&
      &6*t42/t6*spbk5k4*spbk6k2+t36*t41/t6*spbk5k1*spbk6k2)))
      abb4n3 = ((4.0_ki)*(t12-(t27+t24)))
      t12 = t8*spak3k5
      t20 = t43*t12/t6*spbk4k1*spbk6k5
      t28 = t25*spak3k5
      t29 = t43*t28/t6*spbk4k1*spbk6k5
      t30 = t1*spak2k3
      t31 = t30*spak2k5
      t32 = t43*t31/t6*spbk4k1*spbk6k2
      t33 = t21*spak2k3
      t34 = t33*spak2k5
      t36 = t43*t34/t6*spbk4k1*spbk6k2
      abb4n4 = ((12.0_ki)*(t20-t29)+(4.0_ki)*(t36-t32))
      abb4n5 = ((12.0_ki)*(t29-t20)+(4.0_ki)*(t32-t36))
      t20 = t1*spak2k4
      t29 = t21*spak2k4
      abb4n6 = ((6.0_ki)*(t43*t28/t6*spbk3k1*spbk6k5+t43*t25/t6*spak4k5*spbk4k1*&
      &spbk6k5-(t43/t6*t8*spak4k5*spbk4k1*spbk6k5+t43*t12/t6*spbk3k1*spbk6k5))+(&
      &2.0_ki)*(t43*t31/t6*spbk3k1*spbk6k2+t43*t20/t6*spak2k5*spbk4k1*spbk6k2-(t&
      &43*t29/t6*spak2k5*spbk4k1*spbk6k2+t43*t34/t6*spbk3k1*spbk6k2)))
      t8 = t1*spak1k2
      t25 = t21*spak1k2
      abb4n7 = ((6.0_ki)*(t43*t28/t6*spbk4k3*spbk6k5+t43*t1/t6*spak1k5*spak2k5*s&
      &pbk4k1*spbk6k5-(t43*t21/t6*spak1k5*spak2k5*spbk4k1*spbk6k5+t43*t12/t6*spb&
      &k4k3*spbk6k5))+(2.0_ki)*(t43*t31/t6*spbk4k3*spbk6k2+t43/t6*t8*spak2k5*spb&
      &k4k1*spbk6k2-(t43*t25/t6*spak2k5*spbk4k1*spbk6k2+t43*t34/t6*spbk4k3*spbk6&
      &k2)))
      t12 = t43*t35
      abb4n8 = ((4.0_ki)*(t12/t13+t12/t6-(t43*t15/t5*spbk4k1+t43*t41/t6)))
      t12 = t43*t30*spbk4k1
      t28 = t12/t6
      t12 = t12/t13
      t31 = t14*spak2k3
      t32 = t43*t31/t5*spbk4k1
      t34 = t43*t33/t6*spbk4k1
      abb4n9 = ((16.0_ki)*(t12+t28-(t34+t32)))
      abb4n10 = ((16.0_ki)*(t32+t34-(t28+t12)))
      t12 = t43*t30*spbk3k1
      t20 = t43*t20*spbk4k1
      abb4n11 = ((8.0_ki)*(t43*t29/t6*spbk4k1+t43*t31/t5*spbk3k1+t43*t33/t6*spbk&
      &3k1+t43*t14/t5*spak2k4*spbk4k1-(t20/t6+t20/t13+t12/t6+t12/t13)))
      t7 = -(t7+t11)
      abb4n12 = ((4.0_ki)*(t10+t24+t27+t4+t7-(t19+t17)))
      abb4n13 = ((4.0_ki)*(t24+t27+t7)+(8.0_ki)*(t17+t19-(t4+t10)))
      t3 = t43*t3*spbk5k1
      t4 = t43*t2*spak2k6*spbk4k1*spbk6k1
      t7 = t43*t9*spbk5k4
      t1 = t43*t1*spak2k6*spak3k4*spbk4k1*spbk6k4
      abb4n14 = ((4.0_ki)*(t1/t13+t1/t6+t3/t13+t4/t13+t7/t13+t3/t6+t4/t6+t7/t6-(&
      &t43*t21/t6*spak2k6*spak3k4*spbk4k1*spbk6k4+t43*t14/t5*spak2k6*spak3k4*spb&
      &k4k1*spbk6k4+t43*t22/t6*spak2k6*spbk4k1*spbk6k1+t43*t15/t5*spak2k6*spbk4k&
      &1*spbk6k1+t43*t26/t6*spbk5k4+t43*t23/t6*spbk5k1+t43*t18/t5*spbk5k4+t43*t1&
      &6/t5*spbk5k1)))
      t1 = t14*spak3k4
      abb4n15 = ((4.0_ki)*(t43*t1/t5*spak5k6*spbk4k1*spbk6k4+t43*t15/t5*spak5k6*&
      &spbk4k1*spbk6k1-(t43*t37/t13*spak5k6*spbk4k1*spbk6k4+t43*t2/t13*spak5k6*s&
      &pbk4k1*spbk6k1)))
      t2 = t43*t38
      abb4n16 = ((4.0_ki)*(t2/t13+t2/t6-(t43*t1/t5*spbk4k1+t43*t42/t6)))
      t1 = t43*t8*spbk4k1
      t2 = t43*t30*spbk4k3
      abb4n17 = ((8.0_ki)*(t43*t25/t6*spbk4k1+t43*t31/t5*spbk4k3+t43*t33/t6*spbk&
      &4k3+t43*t14/t5*spak1k2*spbk4k1-(t2/t6+t2/t13+t1/t6+t1/t13)))
      rat2d4 = abb4n1
      rat2 = rat2 + rat2d4
      abb4n19 = abb4n2
      abb4n20 = abb4n17
      abb4n21 = abb4n16
      abb4n22 = abb4n15
      abb4n23 = abb4n14
      abb4n24 = abb4n13
      abb4n25 = abb4n12
      abb4n26 = abb4n11
      abb4n27 = abb4n10
      abb4n28 = abb4n9
      abb4n29 = abb4n8
      abb4n30 = abb4n7
      abb4n31 = abb4n6
      abb4n32 = abb4n5
      abb4n33 = abb4n4
      abb4n34 = abb4n3
   end subroutine
end module p25_udbar_neepssbar_abbrevd4h1
