module     p26_udbar_neepgg_d25h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity1/d25h1l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d25
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd25h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      real(ki) :: t43
      real(ki) :: t44
      real(ki) :: t45
      real(ki) :: t46
      real(ki) :: t47
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3+k2-k6-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t43 = dotproduct(qshift, qshift)
      t2 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t44 = dotproduct(k5, qshift)
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t45 = dotproduct(k2, qshift)
      t5 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t6 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t46 = dotproduct(k6, qshift)
      t7 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t8 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t9 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t10 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-s&
      &pvak3k4(4)*qshift(4))
      t11 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-s&
      &pvak2k4(4)*qshift(4))
      t47 = dotproduct(k1, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb25n33+t2*abb25n65+t3*abb25n68+t4*abb25n69+t43*abb25n&
         &53+t44*abb25n66+t45*abb25n76+t5*abb25n80+t1*t6*abb25n35+t10*t43*abb25n&
         &78+t10*t6*abb25n61+t10*t9*abb25n46+t11*t43*abb25n83+t11*t46*abb25n49+t&
         &11*t6*abb25n47+t2*t6*abb25n57+t3*t43*abb25n102+t3*t46*abb25n36+t3*t6*a&
         &bb25n37+t4*t6*abb25n42+t43*t7*abb25n95+t43*t8*abb25n88+t44*t6*abb25n54&
         &+t45*t6*abb25n58+t46*t7*abb25n39+t46*t8*abb25n44+t47*t6*abb25n55+t5*t6&
         &*abb25n56+t6*t7*abb25n41+t6*t8*abb25n43+t10*t3*t6*abb25n104+t10*t4*t6*&
         &abb25n98)
         return
      end if
      t12 = k2(iv1)
      t13 = k5(iv1)
      t14 = qshift(iv1)
      t15 = spvak2k1(iv1)
      t16 = spvak2k5(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k2(iv1)
      t19 = spvak6k1(iv1)
      t20 = k1(iv1)
      t21 = k6(iv1)
      t22 = spvak2k4(iv1)
      t23 = spvak2k6(iv1)
      t24 = spvak3k1(iv1)
      t25 = spvak3k4(iv1)
      t26 = spvak5k4(iv1)
      t27 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (t12*abb25n52+t13*abb25n62+t14*abb25n75+t15*abb25n59+t16*ab&
         &b25n50+t17*abb25n60+t18*abb25n63+t19*abb25n64+t1*t27*abb25n102+t10*t14&
         &*abb25n77+t10*t23*abb25n86+t10*t27*abb25n67+t11*t14*abb25n82+t11*t21*a&
         &bb25n81+t11*t27*abb25n85+t12*t6*abb25n70+t13*t6*abb25n74+t14*t3*abb25n&
         &101+t14*t7*abb25n94+t14*t8*abb25n87+t15*t6*abb25n92+t16*t6*abb25n72+t1&
         &7*t43*abb25n35+t17*t46*abb25n100+t17*t6*abb25n99+t18*t6*abb25n71+t19*t&
         &6*abb25n102+t2*t27*abb25n71+t20*t6*abb25n73+t21*t3*abb25n100+t21*t7*ab&
         &b25n97+t21*t8*abb25n90+t22*t43*abb25n48+t22*t46*abb25n81+t22*t6*abb25n&
         &85+t24*t43*abb25n40+t24*t46*abb25n97+t24*t6*abb25n93+t25*t43*abb25n51+&
         &t25*t6*abb25n67+t25*t9*abb25n86+t26*t43*abb25n45+t26*t46*abb25n90+t26*&
         &t6*abb25n91+t27*t3*abb25n99+t27*t4*abb25n92+t27*t44*abb25n74+t27*t45*a&
         &bb25n70+t27*t47*abb25n73+t27*t5*abb25n72+t27*t7*abb25n93+t27*t8*abb25n&
         &91+t10*t15*t6*abb25n38+t10*t17*t6*abb25n34+t10*t27*t3*abb25n34+t10*t27&
         &*t4*abb25n38+t25*t3*t6*abb25n34+t25*t4*t6*abb25n38)
         return
      end if
      t43 = d(iv1,iv2)
      t1 = spvak5k6(iv2)
      t2 = spvak2k4(iv2)
      t5 = spvak3k1(iv2)
      t9 = spvak5k1(iv2)
      t28 = spvak5k4(iv2)
      t29 = k6(iv2)
      t30 = spvak3k4(iv2)
      t31 = qshift(iv2)
      t32 = t1*t15
      t33 = spvak2k1(iv2)
      t34 = t27*t33
      t35 = t1*t25
      t36 = t27*t30
      t37 = t1*t17
      t38 = t27*t9
      t39 = t15*t30
      t40 = t25*t33
      t41 = t25*t9
      t42 = t17*t30
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t43*abb25n53+t10*t43*abb25n78+t11*t43*abb25n83+t&
         &3*t43*abb25n102+t43*t7*abb25n95+t43*t8*abb25n88)+t32*abb25n42+t34*abb2&
         &5n42+t35*abb25n61+t36*abb25n61+t37*abb25n37+t38*abb25n37+k1(iv2)*t27*a&
         &bb25n55+k2(iv2)*t27*abb25n58+k5(iv2)*t27*abb25n54+spvak2k5(iv2)*t27*ab&
         &b25n56+spvak2k6(iv2)*t25*abb25n46+spvak5k2(iv2)*t27*abb25n57+spvak6k1(&
         &iv2)*t27*abb25n35+t1*t12*abb25n58+t1*t13*abb25n54+t1*t16*abb25n56+t1*t&
         &18*abb25n57+t1*t19*abb25n35+t1*t20*abb25n55+t1*t22*abb25n47+t1*t24*abb&
         &25n41+t1*t26*abb25n43+t10*t32*abb25n98+t10*t34*abb25n98+t10*t37*abb25n&
         &104+t10*t38*abb25n104+t14*t2*abb25n84+t14*t28*abb25n89+t14*t30*abb25n7&
         &9+t14*t5*abb25n96+t14*t9*abb25n103+t17*t29*abb25n36+t17*t31*abb25n103+&
         &t2*t21*abb25n49+t2*t27*abb25n47+t21*t28*abb25n44+t21*t5*abb25n39+t21*t&
         &9*abb25n36+t22*t29*abb25n49+t22*t31*abb25n84+t23*t30*abb25n46+t24*t29*&
         &abb25n39+t24*t31*abb25n96+t25*t31*abb25n79+t26*t29*abb25n44+t26*t31*ab&
         &b25n89+t27*t28*abb25n43+t27*t5*abb25n41+t3*t35*abb25n104+t3*t36*abb25n&
         &104+t35*t4*abb25n98+t36*t4*abb25n98+t39*t6*abb25n98+t40*t6*abb25n98+t4&
         &1*t6*abb25n104+t42*t6*abb25n104)
         return
      end if
      t44 = d(iv2,iv3)
      t45 = d(iv1,iv3)
      t3 = spvak3k4(iv3)
      t4 = spvak5k1(iv3)
      t6 = spvak5k6(iv3)
      t7 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t43*abb25n48+spvak3k1(iv3)*t43*abb&
         &25n40+spvak5k4(iv3)*t43*abb25n45+t17*t44*abb25n35+t2*t45*abb25n48+t22*&
         &t44*abb25n48+t24*t44*abb25n40+t25*t44*abb25n51+t26*t44*abb25n45+t28*t4&
         &5*abb25n45+t3*t43*abb25n51+t30*t45*abb25n51+t4*t43*abb25n35+t45*t5*abb&
         &25n40+t45*t9*abb25n35)+t39*t6*abb25n38+t40*t6*abb25n38+t41*t6*abb25n34&
         &+t42*t6*abb25n34+t1*t15*t3*abb25n38+t1*t17*t3*abb25n34+t1*t25*t4*abb25&
         &n34+t1*t25*t7*abb25n38+t27*t3*t33*abb25n38+t27*t3*t9*abb25n34+t27*t30*&
         &t4*abb25n34+t27*t30*t7*abb25n38)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d25:
   subroutine     reconstruct_d25(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_25:
      coeffs%coeffs_25%c0 = derivative(czip)
      coeffs%coeffs_25%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_25%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_25%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_25%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_25%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_25%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_25%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_25%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_25%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_25%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_25%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_25%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_25%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_25%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_25%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_25%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_25%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_25%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_25%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_25%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_25%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_25%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_25%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_25%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_25%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_25%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_25%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_25%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_25%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_25%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_25%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_25%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_25%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_25%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_25:
   end subroutine reconstruct_d25
!---#] subroutine reconstruct_d25:
end module p26_udbar_neepgg_d25h1l1d
