module     p26_udbar_neepgg_abbrevd45h3
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh3
   implicit none
   private
   complex(ki), public :: abb45n1
   complex(ki), public :: abb45n2
   complex(ki), public :: abb45n3
   complex(ki), public :: abb45n4
   complex(ki), public :: abb45n5
   complex(ki), public :: abb45n6
   complex(ki), public :: abb45n7
   complex(ki), public :: abb45n8
   complex(ki), public :: abb45n9
   complex(ki), public :: abb45n10
   complex(ki), public :: abb45n11
   complex(ki), public :: abb45n12
   complex(ki), public :: abb45n13
   complex(ki), public :: abb45n14
   complex(ki), public :: abb45n15
   complex(ki), public :: rat2d45
   complex(ki), public :: abb45n17
   complex(ki), public :: abb45n18
   complex(ki), public :: abb45n19
   complex(ki), public :: abb45n20
   complex(ki), public :: abb45n21
   complex(ki), public :: abb45n22
   complex(ki), public :: abb45n23
   complex(ki), public :: abb45n24
   complex(ki), public :: abb45n25
   complex(ki), public :: abb45n26
   complex(ki), public :: abb45n27
   complex(ki), public :: abb45n28
   complex(ki), public :: abb45n29
   complex(ki), public :: abb45n30
   complex(ki), public :: abb45n31
   complex(ki), public :: abb45n32
   complex(ki), public :: abb45n33
   complex(ki), public :: abb45n34
   complex(ki), public :: abb45n35
   complex(ki), public :: abb45n36
   complex(ki), public :: abb45n37
   complex(ki), public :: abb45n38
   complex(ki), public :: abb45n39
   complex(ki), public :: abb45n40
   complex(ki), public :: abb45n41
   complex(ki), public :: abb45n42
   complex(ki), public :: abb45n43
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c1*i_
      t3 = t2*spak2k3
      t4 = es234*NC*t1
      t5 = spbk6k5*spbk6k5
      t6 = t4*t5
      t7 = t3/t6*spak2k5*spbk4k2*spbk5k1
      t6 = t3/t6*spak3k5*spbk4k3*spbk5k1
      t8 = NC*TR*c1
      t9 = t8*i_
      t10 = t9*spak2k3
      t11 = t10*spak2k5*spbk4k2
      t12 = t11*spbk5k1
      t13 = es234*t1
      t14 = t13*t5
      t15 = t12/t14
      t16 = t10*spak3k5*spbk4k3
      t17 = t16*spbk5k1
      t18 = t17/t14
      abb45n1 = ((2.0_ki)*(t18+t7-(t6+t15)))
      t19 = es56*t8*i_*spak2k3
      t20 = t19*spak2k5*spbk4k2
      t21 = t20*spbk5k1
      t19 = t19*spak3k5*spbk4k3
      t22 = t19*spbk5k1
      t23 = t1*t5
      t8 = es61*t8*i_*spak2k3
      abb45n2 = ((4.0_ki)*(t21/t14-t22/t14)+(2.0_ki)*(t17/t23+t8/t14*spak2k5*spb&
      &k4k2*spbk5k1-(t8/t14*spak3k5*spbk4k3*spbk5k1+t12/t23)))
      t8 = (8.0_ki)*(t15-t18)
      abb45n3 = t8
      t1 = es61*t1
      t12 = t1*spbk6k5
      t17 = t13*spbk6k5
      t23 = t9*spak1k2*spak2k3
      t24 = t23*spbk4k2
      t25 = t24*spbk6k1
      t26 = t9*spak1k3*spak2k3
      t27 = t26*spbk4k3
      t28 = t27*spbk6k1
      t1 = t1*t5
      abb45n4 = ((6.0_ki)*(t16/t12-t11/t12)+(4.0_ki)*(t11/t17-t16/t17)+(2.0_ki)*&
      &(t25/t1+t28/t14-(t25/t14+t28/t1)))
      t1 = es61*t13
      t12 = t1*t5
      t13 = t21/t12
      t17 = t22/t12
      t21 = t23*spak5k6*spbk4k2
      t22 = t21/t12*spbk5k1*spbk6k1
      t23 = t26*spak5k6*spbk4k3
      t25 = t23/t12*spbk5k1*spbk6k1
      abb45n5 = ((12.0_ki)*(t13-t17)+(4.0_ki)*(t25-t22)+t8)
      abb45n6 = ((12.0_ki)*(t17-t13)+(8.0_ki)*(t18-t15)+(4.0_ki)*(t22-t25))
      t8 = spbk6k1*spbk6k1
      abb45n7 = ((6.0_ki)*(t20/t12*spbk6k1-t19/t12*spbk6k1)+(2.0_ki)*(t11/t14*sp&
      &bk6k1+t23/t12*t8-(t16/t14*spbk6k1+t21/t12*t8)))
      t8 = t10*spak2k6*spbk4k2
      t11 = t8*spbk5k1
      t10 = t10*spak3k6*spbk4k3
      t13 = t10*spbk5k1
      t9 = t9*spak1k6*spak2k3
      t16 = spbk5k1*spbk5k1
      abb45n8 = ((2.0_ki)*(t13/t14+t16/t12*t9*spak2k5*spbk4k2-(t16/t12*t9*spak3k&
      &5*spbk4k3+t11/t14)))
      abb45n9 = ((4.0_ki)*(t15+t6-(t7+t18)))
      t6 = t2*spak1k6*spak2k3
      t4 = es61*t4
      t5 = t4*t5
      abb45n10 = ((4.0_ki)*(t9/t12*spbk4k2*spbk5k1+t6/t5*spbk4k2*spbk5k1))
      abb45n11 = ((4.0_ki)*(-(t6/t5*spbk4k3*spbk5k1+t9/t12*spbk4k3*spbk5k1)))
      t6 = t3*spak2k6*spbk4k2
      t7 = t6/t5*spbk5k1
      t3 = t3*spak3k6*spbk4k3
      t9 = t3/t5*spbk5k1
      t11 = t11/t12
      t13 = t13/t12
      abb45n12 = ((16.0_ki)*(t13+t9-(t7+t11)))
      abb45n13 = ((16.0_ki)*(t11+t7-(t9+t13)))
      abb45n14 = ((8.0_ki)*(t10/t12*spbk6k1+t3/t5*spbk6k1-(t6/t5*spbk6k1+t8/t12*&
      &spbk6k1)))
      t4 = t4*spbk6k5
      t1 = t1*spbk6k5
      abb45n15 = ((8.0_ki)*(t8/t1+t6/t4+t27/t12*spbk5k1+t2/t5*spak1k3*spak2k3*sp&
      &bk4k3*spbk5k1-(t2/t5*spak1k2*spak2k3*spbk4k2*spbk5k1+t24/t12*spbk5k1+t3/t&
      &4+t10/t1)))
      rat2d45 = abb45n1
      rat2 = rat2 + rat2d45
      abb45n17 = abb45n2
      abb45n18 = abb45n15
      abb45n19 = abb45n14
      abb45n20 = abb45n13
      abb45n21 = abb45n12
      abb45n22 = abb45n11
      abb45n23 = abb45n10
      abb45n24 = abb45n9
      abb45n25 = abb45n8
      abb45n26 = abb45n7
      abb45n27 = abb45n6
      abb45n28 = abb45n5
      abb45n29 = abb45n4
      abb45n30 = abb45n3
      abb45n31 = -(abb45n3)
      abb45n32 = -(abb45n4)
      abb45n33 = -(abb45n5)
      abb45n34 = -(abb45n6)
      abb45n35 = -(abb45n7)
      abb45n36 = -(abb45n8)
      abb45n37 = (-2.0_ki)*abb45n9
      abb45n38 = -(abb45n10)
      abb45n39 = -(abb45n11)
      abb45n40 = -(abb45n12)
      abb45n41 = -(abb45n13)
      abb45n42 = -(abb45n14)
      abb45n43 = -(abb45n15)
   end subroutine
end module p26_udbar_neepgg_abbrevd45h3
