module     p26_udbar_neepgg_d28h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity3/d28h3l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d28
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd28h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      real(ki) :: t43
      real(ki) :: t44
      real(ki) :: t45
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t41 = dotproduct(qshift, qshift)
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t42 = dotproduct(k5, qshift)
      t43 = dotproduct(k6, qshift)
      t44 = dotproduct(k2, qshift)
      t2 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t3 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t45 = dotproduct(k1, qshift)
      t4 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t5 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t6 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t7 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t8 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t9 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t10 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-s&
      &pvak6k2(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb28n33+t1*abb28n74+t2*abb28n78+t3*abb28n88+t41*abb28n44+&
         &t42*abb28n75+t43*abb28n76+t44*abb28n77+t45*abb28n90+t1*t2*abb28n38+t1*&
         &t3*abb28n58+t1*t41*abb28n98+t1*t42*abb28n37+t1*t43*abb28n37+t1*t44*abb&
         &28n35+t10*t2*abb28n52+t2*t3*abb28n42+t2*t4*abb28n35+t2*t41*abb28n85+t2&
         &*t42*abb28n48+t2*t43*abb28n46+t2*t44*abb28n46+t2*t5*abb28n40+t2*t6*abb&
         &28n41+t2*t7*abb28n49+t2*t8*abb28n50+t2*t9*abb28n51+t3*t41*abb28n67+t3*&
         &t42*abb28n63+t3*t45*abb28n62+t41*t5*abb28n70+t45*t5*abb28n59+t2*t3*t4*&
         &abb28n101+t2*t3*t6*abb28n94)
         return
      end if
      t11 = k1(iv1)
      t12 = k2(iv1)
      t13 = k5(iv1)
      t14 = k6(iv1)
      t15 = qshift(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k6(iv1)
      t19 = spvak2k1(iv1)
      t20 = spvak2k5(iv1)
      t21 = spvak2k6(iv1)
      t22 = spvak3k1(iv1)
      t23 = t17*abb28n96
      t24 = t18*abb28n87
      t25 = spvak6k1(iv1)
      t26 = spvak6k2(iv1)
      t27 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t11*abb28n43+t12*abb28n54+t13*abb28n56+t14*abb28n55+t15*ab&
         &b28n89+t16*abb28n45+t17*abb28n57+t18*abb28n53+t23*t42+t23*t43+t24*t43+&
         &t24*t44+t1*t12*abb28n100+t1*t13*abb28n96+t1*t14*abb28n96+t1*t15*abb28n&
         &97+t1*t16*abb28n73+t1*t18*abb28n95+t10*t18*abb28n79+t11*t3*abb28n65+t1&
         &1*t5*abb28n72+t12*t2*abb28n87+t13*t2*abb28n83+t13*t3*abb28n64+t14*t2*a&
         &bb28n87+t15*t2*abb28n84+t15*t3*abb28n66+t15*t5*abb28n69+t16*t2*abb28n9&
         &1+t16*t41*abb28n61+t16*t42*abb28n64+t16*t45*abb28n65+t17*t2*abb28n95+t&
         &17*t3*abb28n73+t17*t41*abb28n36+t17*t44*abb28n100+t18*t3*abb28n91+t18*&
         &t4*abb28n100+t18*t41*abb28n47+t18*t42*abb28n83+t18*t5*abb28n93+t18*t6*&
         &abb28n92+t18*t7*abb28n82+t18*t8*abb28n81+t18*t9*abb28n80+t19*t2*abb28n&
         &92+t2*t20*abb28n80+t2*t21*abb28n81+t2*t22*abb28n93+t2*t25*abb28n100+t2&
         &*t26*abb28n79+t2*t27*abb28n82+t22*t41*abb28n60+t22*t45*abb28n72+t16*t2&
         &*t4*abb28n34+t16*t2*t6*abb28n39+t18*t3*t4*abb28n34+t18*t3*t6*abb28n39+&
         &t19*t2*t3*abb28n39+t2*t25*t3*abb28n34)
         return
      end if
      t41 = d(iv1,iv2)
      t7 = spvak3k1(iv2)
      t8 = spvak3k4(iv2)
      t9 = k1(iv2)
      t10 = spvak5k1(iv2)
      t23 = spvak5k6(iv2)
      t24 = k2(iv2)
      t28 = k5(iv2)
      t29 = k6(iv2)
      t30 = qshift(iv2)
      t31 = t19*t23
      t32 = spvak2k1(iv2)
      t33 = t18*t32
      t34 = t16*t23
      t35 = t18*t8
      t36 = spvak6k1(iv2)
      t37 = t18*t36
      t38 = t23*t25
      t39 = t19*t8
      t40 = t16*t32
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t41*abb28n44+t1*t41*abb28n98+t2*t41*abb28n85+t3*&
         &t41*abb28n67+t41*t5*abb28n70)+t31*abb28n41+t33*abb28n41+t34*abb28n42+t&
         &35*abb28n42+t37*abb28n35+t38*abb28n35+spvak2k5(iv2)*t18*abb28n51+spvak&
         &2k6(iv2)*t18*abb28n50+spvak6k2(iv2)*t18*abb28n52+spvak6k5(iv2)*t18*abb&
         &28n49+t10*t12*abb28n35+t10*t13*abb28n37+t10*t14*abb28n37+t10*t15*abb28&
         &n99+t10*t16*abb28n58+t10*t18*abb28n38+t11*t7*abb28n59+t11*t8*abb28n62+&
         &t12*t23*abb28n46+t13*t23*abb28n48+t13*t8*abb28n63+t14*t23*abb28n46+t15&
         &*t23*abb28n86+t15*t7*abb28n71+t15*t8*abb28n68+t16*t28*abb28n63+t16*t30&
         &*abb28n68+t16*t9*abb28n62+t17*t23*abb28n38+t17*t24*abb28n35+t17*t28*ab&
         &b28n37+t17*t29*abb28n37+t17*t30*abb28n99+t17*t8*abb28n58+t18*t24*abb28&
         &n46+t18*t28*abb28n48+t18*t29*abb28n46+t18*t30*abb28n86+t18*t7*abb28n40&
         &+t2*t39*abb28n94+t2*t40*abb28n94+t20*t23*abb28n51+t21*t23*abb28n50+t22&
         &*t23*abb28n40+t22*t30*abb28n71+t22*t9*abb28n59+t23*t26*abb28n52+t23*t2&
         &7*abb28n49+t3*t31*abb28n94+t3*t33*abb28n94+t3*t37*abb28n101+t3*t38*abb&
         &28n101+t34*t4*abb28n101+t34*t6*abb28n94+t35*t4*abb28n101+t35*t6*abb28n&
         &94+t16*t2*t36*abb28n101+t2*t25*t8*abb28n101)
         return
      end if
      t42 = d(iv2,iv3)
      t43 = d(iv1,iv3)
      t1 = spvak3k4(iv3)
      t2 = spvak5k6(iv3)
      t3 = spvak2k1(iv3)
      t4 = spvak6k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak3k1(iv3)*t41*abb28n60+spvak5k1(iv3)*t41*abb&
         &28n36+t1*t41*abb28n61+t10*t43*abb28n36+t16*t42*abb28n61+t17*t42*abb28n&
         &36+t18*t42*abb28n47+t2*t41*abb28n47+t22*t42*abb28n60+t23*t43*abb28n47+&
         &t43*t7*abb28n60+t43*t8*abb28n61)+t2*t39*abb28n39+t2*t40*abb28n39+t34*t&
         &4*abb28n34+t35*t4*abb28n34+t1*t18*t32*abb28n39+t1*t18*t36*abb28n34+t1*&
         &t19*t23*abb28n39+t1*t23*t25*abb28n34+t16*t2*t36*abb28n34+t16*t23*t3*ab&
         &b28n39+t18*t3*t8*abb28n39+t2*t25*t8*abb28n34)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d28:
   subroutine     reconstruct_d28(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group2
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group2), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_28:
      coeffs%coeffs_28%c0 = derivative(czip)
      coeffs%coeffs_28%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_28%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_28%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_28%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_28%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_28%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_28%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_28%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_28%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_28%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_28%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_28%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_28%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_28%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_28%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_28%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_28%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_28%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_28%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_28%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_28%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_28%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_28%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_28%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_28%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_28%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_28%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_28%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_28%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_28%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_28%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_28%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_28%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_28%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_28:
   end subroutine reconstruct_d28
!---#] subroutine reconstruct_d28:
end module p26_udbar_neepgg_d28h3l1d
