module     p3_ud_emnebaruu_abbrevd19h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb19n1
   complex(ki), public :: abb19n2
   complex(ki), public :: abb19n3
   complex(ki), public :: abb19n4
   complex(ki), public :: abb19n5
   complex(ki), public :: abb19n6
   complex(ki), public :: abb19n7
   complex(ki), public :: abb19n8
   complex(ki), public :: abb19n9
   complex(ki), public :: abb19n10
   complex(ki), public :: abb19n11
   complex(ki), public :: abb19n12
   complex(ki), public :: abb19n13
   complex(ki), public :: abb19n14
   complex(ki), public :: abb19n15
   complex(ki), public :: abb19n16
   complex(ki), public :: rat2d19
   complex(ki), public :: abb19n18
   complex(ki), public :: abb19n19
   complex(ki), public :: abb19n20
   complex(ki), public :: abb19n21
   complex(ki), public :: abb19n22
   complex(ki), public :: abb19n23
   complex(ki), public :: abb19n24
   complex(ki), public :: abb19n25
   complex(ki), public :: abb19n26
   complex(ki), public :: abb19n27
   complex(ki), public :: abb19n28
   complex(ki), public :: abb19n29
   complex(ki), public :: abb19n30
   complex(ki), public :: abb19n31
   complex(ki), public :: abb19n32
   complex(ki), public :: abb19n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   real(ki) :: t49
   real(ki) :: t50
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t49 = es234-(es61+es56)
      t1 = es34+wW*mW*i_-mW*mW
      t2 = Nfrat*c2
      t3 = t2*i_
      t4 = t3*spak2k3
      t5 = t4*spak5k6
      t50 = TR*TR
      t6 = t50*t5*spbk2k1*spbk4k2
      t49 = t49*t49
      t7 = t49*t1
      t8 = t3*spak3k4
      t9 = t8*spak5k6
      t10 = t50*t9*spbk4k1*spbk4k2
      t11 = Nfrat*c1
      t12 = t11*i_
      t13 = t12*spak2k3
      t14 = t13*spak5k6
      t15 = t50*t14*spbk2k1*spbk4k2
      t16 = NC*t1
      t17 = t49*t16
      t18 = t12*spak3k4
      t19 = t18*spak5k6
      t20 = t50*t19*spbk4k1*spbk4k2
      t21 = es234*t2*i_
      t22 = (es12+es34-(es56+es345))*t1
      t23 = t49*t22
      t24 = es56*t2*i_
      t2 = es61*t2*i_
      t1 = es234*t49*t1
      t25 = es234*t11*i_
      t22 = NC*t49*t22
      t26 = es56*t11*i_
      t11 = es61*t11*i_
      t16 = es234*t49*t16
      t27 = c1*i_
      t28 = t27*spak2k3*spak5k6
      t29 = t50*t28*spbk2k1*spbk4k2
      t30 = t27*spak3k4*spak5k6
      t31 = t50*t30*spbk4k1*spbk4k2
      t32 = NC*c2
      t33 = t32*i_
      t34 = t33*spak2k3*spak5k6
      t35 = t50*t34*spbk2k1*spbk4k2
      t36 = t33*spak3k4*spak5k6
      t37 = t50*t36*spbk4k1*spbk4k2
      t38 = es234*c1*i_
      t39 = es56*c1*i_
      t40 = es61*c1*i_
      t41 = es234*t32*i_
      t42 = es56*t32*i_
      t32 = es61*t32*i_
      t32 = t35/t7+t37/t7+t50*t39/t1*spak2k3*spak5k6*spbk2k1*spbk4k2+t50*t39/t1*&
      &spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t40/t1*spak2k3*spak5k6*spbk2k1*spbk4k&
      &2+t50*t40/t1*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t39/t23*spak3k5*spak3k6*&
      &spbk2k1*spbk4k3+t50*t39/t23*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t40/t23*s&
      &pak3k5*spak3k6*spbk2k1*spbk4k3+t50*t40/t23*spak3k6*spak5k6*spbk2k1*spbk6k&
      &4+t50*t41/t23*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t41/t23*spak3k6*spak5k6&
      &*spbk2k1*spbk6k4-(t50*t42/t23*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t42/t23&
      &*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t38/t23*spak3k6*spak5k6*spbk2k1*spbk&
      &6k4+t50*t38/t23*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t32/t23*spak3k6*spak5&
      &k6*spbk2k1*spbk6k4+t50*t32/t23*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t42/t1&
      &*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t42/t1*spak2k3*spak5k6*spbk2k1*spbk4&
      &k2+t50*t32/t1*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t32/t1*spak2k3*spak5k6*&
      &spbk2k1*spbk4k2+t31/t7+t29/t7)
      abb19n1 = ((20.0_ki/3.0_ki)*(t10/t7+t6/t7+t50*t11/t16*spak2k3*spak5k6*spbk&
      &2k1*spbk4k2+t50*t11/t16*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t11/t22*spak3&
      &k5*spak3k6*spbk2k1*spbk4k3+t50*t11/t22*spak3k6*spak5k6*spbk2k1*spbk6k4+t5&
      &0*t26/t16*spak2k3*spak5k6*spbk2k1*spbk4k2+t50*t26/t16*spak3k4*spak5k6*spb&
      &k4k1*spbk4k2+t50*t21/t23*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t21/t23*spak&
      &3k6*spak5k6*spbk2k1*spbk6k4+t50*t26/t22*spak3k5*spak3k6*spbk2k1*spbk4k3+t&
      &50*t26/t22*spak3k6*spak5k6*spbk2k1*spbk6k4-(t50*t24/t23*spak3k6*spak5k6*s&
      &pbk2k1*spbk6k4+t50*t24/t23*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t25/t22*sp&
      &ak3k6*spak5k6*spbk2k1*spbk6k4+t50*t25/t22*spak3k5*spak3k6*spbk2k1*spbk4k3&
      &+t50*t2/t23*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t2/t23*spak3k5*spak3k6*sp&
      &bk2k1*spbk4k3+t50*t24/t1*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t24/t1*spak2&
      &k3*spak5k6*spbk2k1*spbk4k2+t50*t2/t1*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*&
      &t2/t1*spak2k3*spak5k6*spbk2k1*spbk4k2+t20/t17+t15/t17))+(2.0_ki/3.0_ki)*t&
      &32)
      t2 = t3*spak1k5
      t7 = t2*spak3k6*spbk2k1
      t11 = t12*spak1k5
      t17 = t11*spak3k6*spbk2k1
      abb19n2 = ((20.0_ki)*(t50/t23*t7*spbk4k3-t50*t17/t22*spbk4k3))
      abb19n3 = ((10.0_ki)*t32)
      t21 = t27*spak3k6
      t24 = t50*t21/t1*spbk4k2
      t25 = t33*spak3k6
      t26 = t50*t25/t1*spbk4k2
      abb19n4 = ((16.0_ki)*(t24-t26))
      abb19n5 = ((16.0_ki)*(t26-t24))
      abb19n6 = ((8.0_ki)*(t50*t21/t1*spbk3k2+t50*t27/t1*spak4k6*spbk4k2-(t50*t3&
      &3/t1*spak4k6*spbk4k2+t50*t25/t1*spbk3k2)))
      t24 = t3*spak3k6
      t26 = t12*spak3k6
      t32 = t50*t21*spbk4k3
      t38 = t50*t25*spbk4k3
      abb19n7 = ((40.0_ki)*(t50*t24/t23*spbk4k3-t50*t26/t22*spbk4k3)+(8.0_ki)*(t&
      &32/t1+t32/t23+t50*t33/t1*spak2k6*spbk4k2-(t50*t27/t1*spak2k6*spbk4k2+t38/&
      &t23+t38/t1)))
      abb19n8 = ((20.0_ki)*(t50*t17/t22*spbk6k4+t50*t11/t16*spak2k3*spbk2k1*spbk&
      &4k2+t50*t11/t16*spak3k4*spbk4k1*spbk4k2-(t50*t2/t1*spak3k4*spbk4k1*spbk4k&
      &2+t50*t2/t1*spak2k3*spbk2k1*spbk4k2+t50/t23*t7*spbk6k4)))
      t2 = t3*spak3k5*spak3k6
      t7 = t50*t2/t23*spbk2k1*spbk4k3
      t11 = t24*spak5k6
      t17 = t50*t11/t23*spbk2k1*spbk6k4
      t6 = t6/t1
      t10 = t10/t1
      t32 = t12*spak3k5*spak3k6
      t38 = t50*t32/t22*spbk2k1*spbk4k3
      t39 = t26*spak5k6
      t40 = t50*t39/t22*spbk2k1*spbk6k4
      t15 = t15/t16
      t20 = t20/t16
      t41 = t27*spak3k5*spak3k6
      t42 = t50*t41/t23*spbk2k1*spbk4k3
      t43 = t21*spak5k6
      t44 = t50*t43/t23*spbk2k1*spbk6k4
      t29 = t29/t1
      t31 = t31/t1
      t45 = t33*spak3k5*spak3k6
      t46 = t50*t45/t23*spbk2k1*spbk4k3
      t47 = t25*spak5k6
      t48 = t50*t47/t23*spbk2k1*spbk6k4
      t35 = t35/t1
      t37 = t37/t1
      abb19n9 = ((80.0_ki)*(t15+t20+t38+t40-(t7+t6+t17+t10))+(4.0_ki)*(t29+t31+t&
      &42+t44-(t48+t46+t37+t35)))
      t6 = t10+t17+t6+t7-(t40+t38+t20+t15)
      t7 = (4.0_ki)*(t35+t37+t46+t48-(t44+t42+t31+t29))
      abb19n10 = ((40.0_ki)*t6+t7)
      abb19n11 = ((80.0_ki)*t6+t7)
      t2 = t2*spbk4k3
      t5 = t5*spbk4k2
      t6 = t32*spbk4k3
      t7 = t14*spbk4k2
      abb19n12 = ((20.0_ki)*(t50/t16*t7*spbk5k1+t50/t22*t6*spbk5k1+t50*t39/t22*s&
      &pbk5k1*spbk6k4-(t50*t11/t23*spbk5k1*spbk6k4+t50*t2/t23*spbk5k1+t50*t5/t1*&
      &spbk5k1)))
      t9 = t9*spbk4k2
      t10 = t19*spbk4k2
      abb19n13 = ((20.0_ki)*(t50*t10/t16*spbk5k1-t50/t1*t9*spbk5k1))
      abb19n14 = ((8.0_ki)*(t50*t25/t23*spbk6k4-t50*t21/t23*spbk6k4)+(40.0_ki)*(&
      &t50*t13/t16*spbk4k2+t50*t26/t22*spbk6k4-(t50*t24/t23*spbk6k4+t50*t4/t1*sp&
      &bk4k2)))
      t4 = t3*spak1k6
      t13 = t12*spak1k6
      t14 = t27*spak1k6
      t15 = t33*spak1k6
      abb19n15 = ((40.0_ki)*(t50*t5/t1*spbk5k2+t50/t1*t9*spbk5k4+t50*t2/t23*spbk&
      &5k2+t50*t11/t23*spbk5k2*spbk6k4+t50*t4/t1*spak2k3*spbk2k1*spbk4k2+t50*t4/&
      &t1*spak3k4*spbk4k1*spbk4k2+t50*t4/t23*spak3k6*spbk2k1*spbk6k4+t50*t12/t22&
      &*spak1k3*spak3k6*spbk2k1*spbk4k3-(t50*t3/t23*spak1k3*spak3k6*spbk2k1*spbk&
      &4k3+t50*t13/t22*spak3k6*spbk2k1*spbk6k4+t50*t13/t16*spak3k4*spbk4k1*spbk4&
      &k2+t50*t13/t16*spak2k3*spbk2k1*spbk4k2+t50*t39/t22*spbk5k2*spbk6k4+t50/t2&
      &2*t6*spbk5k2+t50/t16*t7*spbk5k2+t50*t10/t16*spbk5k4))+(3.0_ki)*(t50*t28/t&
      &1*spbk4k2*spbk5k2+t50*t30/t1*spbk4k2*spbk5k4+t50*t41/t23*spbk4k3*spbk5k2+&
      &t50*t43/t23*spbk5k2*spbk6k4+t50*t14/t1*spak2k3*spbk2k1*spbk4k2+t50*t14/t1&
      &*spak3k4*spbk4k1*spbk4k2+t50*t14/t23*spak3k6*spbk2k1*spbk6k4+t50*t33/t23*&
      &spak1k3*spak3k6*spbk2k1*spbk4k3-(t50*t27/t23*spak1k3*spak3k6*spbk2k1*spbk&
      &4k3+t50*t15/t23*spak3k6*spbk2k1*spbk6k4+t50*t15/t1*spak3k4*spbk4k1*spbk4k&
      &2+t50*t15/t1*spak2k3*spbk2k1*spbk4k2+t50*t47/t23*spbk5k2*spbk6k4+t50*t45/&
      &t23*spbk4k3*spbk5k2+t50*t36/t1*spbk4k2*spbk5k4+t50*t34/t1*spbk4k2*spbk5k2&
      &)))
      abb19n16 = ((40.0_ki)*(t50*t18/t16*spbk4k2-t50/t1*t8*spbk4k2))
      rat2d19 = abb19n1
      rat2 = rat2 + rat2d19
      abb19n18 = abb19n3
      abb19n19 = abb19n16
      abb19n20 = abb19n14
      abb19n21 = abb19n10
      abb19n22 = abb19n7
      abb19n23 = abb19n6
      abb19n24 = abb19n5
      abb19n25 = abb19n4
      abb19n26 = -(abb19n2)
      abb19n27 = -(abb19n8)
      abb19n28 = -(abb19n9)
      abb19n29 = ((2.0_ki)*abb19n10)
      abb19n30 = -(abb19n11)
      abb19n31 = -(abb19n12)
      abb19n32 = -(abb19n13)
      abb19n33 = -(abb19n15)
   end subroutine
end module p3_ud_emnebaruu_abbrevd19h0
