module     p3_ud_emnebaruu_abbrevd35h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb35n1
   complex(ki), public :: abb35n2
   complex(ki), public :: abb35n3
   complex(ki), public :: abb35n4
   complex(ki), public :: abb35n5
   complex(ki), public :: abb35n6
   complex(ki), public :: abb35n7
   complex(ki), public :: abb35n8
   complex(ki), public :: abb35n9
   complex(ki), public :: abb35n10
   complex(ki), public :: abb35n11
   complex(ki), public :: abb35n12
   complex(ki), public :: abb35n13
   complex(ki), public :: abb35n14
   complex(ki), public :: abb35n15
   complex(ki), public :: abb35n16
   complex(ki), public :: rat2d35
   complex(ki), public :: abb35n18
   complex(ki), public :: abb35n19
   complex(ki), public :: abb35n20
   complex(ki), public :: abb35n21
   complex(ki), public :: abb35n22
   complex(ki), public :: abb35n23
   complex(ki), public :: abb35n24
   complex(ki), public :: abb35n25
   complex(ki), public :: abb35n26
   complex(ki), public :: abb35n27
   complex(ki), public :: abb35n28
   complex(ki), public :: abb35n29
   complex(ki), public :: abb35n30
   complex(ki), public :: abb35n31
   complex(ki), public :: abb35n32
   complex(ki), public :: abb35n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   real(ki) :: t55
   real(ki) :: t56
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = Nfrat*c1*i_
      t3 = t2*spak2k3
      t4 = t3*spak5k6
      t55 = TR*TR
      t5 = t55*t4*spbk2k1*spbk4k2
      t6 = es234*t1
      t7 = es61*t6
      t8 = t2*spak3k4
      t9 = t8*spak5k6
      t10 = t55*t9*spbk4k1*spbk4k2
      t11 = t2*spak3k5
      t12 = t11*spak3k6
      t13 = t55*t12*spbk2k1*spbk4k3
      t14 = es345*t1
      t15 = es61*t14
      t16 = t11*spak5k6
      t17 = t55*t16*spbk2k1*spbk5k4
      t18 = Nfrat*c2*i_
      t19 = t18*spak2k3
      t20 = t19*spak5k6
      t21 = t55*t20*spbk2k1*spbk4k2
      t1 = NC*t1
      t22 = es234*t1
      t23 = es61*t22
      t24 = t18*spak3k4
      t25 = t24*spak5k6
      t26 = t55*t25*spbk4k1*spbk4k2
      t27 = t18*spak3k5
      t28 = t27*spak3k6
      t29 = t55*t28*spbk2k1*spbk4k3
      t1 = es345*t1
      t30 = es61*t1
      t31 = t27*spak5k6
      t32 = t55*t31*spbk2k1*spbk5k4
      t33 = c2*i_
      t34 = t33*spak2k3*spak5k6
      t35 = t55*t34*spbk2k1*spbk4k2
      t36 = t33*spak3k4*spak5k6
      t37 = t55*t36*spbk4k1*spbk4k2
      t38 = t33*spak3k5
      t39 = t38*spak3k6
      t40 = t55*t39*spbk2k1*spbk4k3
      t41 = t38*spak5k6
      t42 = t55*t41*spbk2k1*spbk5k4
      t43 = NC*c1*i_
      t44 = t43*spak2k3*spak5k6
      t45 = t55*t44*spbk2k1*spbk4k2
      t46 = t43*spak3k4*spak5k6
      t47 = t55*t46*spbk4k1*spbk4k2
      t48 = t43*spak3k5
      t49 = t48*spak3k6
      t50 = t55*t49*spbk2k1*spbk4k3
      t51 = t48*spak5k6
      t52 = t55*t51*spbk2k1*spbk5k4
      t53 = t40/t15+t52/t15+t45/t7+t47/t7-(t37/t7+t35/t7+t50/t15+t42/t15)
      abb35n1 = ((20.0_ki/3.0_ki)*(t10/t7+t17/t15+t29/t30+t5/t7-(t32/t30+t26/t23&
      &+t21/t23+t13/t15))+(2.0_ki/3.0_ki)*t53)
      abb35n2 = ((10.0_ki)*t53)
      t56 = es61*es61
      t6 = t56*t6
      t7 = t55*t38/t6*spbk4k2
      t15 = t55*t48/t6*spbk4k2
      abb35n3 = ((16.0_ki)*(t7-t15))
      abb35n4 = ((16.0_ki)*(t15-t7))
      abb35n5 = ((8.0_ki)*(t55*t48/t6*spbk3k2+t55*t43/t6*spak4k5*spbk4k2-(t55*t3&
      &3/t6*spak4k5*spbk4k2+t55*t38/t6*spbk3k2)))
      t7 = t2*spak1k6
      t15 = t7*spak3k5*spbk2k1
      t14 = t56*t14
      t23 = t18*spak1k6
      t30 = t23*spak3k5*spbk2k1
      t1 = t56*t1
      abb35n6 = ((20.0_ki)*(t55*t30/t1*spbk4k3-t55*t15/t14*spbk4k3))
      t53 = t55*t38*spbk4k3
      t54 = t55*t48*spbk4k3
      abb35n7 = ((40.0_ki)*(t55*t27/t1*spbk4k3-t55*t11/t14*spbk4k3)+(8.0_ki)*(t5&
      &4/t14+t54/t6+t55*t33/t6*spak2k5*spbk4k2-(t55*t43/t6*spak2k5*spbk4k2+t53/t&
      &6+t53/t14)))
      t22 = t56*t22
      abb35n8 = ((20.0_ki)*(t55*t15/t14*spbk5k4+t55/t6*t7*spak2k3*spbk2k1*spbk4k&
      &2+t55/t6*t7*spak3k4*spbk4k1*spbk4k2-(t55*t23/t22*spak3k4*spbk4k1*spbk4k2+&
      &t55*t23/t22*spak2k3*spbk2k1*spbk4k2+t55*t30/t1*spbk5k4)))
      t5 = t5/t6
      t7 = t10/t6
      t10 = t13/t14
      t13 = t17/t14
      t15 = t21/t22
      t17 = t26/t22
      t21 = t29/t1
      t23 = t32/t1
      t26 = t35/t6
      t29 = t37/t6
      t30 = t40/t14
      t32 = t42/t14
      t35 = t45/t6
      t37 = t47/t6
      t40 = t50/t14
      t42 = t52/t14
      abb35n9 = ((80.0_ki)*(t10+t15+t17+t23-(t7+t5+t21+t13))+(4.0_ki)*(t26+t29+t&
      &32+t40-(t42+t37+t35+t30)))
      t5 = t13+t21+t5+t7-(t23+t17+t15+t10)
      t7 = (4.0_ki)*(t30+t35+t37+t42-(t40+t32+t29+t26))
      abb35n10 = ((40.0_ki)*t5+t7)
      abb35n11 = ((80.0_ki)*t5+t7)
      t4 = t4*spbk4k2
      t5 = t12*spbk4k3
      t7 = t16*spbk5k4
      t10 = t20*spbk4k2
      t12 = t28*spbk4k3
      t13 = t31*spbk5k4
      abb35n12 = ((20.0_ki)*(t55*t13/t1*spbk6k1+t55*t10/t22*spbk6k1+t55*t5/t14*s&
      &pbk6k1-(t55*t4/t6*spbk6k1+t55/t14*t7*spbk6k1+t55*t12/t1*spbk6k1)))
      t9 = t9*spbk4k2
      t15 = t25*spbk4k2
      abb35n13 = ((20.0_ki)*(t55*t15/t22*spbk6k1-t55/t6*t9*spbk6k1))
      abb35n14 = ((8.0_ki)*(t55*t38/t14*spbk5k4-t55*t48/t14*spbk5k4)+(40.0_ki)*(&
      &t55*t11/t14*spbk5k4+t55*t3/t6*spbk4k2-(t55*t19/t22*spbk4k2+t55*t27/t1*spb&
      &k5k4)))
      t3 = t2*spak1k5
      t11 = t18*spak1k5
      t16 = t33*spak1k5
      t17 = t43*spak1k5
      abb35n15 = ((40.0_ki)*(t55*t12/t1*spbk6k2+t55/t14*t7*spbk6k2+t55*t4/t6*spb&
      &k6k2+t55/t6*t9*spbk6k4+t55*t11/t1*spak3k5*spbk2k1*spbk5k4+t55*t11/t22*spa&
      &k2k3*spbk2k1*spbk4k2+t55*t11/t22*spak3k4*spbk4k1*spbk4k2+t55*t2/t14*spak1&
      &k3*spak3k5*spbk2k1*spbk4k3-(t55*t18/t1*spak1k3*spak3k5*spbk2k1*spbk4k3+t5&
      &5*t3/t6*spak3k4*spbk4k1*spbk4k2+t55*t3/t6*spak2k3*spbk2k1*spbk4k2+t55*t3/&
      &t14*spak3k5*spbk2k1*spbk5k4+t55*t15/t22*spbk6k4+t55*t5/t14*spbk6k2+t55*t1&
      &0/t22*spbk6k2+t55*t13/t1*spbk6k2))+(3.0_ki)*(t55*t41/t14*spbk5k4*spbk6k2+&
      &t55*t49/t14*spbk4k3*spbk6k2+t55*t34/t6*spbk4k2*spbk6k2+t55*t36/t6*spbk4k2&
      &*spbk6k4+t55*t17/t14*spak3k5*spbk2k1*spbk5k4+t55*t17/t6*spak2k3*spbk2k1*s&
      &pbk4k2+t55*t17/t6*spak3k4*spbk4k1*spbk4k2+t55*t33/t14*spak1k3*spak3k5*spb&
      &k2k1*spbk4k3-(t55*t43/t14*spak1k3*spak3k5*spbk2k1*spbk4k3+t55*t16/t6*spak&
      &3k4*spbk4k1*spbk4k2+t55*t16/t6*spak2k3*spbk2k1*spbk4k2+t55*t16/t14*spak3k&
      &5*spbk2k1*spbk5k4+t55*t46/t6*spbk4k2*spbk6k4+t55*t44/t6*spbk4k2*spbk6k2+t&
      &55*t51/t14*spbk5k4*spbk6k2+t55*t39/t14*spbk4k3*spbk6k2)))
      abb35n16 = ((40.0_ki)*(t55/t6*t8*spbk4k2-t55*t24/t22*spbk4k2))
      rat2d35 = abb35n1
      rat2 = rat2 + rat2d35
      abb35n18 = abb35n2
      abb35n19 = abb35n16
      abb35n20 = abb35n14
      abb35n21 = abb35n10
      abb35n22 = abb35n7
      abb35n23 = abb35n5
      abb35n24 = abb35n4
      abb35n25 = abb35n3
      abb35n26 = -(abb35n6)
      abb35n27 = -(abb35n8)
      abb35n28 = -(abb35n9)
      abb35n29 = ((2.0_ki)*abb35n10)
      abb35n30 = -(abb35n11)
      abb35n31 = -(abb35n12)
      abb35n32 = -(abb35n13)
      abb35n33 = -(abb35n15)
   end subroutine
end module p3_ud_emnebaruu_abbrevd35h0
