module     p7_dubar_emnebargg_diagramsh0l0fr5
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity0/diagramsl0fr5.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_color, only: numcs
   use p7_dubar_emnebargg_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_color
      use p7_dubar_emnebargg_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p7_dubar_emnebargg_accu, only: sorted_sum
      use p7_dubar_emnebargg_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(8,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      real(ki) :: t18
      real(ki) :: t19
      real(ki) :: t20
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t1 = es34+i_*mW*wW-mW*mW
      t2 = t1*es234
      t3 = spak5k6*spak5k6
      t4 = t2*t3
      t5 = spak2k5/t4*spbk4k2*spbk5k1
      t6 = spak2k6/t4*spbk4k2*spbk6k1
      t7 = spak3k5/t4*spbk4k3*spbk5k1
      t8 = spak3k6/t4*spbk4k3*spbk6k1
      diagrams(8, :) = (spak2k3*i_*(2.0_ki)*((t6+t7-(t8+t5))*c1+(t5+t8-(t7+t6))*&
      &c2))
      t18 = es34+es56-(es234+es12)
      t5 = spak2k5*spbk4k1
      t6 = t1*t18
      t7 = t3*t6
      t8 = t5/t7*spbk5k1
      t9 = spak2k6*spbk4k1
      t10 = t9/t7*spbk6k1
      t5 = t5/t7*spbk5k4
      t7 = t9/t7*spbk6k4
      diagrams(7, :) = (i_*(2.0_ki)*(((t8-t10)*spak1k3+(t5-t7)*spak3k4)*c1+((t10&
      &-t8)*spak1k3+(t7-t5)*spak3k4)*c2))
      t19 = es345-(es61+es12)
      t5 = es234*spbk4k1
      t7 = t1*t18*t19*t3
      t8 = t5/t7
      t9 = es34*spbk4k1
      t10 = t9/t7
      t11 = es12*spbk4k1
      t12 = t11/t7
      t13 = es61*spbk4k1
      t14 = t13/t7
      t15 = es345*spbk4k1
      t16 = t15*spbk6k5
      t17 = t13*spbk6k5
      diagrams(6, :) = (i_*(4.0_ki)*(((t8-t10)*es12+(t8-(t14+t12+t10))*es61+(t10&
      &+t12+(2.0_ki)*t14-(t15/t7+t8))*es345)*spak2k3+(t16/t7-(t11/t7*spbk6k5+t17&
      &/t7))*spak2k5*spak3k6)*c2)
      t18 = es34+es61-(es345+es234)
      t6 = t18*t3*t6
      t7 = t5/t6
      t8 = t9/t6
      t10 = t11/t6
      t11 = t13/t6
      diagrams(5, :) = (i_*(4.0_ki)*(((t7-t8)*es12+(t7-(t8+t11+t10))*es61+(t10+(&
      &2.0_ki)*t11+t8-(t15/t6+t7))*es345)*spak2k3+(t16/t6+t5/t6*spbk6k5-(t9/t6*s&
      &pbk6k5+t17/t6))*spak2k6*spak3k5)*c1)
      t5 = spbk5k4*spbk6k1
      diagrams(4, :) = (spak2k3*i_*(4.0_ki)*(spbk4k1/(t1*t3)+t5/(t2*spak5k6)-(t1&
      &3/t4+t5/(t1*es61*spak5k6)))*c1)
      t20 = es234-(es61+es56)
      t2 = t1*t20
      t4 = spbk4k1/(t2*t3)
      t2 = t2*es234
      t5 = t2*t3
      t6 = t13/t5
      t2 = spbk5k1/(t2*spak5k6)*spbk6k4
      diagrams(3, :) = (spak2k3*i_*(4.0_ki)*((t2+t4-t6)*es61+(t2+t4-(es56/t5*spb&
      &k4k1+(2.0_ki)*t6))*es56)*c2)
      t2 = t1*t18*es61
      diagrams(2, :) = (spak2k6*spak2k3*i_*(4.0_ki)*(spbk5k2/(t2*spak5k6)*spbk6k&
      &1*spbk6k4-spak1k5/(t2*t3)*spbk4k1*spbk5k2*spbk6k1)*c1)
      t1 = t1*t19*t20
      diagrams(1, :) = (spak2k5*spak2k3*i_*(4.0_ki)*(-(spak1k6/(t1*t3)*spbk4k1*s&
      &pbk5k1*spbk6k2+spbk5k1/(t1*spak5k6)*spbk5k4*spbk6k2))*c2)
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 0, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 0, 19)
         call inspect_lo_diagram(diagrams(3,:), 3, 0, 19)
         call inspect_lo_diagram(diagrams(4,:), 4, 0, 19)
         call inspect_lo_diagram(diagrams(5,:), 5, 0, 19)
         call inspect_lo_diagram(diagrams(6,:), 6, 0, 19)
         call inspect_lo_diagram(diagrams(7,:), 7, 0, 19)
         call inspect_lo_diagram(diagrams(8,:), 8, 0, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p7_dubar_emnebargg_diagramsh0l0fr5
