module     p7_dubar_emnebargg_abbrevd10h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb10n1
   complex(ki), public :: abb10n2
   complex(ki), public :: abb10n3
   complex(ki), public :: abb10n4
   complex(ki), public :: abb10n5
   complex(ki), public :: abb10n6
   complex(ki), public :: abb10n7
   complex(ki), public :: abb10n8
   complex(ki), public :: abb10n9
   complex(ki), public :: abb10n10
   complex(ki), public :: abb10n11
   complex(ki), public :: abb10n12
   complex(ki), public :: abb10n13
   complex(ki), public :: abb10n14
   complex(ki), public :: abb10n15
   complex(ki), public :: abb10n16
   complex(ki), public :: rat2d10
   complex(ki), public :: abb10n18
   complex(ki), public :: abb10n19
   complex(ki), public :: abb10n20
   complex(ki), public :: abb10n21
   complex(ki), public :: abb10n22
   complex(ki), public :: abb10n23
   complex(ki), public :: abb10n24
   complex(ki), public :: abb10n25
   complex(ki), public :: abb10n26
   complex(ki), public :: abb10n27
   complex(ki), public :: abb10n28
   complex(ki), public :: abb10n29
   complex(ki), public :: abb10n30
   complex(ki), public :: abb10n31
   complex(ki), public :: abb10n32
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2
      t2 = t1*i_
      t3 = t2*spak1k5
      t4 = t3*spak2k3
      t5 = t4*spak2k5
      t6 = t5*spbk4k1
      t7 = (es345-(es61+es12))*(es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t8 = NC*t7
      t9 = t8*spak5k6
      t10 = t9*spbk6k5
      t11 = t6/t10*spbk6k1*spbk6k2
      t12 = NC*TR*c2
      t13 = t12*i_
      t14 = t13*spak1k5
      t15 = t14*spak2k3
      t16 = t15*spak2k5
      t17 = t16*spbk4k1
      t18 = t7*spak5k6
      t19 = t18*spbk6k5
      t20 = t17/t19*spbk6k1*spbk6k2
      abb10n1 = ((2.0_ki)*(t20-t11))
      t21 = es234*t1*i_
      t22 = spak2k5*spak2k5
      t23 = es56*t1*i_
      t24 = es61*t1*i_
      t25 = es234*t12*i_
      t26 = es56*t12*i_
      t27 = es61*t12*i_
      abb10n2 = ((4.0_ki)*(t21/t10*t22*spbk6k1*spbk6k2+t22/t19*t26*spbk6k1*spbk6&
      &k2+t22/t19*t27*spbk6k1*spbk6k2-(t22/t19*t25*spbk6k1*spbk6k2+t22/t10*t24*s&
      &pbk6k1*spbk6k2+t22/t10*t23*spbk6k1*spbk6k2)))
      t28 = t24*spak2k5*spak3k5
      t29 = t28*spbk6k1
      t30 = t27*spak2k5*spak3k5
      t31 = t30*spbk6k1
      abb10n3 = ((4.0_ki)*(t29/t10*spbk6k2+t23/t10*spak2k5*spak3k5*spbk6k1*spbk6&
      &k2+t25/t19*spak2k5*spak3k5*spbk6k1*spbk6k2-(t26/t19*spak2k5*spak3k5*spbk6&
      &k1*spbk6k2+t21/t10*spak2k5*spak3k5*spbk6k1*spbk6k2+t31/t19*spbk6k2)))
      t11 = t11-t20
      abb10n4 = ((8.0_ki)*t11)
      abb10n5 = ((4.0_ki)*t11)
      t11 = t3*spak2k5
      t20 = t14*spak2k5
      abb10n6 = ((4.0_ki)*(t11/t10*spak3k6*spbk4k1*spbk6k1*spbk6k2-t20/t19*spak3&
      &k6*spbk4k1*spbk6k1*spbk6k2))
      t32 = spak2k5*spbk6k1
      t32 = t32*t32
      t33 = es12*t1*i_
      t34 = t2*spak1k2
      t35 = spbk6k1*spbk6k1
      t36 = es12*t12*i_
      t37 = t13*spak1k2
      abb10n7 = ((4.0_ki)*(t3/t10*t32*spak3k6*spbk5k4*spbk6k2+t22/t10*t4*spbk2k1&
      &*spbk5k4*spbk6k1*spbk6k2+t35/t19*t37*spak1k5*spak2k5*spak3k6*spbk4k1*spbk&
      &6k2+t36/t19*spak1k5*spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2-(t34/t10*t35*&
      &spak1k5*spak2k5*spak3k6*spbk4k1*spbk6k2+t33/t10*spak1k5*spak2k3*spak2k5*s&
      &pbk4k1*spbk6k1*spbk6k2+t15/t19*t22*spbk2k1*spbk5k4*spbk6k1*spbk6k2+t14/t1&
      &9*t32*spak3k6*spbk5k4*spbk6k2)))
      abb10n8 = ((4.0_ki)*(t11/t10*spbk6k1*spbk6k2-t20/t19*spbk6k1*spbk6k2))
      t3 = t2*spak2k3
      t4 = t3*spak2k5
      t8 = t8*spbk6k5
      t11 = t13*spak2k3
      t14 = t11*spak2k5
      t7 = t7*spbk6k5
      t15 = t33*spak2k5*spak3k5
      t1 = es345*t1*i_
      t20 = t1*spak2k5*spak3k5
      t23 = t23*spak2k3*spak2k5
      t32 = t24*spak2k3*spak2k5
      t3 = t3*spbk4k2
      t35 = t2*spak3k5
      t38 = t36*spak2k5*spak3k5
      t12 = es345*t12*i_
      t39 = t12*spak2k5*spak3k5
      t26 = t26*spak2k3*spak2k5
      t40 = t27*spak2k3*spak2k5
      t11 = t11*spbk4k2
      t41 = t13*spak3k5
      t42 = t34*spak2k5
      t43 = t42*spak3k5*spbk4k1
      t44 = t37*spak2k5
      t45 = t44*spak3k5*spbk4k1
      abb10n9 = ((4.0_ki)*(t15/t10*spbk5k1*spbk6k4+t23/t10*spbk4k1*spbk6k2+t28/t&
      &10*spbk5k1*spbk6k4+t32/t10*spbk4k1*spbk6k2+t43/t10*spbk5k1*spbk6k2+t39/t1&
      &9*spbk5k1*spbk6k4+t11/t19*t22*spbk5k1*spbk6k2+t4/t8*spbk5k1*spbk6k2*spbk6&
      &k4+t22/t19*t41*spbk5k1*spbk5k4*spbk6k2+t25/t19*spak2k3*spak2k5*spbk4k1*sp&
      &bk6k2-(t22/t10*t35*spbk5k1*spbk5k4*spbk6k2+t21/t10*spak2k3*spak2k5*spbk4k&
      &1*spbk6k2+t14/t7*spbk5k1*spbk6k2*spbk6k4+t22/t10*t3*spbk5k1*spbk6k2+t45/t&
      &19*spbk5k1*spbk6k2+t40/t19*spbk4k1*spbk6k2+t38/t19*spbk5k1*spbk6k4+t30/t1&
      &9*spbk5k1*spbk6k4+t26/t19*spbk4k1*spbk6k2+t20/t10*spbk5k1*spbk6k4)))
      abb10n10 = ((8.0_ki)*(t13/t19*t22*spbk5k1*spbk6k2-t2/t10*t22*spbk5k1*spbk6&
      &k2))
      t4 = t4/t8*spbk6k1*spbk6k2*spbk6k4
      t7 = t14/t7*spbk6k1*spbk6k2*spbk6k4
      t8 = t15/t10*spbk6k1*spbk6k4
      t14 = t20/t10*spbk6k1*spbk6k4
      t21 = t29/t10*spbk6k4
      t25 = t22/t10*t3*spbk6k1*spbk6k2
      t29 = t35*spbk5k4
      t35 = t22/t10*t29*spbk6k1*spbk6k2
      t46 = t38/t19*spbk6k1*spbk6k4
      t47 = t39/t19*spbk6k1*spbk6k4
      t31 = t31/t19*spbk6k4
      t48 = t11/t19*t22*spbk6k1*spbk6k2
      t41 = t41*spbk5k4
      t49 = t22/t19*t41*spbk6k1*spbk6k2
      t50 = t43/t10*spbk6k1*spbk6k2
      t51 = t45/t19*spbk6k1*spbk6k2
      abb10n11 = ((8.0_ki)*(t14+t25+t31+t35+t46+t51+t7-(t8+t50+t49+t48+t47+t4+t2&
      &1)))
      abb10n12 = ((8.0_ki)*(t21+t4+t47+t48+t49+t50+t8-(t7+t51+t46+t35+t31+t25+t1&
      &4)))
      t4 = t2/t10*t22*spbk6k1*spbk6k2
      t7 = t13/t19*t22*spbk6k1*spbk6k2
      abb10n13 = ((16.0_ki)*(t4-t7))
      abb10n14 = ((16.0_ki)*(t7-t4))
      abb10n15 = ((4.0_ki)*(t15/t9*spbk6k4+t39/t18*spbk6k4+t28/t9*spbk6k4+t43/t9&
      &*spbk6k2+t6/t9*spbk6k2+t23/t10*spbk6k2*spbk6k4+t32/t10*spbk6k2*spbk6k4+t1&
      &1/t18*t22*spbk6k2+t22/t18*t41*spbk6k2+t5/t10*spbk5k4*spbk6k1*spbk6k2+t24/&
      &t10*spak1k3*spak2k5*spbk6k1*spbk6k4+t33/t10*spak1k3*spak2k5*spbk6k1*spbk6&
      &k4+t12/t19*spak1k3*spak2k5*spbk6k1*spbk6k4+t34/t10*spak1k3*spak2k5*spbk4k&
      &1*spbk6k1*spbk6k2+t13/t19*t22*spak1k3*spbk5k4*spbk6k1*spbk6k2+t37/t19*spa&
      &k2k3*spak2k5*spbk4k2*spbk6k1*spbk6k2-(t37/t19*spak1k3*spak2k5*spbk4k1*spb&
      &k6k1*spbk6k2+t34/t10*spak2k3*spak2k5*spbk4k2*spbk6k1*spbk6k2+t2/t10*t22*s&
      &pak1k3*spbk5k4*spbk6k1*spbk6k2+t36/t19*spak1k3*spak2k5*spbk6k1*spbk6k4+t2&
      &7/t19*spak1k3*spak2k5*spbk6k1*spbk6k4+t1/t10*spak1k3*spak2k5*spbk6k1*spbk&
      &6k4+t16/t19*spbk5k4*spbk6k1*spbk6k2+t22*t3/t9*spbk6k2+t22*t29/t9*spbk6k2+&
      &t40/t19*spbk6k2*spbk6k4+t26/t19*spbk6k2*spbk6k4+t20/t9*spbk6k4+t45/t18*sp&
      &bk6k2+t38/t18*spbk6k4+t30/t18*spbk6k4+t17/t18*spbk6k2)))
      abb10n16 = ((8.0_ki)*(t13/t18*t22*spbk6k2+t44/t19*spbk6k1*spbk6k2-(t2*t22/&
      &t9*spbk6k2+t42/t10*spbk6k1*spbk6k2)))
      rat2d10 = abb10n1
      rat2 = rat2 + rat2d10
      abb10n18 = abb10n7
      abb10n19 = abb10n16
      abb10n20 = abb10n14
      abb10n21 = abb10n13
      abb10n22 = abb10n10
      abb10n23 = abb10n8
      abb10n24 = abb10n5
      abb10n25 = -(abb10n2)
      abb10n26 = -(abb10n3)
      abb10n27 = -(abb10n4)
      abb10n28 = -(abb10n6)
      abb10n29 = -(abb10n9)
      abb10n30 = -(abb10n11)
      abb10n31 = -(abb10n12)
      abb10n32 = -(abb10n15)
   end subroutine
end module p7_dubar_emnebargg_abbrevd10h1
