module     p0_dd_emnebardu_abbrevd23h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb23n1
   complex(ki), public :: abb23n2
   complex(ki), public :: abb23n3
   complex(ki), public :: abb23n4
   complex(ki), public :: abb23n5
   complex(ki), public :: abb23n6
   complex(ki), public :: abb23n7
   complex(ki), public :: abb23n8
   complex(ki), public :: abb23n9
   complex(ki), public :: abb23n10
   complex(ki), public :: abb23n11
   complex(ki), public :: abb23n12
   complex(ki), public :: abb23n13
   complex(ki), public :: rat2d23
   complex(ki), public :: abb23n15
   complex(ki), public :: abb23n16
   complex(ki), public :: abb23n17
   complex(ki), public :: abb23n18
   complex(ki), public :: abb23n19
   complex(ki), public :: abb23n20
   complex(ki), public :: abb23n21
   complex(ki), public :: abb23n22
   complex(ki), public :: abb23n23
   complex(ki), public :: abb23n24
   complex(ki), public :: abb23n25
   complex(ki), public :: abb23n26
   complex(ki), public :: abb23n27
   complex(ki), public :: abb23n28
   complex(ki), public :: abb23n29
   complex(ki), public :: abb23n30
   complex(ki), public :: abb23n31
   complex(ki), public :: abb23n32
   complex(ki), public :: abb23n33
   complex(ki), public :: abb23n34
   complex(ki), public :: abb23n35
   complex(ki), public :: abb23n36
   complex(ki), public :: abb23n37
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   real(ki) :: t41
   real(ki) :: t42
   real(ki) :: t43
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t41 = es234-(es61+es56)
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak3k5*spak3k6
      t4 = t3*spbk2k1*spbk4k3
      t42 = TR*mT
      t42 = t42*t42
      t5 = (es12+es34-(es56+es345))*t1
      t41 = t41*t41
      t6 = t41*t5
      t7 = t2*spak3k6
      t8 = t7*spak5k6
      t9 = t8*spbk2k1*spbk6k4
      t10 = t2*spak2k3
      t11 = t10*spak5k6
      t12 = t11*spbk2k1*spbk4k2
      t13 = es234*t41*t1
      t14 = t2*spak3k4
      t15 = t14*spak5k6
      t16 = t15*spbk4k1*spbk4k2
      t17 = c1*i_
      t18 = t17*spak3k5*spak3k6
      t19 = t18*spbk2k1*spbk4k3
      t5 = NC*t41*t5
      t20 = t17*spak3k6
      t21 = t20*spak5k6
      t22 = t21*spbk2k1*spbk6k4
      t23 = t17*spak2k3
      t24 = t23*spak5k6
      t25 = t24*spbk2k1*spbk4k2
      t26 = NC*t1
      t27 = es234*t41*t26
      t28 = t17*spak3k4
      t29 = t28*spak5k6
      t30 = t29*spbk4k1*spbk4k2
      t43 = TR*TR
      t31 = t43*t12
      t1 = t41*t1
      t32 = t43*t16
      t33 = t43*t25
      t26 = t41*t26
      t34 = t43*t30
      t35 = es234*c2*i_
      t36 = es56*c2*i_
      t37 = es61*c2*i_
      t38 = es234*c1*i_
      t39 = es56*c1*i_
      t40 = es61*c1*i_
      abb23n1 = ((8.0_ki)*(t42*t19/t5+t42*t22/t5+t42*t25/t27+t42*t30/t27-(t42/t6&
      &*t9+t42*t4/t6+t42*t16/t13+t42*t12/t13))+(4.0_ki/3.0_ki)*(t31/t1+t32/t1+t4&
      &3*t39/t27*spak2k3*spak5k6*spbk2k1*spbk4k2+t43*t39/t27*spak3k4*spak5k6*spb&
      &k4k1*spbk4k2+t43*t40/t27*spak2k3*spak5k6*spbk2k1*spbk4k2+t43*t40/t27*spak&
      &3k4*spak5k6*spbk4k1*spbk4k2+t43*t35/t6*spak3k5*spak3k6*spbk2k1*spbk4k3+t4&
      &3*t35/t6*spak3k6*spak5k6*spbk2k1*spbk6k4+t43*t39/t5*spak3k5*spak3k6*spbk2&
      &k1*spbk4k3+t43*t39/t5*spak3k6*spak5k6*spbk2k1*spbk6k4+t43*t40/t5*spak3k5*&
      &spak3k6*spbk2k1*spbk4k3+t43*t40/t5*spak3k6*spak5k6*spbk2k1*spbk6k4-(t43*t&
      &38/t5*spak3k6*spak5k6*spbk2k1*spbk6k4+t43*t38/t5*spak3k5*spak3k6*spbk2k1*&
      &spbk4k3+t43*t37/t6*spak3k6*spak5k6*spbk2k1*spbk6k4+t43*t37/t6*spak3k5*spa&
      &k3k6*spbk2k1*spbk4k3+t43*t36/t6*spak3k6*spak5k6*spbk2k1*spbk6k4+t43*t36/t&
      &6*spak3k5*spak3k6*spbk2k1*spbk4k3+t43*t37/t13*spak3k4*spak5k6*spbk4k1*spb&
      &k4k2+t43*t37/t13*spak2k3*spak5k6*spbk2k1*spbk4k2+t43*t36/t13*spak3k4*spak&
      &5k6*spbk4k1*spbk4k2+t43*t36/t13*spak2k3*spak5k6*spbk2k1*spbk4k2+t34/t26+t&
      &33/t26)))
      t1 = t2*spak1k5
      t26 = t1*spak3k6*spbk2k1
      t35 = t17*spak1k5
      t36 = t35*spak3k6*spbk2k1
      abb23n2 = ((4.0_ki)*(t43*t26/t6*spbk4k3-t43*t36/t5*spbk4k3))
      abb23n3 = ((8.0_ki)*(t43/t6*t7*spbk4k3-t43*t20/t5*spbk4k3))
      t37 = TR*sqrt((mT*mT))
      t37 = t37*t37
      abb23n4 = ((8.0_ki)*(t19*t37/t5+t22*t37/t5+t25/t27*t37+t30/t27*t37-(t37/t6&
      &*t9+t37*t4/t6+t16/t13*t37+t12/t13*t37)))
      abb23n5 = ((4.0_ki)*(t43*t36/t5*spbk6k4+t43*t35/t27*spak2k3*spbk2k1*spbk4k&
      &2+t43*t35/t27*spak3k4*spbk4k1*spbk4k2-(t43*t1/t13*spak3k4*spbk4k1*spbk4k2&
      &+t43*t1/t13*spak2k3*spbk2k1*spbk4k2+t43*t26/t6*spbk6k4)))
      t1 = t43*t4/t6
      t4 = t43/t6*t9
      t9 = t31/t13
      t12 = t32/t13
      t16 = t43*t19/t5
      t19 = t43*t22/t5
      t22 = t33/t27
      t25 = t34/t27
      abb23n6 = ((16.0_ki)*(t16+t19+t22+t25-(t9+t4+t12+t1)))
      t1 = t1+t12+t4+t9-(t25+t22+t19+t16)
      abb23n7 = ((8.0_ki)*t1)
      abb23n8 = ((16.0_ki)*t1)
      t1 = t3*spbk4k3
      t3 = t11*spbk4k2
      t4 = t18*spbk4k3
      t9 = t24*spbk4k2
      abb23n9 = ((4.0_ki)*(t43/t27*t9*spbk5k1+t43*t4/t5*spbk5k1+t43*t21/t5*spbk5&
      &k1*spbk6k4-(t43/t6*t8*spbk5k1*spbk6k4+t43*t3/t13*spbk5k1+t43*t1/t6*spbk5k&
      &1)))
      t11 = t15*spbk4k2
      t12 = t29*spbk4k2
      abb23n10 = ((4.0_ki)*(t43*t12/t27*spbk5k1-t43*t11/t13*spbk5k1))
      abb23n11 = ((8.0_ki)*(t43*t20/t5*spbk6k4+t43*t23/t27*spbk4k2-(t43/t6*t7*sp&
      &bk6k4+t43*t10/t13*spbk4k2)))
      t7 = t2*spak1k6
      t10 = t17*spak1k6
      abb23n12 = ((8.0_ki)*(t43*t1/t6*spbk5k2+t43*t11/t13*spbk5k4+t43*t3/t13*spb&
      &k5k2+t43/t6*t8*spbk5k2*spbk6k4+t43/t13*t7*spak2k3*spbk2k1*spbk4k2+t43/t13&
      &*t7*spak3k4*spbk4k1*spbk4k2+t43/t6*t7*spak3k6*spbk2k1*spbk6k4+t43*t17/t5*&
      &spak1k3*spak3k6*spbk2k1*spbk4k3-(t43*t2/t6*spak1k3*spak3k6*spbk2k1*spbk4k&
      &3+t43*t10/t5*spak3k6*spbk2k1*spbk6k4+t43*t10/t27*spak3k4*spbk4k1*spbk4k2+&
      &t43*t10/t27*spak2k3*spbk2k1*spbk4k2+t43*t21/t5*spbk5k2*spbk6k4+t43*t4/t5*&
      &spbk5k2+t43/t27*t9*spbk5k2+t43*t12/t27*spbk5k4)))
      abb23n13 = ((8.0_ki)*(t43*t28/t27*spbk4k2-t43*t14/t13*spbk4k2))
      rat2d23 = abb23n1
      rat2 = rat2 + rat2d23
      abb23n15 = abb23n4
      abb23n16 = abb23n13
      abb23n17 = abb23n12
      abb23n18 = abb23n11
      abb23n19 = abb23n10
      abb23n20 = abb23n9
      abb23n21 = abb23n8
      abb23n22 = abb23n7
      abb23n23 = abb23n6
      abb23n24 = abb23n5
      abb23n25 = abb23n3
      abb23n26 = abb23n2
      abb23n27 = -(abb23n2)
      abb23n28 = -(abb23n3)
      abb23n29 = -(abb23n5)
      abb23n30 = -(abb23n6)
      abb23n31 = (-2.0_ki)*abb23n7
      abb23n32 = -(abb23n8)
      abb23n33 = -(abb23n9)
      abb23n34 = -(abb23n10)
      abb23n35 = -(abb23n11)
      abb23n36 = -(abb23n12)
      abb23n37 = -(abb23n13)
   end subroutine
end module p0_dd_emnebardu_abbrevd23h0
