module     p0_dd_emnebardu_abbrevd54h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb54n1
   complex(ki), public :: abb54n2
   complex(ki), public :: abb54n3
   complex(ki), public :: abb54n4
   complex(ki), public :: abb54n5
   complex(ki), public :: abb54n6
   complex(ki), public :: abb54n7
   complex(ki), public :: abb54n8
   complex(ki), public :: abb54n9
   complex(ki), public :: rat2d54
   complex(ki), public :: abb54n11
   complex(ki), public :: abb54n12
   complex(ki), public :: abb54n13
   complex(ki), public :: abb54n14
   complex(ki), public :: abb54n15
   complex(ki), public :: abb54n16
   complex(ki), public :: abb54n17
   complex(ki), public :: abb54n18
   complex(ki), public :: abb54n19
   complex(ki), public :: abb54n20
   complex(ki), public :: abb54n21
   complex(ki), public :: abb54n22
   complex(ki), public :: abb54n23
   complex(ki), public :: abb54n24
   complex(ki), public :: abb54n25
   complex(ki), public :: abb54n26
   complex(ki), public :: abb54n27
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   real(ki) :: t34
   real(ki) :: t35
   real(ki) :: t36
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t34 = es34+es56-(es234+es12)
      t1 = es12*c2*i_
      t35 = TR*TR
      t2 = t35*t1*spak1k3*spak5k6*spbk2k1*spbk4k1
      t3 = (es34+es61-(es345+es234))*(es34+wW*mW*i_-mW*mW)
      t36 = t34*t34
      t4 = t36*t3
      t1 = t35*t1*spak3k4*spak5k6*spbk4k1*spbk4k2
      t5 = es234*c2*i_
      t6 = t35*t5*spak1k3*spak5k6*spbk2k1*spbk4k1
      t5 = t35*t5*spak3k4*spak5k6*spbk4k1*spbk4k2
      t7 = es34*c2*i_
      t8 = t35*t7*spak1k3*spak5k6*spbk2k1*spbk4k1
      t7 = t35*t7*spak3k4*spak5k6*spbk4k1*spbk4k2
      t9 = c2*i_
      t10 = t9*spak1k3
      t11 = t10*spbk4k1
      t12 = TR*spak5k6
      t12 = t12*t12
      t13 = t11*t12*spbk5k1*spbk6k2
      t11 = t11*t12*spbk5k2*spbk6k1
      t14 = t9*spak3k4
      t15 = t14*spbk4k1
      t16 = t12*t15*spbk5k2*spbk6k4
      t15 = t12*t15*spbk5k4*spbk6k2
      t34 = t34*NC
      t17 = t34*t34*t3
      t18 = es12*c1*i_
      t3 = NC*t36*t3
      t19 = es234*c1*i_
      t20 = es34*c1*i_
      t21 = c1*i_
      t22 = t21*spak1k3
      t23 = t22*spbk4k1
      t24 = t21*spak3k4
      t25 = t24*spbk4k1
      t26 = NC*c1
      t27 = es12*t26*i_
      t28 = es234*t26*i_
      t29 = es34*t26*i_
      t26 = t26*i_
      t30 = t26*spak1k3
      t31 = t30*spbk4k1
      t32 = t26*spak3k4
      t33 = t32*spbk4k1
      abb54n1 = ((4.0_ki)*(t1/t4+t11/t17+t13/t4+t15/t4+t16/t17+t2/t17+t6/t17+t7/&
      &t17+t5/t4+t8/t4+t12*t23/t3*spbk5k1*spbk6k2+t12*t25/t3*spbk5k4*spbk6k2+t12&
      &*t31/t4*spbk5k2*spbk6k1+t12*t33/t4*spbk5k2*spbk6k4+t35*t18/t3*spak3k4*spa&
      &k5k6*spbk4k1*spbk4k2+t35*t19/t3*spak3k4*spak5k6*spbk4k1*spbk4k2+t35*t20/t&
      &3*spak1k3*spak5k6*spbk2k1*spbk4k1+t35*t27/t4*spak1k3*spak5k6*spbk2k1*spbk&
      &4k1+t35*t28/t4*spak1k3*spak5k6*spbk2k1*spbk4k1+t35*t29/t4*spak3k4*spak5k6&
      &*spbk4k1*spbk4k2-(t35*t29/t4*spak1k3*spak5k6*spbk2k1*spbk4k1+t35*t28/t4*s&
      &pak3k4*spak5k6*spbk4k1*spbk4k2+t35*t27/t4*spak3k4*spak5k6*spbk4k1*spbk4k2&
      &+t35*t20/t3*spak3k4*spak5k6*spbk4k1*spbk4k2+t35*t19/t3*spak1k3*spak5k6*sp&
      &bk2k1*spbk4k1+t35*t18/t3*spak1k3*spak5k6*spbk2k1*spbk4k1+t12*t33/t4*spbk5&
      &k4*spbk6k2+t12*t31/t4*spbk5k1*spbk6k2+t12*t25/t3*spbk5k2*spbk6k4+t12*t23/&
      &t3*spbk5k2*spbk6k1+t7/t4+t6/t4+t2/t4+t8/t17+t5/t17+t16/t4+t15/t17+t13/t17&
      &+t11/t4+t1/t17)))
      t1 = t10*spak5k6*spbk4k1
      t2 = t35*t1*spbk5k2
      t5 = t22*spak5k6*spbk4k1
      t6 = t30*spak5k6*spbk4k1
      abb54n2 = ((4.0_ki)*(t2/t4+t35/t3*t5*spbk5k2-(t35/t4*t6*spbk5k2+t2/t17)))
      t1 = t35*t1*spbk6k2
      abb54n3 = ((4.0_ki)*(t1/t4+t35/t3*t5*spbk6k2-(t35/t4*t6*spbk6k2+t1/t17)))
      t1 = t14*spak5k6*spbk4k1
      t2 = t35*t1*spbk5k2
      t5 = t24*spak5k6*spbk4k1
      t6 = t32*spak5k6*spbk4k1
      abb54n4 = ((4.0_ki)*(t2/t4+t35/t3*t5*spbk5k2-(t35/t4*t6*spbk5k2+t2/t17)))
      t1 = t35*t1*spbk6k2
      abb54n5 = ((4.0_ki)*(t1/t4+t35/t3*t5*spbk6k2-(t35/t4*t6*spbk6k2+t1/t17)))
      t1 = t9*spak3k5*spak5k6
      t2 = t35*t1*spbk4k1*spbk5k2
      t5 = t2/t4
      t6 = t9*spak3k6*spak5k6
      t7 = t35*t6*spbk4k1*spbk6k2
      t8 = t7/t4
      t2 = t2/t17
      t7 = t7/t17
      t10 = t21*spak3k5*spak5k6
      t11 = t35*t10/t3*spbk4k1*spbk5k2
      t12 = t21*spak3k6*spak5k6
      t13 = t35*t12/t3*spbk4k1*spbk6k2
      t14 = t26*spak3k5*spak5k6
      t15 = t35*t14/t4*spbk4k1*spbk5k2
      t16 = t26*spak3k6*spak5k6
      t18 = t35*t16/t4*spbk4k1*spbk6k2
      abb54n6 = ((16.0_ki)*(t15+t18+t2+t7-(t8+t5+t13+t11)))
      abb54n7 = ((16.0_ki)*(t11+t13+t5+t8-(t7+t2+t18+t15)))
      t2 = t35*t1*spbk3k1*spbk5k2
      t5 = t35*t6*spbk3k1*spbk6k2
      t7 = t35*t9*spak4k5*spak5k6*spbk4k1*spbk5k2
      t8 = t35*t9*spak4k6*spak5k6*spbk4k1*spbk6k2
      abb54n8 = ((8.0_ki)*(t2/t4+t5/t4+t7/t4+t8/t4+t35*t10/t3*spbk3k1*spbk5k2+t3&
      &5*t12/t3*spbk3k1*spbk6k2+t35*t21/t3*spak4k5*spak5k6*spbk4k1*spbk5k2+t35*t&
      &21/t3*spak4k6*spak5k6*spbk4k1*spbk6k2-(t35*t26/t4*spak4k6*spak5k6*spbk4k1&
      &*spbk6k2+t35*t26/t4*spak4k5*spak5k6*spbk4k1*spbk5k2+t35*t16/t4*spbk3k1*sp&
      &bk6k2+t35*t14/t4*spbk3k1*spbk5k2+t8/t17+t7/t17+t5/t17+t2/t17)))
      t2 = t35*t9*spak1k5*spak5k6*spbk4k1*spbk5k2
      t5 = t35*t9*spak1k6*spak5k6*spbk4k1*spbk6k2
      t1 = t35*t1*spbk4k3*spbk5k2
      t6 = t35*t6*spbk4k3*spbk6k2
      abb54n9 = ((8.0_ki)*(t1/t4+t2/t17+t5/t17+t6/t4+t35*t10/t3*spbk4k3*spbk5k2+&
      &t35*t12/t3*spbk4k3*spbk6k2+t35*t26/t4*spak1k5*spak5k6*spbk4k1*spbk5k2+t35&
      &*t26/t4*spak1k6*spak5k6*spbk4k1*spbk6k2-(t35*t21/t3*spak1k6*spak5k6*spbk4&
      &k1*spbk6k2+t35*t21/t3*spak1k5*spak5k6*spbk4k1*spbk5k2+t35*t16/t4*spbk4k3*&
      &spbk6k2+t35*t14/t4*spbk4k3*spbk5k2+t5/t4+t2/t4+t6/t17+t1/t17)))
      rat2d54 = 0
      rat2 = rat2 + rat2d54
      abb54n11 = abb54n1
      abb54n12 = abb54n9
      abb54n13 = abb54n8
      abb54n14 = abb54n7
      abb54n15 = abb54n6
      abb54n16 = abb54n5
      abb54n17 = abb54n4
      abb54n18 = abb54n3
      abb54n19 = abb54n2
      abb54n20 = -(abb54n2)
      abb54n21 = -(abb54n3)
      abb54n22 = -(abb54n4)
      abb54n23 = -(abb54n5)
      abb54n24 = -(abb54n6)
      abb54n25 = -(abb54n7)
      abb54n26 = -(abb54n8)
      abb54n27 = -(abb54n9)
   end subroutine
end module p0_dd_emnebardu_abbrevd54h0
