module     p0_dd_emnebardu_d2h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p0_dd_emnebardu/helicity0/d2h0l1d.f90
   ! generator: haggies (1.1)
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d2
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_dd_emnebardu_globalsl1, only: epspow
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_abbrevd2h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      real(ki) :: t37
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t33 = dotproduct(qshift, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t34 = dotproduct(k6, qshift)
      t2 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t35 = dotproduct(k5, qshift)
      t36 = dotproduct(k2, qshift)
      t37 = dotproduct(k1, qshift)
      t3 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t4 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t5 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t6 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t7 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t8 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb2n32+t1*abb2n62+t2*abb2n71+t3*abb2n83+t33*abb2n46+t34*a&
         &bb2n63+t35*abb2n72+t36*abb2n73+t37*abb2n80+t4*abb2n94+t1*t2*abb2n45+t1&
         &*t33*abb2n66+t1*t35*abb2n56+t1*t36*abb2n59+t1*t37*abb2n57+t1*t4*abb2n3&
         &8+t2*t3*abb2n43+t2*t33*abb2n77+t2*t34*abb2n50+t2*t35*abb2n48+t2*t36*ab&
         &b2n50+t2*t4*abb2n36+t2*t5*abb2n34+t2*t6*abb2n35+t2*t7*abb2n51+t2*t8*ab&
         &b2n55+t33*t4*abb2n86+t33*t5*abb2n90+t34*t4*abb2n43+t35*t4*abb2n43+t36*&
         &t4*abb2n41+t37*t5*abb2n39+t1*t2*t6*abb2n98)
         return
      end if
      t9 = k1(iv1)
      t10 = k2(iv1)
      t11 = k5(iv1)
      t12 = k6(iv1)
      t13 = qshift(iv1)
      t14 = spvak2k1(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k2(iv1)
      t18 = spvak3k1(iv1)
      t19 = t16*abb2n84
      t20 = t17*abb2n75
      t21 = spvak6k1(iv1)
      t22 = spvak6k2(iv1)
      t23 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb2n52+t11*abb2n53+t12*abb2n60+t13*abb2n81+t14*abb2n4&
         &4+t15*abb2n61+t16*abb2n37+t17*abb2n54+t19*t34+t19*t35+t20*t34+t20*t36+&
         &t9*abb2n47+t1*t10*abb2n64+t1*t11*abb2n69+t1*t13*abb2n65+t1*t16*abb2n93&
         &+t1*t17*abb2n82+t1*t9*abb2n68+t10*t2*abb2n75+t10*t4*abb2n88+t11*t2*abb&
         &2n79+t11*t4*abb2n84+t12*t2*abb2n75+t12*t4*abb2n84+t13*t2*abb2n76+t13*t&
         &4*abb2n85+t13*t5*abb2n89+t14*t2*abb2n84+t15*t2*abb2n82+t15*t33*abb2n58&
         &+t15*t35*abb2n69+t15*t36*abb2n64+t15*t37*abb2n68+t15*t4*abb2n93+t16*t2&
         &*abb2n95+t16*t33*abb2n42+t16*t36*abb2n88+t17*t3*abb2n84+t17*t33*abb2n4&
         &9+t17*t35*abb2n79+t17*t4*abb2n95+t17*t5*abb2n97+t17*t6*abb2n96+t17*t7*&
         &abb2n74+t17*t8*abb2n70+t18*t2*abb2n97+t18*t33*abb2n40+t18*t37*abb2n92+&
         &t2*t21*abb2n96+t2*t22*abb2n70+t2*t23*abb2n74+t5*t9*abb2n92+t1*t17*t6*a&
         &bb2n33+t1*t2*t21*abb2n33+t15*t2*t6*abb2n33)
         return
      end if
      t33 = d(iv1,iv2)
      t3 = spvak3k1(iv2)
      t7 = spvak3k4(iv2)
      t8 = k1(iv2)
      t19 = spvak5k1(iv2)
      t20 = spvak5k2(iv2)
      t24 = k2(iv2)
      t25 = k5(iv2)
      t26 = k6(iv2)
      t27 = qshift(iv2)
      t28 = t15*t20
      t29 = t17*t7
      t30 = spvak6k1(iv2)
      t31 = t17*t30
      t32 = t20*t21
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t33*abb2n46+t1*t33*abb2n66+t2*t33*abb2n77+t33*t4&
         &*abb2n86+t33*t5*abb2n90)+t28*abb2n45+t29*abb2n45+t31*abb2n35+t32*abb2n&
         &35+spvak2k1(iv2)*t17*abb2n43+spvak6k2(iv2)*t17*abb2n55+spvak6k5(iv2)*t&
         &17*abb2n51+t1*t31*abb2n98+t1*t32*abb2n98+t10*t19*abb2n41+t10*t20*abb2n&
         &50+t10*t7*abb2n59+t11*t19*abb2n43+t11*t20*abb2n48+t11*t7*abb2n56+t12*t&
         &19*abb2n43+t12*t20*abb2n50+t13*t19*abb2n87+t13*t20*abb2n78+t13*t3*abb2&
         &n91+t13*t7*abb2n67+t14*t20*abb2n43+t15*t19*abb2n38+t15*t24*abb2n59+t15&
         &*t25*abb2n56+t15*t27*abb2n67+t15*t8*abb2n57+t16*t20*abb2n36+t16*t24*ab&
         &b2n41+t16*t25*abb2n43+t16*t26*abb2n43+t16*t27*abb2n87+t16*t7*abb2n38+t&
         &17*t19*abb2n36+t17*t24*abb2n50+t17*t25*abb2n48+t17*t26*abb2n50+t17*t27&
         &*abb2n78+t17*t3*abb2n34+t18*t20*abb2n34+t18*t27*abb2n91+t18*t8*abb2n39&
         &+t20*t22*abb2n55+t20*t23*abb2n51+t28*t6*abb2n98+t29*t6*abb2n98+t3*t9*a&
         &bb2n39+t7*t9*abb2n57+t15*t2*t30*abb2n98+t2*t21*t7*abb2n98)
         return
      end if
      t34 = d(iv2,iv3)
      t35 = d(iv1,iv3)
      t1 = spvak3k4(iv3)
      t2 = spvak5k2(iv3)
      t4 = spvak6k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak3k1(iv3)*t33*abb2n40+spvak5k1(iv3)*t33*abb2&
         &n42+t1*t33*abb2n58+t15*t34*abb2n58+t16*t34*abb2n42+t17*t34*abb2n49+t18&
         &*t34*abb2n40+t19*t35*abb2n42+t2*t33*abb2n49+t20*t35*abb2n49+t3*t35*abb&
         &2n40+t35*t7*abb2n58)+t28*t4*abb2n33+t29*t4*abb2n33+t1*t17*t30*abb2n33+&
         &t1*t20*t21*abb2n33+t15*t2*t30*abb2n33+t2*t21*t7*abb2n33)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d2:
   subroutine     reconstruct_d2(coeffs)
      use p0_dd_emnebardu_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_2:
      coeffs%coeffs_2%c0 = derivative(czip)
      coeffs%coeffs_2%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_2%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_2%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_2%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_2%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_2%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_2%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_2%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_2%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_2%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_2%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_2%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_2%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_2%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_2%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_2%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_2%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_2%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_2%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_2%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_2%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_2%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_2%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_2%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_2%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_2%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_2%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_2%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_2:
   end subroutine reconstruct_d2
!---#] subroutine reconstruct_d2:
end module p0_dd_emnebardu_d2h0l1d
