module     p17_ddbar_neepdubar_abbrevd10h1
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb10n1
   complex(ki), public :: abb10n2
   complex(ki), public :: abb10n3
   complex(ki), public :: abb10n4
   complex(ki), public :: abb10n5
   complex(ki), public :: abb10n6
   complex(ki), public :: abb10n7
   complex(ki), public :: abb10n8
   complex(ki), public :: abb10n9
   complex(ki), public :: abb10n10
   complex(ki), public :: abb10n11
   complex(ki), public :: rat2d10
   complex(ki), public :: abb10n13
   complex(ki), public :: abb10n14
   complex(ki), public :: abb10n15
   complex(ki), public :: abb10n16
   complex(ki), public :: abb10n17
   complex(ki), public :: abb10n18
   complex(ki), public :: abb10n19
   complex(ki), public :: abb10n20
   complex(ki), public :: abb10n21
   complex(ki), public :: abb10n22
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   real(ki) :: t26
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak1k5
      t3 = t2*spak2k3
      t26 = TR*TR
      t4 = t26*t3*spbk4k1*spbk6k1
      t5 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = es234*t5
      t7 = t4/t6
      t8 = t1*spak2k3*spak5k6*spbk6k1
      t9 = t26*t8*spbk6k4
      t10 = t9/t6
      t11 = NC*NC*t6
      t4 = t4/t11
      t9 = t9/t11
      t12 = c1*i_
      t13 = t12*spak1k5
      t14 = t13*spak2k3
      t5 = es234*NC*t5
      t15 = t26*t14/t5*spbk4k1*spbk6k1
      t16 = t12*spak2k3*spak5k6*spbk6k1
      t17 = t26*t16/t5*spbk6k4
      t18 = NC*c1*i_
      t19 = t18*spak1k5
      t20 = t19*spak2k3
      t21 = t26*t20/t6*spbk4k1*spbk6k1
      t22 = t18*spak2k3*spak5k6*spbk6k1
      t23 = t26*t22/t6*spbk6k4
      t24 = t15+t23+t7+t9-(t4+t21+t17+t10)
      abb10n1 = ((2.0_ki)*t24)
      t25 = t26*t2*spbk6k1
      abb10n2 = ((4.0_ki)*(t25/t11+t26*t19/t6*spbk6k1-(t26*t13/t5*spbk6k1+t25/t6&
      &)))
      abb10n3 = ((8.0_ki)*t24)
      abb10n4 = ((4.0_ki)*(t10+t17+t21+t4-(t9+t7+t23+t15)))
      t3 = t26*t3*spbk3k1*spbk6k1
      t4 = t26*t2*spak2k4*spbk4k1*spbk6k1
      t7 = t26*t8*spbk6k3
      t8 = t26*t1*spak2k4*spak5k6*spbk6k1*spbk6k4
      abb10n5 = ((4.0_ki)*(t3/t11+t4/t11+t7/t6+t8/t6+t26*t16/t5*spbk6k3+t26*t20/&
      &t6*spbk3k1*spbk6k1+t26*t19/t6*spak2k4*spbk4k1*spbk6k1+t26*t12/t5*spak2k4*&
      &spak5k6*spbk6k1*spbk6k4-(t26*t18/t6*spak2k4*spak5k6*spbk6k1*spbk6k4+t26*t&
      &13/t5*spak2k4*spbk4k1*spbk6k1+t26*t14/t5*spbk3k1*spbk6k1+t26*t22/t6*spbk6&
      &k3+t4/t6+t3/t6+t8/t11+t7/t11)))
      t3 = t1*spak2k5
      t4 = t26*t3*spbk6k1
      t7 = t4/t6
      t4 = t4/t11
      t8 = t12*spak2k5
      t9 = t26/t5*t8*spbk6k1
      t10 = t18*spak2k5
      t14 = t26*t10/t6*spbk6k1
      abb10n6 = ((16.0_ki)*(t14+t4-(t9+t7)))
      abb10n7 = ((16.0_ki)*(t7+t9-(t4+t14)))
      t4 = t26*t3*spbk5k1
      t7 = t26*t1*spak2k6*spbk6k1
      abb10n8 = ((8.0_ki)*(t4/t6+t7/t6+t26/t5*t8*spbk5k1+t26*t12/t5*spak2k6*spbk&
      &6k1-(t26*t18/t6*spak2k6*spbk6k1+t26*t10/t6*spbk5k1+t7/t11+t4/t11)))
      t2 = t26*t2*spak3k4*spbk4k1*spbk6k1
      t4 = t26*t1*spak3k4*spak5k6*spbk6k1*spbk6k4
      abb10n9 = ((4.0_ki)*(t4/t11+t2/t6+t26*t13/t5*spak3k4*spbk4k1*spbk6k1+t26*t&
      &18/t6*spak3k4*spak5k6*spbk6k1*spbk6k4-(t26*t12/t5*spak3k4*spak5k6*spbk6k1&
      &*spbk6k4+t26*t19/t6*spak3k4*spbk4k1*spbk6k1+t4/t6+t2/t11)))
      t2 = t26*t1*spak5k6*spbk6k1
      abb10n10 = ((4.0_ki)*(t2/t11+t26*t18/t6*spak5k6*spbk6k1-(t26*t12/t5*spak5k&
      &6*spbk6k1+t2/t6)))
      t1 = t26*t1*spak1k2*spbk6k1
      t2 = t26*t3*spbk6k5
      abb10n11 = ((8.0_ki)*(t1/t6+t2/t6+t26/t5*t8*spbk6k5+t26*t12/t5*spak1k2*spb&
      &k6k1-(t26*t18/t6*spak1k2*spbk6k1+t26*t10/t6*spbk6k5+t2/t11+t1/t11)))
      rat2d10 = abb10n1
      rat2 = rat2 + rat2d10
      abb10n13 = abb10n5
      abb10n14 = abb10n11
      abb10n15 = abb10n10
      abb10n16 = abb10n9
      abb10n17 = abb10n8
      abb10n18 = abb10n7
      abb10n19 = abb10n6
      abb10n20 = abb10n4
      abb10n21 = abb10n3
      abb10n22 = abb10n2
   end subroutine
end module p17_ddbar_neepdubar_abbrevd10h1
