module     p18_ddbar_neepscbar_abbrevd26h1
   use p18_ddbar_neepscbar_config, only: ki
   use p18_ddbar_neepscbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb26n1
   complex(ki), public :: abb26n2
   complex(ki), public :: abb26n3
   complex(ki), public :: abb26n4
   complex(ki), public :: abb26n5
   complex(ki), public :: abb26n6
   complex(ki), public :: abb26n7
   complex(ki), public :: abb26n8
   complex(ki), public :: rat2d26
   complex(ki), public :: abb26n10
   complex(ki), public :: abb26n11
   complex(ki), public :: abb26n12
   complex(ki), public :: abb26n13
   complex(ki), public :: abb26n14
   complex(ki), public :: abb26n15
   complex(ki), public :: abb26n16
   complex(ki), public :: abb26n17
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   real(ki) :: t42
   real(ki) :: t43
   real(ki) :: t44
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p18_ddbar_neepscbar_config, only: deltaOS
      use p18_ddbar_neepscbar_kinematics
      use p18_ddbar_neepscbar_model
      use p18_ddbar_neepscbar_color, only: TR
      use p18_ddbar_neepscbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t42 = es12+es34-(es56+es345)
      t2 = c1*i_
      t3 = t2*spak2k5
      t4 = t3*spak3k4
      t43 = TR*TR
      t5 = t43*t4*spbk4k1*spbk6k4
      t44 = t42*t42
      t6 = t44*t1
      t7 = t3*spak3k6
      t8 = t43*t7*spbk6k1*spbk6k4
      t42 = t42*NC
      t42 = t42*t42
      t9 = t42*t1
      t10 = c2*i_
      t11 = t10*spak2k5
      t12 = t11*spak3k4
      t13 = NC*t1
      t14 = t44*t13
      t15 = t11*spak3k6
      t16 = NC*c2
      t17 = t16*i_
      t18 = t17*spak2k5
      t19 = t18*spak3k4
      t20 = t18*spak3k6
      t21 = es234*c1*i_*spak2k5
      t22 = t43*t21*spak3k4*spbk4k1*spbk6k4
      t1 = es12*t1
      t23 = t44*t1
      t21 = t43*t21*spak3k6*spbk6k1*spbk6k4
      t24 = es56*c1*i_*spak2k5
      t25 = t43*t24*spak3k4*spbk4k1*spbk6k4
      t24 = t43*t24*spak3k6*spbk6k1*spbk6k4
      t26 = es61*c1*i_*spak2k5
      t27 = t43*t26*spak3k4*spbk4k1*spbk6k4
      t26 = t43*t26*spak3k6*spbk6k1*spbk6k4
      t28 = t2*spak3k4
      t29 = TR*spak2k5
      t29 = t29*t29
      t30 = t28*t29*spbk2k1*spbk5k4*spbk6k4
      t28 = t28*t29*spbk4k2*spbk5k1*spbk6k4
      t31 = t2*spak3k6
      t32 = t29*t31*spbk2k1*spbk6k4*spbk6k5
      t31 = t29*t31*spbk5k1*spbk6k2*spbk6k4
      t1 = t42*t1
      t33 = es234*c2*i_*spak2k5
      t13 = es12*t44*t13
      t34 = es56*c2*i_*spak2k5
      t35 = es61*c2*i_*spak2k5
      t36 = t10*spak3k4
      t37 = t10*spak3k6
      t38 = es234*t16*i_*spak2k5
      t39 = es56*t16*i_*spak2k5
      t16 = es61*t16*i_*spak2k5
      t40 = t17*spak3k4
      t41 = t17*spak3k6
      abb26n1 = ((4.0_ki)*(t21/t1+t22/t1+t32/t1+t24/t23+t25/t23+t26/t23+t27/t23+&
      &t28/t23+t30/t23+t31/t23+t5/t9+t8/t9+t43*t19/t6*spbk4k1*spbk6k4+t43*t20/t6&
      &*spbk6k1*spbk6k4+t29/t13*t36*spbk2k1*spbk5k4*spbk6k4+t29/t13*t36*spbk4k2*&
      &spbk5k1*spbk6k4+t29/t13*t37*spbk5k1*spbk6k2*spbk6k4+t43*t34/t13*spak3k4*s&
      &pbk4k1*spbk6k4+t43*t34/t13*spak3k6*spbk6k1*spbk6k4+t43*t35/t13*spak3k4*sp&
      &bk4k1*spbk6k4+t43*t35/t13*spak3k6*spbk6k1*spbk6k4+t29/t23*t41*spbk2k1*spb&
      &k6k4*spbk6k5+t43*t38/t23*spak3k4*spbk4k1*spbk6k4+t43*t38/t23*spak3k6*spbk&
      &6k1*spbk6k4-(t43*t39/t23*spak3k6*spbk6k1*spbk6k4+t43*t39/t23*spak3k4*spbk&
      &4k1*spbk6k4+t29/t23*t41*spbk5k1*spbk6k2*spbk6k4+t29/t23*t40*spbk4k2*spbk5&
      &k1*spbk6k4+t29/t23*t40*spbk2k1*spbk5k4*spbk6k4+t43*t16/t23*spak3k6*spbk6k&
      &1*spbk6k4+t43*t16/t23*spak3k4*spbk4k1*spbk6k4+t43*t33/t13*spak3k6*spbk6k1&
      &*spbk6k4+t43*t33/t13*spak3k4*spbk4k1*spbk6k4+t29/t13*t37*spbk2k1*spbk6k4*&
      &spbk6k5+t43*t15/t14*spbk6k1*spbk6k4+t43*t12/t14*spbk4k1*spbk6k4+t8/t6+t5/&
      &t6+t32/t23+t22/t23+t21/t23+t31/t1+t30/t1+t28/t1+t27/t1+t26/t1+t25/t1+t24/&
      &t1)))
      t5 = t43*t4*spbk2k1*spbk6k4
      abb26n2 = ((4.0_ki)*(t5/t1+t43*t19/t23*spbk2k1*spbk6k4-(t43*t12/t13*spbk2k&
      &1*spbk6k4+t5/t23)))
      t5 = t43*t7*spbk2k1*spbk6k4
      abb26n3 = ((4.0_ki)*(t5/t1+t43*t20/t23*spbk2k1*spbk6k4-(t43*t15/t13*spbk2k&
      &1*spbk6k4+t5/t23)))
      t4 = t43*t4*spbk5k1*spbk6k4
      abb26n4 = ((4.0_ki)*(t4/t23+t43*t12/t13*spbk5k1*spbk6k4-(t43*t19/t23*spbk5&
      &k1*spbk6k4+t4/t1)))
      t4 = t2*spak2k3*spak2k5*spbk2k1
      t5 = t43*t4*spbk6k4
      t6 = t3*spak3k5
      t8 = t6*spbk5k1
      t9 = t43*t8*spbk6k4
      t12 = t10*spak2k3*spak2k5*spbk2k1
      t14 = t11*spak3k5
      t16 = t14*spbk5k1
      t19 = t17*spak2k3*spak2k5*spbk2k1
      t21 = t18*spak3k5
      t22 = t21*spbk5k1
      abb26n5 = ((16.0_ki)*(t5/t1+t9/t1+t43*t19/t23*spbk6k4+t43*t22/t23*spbk6k4-&
      &(t43*t16/t13*spbk6k4+t43*t12/t13*spbk6k4+t9/t23+t5/t23)))
      t5 = t43*t7*spbk5k1*spbk6k4
      abb26n6 = ((4.0_ki)*(t5/t23+t43*t15/t13*spbk5k1*spbk6k4-(t43*t20/t23*spbk5&
      &k1*spbk6k4+t5/t1)))
      t5 = t43*t4*spbk6k3
      t2 = t43*t2*spak2k4*spak2k5*spbk2k1*spbk6k4
      t7 = t43*t8*spbk6k3
      t8 = t43*t3*spak4k5*spbk5k1*spbk6k4
      abb26n7 = ((8.0_ki)*(t2/t23+t5/t23+t7/t23+t8/t23+t43*t12/t13*spbk6k3+t43*t&
      &16/t13*spbk6k3+t43*t11/t13*spak4k5*spbk5k1*spbk6k4+t43*t10/t13*spak2k4*sp&
      &ak2k5*spbk2k1*spbk6k4-(t43*t17/t23*spak2k4*spak2k5*spbk2k1*spbk6k4+t43*t1&
      &8/t23*spak4k5*spbk5k1*spbk6k4+t43*t22/t23*spbk6k3+t43*t19/t23*spbk6k3+t8/&
      &t1+t7/t1+t5/t1+t2/t1)))
      t2 = t43*t4*spbk4k3
      t4 = t43*t3*spak2k6*spbk2k1*spbk6k4
      t5 = t43*t6*spbk4k3*spbk5k1
      t3 = t43*t3*spak5k6*spbk5k1*spbk6k4
      abb26n8 = ((8.0_ki)*(t2/t1+t3/t1+t5/t1+t4/t23+t43*t19/t23*spbk4k3+t43*t21/&
      &t23*spbk4k3*spbk5k1+t43*t11/t13*spak2k6*spbk2k1*spbk6k4+t43*t18/t23*spak5&
      &k6*spbk5k1*spbk6k4-(t43*t18/t23*spak2k6*spbk2k1*spbk6k4+t43*t11/t13*spak5&
      &k6*spbk5k1*spbk6k4+t43*t14/t13*spbk4k3*spbk5k1+t43*t12/t13*spbk4k3+t5/t23&
      &+t3/t23+t2/t23+t4/t1)))
      rat2d26 = 0
      rat2 = rat2 + rat2d26
      abb26n10 = abb26n1
      abb26n11 = abb26n8
      abb26n12 = abb26n7
      abb26n13 = abb26n6
      abb26n14 = abb26n5
      abb26n15 = abb26n4
      abb26n16 = abb26n3
      abb26n17 = abb26n2
   end subroutine
end module p18_ddbar_neepscbar_abbrevd26h1
