module     p24_udbar_neepuubar_d2h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p24_udbar_neepuubar/helicity0/d2h0l1d.f90
   ! generator: haggies (1.1)
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d2
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p24_udbar_neepuubar_globalsl1, only: epspow
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_abbrevd2h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      real(ki) :: t31
      real(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3+k2-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t31 = dotproduct(qshift, qshift)
      t2 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t32 = dotproduct(k3, qshift)
      t33 = dotproduct(k4, qshift)
      t34 = dotproduct(k2, qshift)
      t35 = dotproduct(k5, qshift)
      t36 = dotproduct(k6, qshift)
      t3 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t6 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t7 = (spvak4k1(1)*qshift(1)-spvak4k1(2)*qshift(2)-spvak4k1(3)*qshift(3)-sp&
      &vak4k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (t1*abb2n26+t2*abb2n51+t3*abb2n58+t31*abb2n39+t32*abb2n56+t&
         &33*abb2n56+t34*abb2n57+t35*abb2n57+t36*abb2n57+t4*abb2n71+t5*abb2n72+a&
         &bb2n73*(spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift&
         &(3)-spvak5k1(4)*qshift(4))+t1*t3*abb2n43+t1*t31*abb2n54+t1*t32*abb2n48&
         &+t1*t33*abb2n48+t1*t6*abb2n38+t2*t31*abb2n76+t2*t6*abb2n32+t31*t5*abb2&
         &n69+t31*t6*abb2n62+t32*t5*abb2n37+t32*t6*abb2n42+t33*t5*abb2n37+t33*t6&
         &*abb2n42+t34*t6*abb2n40+t35*t6*abb2n40+t36*t6*abb2n40+t4*t6*abb2n28+t5&
         &*t6*abb2n29+t6*t7*abb2n30+t1*t4*t6*abb2n81)
         return
      end if
      t8 = k2(iv1)
      t9 = k3(iv1)
      t10 = k4(iv1)
      t11 = k5(iv1)
      t12 = k6(iv1)
      t13 = qshift(iv1)
      t14 = spvak2k1(iv1)
      t15 = spvak2k4(iv1)
      t16 = spvak3k1(iv1)
      t17 = spvak6k1(iv1)
      t18 = spvak6k5(iv1)
      t19 = spvak3k4(iv1)
      t20 = t19*abb2n60
      t21 = t19*abb2n64
      t22 = spvak4k1(iv1)
      t23 = t17*abb2n67
      t24 = t18*abb2n52
      if(deg.eq.1) then
         numerator = (spvak5k1(iv1)*abb2n33+t10*abb2n46+t11*abb2n45+t12*abb2n45+&
         &t13*abb2n65+t14*abb2n35+t15*abb2n44+t16*abb2n49+t17*abb2n34+t18*abb2n5&
         &0+t20*t32+t20*t33+t21*t34+t21*t35+t21*t36+t23*t32+t23*t33+t24*t32+t24*&
         &t33+t8*abb2n45+t9*abb2n46+t1*t10*abb2n52+t1*t13*abb2n53+t1*t15*abb2n59&
         &+t1*t19*abb2n66+t1*t9*abb2n52+t10*t5*abb2n67+t10*t6*abb2n60+t11*t6*abb&
         &2n64+t12*t6*abb2n64+t13*t2*abb2n75+t13*t5*abb2n68+t13*t6*abb2n61+t14*t&
         &6*abb2n80+t16*t31*abb2n31+t16*t6*abb2n74+t17*t31*abb2n36+t17*t6*abb2n7&
         &9+t18*t3*abb2n59+t18*t31*abb2n47+t18*t6*abb2n66+t19*t2*abb2n74+t19*t31&
         &*abb2n41+t19*t4*abb2n80+t19*t5*abb2n79+t19*t7*abb2n78+t22*t6*abb2n78+t&
         &5*t9*abb2n67+t6*t8*abb2n64+t6*t9*abb2n60+t1*t14*t6*abb2n27+t1*t19*t4*a&
         &bb2n27+t18*t4*t6*abb2n27)
         return
      end if
      t31 = d(iv1,iv2)
      t3 = spvak3k4(iv2)
      t7 = spvak6k1(iv2)
      t20 = spvak6k5(iv2)
      t21 = k3(iv2)
      t23 = k4(iv2)
      t24 = spvak3k1(iv2)
      t25 = qshift(iv2)
      t26 = t14*t3
      t27 = spvak2k1(iv2)
      t28 = t19*t27
      t29 = t19*t20
      t30 = t18*t3
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t31*abb2n39+t1*t31*abb2n54+t2*t31*abb2n76+t31*t5&
         &*abb2n69+t31*t6*abb2n62)+t26*abb2n28+t28*abb2n28+t29*abb2n38+t30*abb2n&
         &38+k2(iv2)*t19*abb2n40+k5(iv2)*t19*abb2n40+k6(iv2)*t19*abb2n40+spvak2k&
         &4(iv2)*t18*abb2n43+spvak4k1(iv2)*t19*abb2n30+t1*t26*abb2n81+t1*t28*abb&
         &2n81+t10*t20*abb2n48+t10*t3*abb2n42+t10*t7*abb2n37+t11*t3*abb2n40+t12*&
         &t3*abb2n40+t13*t20*abb2n55+t13*t24*abb2n77+t13*t3*abb2n63+t13*t7*abb2n&
         &70+t15*t20*abb2n43+t16*t25*abb2n77+t16*t3*abb2n32+t17*t21*abb2n37+t17*&
         &t23*abb2n37+t17*t25*abb2n70+t17*t3*abb2n29+t18*t21*abb2n48+t18*t23*abb&
         &2n48+t18*t25*abb2n55+t19*t21*abb2n42+t19*t23*abb2n42+t19*t24*abb2n32+t&
         &19*t25*abb2n63+t19*t7*abb2n29+t20*t9*abb2n48+t22*t3*abb2n30+t29*t4*abb&
         &2n81+t3*t8*abb2n40+t3*t9*abb2n42+t30*t4*abb2n81+t7*t9*abb2n37+t14*t20*&
         &t6*abb2n81+t18*t27*t6*abb2n81)
         return
      end if
      t32 = d(iv2,iv3)
      t33 = d(iv1,iv3)
      t1 = spvak3k4(iv3)
      t2 = spvak6k5(iv3)
      t4 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak3k1(iv3)*t31*abb2n31+spvak6k1(iv3)*t31*abb2&
         &n36+t1*t31*abb2n41+t16*t32*abb2n31+t17*t32*abb2n36+t18*t32*abb2n47+t19&
         &*t32*abb2n41+t2*t31*abb2n47+t20*t33*abb2n47+t24*t33*abb2n31+t3*t33*abb&
         &2n41+t33*t7*abb2n36)+t2*t26*abb2n27+t2*t28*abb2n27+t1*t14*t20*abb2n27+&
         &t1*t18*t27*abb2n27+t18*t3*t4*abb2n27+t19*t20*t4*abb2n27)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d2:
   subroutine     reconstruct_d2(coeffs)
      use p24_udbar_neepuubar_groups, only: tensrec_info_group6
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group6), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_2:
      coeffs%coeffs_2%c0 = derivative(czip)
      coeffs%coeffs_2%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_2%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_2%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_2%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_2%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_2%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_2%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_2%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_2%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_2%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_2%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_2%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_2%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_2%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_2%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_2%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_2%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_2%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_2%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_2%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_2%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_2%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_2%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_2%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_2%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_2%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_2%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_2%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_2:
   end subroutine reconstruct_d2
!---#] subroutine reconstruct_d2:
end module p24_udbar_neepuubar_d2h0l1d
