module     p24_udbar_neepuubar_d57h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p24_udbar_neepuubar/helicity0/d57h0l1d.f90
   ! generator: haggies (1.1)
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d57
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p24_udbar_neepuubar_globalsl1, only: epspow
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_abbrevd57h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      real(ki) :: t44
      real(ki) :: t45
      real(ki) :: t46
      real(ki) :: t47
      real(ki) :: t48
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      t44 = dotproduct(k2, qshift)
      t45 = dotproduct(k6, qshift)
      t2 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t3 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t6 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t46 = dotproduct(k1, qshift)
      t7 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t47 = dotproduct(k5, qshift)
      t8 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t9 = (spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spvak6k4(3)*qshift(3)-sp&
      &vak6k4(4)*qshift(4))
      t48 = dotproduct(qshift, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb57n30+t2*abb57n55+t44*abb57n51+t45*abb57n54+t1*t4*ab&
         &b57n34+t1*t5*abb57n47+t2*t3*abb57n31+t2*t8*abb57n44+t3*t44*abb57n33+t3&
         &*t6*abb57n50+t3*t7*abb57n48+t4*t45*abb57n32+t4*t6*abb57n43+t4*t9*abb57&
         &n49+t44*t8*abb57n46+t45*t5*abb57n45+t46*t7*abb57n36+t46*t9*abb57n41+t4&
         &7*t7*abb57n37+t47*t9*abb57n42+t48*t7*abb57n56+t48*t9*abb57n52+t5*t6*ab&
         &b57n35+t5*t9*abb57n39+t6*t8*abb57n40+t7*t8*abb57n38+t3*t5*t6*abb57n58+&
         &t4*t6*t8*abb57n59)
         return
      end if
      t10 = k2(iv1)
      t11 = k6(iv1)
      t12 = spvak2k6(iv1)
      t13 = spvak6k2(iv1)
      t14 = k1(iv1)
      t15 = k5(iv1)
      t16 = qshift(iv1)
      t17 = spvak2k1(iv1)
      t18 = spvak2k4(iv1)
      t19 = spvak2k5(iv1)
      t20 = spvak3k4(iv1)
      t21 = spvak6k1(iv1)
      t22 = spvak6k4(iv1)
      t23 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb57n51+t11*abb57n54+t12*abb57n55+t13*abb57n30+t1*t17&
         &*abb57n34+t1*t19*abb57n47+t10*t3*abb57n33+t10*t8*abb57n46+t11*t4*abb57&
         &n32+t11*t5*abb57n45+t12*t3*abb57n31+t12*t8*abb57n44+t13*t4*abb57n34+t1&
         &3*t5*abb57n47+t14*t7*abb57n36+t14*t9*abb57n41+t15*t7*abb57n37+t15*t9*a&
         &bb57n42+t16*t7*abb57n57+t16*t9*abb57n53+t17*t45*abb57n32+t17*t6*abb57n&
         &43+t17*t9*abb57n49+t18*t3*abb57n48+t18*t46*abb57n36+t18*t47*abb57n37+t&
         &18*t48*abb57n56+t18*t8*abb57n38+t19*t45*abb57n45+t19*t6*abb57n35+t19*t&
         &9*abb57n39+t2*t21*abb57n31+t2*t23*abb57n44+t20*t3*abb57n50+t20*t4*abb5&
         &7n43+t20*t5*abb57n35+t20*t8*abb57n40+t21*t44*abb57n33+t21*t6*abb57n50+&
         &t21*t7*abb57n48+t22*t4*abb57n49+t22*t46*abb57n41+t22*t47*abb57n42+t22*&
         &t48*abb57n52+t22*t5*abb57n39+t23*t44*abb57n46+t23*t6*abb57n40+t23*t7*a&
         &bb57n38+t17*t6*t8*abb57n59+t19*t3*t6*abb57n58+t20*t3*t5*abb57n58+t20*t&
         &4*t8*abb57n59+t21*t5*t6*abb57n58+t23*t4*t6*abb57n59)
         return
      end if
      t44 = d(iv1,iv2)
      t1 = spvak2k4(iv2)
      t2 = spvak6k4(iv2)
      t24 = k1(iv2)
      t25 = spvak6k1(iv2)
      t26 = spvak6k5(iv2)
      t27 = k2(iv2)
      t28 = k5(iv2)
      t29 = spvak2k1(iv2)
      t30 = spvak2k5(iv2)
      t31 = k6(iv2)
      t32 = qshift(iv2)
      t33 = spvak3k4(iv2)
      t34 = t17*t33
      t35 = spvak6k2(iv2)
      t36 = t20*t29
      t37 = t19*t33
      t38 = t20*t30
      t39 = spvak2k6(iv2)
      t40 = t20*t25
      t41 = t20*t26
      t42 = t21*t33
      t43 = t23*t33
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t44*t7*abb57n56+t44*t9*abb57n52)+t34*abb57n43+t3&
         &6*abb57n43+t37*abb57n35+t38*abb57n35+t40*abb57n50+t41*abb57n40+t42*abb&
         &57n50+t43*abb57n40+t1*t14*abb57n36+t1*t15*abb57n37+t1*t16*abb57n57+t1*&
         &t21*abb57n48+t1*t23*abb57n38+t10*t25*abb57n33+t10*t26*abb57n46+t11*t29&
         &*abb57n32+t11*t30*abb57n45+t12*t25*abb57n31+t12*t26*abb57n44+t13*t29*a&
         &bb57n34+t13*t30*abb57n47+t14*t2*abb57n41+t15*t2*abb57n42+t16*t2*abb57n&
         &53+t17*t2*abb57n49+t17*t31*abb57n32+t17*t35*abb57n34+t18*t24*abb57n36+&
         &t18*t25*abb57n48+t18*t26*abb57n38+t18*t28*abb57n37+t18*t32*abb57n57+t1&
         &9*t2*abb57n39+t19*t31*abb57n45+t19*t35*abb57n47+t21*t27*abb57n33+t21*t&
         &39*abb57n31+t22*t24*abb57n41+t22*t28*abb57n42+t22*t29*abb57n49+t22*t30&
         &*abb57n39+t22*t32*abb57n53+t23*t27*abb57n46+t23*t39*abb57n44+t3*t37*ab&
         &b57n58+t3*t38*abb57n58+t34*t8*abb57n59+t36*t8*abb57n59+t4*t41*abb57n59&
         &+t4*t43*abb57n59+t40*t5*abb57n58+t42*t5*abb57n58+t17*t26*t6*abb57n59+t&
         &19*t25*t6*abb57n58+t21*t30*t6*abb57n58+t23*t29*t6*abb57n59)
         return
      end if
      t45 = d(iv2,iv3)
      t46 = d(iv1,iv3)
      t3 = spvak6k5(iv3)
      t4 = spvak3k4(iv3)
      t5 = spvak2k1(iv3)
      t6 = spvak6k1(iv3)
      t7 = spvak2k5(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t44*abb57n56+spvak6k4(iv3)*t44*abb&
         &57n52+t1*t46*abb57n56+t18*t45*abb57n56+t2*t46*abb57n52+t22*t45*abb57n5&
         &2)+t3*t34*abb57n59+t3*t36*abb57n59+t37*t6*abb57n58+t38*t6*abb57n58+t17&
         &*t26*t4*abb57n59+t19*t25*t4*abb57n58+t20*t25*t7*abb57n58+t20*t26*t5*ab&
         &b57n59+t21*t30*t4*abb57n58+t21*t33*t7*abb57n58+t23*t29*t4*abb57n59+t23&
         &*t33*t5*abb57n59)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d57:
   subroutine     reconstruct_d57(coeffs)
      use p24_udbar_neepuubar_groups, only: tensrec_info_group6
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group6), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_57:
      coeffs%coeffs_57%c0 = derivative(czip)
      coeffs%coeffs_57%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_57%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_57%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_57%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_57%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_57%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_57%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_57%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_57%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_57%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_57%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_57%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_57%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_57%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_57%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_57%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_57%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_57%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_57%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_57%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_57%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_57%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_57%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_57%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_57%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_57%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_57%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_57%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_57%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_57%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_57%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_57%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_57%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_57%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_57:
   end subroutine reconstruct_d57
!---#] subroutine reconstruct_d57:
end module p24_udbar_neepuubar_d57h0l1d
