module     p24_udbar_neepuubar_abbrevd23h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb23n1
   complex(ki), public :: abb23n2
   complex(ki), public :: abb23n3
   complex(ki), public :: abb23n4
   complex(ki), public :: abb23n5
   complex(ki), public :: abb23n6
   complex(ki), public :: abb23n7
   complex(ki), public :: abb23n8
   complex(ki), public :: abb23n9
   complex(ki), public :: abb23n10
   complex(ki), public :: abb23n11
   complex(ki), public :: abb23n12
   complex(ki), public :: abb23n13
   complex(ki), public :: rat2d23
   complex(ki), public :: abb23n15
   complex(ki), public :: abb23n16
   complex(ki), public :: abb23n17
   complex(ki), public :: abb23n18
   complex(ki), public :: abb23n19
   complex(ki), public :: abb23n20
   complex(ki), public :: abb23n21
   complex(ki), public :: abb23n22
   complex(ki), public :: abb23n23
   complex(ki), public :: abb23n24
   complex(ki), public :: abb23n25
   complex(ki), public :: abb23n26
   complex(ki), public :: abb23n27
   complex(ki), public :: abb23n28
   complex(ki), public :: abb23n29
   complex(ki), public :: abb23n30
   complex(ki), public :: abb23n31
   complex(ki), public :: abb23n32
   complex(ki), public :: abb23n33
   complex(ki), public :: abb23n34
   complex(ki), public :: abb23n35
   complex(ki), public :: abb23n36
   complex(ki), public :: abb23n37
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   real(ki) :: t41
   real(ki) :: t42
   real(ki) :: t43
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t41 = es234-(es61+es56)
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k5
      t4 = t3*spak3k4
      t5 = t4*spbk4k1*spbk6k4
      t42 = TR*mT
      t42 = t42*t42
      t6 = (es12+es34-(es56+es345))*t1
      t41 = t41*t41
      t7 = t41*t6
      t3 = t3*spak3k6
      t8 = t3*spbk6k1*spbk6k4
      t9 = t2*spak2k3
      t10 = t9*spak2k5*spbk4k2
      t11 = t10*spbk6k1
      t12 = es234*t41*t1
      t13 = t9*spak3k5*spbk4k3
      t14 = t13*spbk6k1
      t15 = c2*i_
      t16 = t15*spak2k5
      t17 = t16*spak3k4
      t18 = t17*spbk4k1*spbk6k4
      t6 = NC*t41*t6
      t16 = t16*spak3k6
      t19 = t16*spbk6k1*spbk6k4
      t20 = t15*spak2k3
      t21 = t20*spak2k5*spbk4k2
      t22 = t21*spbk6k1
      t23 = NC*t1
      t24 = es234*t41*t23
      t25 = t20*spak3k5*spbk4k3
      t26 = t25*spbk6k1
      t43 = TR*TR
      t27 = t43*t11
      t1 = t41*t1
      t28 = t43*t14
      t29 = t43*t22
      t23 = t41*t23
      t30 = t43*t26
      t31 = es234*c1*i_*spak2k5
      t32 = es56*c1*i_
      t33 = t32*spak2k5
      t34 = es61*c1*i_
      t35 = t34*spak2k5
      t32 = t32*spak2k3
      t34 = t34*spak2k3
      t36 = es234*c2*i_*spak2k5
      t37 = es56*c2*i_
      t38 = t37*spak2k5
      t39 = es61*c2*i_
      t40 = t39*spak2k5
      t37 = t37*spak2k3
      t39 = t39*spak2k3
      abb23n1 = ((8.0_ki)*(t42*t11/t12+t42*t26/t24+t42*t5/t7+t42/t7*t8-(t42*t22/&
      &t24+t42*t19/t6+t42*t18/t6+t42*t14/t12))+(4.0_ki/3.0_ki)*(t28/t1+t29/t23+t&
      &43*t32/t12*spak2k5*spbk4k2*spbk6k1+t43*t34/t12*spak2k5*spbk4k2*spbk6k1+t4&
      &3*t37/t24*spak3k5*spbk4k3*spbk6k1+t43*t39/t24*spak3k5*spbk4k3*spbk6k1+t43&
      &*t33/t7*spak3k4*spbk4k1*spbk6k4+t43*t33/t7*spak3k6*spbk6k1*spbk6k4+t43*t3&
      &5/t7*spak3k4*spbk4k1*spbk6k4+t43*t35/t7*spak3k6*spbk6k1*spbk6k4+t43*t36/t&
      &6*spak3k4*spbk4k1*spbk6k4+t43*t36/t6*spak3k6*spbk6k1*spbk6k4-(t43*t40/t6*&
      &spak3k6*spbk6k1*spbk6k4+t43*t40/t6*spak3k4*spbk4k1*spbk6k4+t43*t38/t6*spa&
      &k3k6*spbk6k1*spbk6k4+t43*t38/t6*spak3k4*spbk4k1*spbk6k4+t43*t31/t7*spak3k&
      &6*spbk6k1*spbk6k4+t43*t31/t7*spak3k4*spbk4k1*spbk6k4+t43*t39/t24*spak2k5*&
      &spbk4k2*spbk6k1+t43*t37/t24*spak2k5*spbk4k2*spbk6k1+t43*t34/t12*spak3k5*s&
      &pbk4k3*spbk6k1+t43*t32/t12*spak3k5*spbk4k3*spbk6k1+t30/t23+t27/t1)))
      abb23n2 = ((4.0_ki)*(t43*t4/t7*spbk5k1*spbk6k4-t43*t17/t6*spbk5k1*spbk6k4)&
      &)
      abb23n3 = ((8.0_ki)*(t43*t15/t6*spak3k4*spbk6k4-t43*t2/t7*spak3k4*spbk6k4)&
      &)
      t1 = TR*sqrt((mT*mT))
      t1 = t1*t1
      abb23n4 = ((8.0_ki)*(t1*t11/t12+t1/t24*t26+t1*t5/t7+t1/t7*t8-(t1*t22/t24+t&
      &1*t19/t6+t1*t18/t6+t1/t12*t14)))
      t1 = t2*spak1k5
      t11 = t1*spak2k3
      t14 = t15*spak1k5
      t22 = t14*spak2k3
      abb23n5 = ((4.0_ki)*(t43*t22/t24*spbk4k2*spbk6k1+t43*t14/t6*spak3k4*spbk4k&
      &1*spbk6k4+t43*t14/t6*spak3k6*spbk6k1*spbk6k4-(t43*t1/t7*spak3k6*spbk6k1*s&
      &pbk6k4+t43*t1/t7*spak3k4*spbk4k1*spbk6k4+t43*t11/t12*spbk4k2*spbk6k1)))
      abb23n6 = ((4.0_ki)*(t43*t11/t12*spbk4k3*spbk6k1-t43*t22/t24*spbk4k3*spbk6&
      &k1))
      abb23n7 = ((4.0_ki)*(t43*t10/t12*spbk5k1+t43*t25/t24*spbk5k1+t43*t3/t7*spb&
      &k5k1*spbk6k4-(t43*t16/t6*spbk5k1*spbk6k4+t43*t21/t24*spbk5k1+t43*t13/t12*&
      &spbk5k1)))
      t1 = t43*t5/t7
      t5 = t43/t7*t8
      t8 = t27/t12
      t11 = t28/t12
      t14 = t43*t18/t6
      t18 = t43*t19/t6
      t19 = t29/t24
      t22 = t30/t24
      abb23n8 = ((16.0_ki)*(t1+t22+t5+t8-(t19+t18+t14+t11)))
      t1 = t11+t14+t18+t19-(t8+t5+t22+t1)
      abb23n9 = ((8.0_ki)*t1)
      abb23n10 = ((16.0_ki)*t1)
      abb23n11 = ((8.0_ki)*(t43*t20/t24*spbk4k2+t43*t15/t6*spak3k6*spbk6k4-(t43*&
      &t2/t7*spak3k6*spbk6k4+t43/t12*t9*spbk4k2)))
      t1 = t2*spak1k2
      t5 = t15*spak1k2
      abb23n12 = ((8.0_ki)*(t43*t10/t12*spbk6k5+t43*t25/t24*spbk6k5+t43*t17/t6*s&
      &pbk5k4*spbk6k4+t43*t3/t7*spbk6k4*spbk6k5+t43*t1/t12*spak2k3*spbk4k2*spbk6&
      &k1+t43*t1/t7*spak3k4*spbk4k1*spbk6k4+t43*t1/t7*spak3k6*spbk6k1*spbk6k4+t4&
      &3*t15/t24*spak1k3*spak2k3*spbk4k3*spbk6k1-(t43*t2/t12*spak1k3*spak2k3*spb&
      &k4k3*spbk6k1+t43*t5/t6*spak3k6*spbk6k1*spbk6k4+t43*t5/t6*spak3k4*spbk4k1*&
      &spbk6k4+t43/t24*t5*spak2k3*spbk4k2*spbk6k1+t43*t4/t7*spbk5k4*spbk6k4+t43*&
      &t16/t6*spbk6k4*spbk6k5+t43*t21/t24*spbk6k5+t43*t13/t12*spbk6k5)))
      abb23n13 = ((8.0_ki)*(t43/t12*t9*spbk4k3-t43*t20/t24*spbk4k3))
      rat2d23 = abb23n1
      rat2 = rat2 + rat2d23
      abb23n15 = abb23n4
      abb23n16 = abb23n13
      abb23n17 = abb23n12
      abb23n18 = abb23n11
      abb23n19 = abb23n10
      abb23n20 = abb23n9
      abb23n21 = abb23n8
      abb23n22 = abb23n7
      abb23n23 = abb23n6
      abb23n24 = abb23n5
      abb23n25 = abb23n3
      abb23n26 = abb23n2
      abb23n27 = -(abb23n2)
      abb23n28 = -(abb23n3)
      abb23n29 = -(abb23n5)
      abb23n30 = -(abb23n6)
      abb23n31 = -(abb23n7)
      abb23n32 = -(abb23n8)
      abb23n33 = (-2.0_ki)*abb23n9
      abb23n34 = -(abb23n10)
      abb23n35 = -(abb23n11)
      abb23n36 = -(abb23n12)
      abb23n37 = -(abb23n13)
   end subroutine
end module p24_udbar_neepuubar_abbrevd23h1
