module     p24_udbar_neepuubar_abbrevd2h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb2n1
   complex(ki), public :: abb2n2
   complex(ki), public :: abb2n3
   complex(ki), public :: abb2n4
   complex(ki), public :: abb2n5
   complex(ki), public :: abb2n6
   complex(ki), public :: abb2n7
   complex(ki), public :: abb2n8
   complex(ki), public :: abb2n9
   complex(ki), public :: abb2n10
   complex(ki), public :: abb2n11
   complex(ki), public :: abb2n12
   complex(ki), public :: abb2n13
   complex(ki), public :: abb2n14
   complex(ki), public :: abb2n15
   complex(ki), public :: abb2n16
   complex(ki), public :: abb2n17
   complex(ki), public :: abb2n18
   complex(ki), public :: abb2n19
   complex(ki), public :: abb2n20
   complex(ki), public :: abb2n21
   complex(ki), public :: abb2n22
   complex(ki), public :: abb2n23
   complex(ki), public :: abb2n24
   complex(ki), public :: rat2d2
   complex(ki), public :: abb2n26
   complex(ki), public :: abb2n27
   complex(ki), public :: abb2n28
   complex(ki), public :: abb2n29
   complex(ki), public :: abb2n30
   complex(ki), public :: abb2n31
   complex(ki), public :: abb2n32
   complex(ki), public :: abb2n33
   complex(ki), public :: abb2n34
   complex(ki), public :: abb2n35
   complex(ki), public :: abb2n36
   complex(ki), public :: abb2n37
   complex(ki), public :: abb2n38
   complex(ki), public :: abb2n39
   complex(ki), public :: abb2n40
   complex(ki), public :: abb2n41
   complex(ki), public :: abb2n42
   complex(ki), public :: abb2n43
   complex(ki), public :: abb2n44
   complex(ki), public :: abb2n45
   complex(ki), public :: abb2n46
   complex(ki), public :: abb2n47
   complex(ki), public :: abb2n48
   complex(ki), public :: abb2n49
   complex(ki), public :: abb2n50
   complex(ki), public :: abb2n51
   complex(ki), public :: abb2n52
   complex(ki), public :: abb2n53
   complex(ki), public :: abb2n54
   complex(ki), public :: abb2n55
   complex(ki), public :: abb2n56
   complex(ki), public :: abb2n57
   complex(ki), public :: abb2n58
   complex(ki), public :: abb2n59
   complex(ki), public :: abb2n60
   complex(ki), public :: abb2n61
   complex(ki), public :: abb2n62
   complex(ki), public :: abb2n63
   complex(ki), public :: abb2n64
   complex(ki), public :: abb2n65
   complex(ki), public :: abb2n66
   complex(ki), public :: abb2n67
   complex(ki), public :: abb2n68
   complex(ki), public :: abb2n69
   complex(ki), public :: abb2n70
   complex(ki), public :: abb2n71
   complex(ki), public :: abb2n72
   complex(ki), public :: abb2n73
   complex(ki), public :: abb2n74
   complex(ki), public :: abb2n75
   complex(ki), public :: abb2n76
   complex(ki), public :: abb2n77
   complex(ki), public :: abb2n78
   complex(ki), public :: abb2n79
   complex(ki), public :: abb2n80
   complex(ki), public :: abb2n81
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   real(ki) :: t28
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak2k5
      t3 = t2*spak3k4
      t4 = TR*spbk6k4
      t4 = t4*t4
      t5 = es56*(es34+wW*mW*i_-mW*mW)
      t6 = NC*c2
      t7 = t6*i_
      t8 = t7*spak2k5
      t9 = t8*spak3k4
      abb2n1 = ((2.0_ki)*(t4/t5*t9-t3*t4/t5))
      t28 = TR*TR
      abb2n2 = ((2.0_ki)*(es34*t28/t5*t6*i_*spak2k5*spbk6k4-es34*t28/t5*c1*i_*sp&
      &ak2k5*spbk6k4))
      t6 = t1*spak2k3
      t10 = t7*spak2k3
      t11 = t28/t5*t6*spbk4k1-t28*t10/t5*spbk4k1
      abb2n3 = ((4.0_ki)*t11)
      abb2n4 = ((2.0_ki)*t11)
      t11 = t3*spbk4k1
      t12 = t28*t11/t5*spbk6k4
      t13 = t9*spbk4k1
      t14 = t28*t13/t5*spbk6k4
      abb2n5 = ((4.0_ki)*(t12-t14))
      t12 = (4.0_ki)*(t14-t12)
      abb2n6 = t12
      t14 = t1*spak1k2
      t15 = t14*spak3k4
      t16 = TR*spbk4k1
      t16 = t16*t16
      t17 = t7*spak1k2
      t18 = t17*spak3k4
      t19 = t1*spak2k6
      t20 = t19*spak3k4
      t21 = t7*spak2k6
      t22 = t21*spak3k4
      abb2n7 = ((2.0_ki)*(t15*t16/t5+t28*t11/t5*spbk5k4+t28*t20/t5*spbk4k1*spbk6&
      &k4-(t28*t22/t5*spbk4k1*spbk6k4+t28*t13/t5*spbk5k4+t16*t18/t5)))
      t16 = t1*spak1k5
      t23 = t1*spak3k4
      t24 = t7*spak1k5
      t25 = t7*spak3k4
      abb2n8 = ((2.0_ki)*(t28*t11/t5*spbk6k2+t28*t24/t5*spak3k4*spbk4k1*spbk6k1+&
      &t28*t25/t5*spak3k5*spbk4k1*spbk6k3+t28*t25/t5*spak4k5*spbk4k1*spbk6k4-(t2&
      &8*t23/t5*spak4k5*spbk4k1*spbk6k4+t28*t23/t5*spak3k5*spbk4k1*spbk6k3+t28*t&
      &16/t5*spak3k4*spbk4k1*spbk6k1+t28*t13/t5*spbk6k2)))
      abb2n9 = ((4.0_ki)*(t28*t23/t5*spbk4k1-t28*t25/t5*spbk4k1))
      t11 = t28*t2/t5*spbk6k1
      t13 = t28/t5*t8*spbk6k1
      abb2n10 = ((4.0_ki)*(t11-t13))
      t11 = t13-t11
      abb2n11 = ((2.0_ki)*t11)
      abb2n12 = ((4.0_ki)*t11)
      t11 = t6*spak2k5
      t13 = t6*spak3k5
      t23 = t2*spak3k5
      t25 = t10*spak2k5
      t26 = t10*spak3k5
      t27 = t8*spak3k5
      abb2n13 = ((2.0_ki)*(t28*t11/t5*spbk4k1*spbk6k2+t28*t23/t5*spbk5k1*spbk6k4&
      &+t28*t25/t5*spbk2k1*spbk6k4+t28*t26/t5*spbk4k1*spbk6k3+t28*t26/t5*spbk4k3&
      &*spbk6k1+t28*t27/t5*spbk5k4*spbk6k1+t28*t10/t5*spak4k5*spbk4k1*spbk6k4+t2&
      &8*t17/t5*spak3k5*spbk4k1*spbk6k1+t28*t2/t5*spak3k6*spbk6k1*spbk6k4+t28*t2&
      &1/t5*spak3k5*spbk6k1*spbk6k4+t28*t24/t5*spak2k3*spbk4k1*spbk6k1-(t28/t5*t&
      &8*spak3k6*spbk6k1*spbk6k4+t28/t5*t6*spak4k5*spbk4k1*spbk6k4+t28*t19/t5*sp&
      &ak3k5*spbk6k1*spbk6k4+t28*t16/t5*spak2k3*spbk4k1*spbk6k1+t28*t14/t5*spak3&
      &k5*spbk4k1*spbk6k1+t28*t27/t5*spbk5k1*spbk6k4+t28*t25/t5*spbk4k1*spbk6k2+&
      &t28*t23/t5*spbk5k4*spbk6k1+t28*t13/t5*spbk4k3*spbk6k1+t28*t13/t5*spbk4k1*&
      &spbk6k3+t28*t11/t5*spbk2k1*spbk6k4))+t12)
      t11 = t1*spak2k4
      t12 = t7*spak2k4
      abb2n14 = ((2.0_ki)*(t28*t10/t5*spbk3k1+t28*t12/t5*spbk4k1+t28*t19/t5*spbk&
      &6k1+t28*t2/t5*spbk5k1-(t28/t5*t8*spbk5k1+t28/t5*t6*spbk3k1+t28*t21/t5*spb&
      &k6k1+t28*t11/t5*spbk4k1)))
      t13 = t28/t5*t6*spbk6k4
      t19 = t28*t10/t5*spbk6k4
      abb2n15 = ((4.0_ki)*(t13-t19))
      abb2n16 = ((2.0_ki)*(t19-t13))
      abb2n17 = ((2.0_ki)*(t28*t3/t5*spbk4k2*spbk6k4-t28/t5*t9*spbk4k2*spbk6k4))
      abb2n18 = ((2.0_ki)*(t28/t5*t8*spbk6k3-t28*t2/t5*spbk6k3))
      t3 = t28*t2/t5*spbk6k4
      t9 = t28/t5*t8*spbk6k4
      abb2n19 = ((2.0_ki)*(t3-t9))
      abb2n20 = ((2.0_ki)*(t9-t3))
      abb2n21 = ((4.0_ki)*(t28*t2/t5*spbk6k5-t28/t5*t8*spbk6k5)+(2.0_ki)*(t28*t1&
      &0/t5*spbk6k3+t28*t12/t5*spbk6k4+t28*t17/t5*spbk6k1-(t28/t5*t6*spbk6k3+t28&
      &*t14/t5*spbk6k1+t28*t11/t5*spbk6k4)))
      abb2n22 = ((2.0_ki)*(t20*t4/t5+t28*t15/t5*spbk4k1*spbk6k4-(t28*t18/t5*spbk&
      &4k1*spbk6k4+t22*t4/t5)))
      abb2n23 = ((2.0_ki)*(t28*t16/t5*spbk6k1+t28*t1/t5*spak3k5*spbk6k3+t28*t1/t&
      &5*spak4k5*spbk6k4-(t28/t5*t7*spak4k5*spbk6k4+t28/t5*t7*spak3k5*spbk6k3+t2&
      &8*t24/t5*spbk6k1)))
      abb2n24 = ((4.0_ki)*(t28/t5*t7-t28*t1/t5))
      rat2d2 = 0
      rat2 = rat2 + rat2d2
      abb2n26 = -(abb2n1)
      abb2n27 = abb2n24
      abb2n28 = abb2n23
      abb2n29 = abb2n22
      abb2n30 = abb2n21
      abb2n31 = abb2n20
      abb2n32 = abb2n19
      abb2n33 = abb2n18
      abb2n34 = abb2n17
      abb2n35 = abb2n16
      abb2n36 = abb2n15
      abb2n37 = abb2n14
      abb2n38 = abb2n13
      abb2n39 = abb2n12
      abb2n40 = abb2n11
      abb2n41 = abb2n10
      abb2n42 = abb2n9
      abb2n43 = abb2n8
      abb2n44 = abb2n7
      abb2n45 = abb2n6
      abb2n46 = abb2n5
      abb2n47 = abb2n4
      abb2n48 = abb2n3
      abb2n49 = abb2n2
      abb2n50 = abb2n1
      abb2n51 = -(abb2n2)
      abb2n52 = -(abb2n3)
      t1 = (2.0_ki)*abb2n4
      abb2n53 = t1
      abb2n54 = -(abb2n4)
      abb2n55 = -(t1)
      abb2n56 = -(abb2n5)
      abb2n57 = -(abb2n6)
      abb2n58 = -(abb2n7)
      abb2n59 = -(abb2n8)
      abb2n60 = -(abb2n9)
      abb2n61 = -(abb2n10)
      t1 = (2.0_ki)*abb2n11
      abb2n62 = t1
      abb2n63 = -(abb2n11)
      abb2n64 = -(t1)
      abb2n65 = -(abb2n12)
      abb2n66 = (-2.0_ki)*abb2n13
      abb2n67 = -(abb2n14)
      abb2n68 = -(abb2n15)
      t1 = (2.0_ki)*abb2n16
      abb2n69 = t1
      abb2n70 = -(abb2n16)
      abb2n71 = -(t1)
      abb2n72 = -(abb2n17)
      abb2n73 = -(abb2n18)
      t1 = (2.0_ki)*abb2n19
      abb2n74 = t1
      abb2n75 = -(abb2n19)
      abb2n76 = -(t1)
      abb2n77 = -(abb2n20)
      abb2n78 = -(abb2n21)
      abb2n79 = -(abb2n22)
      abb2n80 = -(abb2n23)
      abb2n81 = -(abb2n24)
   end subroutine
end module p24_udbar_neepuubar_abbrevd2h1
