module     p25_udbar_neepssbar_abbrevd27h1
   use p25_udbar_neepssbar_config, only: ki
   use p25_udbar_neepssbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb27n1
   complex(ki), public :: abb27n2
   complex(ki), public :: abb27n3
   complex(ki), public :: abb27n4
   complex(ki), public :: abb27n5
   complex(ki), public :: abb27n6
   complex(ki), public :: abb27n7
   complex(ki), public :: abb27n8
   complex(ki), public :: abb27n9
   complex(ki), public :: rat2d27
   complex(ki), public :: abb27n11
   complex(ki), public :: abb27n12
   complex(ki), public :: abb27n13
   complex(ki), public :: abb27n14
   complex(ki), public :: abb27n15
   complex(ki), public :: abb27n16
   complex(ki), public :: abb27n17
   complex(ki), public :: abb27n18
   complex(ki), public :: abb27n19
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   real(ki) :: t34
   real(ki) :: t35
   real(ki) :: t36
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p25_udbar_neepssbar_config, only: deltaOS
      use p25_udbar_neepssbar_kinematics
      use p25_udbar_neepssbar_model
      use p25_udbar_neepssbar_color, only: TR
      use p25_udbar_neepssbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak1k5
      t4 = t3*spak2k3
      t34 = TR*TR
      t5 = t34*t4*spbk4k1*spbk6k1
      t6 = es56*es234*t1
      t7 = t2*spak2k3
      t8 = t7*spak5k6
      t9 = t34*t8*spbk6k1*spbk6k4
      t10 = NC*NC*t6
      t11 = c2*i_
      t12 = t11*spak1k5
      t13 = t12*spak2k3
      t14 = NC*t1
      t15 = es56*es234*t14
      t16 = t11*spak2k3
      t17 = t16*spak5k6
      t18 = NC*c2
      t19 = t18*i_
      t20 = t19*spak1k5
      t21 = t20*spak2k3
      t22 = t19*spak2k3
      t23 = t22*spak5k6
      t24 = es23*c1*i_
      t25 = t34*t24*spak1k5*spak2k3*spbk4k1*spbk6k1
      t1 = es56*t1
      t35 = es234*es234
      t26 = t35*t1
      t24 = t34*t24*spak2k3*spak5k6*spbk6k1*spbk6k4
      t27 = TR*spak2k3
      t27 = t27*t27
      t28 = t27*t3*spbk2k1*spbk4k3*spbk6k1
      t3 = t27*t3*spbk3k1*spbk4k2*spbk6k1
      t29 = t2*spak5k6
      t30 = t27*t29*spbk4k2*spbk6k1*spbk6k3
      t29 = t27*t29*spbk4k3*spbk6k1*spbk6k2
      t36 = NC*es234
      t1 = t36*t36*t1
      t31 = es23*c2*i_
      t14 = es56*t35*t14
      t32 = t11*spak5k6
      t18 = es23*t18*i_
      t33 = t19*spak5k6
      abb27n1 = ((4.0_ki)*(t25/t1+t29/t1+t3/t1+t9/t10+t24/t26+t28/t26+t30/t26+t5&
      &/t6+t34*t13/t15*spbk4k1*spbk6k1+t34*t23/t6*spbk6k1*spbk6k4+t12/t14*t27*sp&
      &bk2k1*spbk4k3*spbk6k1+t27/t14*t32*spbk4k2*spbk6k1*spbk6k3+t20/t26*t27*spb&
      &k3k1*spbk4k2*spbk6k1+t27/t26*t33*spbk4k3*spbk6k1*spbk6k2+t34*t31/t14*spak&
      &2k3*spak5k6*spbk6k1*spbk6k4+t34*t18/t26*spak1k5*spak2k3*spbk4k1*spbk6k1-(&
      &t34*t18/t26*spak2k3*spak5k6*spbk6k1*spbk6k4+t34*t31/t14*spak1k5*spak2k3*s&
      &pbk4k1*spbk6k1+t27/t26*t33*spbk4k2*spbk6k1*spbk6k3+t20/t26*t27*spbk2k1*sp&
      &bk4k3*spbk6k1+t27/t14*t32*spbk4k3*spbk6k1*spbk6k2+t12/t14*t27*spbk3k1*spb&
      &k4k2*spbk6k1+t34*t21/t6*spbk4k1*spbk6k1+t34*t17/t15*spbk6k1*spbk6k4+t9/t6&
      &+t3/t26+t29/t26+t25/t26+t5/t10+t30/t1+t28/t1+t24/t1)))
      t3 = t34*t4*spbk4k2*spbk6k1
      abb27n2 = ((4.0_ki)*(t3/t26+t34*t13/t14*spbk4k2*spbk6k1-(t34*t21/t26*spbk4&
      &k2*spbk6k1+t3/t1)))
      t3 = t34*t4*spbk4k3*spbk6k1
      abb27n3 = ((4.0_ki)*(t3/t1+t34*t21/t26*spbk4k3*spbk6k1-(t34*t13/t14*spbk4k&
      &3*spbk6k1+t3/t26)))
      t3 = t34*t8*spbk4k2*spbk6k1
      abb27n4 = ((4.0_ki)*(t3/t26+t34*t17/t14*spbk4k2*spbk6k1-(t34*t23/t26*spbk4&
      &k2*spbk6k1+t3/t1)))
      t3 = t7*spak2k5*spbk4k2
      t4 = t34*t3*spbk6k1
      t5 = t4/t26
      t6 = t7*spak3k5*spbk4k3
      t9 = t34*t6*spbk6k1
      t10 = t9/t26
      t4 = t4/t1
      t9 = t9/t1
      t12 = t16*spak2k5*spbk4k2
      t13 = t34*t12/t14*spbk6k1
      t15 = t16*spak3k5*spbk4k3
      t18 = t34*t15/t14*spbk6k1
      t20 = t22*spak2k5*spbk4k2
      t21 = t34*t20/t26*spbk6k1
      t24 = t22*spak3k5*spbk4k3
      t25 = t34*t24/t26*spbk6k1
      abb27n5 = ((16.0_ki)*(t13+t25+t5+t9-(t4+t21+t18+t10)))
      abb27n6 = ((16.0_ki)*(t10+t18+t21+t4-(t9+t5+t25+t13)))
      t4 = t34*t3*spbk5k1
      t5 = t34*t7*spak2k6*spbk4k2*spbk6k1
      t9 = t34*t6*spbk5k1
      t7 = t34*t7*spak3k6*spbk4k3*spbk6k1
      abb27n7 = ((8.0_ki)*(t4/t1+t5/t1+t7/t26+t9/t26+t34*t15/t14*spbk5k1+t34*t20&
      &/t26*spbk5k1+t34*t16/t14*spak3k6*spbk4k3*spbk6k1+t34*t22/t26*spak2k6*spbk&
      &4k2*spbk6k1-(t34*t22/t26*spak3k6*spbk4k3*spbk6k1+t34*t16/t14*spak2k6*spbk&
      &4k2*spbk6k1+t34*t24/t26*spbk5k1+t34*t12/t14*spbk5k1+t5/t26+t4/t26+t9/t1+t&
      &7/t1)))
      t4 = t34*t8*spbk4k3*spbk6k1
      abb27n8 = ((4.0_ki)*(t4/t1+t34*t23/t26*spbk4k3*spbk6k1-(t34*t17/t14*spbk4k&
      &3*spbk6k1+t4/t26)))
      t4 = t34*t2*spak1k2*spak2k3*spbk4k2*spbk6k1
      t2 = t34*t2*spak1k3*spak2k3*spbk4k3*spbk6k1
      t3 = t34*t3*spbk6k5
      t5 = t34*t6*spbk6k5
      abb27n9 = ((8.0_ki)*(t3/t1+t4/t1+t2/t26+t5/t26+t34*t15/t14*spbk6k5+t34*t20&
      &/t26*spbk6k5+t34*t11/t14*spak1k3*spak2k3*spbk4k3*spbk6k1+t34*t19/t26*spak&
      &1k2*spak2k3*spbk4k2*spbk6k1-(t34*t19/t26*spak1k3*spak2k3*spbk4k3*spbk6k1+&
      &t34*t11/t14*spak1k2*spak2k3*spbk4k2*spbk6k1+t34*t24/t26*spbk6k5+t34*t12/t&
      &14*spbk6k5+t4/t26+t3/t26+t5/t1+t2/t1)))
      rat2d27 = 0
      rat2 = rat2 + rat2d27
      abb27n11 = abb27n1
      abb27n12 = abb27n9
      abb27n13 = abb27n8
      abb27n14 = abb27n7
      abb27n15 = abb27n6
      abb27n16 = abb27n5
      abb27n17 = abb27n4
      abb27n18 = abb27n3
      abb27n19 = abb27n2
   end subroutine
end module p25_udbar_neepssbar_abbrevd27h1
