module     p26_udbar_neepgg_d86h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity0/d86h0l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d86
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd86h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      complex(ki) :: t152
      complex(ki) :: t153
      complex(ki) :: t154
      complex(ki) :: t155
      complex(ki) :: t156
      complex(ki) :: t157
      complex(ki) :: t158
      complex(ki) :: t159
      complex(ki) :: t160
      complex(ki) :: t161
      complex(ki) :: t162
      complex(ki) :: t163
      complex(ki) :: t164
      complex(ki) :: t165
      complex(ki) :: t166
      complex(ki) :: t167
      complex(ki) :: t168
      complex(ki) :: t169
      complex(ki) :: t170
      complex(ki) :: t171
      complex(ki) :: t172
      complex(ki) :: t173
      complex(ki) :: t174
      complex(ki) :: t175
      complex(ki) :: t176
      complex(ki) :: t177
      complex(ki) :: t178
      complex(ki) :: t179
      complex(ki) :: t180
      complex(ki) :: t181
      complex(ki) :: t182
      complex(ki) :: t183
      complex(ki) :: t184
      complex(ki) :: t185
      complex(ki) :: t186
      complex(ki) :: t187
      complex(ki) :: t188
      real(ki) :: t189
      real(ki) :: t190
      real(ki) :: t191
      real(ki) :: t192
      real(ki) :: t193
      real(ki) :: t194
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t189 = dotproduct(qshift, qshift)
      t190 = dotproduct(k1, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t191 = dotproduct(k2, qshift)
      t192 = dotproduct(k6, qshift)
      t2 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t5 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t193 = dotproduct(k5, qshift)
      t6 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t9 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t10 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-s&
      &pvak3k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb86n83+t1*abb86n124+t189*abb86n111+t189*t189*abb86n103+t&
         &190*abb86n146+t190*t190*abb86n104+t191*abb86n125+t192*abb86n126+t193*a&
         &bb86n145+t2*abb86n129+t3*abb86n130+t4*abb86n131+t5*abb86n133+t1*t189*a&
         &bb86n127+t1*t190*abb86n121+t1*t193*abb86n120+t1*t2*abb86n123+t1*t3*abb&
         &86n114+t1*t4*abb86n119+t1*t5*abb86n122+t189*t190*abb86n157+t189*t191*a&
         &bb86n139+t189*t192*abb86n153+t189*t193*abb86n157+t189*t2*abb86n174+t18&
         &9*t3*abb86n159+t189*t4*abb86n148+t189*t5*abb86n179+t190*t191*abb86n113&
         &+t190*t192*abb86n102+t190*t193*abb86n105+t190*t2*abb86n94+t190*t3*abb8&
         &6n99+t190*t4*abb86n108+t190*t5*abb86n88+t191*t2*abb86n117+t191*t3*abb8&
         &6n116+t191*t4*abb86n110+t192*t193*abb86n101+t192*t2*abb86n93+t192*t4*a&
         &bb86n109+t192*t5*abb86n89+t193*t2*abb86n118+t193*t3*abb86n100+t193*t4*&
         &abb86n110+t2*t3*abb86n91+t2*t4*abb86n92+t3*t4*abb86n107+t3*t5*abb86n86&
         &+t4*t5*abb86n87+t4*t6*abb86n98+t1*t189*t3*abb86n112+t1*t189*t4*abb86n1&
         &06+t1*t189*t5*abb86n85+t1*t190*t3*abb86n143+t1*t190*t4*abb86n150+t1*t1&
         &90*t5*abb86n182+t1*t193*t3*abb86n142+t1*t3*t4*abb86n141+t1*t4*t5*abb86&
         &n132+t1*t4*t7*abb86n138+t1*t4*t9*abb86n165+t10*t189*t4*abb86n90+t10*t1&
         &90*t4*abb86n178+t10*t192*t4*abb86n176+t10*t3*t4*abb86n181+t189*t2*t3*a&
         &bb86n96+t189*t3*t4*abb86n115+t189*t4*t5*abb86n95+t189*t4*t8*abb86n97+t&
         &190*t3*t4*abb86n134+t190*t4*t5*abb86n170+t190*t4*t8*abb86n161+t191*t2*&
         &t3*abb86n169+t191*t3*t4*abb86n135+t192*t4*t5*abb86n173+t192*t4*t8*abb8&
         &6n163+t193*t2*t3*abb86n167+t193*t3*t4*abb86n135+t2*t3*t4*abb86n171+t3*&
         &t4*t5*abb86n169+t3*t4*t6*abb86n137+t3*t4*t7*abb86n166+t3*t4*t8*abb86n1&
         &64+t1*t3*t4*t7*abb86n84)
         return
      end if
      t11 = k1(iv1)
      t12 = k2(iv1)
      t13 = k5(iv1)
      t14 = k6(iv1)
      t15 = qshift(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k6(iv1)
      t19 = spvak6k1(iv1)
      t20 = spvak6k5(iv1)
      t21 = t15*abb86n158
      t22 = spvak2k5(iv1)
      t23 = t20*abb86n110
      t24 = spvak2k1(iv1)
      t25 = spvak2k4(iv1)
      t26 = spvak2k6(iv1)
      t27 = spvak3k1(iv1)
      t28 = t18*abb86n135
      t29 = t18*abb86n169
      t30 = t20*abb86n135
      if(deg.eq.1) then
         numerator = (t11*abb86n146+t12*abb86n125+t13*abb86n145+t14*abb86n126+t1&
         &5*abb86n147+t16*abb86n124+t17*abb86n133+t18*abb86n130+t19*abb86n129+t1&
         &90*t21+t191*t23+t193*t21+t193*t23+t20*abb86n131+t1*t11*abb86n121+t1*t1&
         &3*abb86n120+t1*t15*abb86n128+t1*t17*abb86n122+t1*t18*abb86n114+t1*t19*&
         &abb86n123+t1*t20*abb86n119+t11*t189*abb86n157+t11*t190*abb86n152+t11*t&
         &191*abb86n113+t11*t192*abb86n102+t11*t193*abb86n105+t11*t2*abb86n94+t1&
         &1*t3*abb86n99+t11*t4*abb86n108+t11*t5*abb86n88+t12*t189*abb86n139+t12*&
         &t190*abb86n113+t12*t2*abb86n117+t12*t3*abb86n116+t12*t4*abb86n110+t13*&
         &t189*abb86n157+t13*t190*abb86n105+t13*t192*abb86n101+t13*t2*abb86n118+&
         &t13*t3*abb86n100+t13*t4*abb86n110+t14*t189*abb86n153+t14*t190*abb86n10&
         &2+t14*t193*abb86n101+t14*t2*abb86n93+t14*t4*abb86n109+t14*t5*abb86n89+&
         &t15*t189*abb86n155+t15*t191*abb86n140+t15*t192*abb86n154+t15*t2*abb86n&
         &175+t15*t3*abb86n160+t15*t4*abb86n149+t15*t5*abb86n180+t16*t189*abb86n&
         &127+t16*t190*abb86n121+t16*t193*abb86n120+t16*t2*abb86n123+t16*t3*abb8&
         &6n114+t16*t4*abb86n119+t16*t5*abb86n122+t17*t189*abb86n179+t17*t190*ab&
         &b86n88+t17*t192*abb86n89+t17*t3*abb86n86+t17*t4*abb86n87+t18*t189*abb8&
         &6n159+t18*t190*abb86n99+t18*t191*abb86n116+t18*t193*abb86n100+t18*t2*a&
         &bb86n91+t18*t4*abb86n107+t18*t5*abb86n86+t189*t19*abb86n174+t189*t20*a&
         &bb86n148+t19*t190*abb86n94+t19*t191*abb86n117+t19*t192*abb86n93+t19*t1&
         &93*abb86n118+t19*t3*abb86n91+t19*t4*abb86n92+t190*t20*abb86n108+t191*t&
         &2*t29+t191*t28*t4+t191*t3*t30+t192*t20*abb86n109+t193*t28*t4+t193*t3*t&
         &30+t2*t20*abb86n92+t20*t3*abb86n107+t20*t5*abb86n87+t20*t6*abb86n98+t2&
         &2*t4*abb86n98+t29*t4*t5+t1*t11*t3*abb86n143+t1*t11*t4*abb86n150+t1*t11&
         &*t5*abb86n182+t1*t13*t3*abb86n142+t1*t15*t3*abb86n144+t1*t15*t4*abb86n&
         &151+t1*t15*t5*abb86n183+t1*t17*t189*abb86n85+t1*t17*t190*abb86n182+t1*&
         &t17*t4*abb86n132+t1*t18*t189*abb86n112+t1*t18*t190*abb86n143+t1*t18*t1&
         &93*abb86n142+t1*t18*t4*abb86n141+t1*t189*t20*abb86n106+t1*t190*t20*abb&
         &86n150+t1*t20*t3*abb86n141+t1*t20*t5*abb86n132+t1*t20*t7*abb86n138+t1*&
         &t20*t9*abb86n165+t1*t24*t4*abb86n138+t1*t26*t4*abb86n165+t10*t11*t4*ab&
         &b86n178+t10*t14*t4*abb86n176+t10*t15*t4*abb86n177+t10*t18*t4*abb86n181&
         &+t10*t189*t20*abb86n90+t10*t190*t20*abb86n178+t10*t192*t20*abb86n176+t&
         &10*t20*t3*abb86n181+t11*t3*t4*abb86n134+t11*t4*t5*abb86n170+t11*t4*t8*&
         &abb86n161+t12*t2*t3*abb86n169+t12*t3*t4*abb86n135+t13*t2*t3*abb86n167+&
         &t13*t3*t4*abb86n135+t14*t4*t5*abb86n173+t14*t4*t8*abb86n163+t15*t2*t3*&
         &abb86n168+t15*t3*t4*abb86n136+t15*t4*t5*abb86n172+t15*t4*t8*abb86n162+&
         &t16*t189*t3*abb86n112+t16*t189*t4*abb86n106+t16*t189*t5*abb86n85+t16*t&
         &190*t3*abb86n143+t16*t190*t4*abb86n150+t16*t190*t5*abb86n182+t16*t193*&
         &t3*abb86n142+t16*t3*t4*abb86n141+t16*t4*t5*abb86n132+t16*t4*t7*abb86n1&
         &38+t16*t4*t9*abb86n165+t17*t189*t4*abb86n95+t17*t190*t4*abb86n170+t17*&
         &t192*t4*abb86n173+t17*t3*t4*abb86n169+t18*t189*t2*abb86n96+t18*t189*t4&
         &*abb86n115+t18*t190*t4*abb86n134+t18*t193*t2*abb86n167+t18*t2*t4*abb86&
         &n171+t18*t4*t6*abb86n137+t18*t4*t7*abb86n166+t18*t4*t8*abb86n164+t189*&
         &t19*t3*abb86n96+t189*t20*t3*abb86n115+t189*t20*t5*abb86n95+t189*t20*t8&
         &*abb86n97+t189*t25*t4*abb86n97+t189*t27*t4*abb86n90+t19*t191*t3*abb86n&
         &169+t19*t193*t3*abb86n167+t19*t3*t4*abb86n171+t190*t20*t3*abb86n134+t1&
         &90*t20*t5*abb86n170+t190*t20*t8*abb86n161+t190*t25*t4*abb86n161+t190*t&
         &27*t4*abb86n178+t192*t20*t5*abb86n173+t192*t20*t8*abb86n163+t192*t25*t&
         &4*abb86n163+t192*t27*t4*abb86n176+t2*t20*t3*abb86n171+t20*t3*t5*abb86n&
         &169+t20*t3*t6*abb86n137+t20*t3*t7*abb86n166+t20*t3*t8*abb86n164+t22*t3&
         &*t4*abb86n137+t24*t3*t4*abb86n166+t25*t3*t4*abb86n164+t27*t3*t4*abb86n&
         &181+t1*t18*t4*t7*abb86n84+t1*t20*t3*t7*abb86n84+t1*t24*t3*t4*abb86n84+&
         &t16*t3*t4*t7*abb86n84)
         return
      end if
      t194 = d(iv1,iv2)
      t21 = k1(iv2)
      t23 = qshift(iv2)
      t28 = t194*abb86n157
      t29 = k2(iv2)
      t30 = k5(iv2)
      t31 = k6(iv2)
      t32 = spvak3k4(iv2)
      t33 = t11*t32
      t34 = spvak5k1(iv2)
      t35 = t11*t34
      t36 = spvak5k6(iv2)
      t37 = t11*t36
      t38 = spvak6k1(iv2)
      t39 = spvak6k5(iv2)
      t40 = t11*t39
      t41 = t16*t21
      t42 = t17*t21
      t43 = t18*t21
      t44 = t20*t21
      t45 = t12*t36
      t46 = t12*t38
      t47 = t12*t39
      t48 = t18*t29
      t49 = t19*t29
      t50 = t20*t29
      t51 = t13*t32
      t52 = t13*t36
      t53 = t13*t38
      t54 = t13*t39
      t55 = t16*t30
      t56 = t18*t30
      t57 = t19*t30
      t58 = t20*t30
      t59 = t14*t34
      t60 = t14*t39
      t61 = t17*t31
      t62 = t20*t31
      t63 = t15*t32
      t64 = t15*t34
      t65 = t15*t36
      t66 = t15*t38
      t67 = t15*t39
      t68 = t16*t23
      t69 = t17*t23
      t70 = t18*t23
      t71 = t19*t23
      t72 = t20*t23
      t73 = t22*t39
      t74 = spvak2k5(iv2)
      t75 = t20*t74
      t76 = t16*t34
      t77 = t16*t36
      t78 = t16*t39
      t79 = t17*t32
      t80 = t18*t32
      t81 = t20*t32
      t82 = t17*t36
      t83 = t17*t39
      t84 = t18*t34
      t85 = t20*t34
      t86 = t18*t38
      t87 = t18*t39
      t88 = t19*t36
      t89 = t20*t36
      t90 = t19*t39
      t91 = t20*t38
      t92 = spvak2k4(iv2)
      t93 = t11*t92
      t94 = spvak3k1(iv2)
      t95 = t11*t94
      t96 = t21*t25
      t97 = t21*t27
      t98 = t14*t92
      t99 = t14*t94
      t100 = t25*t31
      t101 = t27*t31
      t102 = t15*t92
      t103 = t15*t94
      t104 = t23*t25
      t105 = t23*t27
      t106 = t24*t32
      t107 = t24*t36
      t108 = t24*t39
      t109 = spvak2k1(iv2)
      t110 = t109*t16
      t111 = t109*t18
      t112 = t109*t20
      t113 = t25*t36
      t114 = t25*t39
      t115 = t18*t92
      t116 = t20*t92
      t117 = t22*t36
      t118 = t18*t74
      t119 = t26*t32
      t120 = spvak2k6(iv2)
      t121 = t120*t16
      t122 = t27*t36
      t123 = t27*t39
      t124 = t18*t94
      t125 = t20*t94
      t126 = t87*abb86n135
      t127 = t89*abb86n135
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t190*t28+t193*t28+t194*abb86n111+t1*t194*abb86n1&
         &27+t11*t21*abb86n104+t15*t23*abb86n155+t189*t194*abb86n156+t191*t194*a&
         &bb86n139+t192*t194*abb86n153+t194*t2*abb86n174+t194*t3*abb86n159+t194*&
         &t4*abb86n148+t194*t5*abb86n179+t1*t194*t3*abb86n112+t1*t194*t4*abb86n1&
         &06+t1*t194*t5*abb86n85+t10*t194*t4*abb86n90+t194*t2*t3*abb86n96+t194*t&
         &3*t4*abb86n115+t194*t4*t5*abb86n95+t194*t4*t8*abb86n97)+t126*t191+t126&
         &*t193+t127*t191+t127*t193+t33*abb86n121+t35*abb86n88+t37*abb86n99+t40*&
         &abb86n108+t41*abb86n121+t42*abb86n88+t43*abb86n99+t44*abb86n108+t45*ab&
         &b86n116+t46*abb86n117+t47*abb86n110+t48*abb86n116+t49*abb86n117+t50*ab&
         &b86n110+t51*abb86n120+t52*abb86n100+t53*abb86n118+t54*abb86n110+t55*ab&
         &b86n120+t56*abb86n100+t57*abb86n118+t58*abb86n110+t59*abb86n89+t60*abb&
         &86n109+t61*abb86n89+t62*abb86n109+t63*abb86n128+t64*abb86n180+t65*abb8&
         &6n160+t66*abb86n175+t67*abb86n149+t68*abb86n128+t69*abb86n180+t70*abb8&
         &6n160+t71*abb86n175+t72*abb86n149+t73*abb86n98+t75*abb86n98+t76*abb86n&
         &122+t77*abb86n114+t78*abb86n119+t79*abb86n122+t80*abb86n114+t81*abb86n&
         &119+t82*abb86n86+t83*abb86n87+t84*abb86n86+t85*abb86n87+t86*abb86n91+t&
         &87*abb86n107+t88*abb86n91+t89*abb86n107+t90*abb86n92+t91*abb86n92+t1*t&
         &108*abb86n138+t1*t112*abb86n138+t1*t35*abb86n182+t1*t37*abb86n143+t1*t&
         &40*abb86n150+t1*t42*abb86n182+t1*t43*abb86n143+t1*t44*abb86n150+t1*t52&
         &*abb86n142+t1*t56*abb86n142+t1*t64*abb86n183+t1*t65*abb86n144+t1*t67*a&
         &bb86n151+t1*t69*abb86n183+t1*t70*abb86n144+t1*t72*abb86n151+t1*t83*abb&
         &86n132+t1*t85*abb86n132+t1*t87*abb86n141+t1*t89*abb86n141+t10*t40*abb8&
         &6n178+t10*t44*abb86n178+t10*t60*abb86n176+t10*t62*abb86n176+t10*t67*ab&
         &b86n177+t10*t72*abb86n177+t10*t87*abb86n181+t10*t89*abb86n181+t100*t4*&
         &abb86n163+t101*t4*abb86n176+t102*t4*abb86n162+t103*t4*abb86n177+t104*t&
         &4*abb86n162+t105*t4*abb86n177+t106*t4*abb86n138+t107*t4*abb86n166+t108&
         &*t3*abb86n166+t11*t23*abb86n158+t11*t29*abb86n113+t11*t30*abb86n105+t1&
         &1*t31*abb86n102+t11*t38*abb86n94+t110*t4*abb86n138+t111*t4*abb86n166+t&
         &112*t3*abb86n166+t113*t4*abb86n164+t114*t189*abb86n97+t114*t190*abb86n&
         &161+t114*t192*abb86n163+t114*t3*abb86n164+t115*t4*abb86n164+t116*t189*&
         &abb86n97+t116*t190*abb86n161+t116*t192*abb86n163+t116*t3*abb86n164+t11&
         &7*t4*abb86n137+t118*t4*abb86n137+t119*t4*abb86n165+t12*t21*abb86n113+t&
         &12*t23*abb86n140+t121*t4*abb86n165+t122*t4*abb86n181+t123*t189*abb86n9&
         &0+t123*t190*abb86n178+t123*t192*abb86n176+t123*t3*abb86n181+t124*t4*ab&
         &b86n181+t125*t189*abb86n90+t125*t190*abb86n178+t125*t192*abb86n176+t12&
         &5*t3*abb86n181+t13*t21*abb86n105+t13*t23*abb86n158+t13*t31*abb86n101+t&
         &14*t21*abb86n102+t14*t23*abb86n154+t14*t30*abb86n101+t14*t38*abb86n93+&
         &t15*t21*abb86n158+t15*t29*abb86n140+t15*t30*abb86n158+t15*t31*abb86n15&
         &4+t16*t38*abb86n123+t189*t76*abb86n85+t189*t77*abb86n112+t189*t78*abb8&
         &6n106+t189*t79*abb86n85+t189*t80*abb86n112+t189*t81*abb86n106+t189*t83&
         &*abb86n95+t189*t85*abb86n95+t189*t86*abb86n96+t189*t87*abb86n115+t189*&
         &t88*abb86n96+t189*t89*abb86n115+t19*t21*abb86n94+t19*t31*abb86n93+t19*&
         &t32*abb86n123+t190*t76*abb86n182+t190*t77*abb86n143+t190*t78*abb86n150&
         &+t190*t79*abb86n182+t190*t80*abb86n143+t190*t81*abb86n150+t190*t83*abb&
         &86n170+t190*t85*abb86n170+t190*t87*abb86n134+t190*t89*abb86n134+t191*t&
         &86*abb86n169+t191*t88*abb86n169+t192*t83*abb86n173+t192*t85*abb86n173+&
         &t193*t77*abb86n142+t193*t80*abb86n142+t193*t86*abb86n167+t193*t88*abb8&
         &6n167+t2*t45*abb86n169+t2*t48*abb86n169+t2*t52*abb86n167+t2*t56*abb86n&
         &167+t2*t65*abb86n168+t2*t70*abb86n168+t2*t87*abb86n171+t2*t89*abb86n17&
         &1+t3*t33*abb86n143+t3*t40*abb86n134+t3*t41*abb86n143+t3*t44*abb86n134+&
         &t3*t46*abb86n169+t3*t47*abb86n135+t3*t49*abb86n169+t3*t50*abb86n135+t3&
         &*t51*abb86n142+t3*t53*abb86n167+t3*t54*abb86n135+t3*t55*abb86n142+t3*t&
         &57*abb86n167+t3*t58*abb86n135+t3*t63*abb86n144+t3*t66*abb86n168+t3*t67&
         &*abb86n136+t3*t68*abb86n144+t3*t71*abb86n168+t3*t72*abb86n136+t3*t73*a&
         &bb86n137+t3*t75*abb86n137+t3*t78*abb86n141+t3*t81*abb86n141+t3*t83*abb&
         &86n169+t3*t85*abb86n169+t3*t90*abb86n171+t3*t91*abb86n171+t33*t4*abb86&
         &n150+t33*t5*abb86n182+t35*t4*abb86n170+t37*t4*abb86n134+t4*t41*abb86n1&
         &50+t4*t42*abb86n170+t4*t43*abb86n134+t4*t45*abb86n135+t4*t48*abb86n135&
         &+t4*t52*abb86n135+t4*t56*abb86n135+t4*t59*abb86n173+t4*t61*abb86n173+t&
         &4*t63*abb86n151+t4*t64*abb86n172+t4*t65*abb86n136+t4*t68*abb86n151+t4*&
         &t69*abb86n172+t4*t70*abb86n136+t4*t76*abb86n132+t4*t77*abb86n141+t4*t7&
         &9*abb86n132+t4*t80*abb86n141+t4*t82*abb86n169+t4*t84*abb86n169+t4*t86*&
         &abb86n171+t4*t88*abb86n171+t4*t93*abb86n161+t4*t95*abb86n178+t4*t96*ab&
         &b86n161+t4*t97*abb86n178+t4*t98*abb86n163+t4*t99*abb86n176+t40*t5*abb8&
         &6n170+t40*t8*abb86n161+t41*t5*abb86n182+t44*t5*abb86n170+t44*t8*abb86n&
         &161+t5*t60*abb86n173+t5*t62*abb86n173+t5*t63*abb86n183+t5*t67*abb86n17&
         &2+t5*t68*abb86n183+t5*t72*abb86n172+t5*t78*abb86n132+t5*t81*abb86n132+&
         &t5*t87*abb86n169+t5*t89*abb86n169+t6*t87*abb86n137+t6*t89*abb86n137+t6&
         &0*t8*abb86n163+t62*t8*abb86n163+t67*t8*abb86n162+t7*t78*abb86n138+t7*t&
         &81*abb86n138+t7*t87*abb86n166+t7*t89*abb86n166+t72*t8*abb86n162+t78*t9&
         &*abb86n165+t8*t87*abb86n164+t8*t89*abb86n164+t81*t9*abb86n165+t1*t107*&
         &t4*abb86n84+t1*t108*t3*abb86n84+t1*t111*t4*abb86n84+t1*t112*t3*abb86n8&
         &4+t1*t120*t20*abb86n165+t1*t26*t39*abb86n165+t1*t7*t87*abb86n84+t1*t7*&
         &t89*abb86n84+t106*t3*t4*abb86n84+t110*t3*t4*abb86n84+t3*t7*t78*abb86n8&
         &4+t3*t7*t81*abb86n84+t4*t7*t77*abb86n84+t4*t7*t80*abb86n84)
         return
      end if
      t189 = d(iv2,iv3)
      t190 = d(iv1,iv3)
      t6 = k1(iv3)
      t9 = k2(iv3)
      t28 = k5(iv3)
      t40 = k6(iv3)
      t44 = qshift(iv3)
      t46 = t16*t189
      t47 = t190*t32
      t49 = spvak3k4(iv3)
      t50 = t194*t49
      t53 = t17*t189
      t54 = t190*t34
      t57 = spvak5k1(iv3)
      t58 = t194*t57
      t60 = t18*t189
      t62 = t190*t36
      t66 = spvak5k6(iv3)
      t67 = t194*t66
      t71 = t189*t19
      t72 = t190*t38
      t73 = spvak6k1(iv3)
      t75 = t194*t73
      t90 = t189*t20
      t91 = t190*t39
      t108 = spvak6k5(iv3)
      t112 = t108*t194
      t126 = spvak2k4(iv3)
      t127 = spvak3k1(iv3)
      t128 = t11*t49
      t129 = t21*t49
      t130 = t16*t6
      t131 = t32*t6
      t132 = t12*t66
      t133 = t29*t66
      t134 = t18*t9
      t135 = t36*t9
      t136 = t13*t66
      t137 = t30*t66
      t138 = t18*t28
      t139 = t28*t36
      t140 = t15*t49
      t141 = t15*t66
      t142 = t23*t49
      t143 = t23*t66
      t144 = t16*t44
      t145 = t32*t44
      t146 = t18*t44
      t147 = t36*t44
      t148 = t106*t108
      t149 = t24*t49
      t150 = t149*t39
      t107 = t107*t108
      t151 = t24*t39*t66
      t152 = t108*t110
      t153 = t109*t49
      t154 = t153*t20
      t111 = t108*t111
      t155 = t109*t20*t66
      t156 = spvak2k1(iv3)
      t157 = t156*t16
      t158 = t157*t39
      t159 = t156*t32
      t160 = t159*t20
      t161 = t156*t18*t39
      t162 = t156*t20*t36
      t163 = spvak2k5(iv3)
      t164 = spvak2k6(iv3)
      t165 = t16*t57
      t166 = t108*t77
      t167 = t16*t66
      t168 = t167*t39
      t169 = t32*t57
      t170 = t108*t80
      t171 = t32*t66
      t172 = t171*t20
      t173 = t17*t49
      t174 = t34*t49
      t175 = t18*t49
      t176 = t175*t39
      t177 = t36*t49
      t178 = t177*t20
      t179 = t18*t73
      t180 = t36*t73
      t181 = t19*t66
      t182 = t38*t66
      t183 = t106*t66
      t184 = t149*t36
      t185 = t110*t66
      t186 = t153*t18
      t187 = t157*t36
      t188 = t159*t18
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t112*abb86n148+t46*abb86n127+t47*abb86n127+t50*a&
         &bb86n127+t53*abb86n179+t54*abb86n179+t58*abb86n179+t60*abb86n159+t62*a&
         &bb86n159+t67*abb86n159+t71*abb86n174+t72*abb86n174+t75*abb86n174+t90*a&
         &bb86n148+t91*abb86n148+t1*t112*abb86n106+t1*t53*abb86n85+t1*t54*abb86n&
         &85+t1*t58*abb86n85+t1*t60*abb86n112+t1*t62*abb86n112+t1*t67*abb86n112+&
         &t1*t90*abb86n106+t1*t91*abb86n106+t10*t112*abb86n90+t10*t90*abb86n90+t&
         &10*t91*abb86n90+t11*t189*abb86n157+t112*t3*abb86n115+t112*t5*abb86n95+&
         &t112*t8*abb86n97+t12*t189*abb86n139+t13*t189*abb86n157+t14*t189*abb86n&
         &153+t15*t189*abb86n155+t190*t21*abb86n157+t190*t23*abb86n155+t190*t29*&
         &abb86n139+t190*t30*abb86n157+t190*t31*abb86n153+t194*t28*abb86n157+t19&
         &4*t40*abb86n153+t194*t44*abb86n155+t194*t6*abb86n157+t194*t9*abb86n139&
         &+t2*t60*abb86n96+t2*t62*abb86n96+t2*t67*abb86n96+t3*t46*abb86n112+t3*t&
         &47*abb86n112+t3*t50*abb86n112+t3*t71*abb86n96+t3*t72*abb86n96+t3*t75*a&
         &bb86n96+t3*t90*abb86n115+t3*t91*abb86n115+t4*t46*abb86n106+t4*t47*abb8&
         &6n106+t4*t50*abb86n106+t4*t53*abb86n95+t4*t54*abb86n95+t4*t58*abb86n95&
         &+t4*t60*abb86n115+t4*t62*abb86n115+t4*t67*abb86n115+t46*t5*abb86n85+t4&
         &7*t5*abb86n85+t5*t50*abb86n85+t5*t90*abb86n95+t5*t91*abb86n95+t8*t90*a&
         &bb86n97+t8*t91*abb86n97+t126*t194*t4*abb86n97+t127*t194*t4*abb86n90+t1&
         &89*t25*t4*abb86n97+t189*t27*t4*abb86n90+t190*t4*t92*abb86n97+t190*t4*t&
         &94*abb86n90)+t107*abb86n166+t111*abb86n166+t148*abb86n138+t150*abb86n1&
         &38+t151*abb86n166+t152*abb86n138+t154*abb86n138+t155*abb86n166+t158*ab&
         &b86n138+t160*abb86n138+t161*abb86n166+t162*abb86n166+t166*abb86n141+t1&
         &68*abb86n141+t170*abb86n141+t172*abb86n141+t176*abb86n141+t178*abb86n1&
         &41+t1*t107*abb86n84+t1*t111*abb86n84+t1*t151*abb86n84+t1*t155*abb86n84&
         &+t1*t161*abb86n84+t1*t162*abb86n84+t100*t108*abb86n163+t101*t108*abb86&
         &n176+t102*t108*abb86n162+t103*t108*abb86n177+t104*t108*abb86n162+t105*&
         &t108*abb86n177+t108*t113*abb86n164+t108*t115*abb86n164+t108*t117*abb86&
         &n137+t108*t118*abb86n137+t108*t119*abb86n165+t108*t121*abb86n165+t108*&
         &t122*abb86n181+t108*t124*abb86n181+t108*t33*abb86n150+t108*t35*abb86n1&
         &70+t108*t37*abb86n134+t108*t41*abb86n150+t108*t42*abb86n170+t108*t43*a&
         &bb86n134+t108*t45*abb86n135+t108*t48*abb86n135+t108*t52*abb86n135+t108&
         &*t56*abb86n135+t108*t59*abb86n173+t108*t61*abb86n173+t108*t63*abb86n15&
         &1+t108*t64*abb86n172+t108*t65*abb86n136+t108*t68*abb86n151+t108*t69*ab&
         &b86n172+t108*t70*abb86n136+t108*t76*abb86n132+t108*t79*abb86n132+t108*&
         &t82*abb86n169+t108*t84*abb86n169+t108*t86*abb86n171+t108*t88*abb86n171&
         &+t108*t93*abb86n161+t108*t95*abb86n178+t108*t96*abb86n161+t108*t97*abb&
         &86n178+t108*t98*abb86n163+t108*t99*abb86n176+t128*t34*abb86n182+t128*t&
         &36*abb86n143+t128*t39*abb86n150+t129*t17*abb86n182+t129*t18*abb86n143+&
         &t129*t20*abb86n150+t130*t34*abb86n182+t130*t36*abb86n143+t130*t39*abb8&
         &6n150+t131*t17*abb86n182+t131*t18*abb86n143+t131*t20*abb86n150+t132*t3&
         &8*abb86n169+t132*t39*abb86n135+t133*t19*abb86n169+t133*t20*abb86n135+t&
         &134*t38*abb86n169+t134*t39*abb86n135+t135*t19*abb86n169+t135*t20*abb86&
         &n135+t136*t38*abb86n167+t136*t39*abb86n135+t137*t19*abb86n167+t137*t20&
         &*abb86n135+t138*t38*abb86n167+t138*t39*abb86n135+t139*t19*abb86n167+t1&
         &39*t20*abb86n135+t140*t34*abb86n183+t140*t36*abb86n144+t140*t39*abb86n&
         &151+t141*t38*abb86n168+t141*t39*abb86n136+t142*t17*abb86n183+t142*t18*&
         &abb86n144+t142*t20*abb86n151+t143*t19*abb86n168+t143*t20*abb86n136+t14&
         &4*t34*abb86n183+t144*t36*abb86n144+t144*t39*abb86n151+t145*t17*abb86n1&
         &83+t145*t18*abb86n144+t145*t20*abb86n151+t146*t38*abb86n168+t146*t39*a&
         &bb86n136+t147*t19*abb86n168+t147*t20*abb86n136+t148*t3*abb86n84+t150*t&
         &3*abb86n84+t152*t3*abb86n84+t154*t3*abb86n84+t158*t3*abb86n84+t160*t3*&
         &abb86n84+t165*t39*abb86n132+t166*t7*abb86n84+t168*t7*abb86n84+t169*t20&
         &*abb86n132+t170*t7*abb86n84+t172*t7*abb86n84+t173*t39*abb86n132+t174*t&
         &20*abb86n132+t176*t7*abb86n84+t178*t7*abb86n84+t179*t39*abb86n171+t180&
         &*t20*abb86n171+t181*t39*abb86n171+t182*t20*abb86n171+t183*t4*abb86n84+&
         &t184*t4*abb86n84+t185*t4*abb86n84+t186*t4*abb86n84+t187*t4*abb86n84+t1&
         &88*t4*abb86n84+t33*t57*abb86n182+t33*t66*abb86n143+t41*t57*abb86n182+t&
         &41*t66*abb86n143+t45*t73*abb86n169+t48*t73*abb86n169+t51*t66*abb86n142&
         &+t52*t73*abb86n167+t55*t66*abb86n142+t56*t73*abb86n167+t57*t63*abb86n1&
         &83+t57*t68*abb86n183+t63*t66*abb86n144+t65*t73*abb86n168+t66*t68*abb86&
         &n144+t70*t73*abb86n168+t11*t126*t39*abb86n161+t11*t127*t39*abb86n178+t&
         &11*t39*t57*abb86n170+t11*t39*t66*abb86n134+t120*t20*t49*abb86n165+t126&
         &*t14*t39*abb86n163+t126*t15*t39*abb86n162+t126*t18*t39*abb86n164+t126*&
         &t20*t21*abb86n161+t126*t20*t23*abb86n162+t126*t20*t31*abb86n163+t126*t&
         &20*t36*abb86n164+t127*t14*t39*abb86n176+t127*t15*t39*abb86n177+t127*t1&
         &8*t39*abb86n181+t127*t20*t21*abb86n178+t127*t20*t23*abb86n177+t127*t20&
         &*t31*abb86n176+t127*t20*t36*abb86n181+t13*t36*t49*abb86n142+t14*t39*t5&
         &7*abb86n173+t15*t39*t57*abb86n172+t16*t164*t39*abb86n165+t16*t28*t36*a&
         &bb86n142+t163*t18*t39*abb86n137+t163*t20*t36*abb86n137+t164*t20*t32*ab&
         &b86n165+t17*t39*t40*abb86n173+t17*t39*t44*abb86n172+t17*t39*t6*abb86n1&
         &70+t17*t39*t66*abb86n169+t18*t28*t32*abb86n142+t18*t30*t49*abb86n142+t&
         &18*t39*t57*abb86n169+t18*t39*t6*abb86n134+t20*t21*t57*abb86n170+t20*t2&
         &1*t66*abb86n134+t20*t23*t57*abb86n172+t20*t31*t57*abb86n173+t20*t34*t4&
         &0*abb86n173+t20*t34*t44*abb86n172+t20*t34*t6*abb86n170+t20*t34*t66*abb&
         &86n169+t20*t36*t57*abb86n169+t20*t36*t6*abb86n134+t20*t40*t92*abb86n16&
         &3+t20*t40*t94*abb86n176+t20*t44*t92*abb86n162+t20*t44*t94*abb86n177+t2&
         &0*t6*t92*abb86n161+t20*t6*t94*abb86n178+t20*t66*t74*abb86n137+t20*t66*&
         &t92*abb86n164+t20*t66*t94*abb86n181+t22*t39*t66*abb86n137+t25*t39*t40*&
         &abb86n163+t25*t39*t44*abb86n162+t25*t39*t6*abb86n161+t25*t39*t66*abb86&
         &n164+t26*t39*t49*abb86n165+t27*t39*t40*abb86n176+t27*t39*t44*abb86n177&
         &+t27*t39*t6*abb86n178+t27*t39*t66*abb86n181)
         return
      end if
      t191 = d(iv3,iv4)
      t192 = d(iv2,iv4)
      t193 = d(iv1,iv4)
      t1 = spvak6k5(iv4)
      t2 = spvak2k4(iv4)
      t3 = spvak3k1(iv4)
      t4 = spvak5k1(iv4)
      t5 = spvak5k6(iv4)
      t6 = spvak3k4(iv4)
      t7 = spvak6k1(iv4)
      t8 = t24*t6
      t9 = t109*t6
      t10 = t156*t6
      t11 = spvak2k1(iv4)
      t12 = t11*t16
      t13 = t11*t32
      t11 = t11*t49
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t189*t193*abb86n103+t190*t192*abb86n103+t191*t19&
         &4*abb86n103)+(2.0_ki)*(t114*t191*abb86n97+t116*t191*abb86n97+t123*t191&
         &*abb86n90+t125*t191*abb86n90+t165*t192*abb86n85+t167*t192*abb86n112+t1&
         &69*t193*abb86n85+t171*t193*abb86n112+t173*t192*abb86n85+t174*t193*abb8&
         &6n85+t175*t192*abb86n112+t177*t193*abb86n112+t179*t192*abb86n96+t180*t&
         &193*abb86n96+t181*t192*abb86n96+t182*t193*abb86n96+t191*t76*abb86n85+t&
         &191*t77*abb86n112+t191*t78*abb86n106+t191*t79*abb86n85+t191*t80*abb86n&
         &112+t191*t81*abb86n106+t191*t83*abb86n95+t191*t85*abb86n95+t191*t86*ab&
         &b86n96+t191*t87*abb86n115+t191*t88*abb86n96+t191*t89*abb86n115+t1*t126&
         &*t194*abb86n97+t1*t127*t194*abb86n90+t1*t16*t189*abb86n106+t1*t17*t189&
         &*abb86n95+t1*t18*t189*abb86n115+t1*t189*t25*abb86n97+t1*t189*t27*abb86&
         &n90+t1*t190*t32*abb86n106+t1*t190*t34*abb86n95+t1*t190*t36*abb86n115+t&
         &1*t190*t92*abb86n97+t1*t190*t94*abb86n90+t1*t194*t49*abb86n106+t1*t194&
         &*t57*abb86n95+t1*t194*t66*abb86n115+t108*t16*t192*abb86n106+t108*t17*t&
         &192*abb86n95+t108*t18*t192*abb86n115+t108*t192*t25*abb86n97+t108*t192*&
         &t27*abb86n90+t108*t193*t32*abb86n106+t108*t193*t34*abb86n95+t108*t193*&
         &t36*abb86n115+t108*t193*t92*abb86n97+t108*t193*t94*abb86n90+t108*t194*&
         &t2*abb86n97+t108*t194*t3*abb86n90+t108*t194*t4*abb86n95+t108*t194*t5*a&
         &bb86n115+t108*t194*t6*abb86n106+t126*t192*t20*abb86n97+t126*t193*t39*a&
         &bb86n97+t127*t192*t20*abb86n90+t127*t193*t39*abb86n90+t16*t189*t4*abb8&
         &6n85+t16*t189*t5*abb86n112+t17*t189*t6*abb86n85+t18*t189*t6*abb86n112+&
         &t18*t189*t7*abb86n96+t189*t19*t5*abb86n96+t189*t2*t20*abb86n97+t189*t2&
         &0*t3*abb86n90+t189*t20*t4*abb86n95+t189*t20*t5*abb86n115+t189*t20*t6*a&
         &bb86n106+t190*t2*t39*abb86n97+t190*t3*t39*abb86n90+t190*t32*t4*abb86n8&
         &5+t190*t32*t5*abb86n112+t190*t34*t6*abb86n85+t190*t36*t6*abb86n112+t19&
         &0*t36*t7*abb86n96+t190*t38*t5*abb86n96+t190*t39*t4*abb86n95+t190*t39*t&
         &5*abb86n115+t190*t39*t6*abb86n106+t192*t20*t49*abb86n106+t192*t20*t57*&
         &abb86n95+t192*t20*t66*abb86n115+t193*t39*t49*abb86n106+t193*t39*t57*ab&
         &b86n95+t193*t39*t66*abb86n115+t194*t4*t49*abb86n85+t194*t49*t5*abb86n1&
         &12+t194*t5*t73*abb86n96+t194*t57*t6*abb86n85+t194*t6*t66*abb86n112+t19&
         &4*t66*t7*abb86n96)+t1*t183*abb86n84+t1*t184*abb86n84+t1*t185*abb86n84+&
         &t1*t186*abb86n84+t1*t187*abb86n84+t1*t188*abb86n84+t10*t18*t39*abb86n8&
         &4+t10*t20*t36*abb86n84+t106*t108*t5*abb86n84+t108*t110*t5*abb86n84+t10&
         &8*t12*t36*abb86n84+t108*t13*t18*abb86n84+t108*t18*t9*abb86n84+t108*t36&
         &*t8*abb86n84+t11*t18*t39*abb86n84+t11*t20*t36*abb86n84+t12*t39*t66*abb&
         &86n84+t13*t20*t66*abb86n84+t149*t39*t5*abb86n84+t153*t20*t5*abb86n84+t&
         &157*t39*t5*abb86n84+t159*t20*t5*abb86n84+t20*t66*t9*abb86n84+t39*t66*t&
         &8*abb86n84)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d86:
   subroutine     reconstruct_d86(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_86:
      coeffs%coeffs_86%c0 = derivative(czip)
      coeffs%coeffs_86%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_86%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_86%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_86%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_86%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_86%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_86%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_86%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_86%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_86%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_86%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_86%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_86%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_86%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_86%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_86%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_86%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_86%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_86%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_86%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_86%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_86%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_86%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_86%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_86%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_86%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_86%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_86%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_86%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_86%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_86%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_86%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_86%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_86%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_86%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_86%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_86%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_86%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_86%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_86%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_86%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_86%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_86%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_86%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_86%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_86%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_86%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_86%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_86%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_86%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_86%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_86%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_86%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_86%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_86%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_86%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_86%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_86%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_86%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_86%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_86%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_86%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_86%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_86%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_86%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_86%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_86%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_86%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_86%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_86:
   end subroutine reconstruct_d86
!---#] subroutine reconstruct_d86:
end module p26_udbar_neepgg_d86h0l1d
