module     p26_udbar_neepgg_abbrevd27h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb27n1
   complex(ki), public :: abb27n2
   complex(ki), public :: abb27n3
   complex(ki), public :: abb27n4
   complex(ki), public :: abb27n5
   complex(ki), public :: abb27n6
   complex(ki), public :: abb27n7
   complex(ki), public :: abb27n8
   complex(ki), public :: abb27n9
   complex(ki), public :: abb27n10
   complex(ki), public :: abb27n11
   complex(ki), public :: abb27n12
   complex(ki), public :: abb27n13
   complex(ki), public :: abb27n14
   complex(ki), public :: abb27n15
   complex(ki), public :: abb27n16
   complex(ki), public :: abb27n17
   complex(ki), public :: rat2d27
   complex(ki), public :: abb27n19
   complex(ki), public :: abb27n20
   complex(ki), public :: abb27n21
   complex(ki), public :: abb27n22
   complex(ki), public :: abb27n23
   complex(ki), public :: abb27n24
   complex(ki), public :: abb27n25
   complex(ki), public :: abb27n26
   complex(ki), public :: abb27n27
   complex(ki), public :: abb27n28
   complex(ki), public :: abb27n29
   complex(ki), public :: abb27n30
   complex(ki), public :: abb27n31
   complex(ki), public :: abb27n32
   complex(ki), public :: abb27n33
   complex(ki), public :: abb27n34
   complex(ki), public :: abb27n35
   complex(ki), public :: abb27n36
   complex(ki), public :: abb27n37
   complex(ki), public :: abb27n38
   complex(ki), public :: abb27n39
   complex(ki), public :: abb27n40
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2
      t2 = t1*i_
      t3 = t2*spak2k3
      t4 = t3*spak2k5
      t5 = NC*(es345-(es61+es12))*(es34+wW*mW*i_-mW*mW)*spak5k6
      t6 = t5*spbk6k5
      t7 = t4/t6*spbk6k2*spbk6k4
      t8 = (4.0_ki)*t7
      abb27n1 = t8
      t9 = (8.0_ki)*t4/t6*spbk4k1*spbk6k2
      abb27n2 = t9
      abb27n3 = -(t9)
      t9 = t2*spak2k5
      abb27n4 = (-4.0_ki)/t6*t9*spak3k6*spbk4k1*spbk6k2
      t10 = t9*spak3k5
      abb27n5 = (-4.0_ki)*t10/t6*spbk5k1*spbk6k2
      t11 = spak2k5*spak2k5
      abb27n6 = ((4.0_ki)*(t11*t2/t5*spak3k5*spbk4k1*spbk6k2+t11*t3/t6*spbk2k1*s&
      &pbk6k2*spbk6k4+t11*t2/t6*spak3k6*spbk6k1*spbk6k2*spbk6k4))
      abb27n7 = ((4.0_ki)*t11*t2/t6*spbk6k1*spbk6k2)
      t3 = t10/t6*spbk6k1*spbk6k2
      abb27n8 = ((8.0_ki)*t3)
      abb27n9 = (-4.0_ki)*t3
      abb27n10 = ((4.0_ki)*(t4/t6*spbk4k2*spbk6k2-t2/t6*spak1k3*spak2k5*spbk4k1*&
      &spbk6k2))
      abb27n11 = (-4.0_ki)*t4/t6*spbk5k4*spbk6k2
      abb27n12 = ((8.0_ki)*t7)
      abb27n13 = -(t8)
      abb27n14 = ((4.0_ki)*(t11*t2/t6*spbk5k4*spbk6k2+es345*t1/t6*i_*spak2k5*spb&
      &k6k4+t2/t6*spak1k2*spak2k5*spbk4k1*spbk6k2-(es61*t1/t6*i_*spak2k5*spbk6k4&
      &+es12*t1/t6*i_*spak2k5*spbk6k4)))
      t1 = t11*t2/t6*spbk6k2*spbk6k4
      abb27n15 = ((4.0_ki)*t1)
      abb27n16 = (-8.0_ki)*t1
      abb27n17 = (-4.0_ki)/t6*t9*spbk6k2
      rat2d27 = 0
      rat2 = rat2 + rat2d27
      abb27n19 = abb27n1
      abb27n20 = abb27n16
      abb27n21 = abb27n14
      abb27n22 = abb27n12
      abb27n23 = abb27n11
      abb27n24 = abb27n10
      abb27n25 = abb27n8
      abb27n26 = abb27n6
      abb27n27 = abb27n5
      abb27n28 = abb27n4
      abb27n29 = abb27n3
      abb27n30 = abb27n2
      abb27n31 = ((2.0_ki)*abb27n6)
      abb27n32 = -(abb27n7)
      abb27n33 = (-2.0_ki)*abb27n7
      abb27n34 = -(abb27n9)
      abb27n35 = (-2.0_ki)*abb27n9
      abb27n36 = -(abb27n13)
      abb27n37 = (-2.0_ki)*abb27n13
      abb27n38 = -(abb27n15)
      abb27n39 = (-2.0_ki)*abb27n15
      abb27n40 = -(abb27n17)
   end subroutine
end module p26_udbar_neepgg_abbrevd27h1
