module     p26_udbar_neepgg_abbrevd33h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb33n1
   complex(ki), public :: abb33n2
   complex(ki), public :: abb33n3
   complex(ki), public :: abb33n4
   complex(ki), public :: abb33n5
   complex(ki), public :: abb33n6
   complex(ki), public :: abb33n7
   complex(ki), public :: abb33n8
   complex(ki), public :: abb33n9
   complex(ki), public :: abb33n10
   complex(ki), public :: abb33n11
   complex(ki), public :: abb33n12
   complex(ki), public :: abb33n13
   complex(ki), public :: abb33n14
   complex(ki), public :: abb33n15
   complex(ki), public :: abb33n16
   complex(ki), public :: abb33n17
   complex(ki), public :: abb33n18
   complex(ki), public :: abb33n19
   complex(ki), public :: abb33n20
   complex(ki), public :: abb33n21
   complex(ki), public :: abb33n22
   complex(ki), public :: rat2d33
   complex(ki), public :: abb33n24
   complex(ki), public :: abb33n25
   complex(ki), public :: abb33n26
   complex(ki), public :: abb33n27
   complex(ki), public :: abb33n28
   complex(ki), public :: abb33n29
   complex(ki), public :: abb33n30
   complex(ki), public :: abb33n31
   complex(ki), public :: abb33n32
   complex(ki), public :: abb33n33
   complex(ki), public :: abb33n34
   complex(ki), public :: abb33n35
   complex(ki), public :: abb33n36
   complex(ki), public :: abb33n37
   complex(ki), public :: abb33n38
   complex(ki), public :: abb33n39
   complex(ki), public :: abb33n40
   complex(ki), public :: abb33n41
   complex(ki), public :: abb33n42
   complex(ki), public :: abb33n43
   complex(ki), public :: abb33n44
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   complex(ki) :: t55
   complex(ki) :: t56
   complex(ki) :: t57
   complex(ki) :: t58
   complex(ki) :: t59
   complex(ki) :: t60
   complex(ki) :: t61
   complex(ki) :: t62
   complex(ki) :: t63
   complex(ki) :: t64
   complex(ki) :: t65
   complex(ki) :: t66
   complex(ki) :: t67
   complex(ki) :: t68
   complex(ki) :: t69
   complex(ki) :: t70
   complex(ki) :: t71
   complex(ki) :: t72
   complex(ki) :: t73
   real(ki) :: t74
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t74 = es34+es61-(es345+es234)
      t2 = TR*c1
      t3 = t2*i_
      t4 = t3*spak1k5
      t5 = t4*spak2k5
      t6 = t74*t1
      t7 = NC*t6
      t8 = es61*t7
      t9 = t8*spak5k6
      t10 = t5/t9*spak3k5*spbk4k1*spbk6k1
      t11 = t3*spak2k3
      t8 = t8*spbk6k5
      t12 = t11/t8*spak2k5*spbk6k1*spbk6k2*spbk6k4
      t13 = NC*TR*c1
      t14 = t13*i_
      t15 = t14*spak1k5
      t16 = t15*spak2k5
      t17 = t16*spak3k5*spbk4k1*spbk6k1
      t18 = es61*t6
      t19 = t18*spak5k6
      t20 = t17/t19
      t21 = t12+t20-t10
      t22 = t14*spak2k3
      t23 = t22*spak2k5*spbk6k1*spbk6k2*spbk6k4
      t18 = t18*spbk6k5
      t24 = t23/t18
      t25 = t3*spak1k3
      t26 = spak2k5*spak2k5
      t1 = t74*(es34+es56-(es234+es12))*t1
      t27 = NC*t1*spak5k6
      t28 = t27*spbk6k5
      t29 = t25*t26/t28*spbk4k1*spbk6k1*spbk6k2
      t30 = t26/t28*t3*spak3k4*spbk4k1*spbk6k2*spbk6k4
      t31 = t14*spak1k3
      t32 = t31*spbk4k1
      t1 = t1*spak5k6
      t33 = t1*spbk6k5
      t34 = t26*t32/t33*spbk6k1*spbk6k2
      t35 = t14*spak3k4*spbk4k1
      t36 = t26/t33*t35*spbk6k2*spbk6k4
      t9 = t9*spbk6k5
      t37 = es56*t2/t9*i_*spak2k5*spak3k5*spbk6k1*spbk6k4
      t38 = es56*t13*i_
      t39 = t38*spak2k5*spak3k5*spbk6k1*spbk6k4
      t40 = t19*spbk6k5
      t41 = t39/t40
      t42 = t4*spak2k3
      t43 = t42/t9*spak2k5*spbk4k1*spbk6k1*spbk6k2
      t44 = t15*spak2k3
      t45 = t44*spak2k5*spbk4k1*spbk6k1*spbk6k2
      t46 = t45/t40
      abb33n1 = ((2.0_ki)*(t21+t34+t36+t37+t46-(t43+t41+t30+t29+t24)))
      t47 = t14*spak3k5
      t48 = t26/t1*t47*spbk4k1*spbk6k2
      abb33n2 = ((16.0_ki)*t48)
      abb33n3 = ((8.0_ki)*(t15/t1*t26*spbk4k1*spbk6k2-t26/t1*t47*spbk4k3*spbk6k2&
      &))
      t49 = t3*spak2k5
      t50 = t49*spak3k5
      t51 = t50/t27*spbk4k1
      t52 = t14*spak2k5
      t53 = t52*spak3k5
      t54 = t53/t1*spbk4k1
      abb33n4 = ((16.0_ki)*(-(t54+t51)))
      abb33n5 = ((8.0_ki)*(t53/t1*spbk4k3+t50/t27*spbk4k3-(t5/t27*spbk4k1+t16/t1&
      &*spbk4k1)))
      t5 = t6*spak5k6
      t16 = t5*spbk6k5
      t55 = es234*t13
      t56 = t55*i_
      t57 = t56*spak1k5
      t58 = es34*t13
      t59 = t58*i_
      t60 = t59*spak1k5
      t61 = es345*t13
      t62 = t61*i_
      t63 = t62*spak1k5
      t6 = t6*spbk6k5
      t64 = t56*spak2k3
      t65 = t59*spak2k3
      t66 = t62*spak2k3
      t67 = t56*spak1k3
      t68 = t59*spak1k3
      t69 = t62*spak1k3
      t13 = es61*t13*i_
      t70 = t13*spak1k3
      t71 = t57*spak2k3
      t72 = t60*spak2k3
      t73 = t63*spak2k3
      abb33n6 = ((4.0_ki)*(t17/t5+t60/t19*spak2k5*spak3k5*spbk4k1*spbk6k1+es56*t&
      &55/t40*i_*spak2k5*spak3k5*spbk6k1*spbk6k4+es56*t61/t40*i_*spak2k5*spak3k5&
      &*spbk6k1*spbk6k4-(es56*t58/t40*i_*spak2k5*spak3k5*spbk6k1*spbk6k4+t63/t19&
      &*spak2k5*spak3k5*spbk4k1*spbk6k1+t57/t19*spak2k5*spak3k5*spbk4k1*spbk6k1+&
      &t39/t16))+(2.0_ki)*(t45/t16+t64/t18*spak2k5*spbk6k1*spbk6k2*spbk6k4+t66/t&
      &18*spak2k5*spbk6k1*spbk6k2*spbk6k4+t26/t33*t68*spbk4k1*spbk6k1*spbk6k2+t2&
      &6/t33*t70*spbk4k1*spbk6k1*spbk6k2+t72/t40*spak2k5*spbk4k1*spbk6k1*spbk6k2&
      &+t13*t26/t33*spak3k4*spbk4k1*spbk6k2*spbk6k4+t26/t33*t59*spak3k4*spbk4k1*&
      &spbk6k2*spbk6k4-(t26/t33*t62*spak3k4*spbk4k1*spbk6k2*spbk6k4+t26/t33*t56*&
      &spak3k4*spbk4k1*spbk6k2*spbk6k4+t73/t40*spak2k5*spbk4k1*spbk6k1*spbk6k2+t&
      &71/t40*spak2k5*spbk4k1*spbk6k1*spbk6k2+t26/t33*t69*spbk4k1*spbk6k1*spbk6k&
      &2+t26/t33*t67*spbk4k1*spbk6k1*spbk6k2+t65/t18*spak2k5*spbk6k1*spbk6k2*spb&
      &k6k4+t23/t6)))
      abb33n7 = ((8.0_ki)*(-(t14/t1*t26*spak4k5*spbk4k1*spbk6k2+t26/t1*t47*spbk3&
      &k1*spbk6k2))+(2.0_ki)*(t14/t16*t26*spbk6k1*spbk6k2-t26/t40*t56*spbk6k1*sp&
      &bk6k2)+(6.0_ki)*(t15/t19*t26*spbk2k1*spbk6k1-t26*t38/t40*spbk6k1*spbk6k2)&
      &)
      abb33n8 = ((2.0_ki)*((3.0_ki)/t19*t26*t31*spbk4k2*spbk6k1-t26*t31/t40*spbk&
      &5k4*spbk6k1*spbk6k2))
      abb33n9 = ((8.0_ki)*(t34+t36+t41+t46-(t24+t20)))
      t5 = (3.0_ki)/t19*t26*t47*spbk4k2*spbk6k1
      t17 = t26/t40*t47*spbk5k4*spbk6k1*spbk6k2
      abb33n10 = ((4.0_ki)*(t17-t5))
      abb33n11 = ((4.0_ki)*(t5-((4.0_ki)*t48+t17)))
      t5 = t7*spak5k6*spbk6k5
      t17 = es234*t2*i_
      t23 = t17*spak2k5
      t38 = t56*spak2k5
      abb33n12 = ((8.0_ki)*(t53/t1*spbk3k1+t23/t9*spbk6k1+t50/t27*spbk3k1+t38/t4&
      &0*spbk6k1+t52/t1*spak4k5*spbk4k1+t49/t27*spak4k5*spbk4k1-(t49/t5*spbk6k1+&
      &t52/t16*spbk6k1)))
      t14 = t14*spak3k6
      t11 = t11*spbk6k1*spbk6k4
      t22 = t22*spbk6k1*spbk6k4
      t27 = es34*t2*i_
      t39 = es345*t2*i_
      t42 = t42*spbk4k1*spbk6k1
      t44 = t44*spbk4k1*spbk6k1
      t2 = es61*t2*i_
      abb33n13 = ((6.0_ki)*(t26/t1*t31*spbk2k1*spbk4k1+t14/t19*t26*spbk4k2*spbk6&
      &k1-t26/t1*t35*spbk4k2)+(2.0_ki)*(t26*t32/t33*spbk5k1*spbk6k2+t26/t33*t35*&
      &spbk5k4*spbk6k2-t14*t26/t40*spbk5k4*spbk6k1*spbk6k2)+(4.0_ki)*(t11/(t7*sp&
      &bk6k5)+t22/t6+t65/t18*spbk6k1*spbk6k4+t71/t40*spbk4k1*spbk6k1+t73/t40*spb&
      &k4k1*spbk6k1+t23/t28*spak3k4*spbk4k1*spbk6k4+t27/t8*spak2k3*spbk6k1*spbk6&
      &k4+t38/t33*spak3k4*spbk4k1*spbk6k4+t67/t33*spak2k5*spbk4k1*spbk6k1+t69/t3&
      &3*spak2k5*spbk4k1*spbk6k1+t17/t28*spak1k3*spak2k5*spbk4k1*spbk6k1+t17/t9*&
      &spak1k5*spak2k3*spbk4k1*spbk6k1+t39/t28*spak1k3*spak2k5*spbk4k1*spbk6k1+t&
      &39/t28*spak2k5*spak3k4*spbk4k1*spbk6k4+t62/t33*spak2k5*spak3k4*spbk4k1*sp&
      &bk6k4+t39/t9*spak1k5*spak2k3*spbk4k1*spbk6k1-(t59/t33*spak2k5*spak3k4*spb&
      &k4k1*spbk6k4+t27/t9*spak1k5*spak2k3*spbk4k1*spbk6k1+t27/t28*spak2k5*spak3&
      &k4*spbk4k1*spbk6k4+t27/t28*spak1k3*spak2k5*spbk4k1*spbk6k1+t2/t28*spak2k5&
      &*spak3k4*spbk4k1*spbk6k4+t2/t28*spak1k3*spak2k5*spbk4k1*spbk6k1+t13/t33*s&
      &pak2k5*spak3k4*spbk4k1*spbk6k4+t39/t8*spak2k3*spbk6k1*spbk6k4+t70/t33*spa&
      &k2k5*spbk4k1*spbk6k1+t68/t33*spak2k5*spbk4k1*spbk6k1+t17/t8*spak2k3*spbk6&
      &k1*spbk6k4+t72/t40*spbk4k1*spbk6k1+t66/t18*spbk6k1*spbk6k4+t64/t18*spbk6k&
      &1*spbk6k4+t42/t5+t44/t16)))
      t1 = t25*spak2k5
      t2 = t31*spak2k5
      abb33n14 = ((8.0_ki)*(t1/t9*spbk5k4*spbk6k1+t2/t40*spbk5k4*spbk6k1))
      abb33n15 = ((8.0_ki)*(t21+t24+t37-(t46+t43+t41+t36+t34+t30+t29)))
      abb33n16 = ((4.0_ki)*(t10+t24+t29+t30+t41+t43-(t46+t37+t36+t34+t20+t12)))
      t5 = t11/t8
      t6 = t22/t18
      t1 = t1*spbk4k1
      t7 = t1/t28*spbk6k1
      t10 = t49*spak3k4*spbk4k1
      t11 = t10/t28*spbk6k4
      t2 = t2*spbk4k1
      t12 = t2/t33*spbk6k1
      t13 = t52*spak3k4*spbk4k1
      t14 = t13/t33*spbk6k4
      t16 = t42/t9
      t17 = t44/t40
      abb33n17 = ((8.0_ki)*(t5+t6-(t7+t17+t16+t14+t12+t11)))
      abb33n18 = ((16.0_ki)*(t11+t12+t14+t16+t17+t7-(t6+t5)))
      t5 = t50/t9*spbk5k4*spbk6k1
      t6 = t53/t40*spbk5k4*spbk6k1
      abb33n19 = ((16.0_ki)*(t5+t51+t54+t6))
      abb33n20 = ((16.0_ki)*(-(t6+t5)))
      abb33n21 = ((8.0_ki)*(t52/t40*spak3k6*spbk5k4*spbk6k1+t49/t9*spak3k6*spbk5&
      &k4*spbk6k1-(t2/t33*spbk5k1+t13/t33*spbk5k4+t10/t28*spbk5k4+t1/t28*spbk5k1&
      &)))
      abb33n22 = ((4.0_ki)*(t15/t40*spak3k5*spbk4k1*spbk6k1+t4/t9*spak3k5*spbk4k&
      &1*spbk6k1-(t3/t8*spak3k5*spbk6k1*spbk6k4+t47/t18*spbk6k1*spbk6k4)))
      rat2d33 = abb33n1
      rat2 = rat2 + rat2d33
      abb33n24 = abb33n6
      abb33n25 = abb33n22
      abb33n26 = abb33n21
      abb33n27 = abb33n20
      abb33n28 = abb33n19
      abb33n29 = abb33n18
      abb33n30 = abb33n17
      abb33n31 = abb33n16
      abb33n32 = abb33n15
      abb33n33 = abb33n14
      abb33n34 = abb33n13
      abb33n35 = abb33n12
      abb33n36 = abb33n11
      abb33n37 = abb33n10
      abb33n38 = abb33n9
      abb33n39 = abb33n8
      abb33n40 = abb33n7
      abb33n41 = abb33n5
      abb33n42 = abb33n4
      abb33n43 = abb33n3
      abb33n44 = abb33n2
   end subroutine
end module p26_udbar_neepgg_abbrevd33h1
