module     p26_udbar_neepgg_d88h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity1/d88h1l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d88
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd88h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      real(ki) :: t118
      real(ki) :: t119
      real(ki) :: t120
      real(ki) :: t121
      real(ki) :: t122
      real(ki) :: t123
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t2 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t118 = dotproduct(k1, qshift)
      t119 = dotproduct(qshift, qshift)
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = t3*t3
      t120 = dotproduct(k2, qshift)
      t121 = dotproduct(k6, qshift)
      t5 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t122 = dotproduct(k5, qshift)
      t6 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t9 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb88n59+t1*abb88n100+t118*abb88n107+t118*t118*abb88n72+t1&
         &19*abb88n74+t119*t119*abb88n71+t120*abb88n86+t121*abb88n87+t122*abb88n&
         &99+t2*abb88n101+t3*abb88n84+t4*abb88n75+t5*abb88n96+t1*t3*abb88n63+t1*&
         &t4*abb88n131+t118*t119*abb88n113+t118*t121*abb88n73+t118*t122*abb88n70&
         &+t118*t2*abb88n63+t118*t3*abb88n66+t118*t4*abb88n88+t118*t5*abb88n81+t&
         &119*t121*abb88n113+t119*t122*abb88n109+t119*t2*abb88n135+t119*t3*abb88&
         &n118+t119*t4*abb88n82+t119*t5*abb88n97+t120*t2*abb88n78+t120*t4*abb88n&
         &90+t121*t122*abb88n69+t121*t2*abb88n77+t121*t3*abb88n76+t121*t4*abb88n&
         &90+t121*t5*abb88n80+t122*t3*abb88n67+t2*t3*abb88n61+t2*t4*abb88n127+t3&
         &*t5*abb88n79+t3*t9*abb88n83+t4*t5*abb88n120+t4*t6*abb88n104+t4*t7*abb8&
         &8n125+t4*t8*abb88n140+t4*t9*abb88n94+t118*t2*t3*abb88n129+t118*t3*t5*a&
         &bb88n115+t118*t3*t6*abb88n122+t118*t3*t8*abb88n139+t119*t2*t3*abb88n64&
         &+t119*t3*t5*abb88n68+t119*t3*t6*abb88n65+t119*t3*t8*abb88n62+t120*t2*t&
         &3*abb88n131+t121*t2*t3*abb88n130+t121*t3*t5*abb88n116+t122*t2*t3*abb88&
         &n134+t122*t3*t6*abb88n124+t122*t3*t8*abb88n137+t2*t3*t5*abb88n85+t3*t5&
         &*t7*abb88n102+t4*t5*t7*abb88n60)
         return
      end if
      t10 = k1(iv1)
      t11 = k2(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = qshift(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k6(iv1)
      t18 = spvak6k1(iv1)
      t19 = t14*abb88n114
      t20 = spvak2k1(iv1)
      t21 = spvak2k4(iv1)
      t22 = spvak2k6(iv1)
      t23 = spvak3k1(iv1)
      t24 = t17*abb88n91
      if(deg.eq.1) then
         numerator = (t10*abb88n107+t11*abb88n86+t118*t19+t12*abb88n99+t121*t19+&
         &t13*abb88n87+t14*abb88n106+t15*abb88n96+t16*abb88n101+t17*abb88n84+t18&
         &*abb88n100+t1*t17*abb88n63+t10*t118*abb88n108+t10*t119*abb88n113+t10*t&
         &121*abb88n73+t10*t122*abb88n70+t10*t2*abb88n63+t10*t3*abb88n66+t10*t4*&
         &abb88n88+t10*t5*abb88n81+t11*t2*abb88n78+t11*t4*abb88n90+t118*t12*abb8&
         &8n70+t118*t13*abb88n73+t118*t15*abb88n81+t118*t16*abb88n63+t118*t17*ab&
         &b88n66+t119*t12*abb88n109+t119*t13*abb88n113+t119*t14*abb88n111+t119*t&
         &15*abb88n97+t119*t16*abb88n135+t119*t17*abb88n118+t12*t121*abb88n69+t1&
         &2*t3*abb88n67+t120*t16*abb88n78+t120*t24*t3+t121*t15*abb88n80+t121*t16&
         &*abb88n77+t121*t17*abb88n76+t121*t24*t3+t122*t13*abb88n69+t122*t14*abb&
         &88n110+t122*t17*abb88n67+t13*t2*abb88n77+t13*t3*abb88n76+t13*t4*abb88n&
         &90+t13*t5*abb88n80+t14*t2*abb88n136+t14*t3*abb88n119+t14*t4*abb88n93+t&
         &14*t5*abb88n98+t15*t3*abb88n79+t15*t4*abb88n120+t16*t3*abb88n61+t16*t4&
         &*abb88n127+t17*t2*abb88n61+t17*t3*abb88n103+t17*t5*abb88n79+t17*t9*abb&
         &88n83+t18*t3*abb88n63+t18*t4*abb88n131+t20*t4*abb88n125+t21*t4*abb88n1&
         &04+t22*t3*abb88n83+t22*t4*abb88n94+t23*t4*abb88n140+t1*t17*t3*abb88n13&
         &2+t10*t2*t3*abb88n129+t10*t3*t5*abb88n115+t10*t3*t6*abb88n122+t10*t3*t&
         &8*abb88n139+t11*t2*t3*abb88n131+t118*t15*t3*abb88n115+t118*t16*t3*abb8&
         &8n129+t118*t17*t2*abb88n129+t118*t17*t3*abb88n89+t118*t17*t5*abb88n115&
         &+t118*t17*t6*abb88n122+t118*t17*t8*abb88n139+t118*t21*t3*abb88n122+t11&
         &8*t23*t3*abb88n139+t119*t15*t3*abb88n68+t119*t16*t3*abb88n64+t119*t17*&
         &t2*abb88n64+t119*t17*t3*abb88n93+t119*t17*t5*abb88n68+t119*t17*t6*abb8&
         &8n65+t119*t17*t8*abb88n62+t119*t21*t3*abb88n65+t119*t23*t3*abb88n62+t1&
         &2*t2*t3*abb88n134+t12*t3*t6*abb88n124+t12*t3*t8*abb88n137+t120*t16*t3*&
         &abb88n131+t120*t17*t2*abb88n131+t121*t15*t3*abb88n116+t121*t16*t3*abb8&
         &8n130+t121*t17*t2*abb88n130+t121*t17*t5*abb88n116+t122*t16*t3*abb88n13&
         &4+t122*t17*t2*abb88n134+t122*t17*t6*abb88n124+t122*t17*t8*abb88n137+t1&
         &22*t21*t3*abb88n124+t122*t23*t3*abb88n137+t13*t2*t3*abb88n130+t13*t3*t&
         &5*abb88n116+t14*t2*t3*abb88n133+t14*t3*t5*abb88n117+t14*t3*t6*abb88n12&
         &3+t14*t3*t8*abb88n138+t15*t2*t3*abb88n85+t15*t3*t7*abb88n102+t15*t4*t7&
         &*abb88n60+t16*t3*t5*abb88n85+t17*t2*t3*abb88n128+t17*t2*t5*abb88n85+t1&
         &7*t3*t5*abb88n121+t17*t3*t6*abb88n105+t17*t3*t7*abb88n126+t17*t3*t8*ab&
         &b88n141+t17*t3*t9*abb88n95+t17*t5*t7*abb88n102+t20*t3*t5*abb88n102+t20&
         &*t4*t5*abb88n60+t17*t3*t5*t7*abb88n142)
         return
      end if
      t123 = d(iv1,iv2)
      t19 = k1(iv2)
      t24 = qshift(iv2)
      t25 = spvak5k6(iv2)
      t26 = t17*t25
      t27 = t123*abb88n113
      t28 = t26*abb88n90
      t29 = k5(iv2)
      t30 = k6(iv2)
      t31 = spvak3k4(iv2)
      t32 = t10*t31
      t33 = spvak5k1(iv2)
      t34 = t10*t33
      t35 = t10*t25
      t36 = t15*t19
      t37 = t16*t19
      t38 = t17*t19
      t39 = t11*t33
      t40 = k2(iv2)
      t41 = t16*t40
      t42 = t12*t25
      t43 = t17*t29
      t44 = t13*t31
      t45 = t13*t33
      t46 = t13*t25
      t47 = t15*t30
      t48 = t16*t30
      t49 = t17*t30
      t50 = t14*t31
      t51 = t14*t33
      t52 = t14*t25
      t53 = t15*t24
      t54 = t16*t24
      t55 = t17*t24
      t22 = t22*t25
      t56 = spvak2k6(iv2)*t17
      t57 = t15*t25
      t58 = t17*t31
      t59 = t16*t25
      t60 = t17*t33
      t61 = spvak6k1(iv2)
      t62 = t17*t61
      t63 = t18*t25
      t64 = spvak2k4(iv2)
      t65 = t10*t64
      t66 = spvak3k1(iv2)
      t67 = t10*t66
      t68 = t19*t21
      t69 = t19*t23
      t70 = t11*t25
      t71 = t17*t40
      t72 = t12*t64
      t73 = t12*t66
      t74 = t12*t33
      t75 = t21*t29
      t76 = t23*t29
      t77 = t16*t29
      t78 = t14*t64
      t79 = t14*t66
      t80 = t21*t24
      t81 = t23*t24
      t82 = t20*t31
      t83 = t20*t25
      t84 = spvak2k1(iv2)
      t85 = t15*t84
      t86 = t17*t84
      t87 = t21*t25
      t88 = t17*t64
      t89 = t23*t25
      t90 = t17*t66
      t91 = t15*t33
      t92 = t16*t31
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t118*t27+t120*t28+t121*t27+t121*t28+t123*abb88n7&
         &4+t26*abb88n75+t1*t26*abb88n131+t10*t19*abb88n72+t118*t26*abb88n88+t11&
         &9*t123*abb88n112+t119*t26*abb88n82+t122*t123*abb88n109+t123*t2*abb88n1&
         &35+t123*t3*abb88n118+t123*t4*abb88n82+t123*t5*abb88n97+t14*t24*abb88n1&
         &11+t2*t26*abb88n127+t26*t5*abb88n120+t26*t6*abb88n104+t26*t7*abb88n125&
         &+t26*t8*abb88n140+t26*t9*abb88n94+t123*t2*t3*abb88n64+t123*t3*t5*abb88&
         &n68+t123*t3*t6*abb88n65+t123*t3*t8*abb88n62+t26*t5*t7*abb88n60)+t22*ab&
         &b88n83+t32*abb88n81+t34*abb88n63+t35*abb88n66+t36*abb88n81+t37*abb88n6&
         &3+t38*abb88n66+t39*abb88n78+t41*abb88n78+t42*abb88n67+t43*abb88n67+t44&
         &*abb88n80+t45*abb88n77+t46*abb88n76+t47*abb88n80+t48*abb88n77+t49*abb8&
         &8n76+t50*abb88n98+t51*abb88n136+t52*abb88n119+t53*abb88n98+t54*abb88n1&
         &36+t55*abb88n119+t56*abb88n83+t57*abb88n79+t58*abb88n79+t59*abb88n61+t&
         &60*abb88n61+t62*abb88n63+t63*abb88n63+t10*t24*abb88n114+t10*t29*abb88n&
         &70+t10*t30*abb88n73+t118*t57*abb88n115+t118*t58*abb88n115+t118*t59*abb&
         &88n129+t118*t60*abb88n129+t118*t87*abb88n122+t118*t88*abb88n122+t118*t&
         &89*abb88n139+t118*t90*abb88n139+t119*t57*abb88n68+t119*t58*abb88n68+t1&
         &19*t59*abb88n64+t119*t60*abb88n64+t119*t87*abb88n65+t119*t88*abb88n65+&
         &t119*t89*abb88n62+t119*t90*abb88n62+t12*t19*abb88n70+t12*t24*abb88n110&
         &+t12*t30*abb88n69+t120*t59*abb88n131+t120*t60*abb88n131+t121*t57*abb88&
         &n116+t121*t58*abb88n116+t121*t59*abb88n130+t121*t60*abb88n130+t122*t59&
         &*abb88n134+t122*t60*abb88n134+t122*t87*abb88n124+t122*t88*abb88n124+t1&
         &22*t89*abb88n137+t122*t90*abb88n137+t13*t19*abb88n73+t13*t24*abb88n114&
         &+t13*t29*abb88n69+t14*t19*abb88n114+t14*t29*abb88n110+t14*t30*abb88n11&
         &4+t2*t35*abb88n129+t2*t38*abb88n129+t2*t42*abb88n134+t2*t43*abb88n134+&
         &t2*t46*abb88n130+t2*t49*abb88n130+t2*t52*abb88n133+t2*t55*abb88n133+t2&
         &*t57*abb88n85+t2*t58*abb88n85+t2*t70*abb88n131+t2*t71*abb88n131+t22*t3&
         &*abb88n95+t3*t32*abb88n115+t3*t34*abb88n129+t3*t35*abb88n89+t3*t36*abb&
         &88n115+t3*t37*abb88n129+t3*t38*abb88n89+t3*t39*abb88n131+t3*t41*abb88n&
         &131+t3*t44*abb88n116+t3*t45*abb88n130+t3*t46*abb88n91+t3*t47*abb88n116&
         &+t3*t48*abb88n130+t3*t49*abb88n91+t3*t50*abb88n117+t3*t51*abb88n133+t3&
         &*t52*abb88n92+t3*t53*abb88n117+t3*t54*abb88n133+t3*t55*abb88n92+t3*t56&
         &*abb88n95+t3*t57*abb88n121+t3*t58*abb88n121+t3*t59*abb88n128+t3*t60*ab&
         &b88n128+t3*t62*abb88n132+t3*t63*abb88n132+t3*t65*abb88n122+t3*t67*abb8&
         &8n139+t3*t68*abb88n122+t3*t69*abb88n139+t3*t70*abb88n91+t3*t71*abb88n9&
         &1+t3*t72*abb88n124+t3*t73*abb88n137+t3*t74*abb88n134+t3*t75*abb88n124+&
         &t3*t76*abb88n137+t3*t77*abb88n134+t3*t78*abb88n123+t3*t79*abb88n138+t3&
         &*t80*abb88n123+t3*t81*abb88n138+t3*t82*abb88n102+t3*t83*abb88n126+t3*t&
         &85*abb88n102+t3*t86*abb88n126+t3*t87*abb88n105+t3*t88*abb88n105+t3*t89&
         &*abb88n141+t3*t90*abb88n141+t3*t91*abb88n85+t3*t92*abb88n85+t35*t5*abb&
         &88n115+t35*t6*abb88n122+t35*t8*abb88n139+t38*t5*abb88n115+t38*t6*abb88&
         &n122+t38*t8*abb88n139+t4*t82*abb88n60+t4*t85*abb88n60+t42*t6*abb88n124&
         &+t42*t8*abb88n137+t43*t6*abb88n124+t43*t8*abb88n137+t46*t5*abb88n116+t&
         &49*t5*abb88n116+t5*t52*abb88n117+t5*t55*abb88n117+t5*t59*abb88n85+t5*t&
         &60*abb88n85+t5*t83*abb88n102+t5*t86*abb88n102+t52*t6*abb88n123+t52*t8*&
         &abb88n138+t55*t6*abb88n123+t55*t8*abb88n138+t57*t7*abb88n102+t58*t7*ab&
         &b88n102+t3*t5*t83*abb88n142+t3*t5*t86*abb88n142+t3*t57*t7*abb88n142+t3&
         &*t58*t7*abb88n142)
         return
      end if
      t118 = d(iv2,iv3)
      t119 = d(iv1,iv3)
      t1 = k1(iv3)
      t4 = k5(iv3)
      t9 = k6(iv3)
      t27 = qshift(iv3)
      t28 = t118*t15
      t42 = t119*t31
      t43 = spvak3k4(iv3)
      t62 = t123*t43
      t63 = t118*t16
      t93 = t119*t33
      t94 = spvak5k1(iv3)
      t95 = t123*t94
      t96 = t118*t17
      t97 = t119*t25
      t98 = spvak5k6(iv3)
      t99 = t123*t98
      t100 = k2(iv3)
      t83 = t83*t98
      t86 = t86*t98
      t101 = spvak2k1(iv3)
      t102 = t101*t17*t25
      t103 = spvak2k4(iv3)
      t104 = t103*t17
      t105 = spvak3k1(iv3)
      t106 = t105*t17
      t107 = t57*t98
      t108 = t58*t98
      t109 = t17*t43
      t110 = t109*t25
      t111 = t17*t94
      t112 = t17*t98
      t113 = t25*t98
      t82 = t82*t98
      t114 = t20*t25*t43
      t85 = t85*t98
      t115 = t17*t43*t84
      t116 = t101*t15*t25
      t117 = t101*t17*t31
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t102*abb88n125+t107*abb88n120+t108*abb88n120+t11&
         &0*abb88n120+t28*abb88n97+t42*abb88n97+t62*abb88n97+t63*abb88n135+t83*a&
         &bb88n125+t86*abb88n125+t93*abb88n135+t95*abb88n135+t96*abb88n118+t97*a&
         &bb88n118+t99*abb88n118+spvak6k1(iv3)*t26*abb88n131+t1*t123*abb88n113+t&
         &10*t118*abb88n113+t102*t5*abb88n60+t104*t25*abb88n104+t106*t25*abb88n1&
         &40+t107*t7*abb88n60+t108*t7*abb88n60+t110*t7*abb88n60+t111*t25*abb88n1&
         &27+t112*t61*abb88n131+t113*t18*abb88n131+t118*t12*abb88n109+t118*t13*a&
         &bb88n113+t118*t14*abb88n111+t119*t19*abb88n113+t119*t24*abb88n111+t119&
         &*t29*abb88n109+t119*t30*abb88n113+t123*t27*abb88n111+t123*t4*abb88n109&
         &+t123*t9*abb88n113+t2*t96*abb88n64+t2*t97*abb88n64+t2*t99*abb88n64+t22&
         &*t98*abb88n94+t28*t3*abb88n68+t3*t42*abb88n68+t3*t62*abb88n68+t3*t63*a&
         &bb88n64+t3*t93*abb88n64+t3*t95*abb88n64+t3*t96*abb88n93+t3*t97*abb88n9&
         &3+t3*t99*abb88n93+t35*t98*abb88n88+t38*t98*abb88n88+t46*t98*abb88n90+t&
         &49*t98*abb88n90+t5*t83*abb88n60+t5*t86*abb88n60+t5*t96*abb88n68+t5*t97&
         &*abb88n68+t5*t99*abb88n68+t52*t98*abb88n93+t55*t98*abb88n93+t56*t98*ab&
         &b88n94+t59*t98*abb88n127+t6*t96*abb88n65+t6*t97*abb88n65+t6*t99*abb88n&
         &65+t60*t98*abb88n127+t70*t98*abb88n90+t71*t98*abb88n90+t8*t96*abb88n62&
         &+t8*t97*abb88n62+t8*t99*abb88n62+t87*t98*abb88n104+t88*t98*abb88n104+t&
         &89*t98*abb88n140+t90*t98*abb88n140+spvak2k6(iv3)*t17*t25*abb88n94+t1*t&
         &17*t25*abb88n88+t100*t17*t25*abb88n90+t103*t123*t3*abb88n65+t105*t123*&
         &t3*abb88n62+t118*t21*t3*abb88n65+t118*t23*t3*abb88n62+t119*t3*t64*abb8&
         &8n65+t119*t3*t66*abb88n62+t17*t25*t27*abb88n93+t17*t25*t9*abb88n90)+t1&
         &14*abb88n102+t115*abb88n102+t116*abb88n102+t117*abb88n102+t82*abb88n10&
         &2+t85*abb88n102+t114*t3*abb88n142+t115*t3*abb88n142+t116*t3*abb88n142+&
         &t117*t3*abb88n142+t3*t82*abb88n142+t3*t85*abb88n142+t32*t98*abb88n115+&
         &t34*t98*abb88n129+t36*t98*abb88n115+t37*t98*abb88n129+t39*t98*abb88n13&
         &1+t41*t98*abb88n131+t44*t98*abb88n116+t45*t98*abb88n130+t47*t98*abb88n&
         &116+t48*t98*abb88n130+t50*t98*abb88n117+t51*t98*abb88n133+t53*t98*abb8&
         &8n117+t54*t98*abb88n133+t65*t98*abb88n122+t67*t98*abb88n139+t68*t98*ab&
         &b88n122+t69*t98*abb88n139+t72*t98*abb88n124+t73*t98*abb88n137+t74*t98*&
         &abb88n134+t75*t98*abb88n124+t76*t98*abb88n137+t77*t98*abb88n134+t78*t9&
         &8*abb88n123+t79*t98*abb88n138+t80*t98*abb88n123+t81*t98*abb88n138+t91*&
         &t98*abb88n85+t92*t98*abb88n85+t1*t15*t25*abb88n115+t1*t16*t25*abb88n12&
         &9+t1*t17*t31*abb88n115+t1*t17*t33*abb88n129+t1*t17*t64*abb88n122+t1*t1&
         &7*t66*abb88n139+t1*t21*t25*abb88n122+t1*t23*t25*abb88n139+t10*t103*t25&
         &*abb88n122+t10*t105*t25*abb88n139+t10*t25*t43*abb88n115+t10*t25*t94*ab&
         &b88n129+t100*t16*t25*abb88n131+t100*t17*t33*abb88n131+t103*t12*t25*abb&
         &88n124+t103*t14*t25*abb88n123+t103*t17*t19*abb88n122+t103*t17*t24*abb8&
         &8n123+t103*t17*t29*abb88n124+t105*t12*t25*abb88n137+t105*t14*t25*abb88&
         &n138+t105*t17*t19*abb88n139+t105*t17*t24*abb88n138+t105*t17*t29*abb88n&
         &137+t11*t25*t94*abb88n131+t12*t25*t94*abb88n134+t13*t25*t43*abb88n116+&
         &t13*t25*t94*abb88n130+t14*t25*t43*abb88n117+t14*t25*t94*abb88n133+t15*&
         &t25*t27*abb88n117+t15*t25*t9*abb88n116+t15*t25*t94*abb88n85+t16*t25*t2&
         &7*abb88n133+t16*t25*t4*abb88n134+t16*t25*t43*abb88n85+t16*t25*t9*abb88&
         &n130+t17*t19*t43*abb88n115+t17*t19*t94*abb88n129+t17*t24*t43*abb88n117&
         &+t17*t24*t94*abb88n133+t17*t27*t31*abb88n117+t17*t27*t33*abb88n133+t17&
         &*t27*t64*abb88n123+t17*t27*t66*abb88n138+t17*t29*t94*abb88n134+t17*t30&
         &*t43*abb88n116+t17*t30*t94*abb88n130+t17*t31*t9*abb88n116+t17*t31*t94*&
         &abb88n85+t17*t33*t4*abb88n134+t17*t33*t43*abb88n85+t17*t33*t9*abb88n13&
         &0+t17*t4*t64*abb88n124+t17*t4*t66*abb88n137+t17*t40*t94*abb88n131+t21*&
         &t25*t27*abb88n123+t21*t25*t4*abb88n124+t23*t25*t27*abb88n138+t23*t25*t&
         &4*abb88n137)
         return
      end if
      t120 = d(iv3,iv4)
      t121 = d(iv2,iv4)
      t122 = d(iv1,iv4)
      t1 = spvak5k6(iv4)
      t2 = spvak2k4(iv4)
      t3 = spvak3k1(iv4)
      t4 = spvak3k4(iv4)
      t5 = spvak5k1(iv4)
      t6 = spvak2k1(iv4)
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t118*t122*abb88n71+t119*t121*abb88n71+t120*t123*&
         &abb88n71)+(4.0_ki)*(t112*t121*abb88n82+t113*t122*abb88n82+t120*t26*abb&
         &88n82+t1*t118*t17*abb88n82+t1*t119*t25*abb88n82+t1*t123*t98*abb88n82)+&
         &(2.0_ki)*(t1*t114*abb88n60+t1*t115*abb88n60+t1*t116*abb88n60+t1*t117*a&
         &bb88n60+t1*t82*abb88n60+t1*t85*abb88n60+t104*t121*abb88n65+t106*t121*a&
         &bb88n62+t109*t121*abb88n68+t111*t121*abb88n64+t120*t57*abb88n68+t120*t&
         &58*abb88n68+t120*t59*abb88n64+t120*t60*abb88n64+t120*t87*abb88n65+t120&
         &*t88*abb88n65+t120*t89*abb88n62+t120*t90*abb88n62+t1*t103*t123*abb88n6&
         &5+t1*t105*t123*abb88n62+t1*t118*t15*abb88n68+t1*t118*t16*abb88n64+t1*t&
         &118*t21*abb88n65+t1*t118*t23*abb88n62+t1*t119*t31*abb88n68+t1*t119*t33&
         &*abb88n64+t1*t119*t64*abb88n65+t1*t119*t66*abb88n62+t1*t123*t43*abb88n&
         &68+t1*t123*t94*abb88n64+t103*t122*t25*abb88n65+t105*t122*t25*abb88n62+&
         &t118*t17*t2*abb88n65+t118*t17*t3*abb88n62+t118*t17*t4*abb88n68+t118*t1&
         &7*t5*abb88n64+t119*t2*t25*abb88n65+t119*t25*t3*abb88n62+t119*t25*t4*ab&
         &b88n68+t119*t25*t5*abb88n64+t121*t15*t98*abb88n68+t121*t16*t98*abb88n6&
         &4+t121*t21*t98*abb88n65+t121*t23*t98*abb88n62+t122*t25*t43*abb88n68+t1&
         &22*t25*t94*abb88n64+t122*t31*t98*abb88n68+t122*t33*t98*abb88n64+t122*t&
         &64*t98*abb88n65+t122*t66*t98*abb88n62+t123*t2*t98*abb88n65+t123*t3*t98&
         &*abb88n62+t123*t4*t98*abb88n68+t123*t5*t98*abb88n64+t101*t17*t25*t4*ab&
         &b88n60+t15*t25*t6*t98*abb88n60+t17*t25*t43*t6*abb88n60+t17*t31*t6*t98*&
         &abb88n60+t17*t4*t84*t98*abb88n60+t20*t25*t4*t98*abb88n60))
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d88:
   subroutine     reconstruct_d88(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group9
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group9), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_88:
      coeffs%coeffs_88%c0 = derivative(czip)
      coeffs%coeffs_88%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_88%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_88%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_88%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_88%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_88%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_88%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_88%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_88%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_88%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_88%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_88%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_88%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_88%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_88%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_88%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_88%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_88%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_88%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_88%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_88%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_88%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_88%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_88%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_88%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_88%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_88%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_88%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_88%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_88%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_88%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_88%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_88%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_88%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_88%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_88%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_88%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_88%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_88%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_88%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_88%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_88%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_88%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_88%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_88%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_88%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_88%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_88%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_88%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_88%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_88%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_88%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_88%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_88%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_88%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_88%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_88%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_88%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_88%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_88%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_88%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_88%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_88%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_88%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_88%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_88%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_88%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_88%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_88%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_88:
   end subroutine reconstruct_d88
!---#] subroutine reconstruct_d88:
end module p26_udbar_neepgg_d88h1l1d
