module     p2_ddbar_emnebarcsbar_d2h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p2_ddbar_emnebarcsbar/helicity0/d2h0l1d.f90
   ! generator: haggies (1.1)
   use p2_ddbar_emnebarcsbar_config, only: ki
   use p2_ddbar_emnebarcsbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d2
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p2_ddbar_emnebarcsbar_globalsl1, only: epspow
      use p2_ddbar_emnebarcsbar_kinematics
      use p2_ddbar_emnebarcsbar_abbrevd2h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      real(ki) :: t19
      real(ki) :: t20
      real(ki) :: t21
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift(:) = 0.0_ki
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(deg.eq.0) then
         numerator = abb2n30
         return
      end if
      t1 = k1(iv1)
      t2 = k2(iv1)
      t3 = k5(iv1)
      t4 = spvak1k2(iv1)
      t5 = spvak1k6(iv1)
      t6 = spvak3k4(iv1)
      t7 = spvak3k6(iv1)
      t8 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (t1*abb2n50+t2*abb2n50+t3*abb2n54+t4*abb2n56+t5*abb2n49+t6*&
         &abb2n48+t7*abb2n55+t8*abb2n53)
         return
      end if
      t19 = d(iv1,iv2)
      t9 = spvak1k6(iv2)
      t10 = spvak3k6(iv2)
      t11 = spvak5k2(iv2)
      t12 = k1(iv2)
      t13 = spvak5k2(iv1)
      t14 = k2(iv2)
      t15 = spvak1k2(iv2)
      t16 = spvak3k4(iv2)
      t17 = k5(iv2)
      t18 = spvak5k6(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*t19*abb2n40+spvak2k6(iv1)*t15*abb2n35+spvak2k6(iv&
         &2)*t4*abb2n35+spvak5k1(iv1)*t15*abb2n46+spvak5k1(iv2)*t4*abb2n46+t1*t1&
         &0*abb2n42+t1*t11*abb2n45+t1*t9*abb2n36+t10*t2*abb2n42+t10*t3*abb2n43+t&
         &10*t4*abb2n31+t11*t2*abb2n45+t11*t3*abb2n47+t11*t4*abb2n37+t11*t6*abb2&
         &n38+t12*t13*abb2n45+t12*t5*abb2n36+t12*t7*abb2n42+t13*t14*abb2n45+t13*&
         &t15*abb2n37+t13*t16*abb2n38+t13*t17*abb2n47+t14*t5*abb2n36+t14*t7*abb2&
         &n42+t15*t3*abb2n32+t15*t5*abb2n44+t15*t7*abb2n31+t15*t8*abb2n33+t16*t3&
         &*abb2n39+t16*t8*abb2n41+t17*t4*abb2n32+t17*t5*abb2n34+t17*t6*abb2n39+t&
         &17*t7*abb2n43+t18*t4*abb2n33+t18*t6*abb2n41+t2*t9*abb2n36+t3*t9*abb2n3&
         &4+t4*t9*abb2n44)
         return
      end if
      t20 = d(iv2,iv3)
      t21 = d(iv1,iv3)
      t1 = spvak1k2(iv3)
      t2 = spvak5k6(iv3)
      t3 = spvak3k4(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak1k6(iv3)*t19*abb2n57+spvak3k6(iv3)*t19*abb2&
         &n52+spvak5k2(iv3)*t19*abb2n51+t1*t19*abb2n58+t10*t21*abb2n52+t11*t21*a&
         &bb2n51+t13*t20*abb2n51+t15*t21*abb2n58+t20*t4*abb2n58+t20*t5*abb2n57+t&
         &20*t7*abb2n52+t21*t9*abb2n57)+t1*t16*t8*abb2n59+t1*t18*t6*abb2n59+t15*&
         &t2*t6*abb2n59+t15*t3*t8*abb2n59+t16*t2*t4*abb2n59+t18*t3*t4*abb2n59)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d2:
   subroutine     reconstruct_d2(coeffs)
      use p2_ddbar_emnebarcsbar_groups, only: tensrec_info_group2
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group2), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_2:
      coeffs%coeffs_2%c0 = derivative(czip)
      coeffs%coeffs_2%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_2%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_2%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_2%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_2%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_2%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_2%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_2%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_2%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_2%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_2%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_2%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_2%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_2%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_2%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_2%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_2%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_2%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_2%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_2%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_2%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_2%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_2%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_2%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_2%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_2%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_2%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_2%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_2:
   end subroutine reconstruct_d2
!---#] subroutine reconstruct_d2:
end module p2_ddbar_emnebarcsbar_d2h0l1d
