module     p3_ud_emnebaruu_abbrevd56h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb56n1
   complex(ki), public :: abb56n2
   complex(ki), public :: abb56n3
   complex(ki), public :: abb56n4
   complex(ki), public :: abb56n5
   complex(ki), public :: abb56n6
   complex(ki), public :: abb56n7
   complex(ki), public :: abb56n8
   complex(ki), public :: abb56n9
   complex(ki), public :: abb56n10
   complex(ki), public :: abb56n11
   complex(ki), public :: abb56n12
   complex(ki), public :: abb56n13
   complex(ki), public :: abb56n14
   complex(ki), public :: abb56n15
   complex(ki), public :: abb56n16
   complex(ki), public :: abb56n17
   complex(ki), public :: rat2d56
   complex(ki), public :: abb56n19
   complex(ki), public :: abb56n20
   complex(ki), public :: abb56n21
   complex(ki), public :: abb56n22
   complex(ki), public :: abb56n23
   complex(ki), public :: abb56n24
   complex(ki), public :: abb56n25
   complex(ki), public :: abb56n26
   complex(ki), public :: abb56n27
   complex(ki), public :: abb56n28
   complex(ki), public :: abb56n29
   complex(ki), public :: abb56n30
   complex(ki), public :: abb56n31
   complex(ki), public :: abb56n32
   complex(ki), public :: abb56n33
   complex(ki), public :: abb56n34
   complex(ki), public :: abb56n35
   complex(ki), public :: abb56n36
   complex(ki), public :: abb56n37
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   real(ki) :: t20
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k5
      t4 = t3*spak3k6
      t20 = TR*TR
      t5 = NC*NC*t1
      t6 = c2*i_
      t7 = t6*spak2k5
      t8 = t7*spak3k6
      t9 = NC*t1
      t10 = NC*c2*i_
      t11 = t10*spak2k5
      t12 = t11*spak3k6
      abb56n1 = ((4.0_ki)*(t20*t12/t1*spbk4k2*spbk6k2+t20*t4/t5*spbk4k2*spbk6k2-&
      &(2.0_ki)*t20*t8/t9*spbk4k2*spbk6k2))
      abb56n2 = ((8.0_ki)*(t20*t12/t1*spbk2k1*spbk4k2+t20*t4/t5*spbk2k1*spbk4k2-&
      &(2.0_ki)*t20*t8/t9*spbk2k1*spbk4k2))
      abb56n3 = ((4.0_ki)*((2.0_ki)*t20*t7/t9*spbk2k1-(t20*t3/t5*spbk2k1+t20*t11&
      &/t1*spbk2k1)))
      t3 = t2*spak3k5
      t4 = t20*t3/t5*spbk2k1
      t7 = t6*spak3k5
      t8 = (2.0_ki)*t20*t7/t9*spbk2k1
      t11 = t10*spak3k5
      t12 = t20*t11/t1*spbk2k1
      t13 = t12+t4-t8
      abb56n4 = ((8.0_ki)*t13)
      abb56n5 = ((4.0_ki)*t13)
      abb56n6 = ((8.0_ki)*(t8-(t4+t12)))
      t4 = t2*spak3k6
      t8 = t6*spak3k6
      t12 = t10*spak3k6
      abb56n7 = ((8.0_ki)*(t20*t12/t1*spbk4k1+t20*t4/t5*spbk4k1-(2.0_ki)*t20*t8/&
      &t9*spbk4k1))
      t13 = t6*spak2k3
      t14 = t2*spak2k3
      t15 = t10*spak2k3
      abb56n8 = ((8.0_ki)*(-(t20*t7/t9*spbk5k1+t20*t13/t9*spbk2k1))+(4.0_ki)*(t2&
      &0*t11/t1*spbk5k1+t20*t15/t1*spbk2k1+t20*t14/t5*spbk2k1+t20*t3/t5*spbk5k1)&
      &)
      t16 = t20*t3/t5*spbk4k2
      t17 = (2.0_ki)*t20*t7/t9*spbk4k2
      t18 = t20*t11/t1*spbk4k2
      t19 = t16+t18-t17
      abb56n9 = ((8.0_ki)*t19)
      abb56n10 = ((4.0_ki)*t19)
      abb56n11 = ((8.0_ki)*(t17-(t18+t16)))
      t16 = t20*t4/t5*spbk4k2
      t17 = (2.0_ki)*t20*t8/t9*spbk4k2
      t18 = t20*t12/t1*spbk4k2
      abb56n12 = ((4.0_ki)*(t16+t18-t17))
      abb56n13 = ((8.0_ki)*(t17-(t18+t16)))
      t16 = t20*t3/t5*spbk5k2
      t17 = (2.0_ki)*t20*t7/t9*spbk5k2
      t18 = t20*t11/t1*spbk5k2
      abb56n14 = ((4.0_ki)*(t16+t18-t17))
      abb56n15 = ((4.0_ki)*(t17-(t18+t16)))
      abb56n16 = ((8.0_ki)*(t20*t7/t9*spbk5k4-(t20*t8/t9*spbk6k4+t20*t13/t9*spbk&
      &4k2))+(4.0_ki)*(t20*t12/t1*spbk6k4+t20*t15/t1*spbk4k2+t20*t14/t5*spbk4k2+&
      &t20*t4/t5*spbk6k4-(t20*t3/t5*spbk5k4+t20*t11/t1*spbk5k4)))
      abb56n17 = ((4.0_ki)*(t20*t10/t1+t20*t2/t5-(2.0_ki)*t20*t6/t9))
      rat2d56 = 0
      rat2 = rat2 + rat2d56
      abb56n19 = -(abb56n1)
      abb56n20 = abb56n16
      abb56n21 = abb56n15
      abb56n22 = abb56n14
      abb56n23 = abb56n13
      abb56n24 = abb56n12
      abb56n25 = abb56n11
      abb56n26 = abb56n9
      abb56n27 = abb56n8
      abb56n28 = abb56n7
      abb56n29 = abb56n6
      abb56n30 = abb56n4
      abb56n31 = abb56n3
      abb56n32 = -(abb56n2)
      abb56n33 = -(abb56n5)
      abb56n34 = (-2.0_ki)*abb56n5
      abb56n35 = -(abb56n10)
      abb56n36 = (-2.0_ki)*abb56n10
      abb56n37 = -(abb56n17)
   end subroutine
end module p3_ud_emnebaruu_abbrevd56h0
