module     p3_ud_emnebaruu_d61h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p3_ud_emnebaruu/helicity1/d61h1l1d.f90
   ! generator: haggies (1.1)
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d61
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p3_ud_emnebaruu_globalsl1, only: epspow
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_abbrevd61h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      real(ki) :: t18
      real(ki) :: t19
      real(ki) :: t20
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k3+k6+k5+k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t1 = (spvak1k5(1)*qshift(1)-spvak1k5(2)*qshift(2)-spvak1k5(3)*qshift(3)-sp&
      &vak1k5(4)*qshift(4))
      t2 = (spvak3k2(1)*qshift(1)-spvak3k2(2)*qshift(2)-spvak3k2(3)*qshift(3)-sp&
      &vak3k2(4)*qshift(4))
      t3 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t18 = dotproduct(k3, qshift)
      t19 = dotproduct(k4, qshift)
      t20 = dotproduct(k2, qshift)
      t4 = (spvak3k5(1)*qshift(1)-spvak3k5(2)*qshift(2)-spvak3k5(3)*qshift(3)-sp&
      &vak3k5(4)*qshift(4))
      t5 = (spvak4k5(1)*qshift(1)-spvak4k5(2)*qshift(2)-spvak4k5(3)*qshift(3)-sp&
      &vak4k5(4)*qshift(4))
      t6 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb61n15*(spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spva&
         &k6k4(3)*qshift(3)-spvak6k4(4)*qshift(4))+abb61n25*dotproduct(qshift, q&
         &shift)+abb61n29*(spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(&
         &3)*qshift(3)-spvak6k2(4)*qshift(4))+t1*t18*abb61n18+t1*t19*abb61n18+t1&
         &*t2*abb61n16+t1*t20*abb61n19+t1*t3*abb61n17+t18*t4*abb61n24+t19*t4*abb&
         &61n24+t2*t4*abb61n20+t2*t6*abb61n23+t20*t4*abb61n21+t3*t4*abb61n26+t3*&
         &t5*abb61n22)
         return
      end if
      t7 = k2(iv1)
      t8 = k3(iv1)
      t9 = k4(iv1)
      t10 = spvak1k5(iv1)
      t11 = t10*abb61n38
      t12 = spvak2k5(iv1)
      t13 = spvak3k2(iv1)
      t14 = spvak3k4(iv1)
      t15 = spvak3k5(iv1)
      t16 = t15*abb61n32
      t17 = spvak4k5(iv1)
      if(deg.eq.1) then
         numerator = (qshift(iv1)*abb61n31+spvak6k2(iv1)*abb61n27+spvak6k4(iv1)*&
         &abb61n28+t11*t18+t11*t19+t16*t18+t16*t19+t1*t13*abb61n40+t1*t14*abb61n&
         &39+t1*t7*abb61n37+t1*t8*abb61n38+t1*t9*abb61n38+t10*t2*abb61n40+t10*t2&
         &0*abb61n37+t10*t3*abb61n39+t12*t2*abb61n33+t13*t4*abb61n36+t13*t6*abb6&
         &1n33+t14*t4*abb61n30+t14*t5*abb61n34+t15*t2*abb61n36+t15*t20*abb61n35+&
         &t15*t3*abb61n30+t17*t3*abb61n34+t4*t7*abb61n35+t4*t8*abb61n32+t4*t9*ab&
         &b61n32)
         return
      end if
      t1 = spvak1k5(iv2)
      t2 = spvak3k5(iv2)
      t3 = k2(iv2)
      t4 = k3(iv2)
      t5 = k4(iv2)
      t6 = spvak3k2(iv2)
      t11 = spvak3k4(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*d(iv1,iv2)*abb61n25+spvak2k5(iv2)*t13*abb61n23+sp&
         &vak4k5(iv2)*t14*abb61n22+t1*t13*abb61n16+t1*t14*abb61n17+t1*t7*abb61n1&
         &9+t1*t8*abb61n18+t1*t9*abb61n18+t10*t11*abb61n17+t10*t3*abb61n19+t10*t&
         &4*abb61n18+t10*t5*abb61n18+t10*t6*abb61n16+t11*t15*abb61n26+t11*t17*ab&
         &b61n22+t12*t6*abb61n23+t13*t2*abb61n20+t14*t2*abb61n26+t15*t3*abb61n21&
         &+t15*t4*abb61n24+t15*t5*abb61n24+t15*t6*abb61n20+t2*t7*abb61n21+t2*t8*&
         &abb61n24+t2*t9*abb61n24)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d61:
   subroutine     reconstruct_d61(coeffs)
      use p3_ud_emnebaruu_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_61:
      coeffs%coeffs_61%c0 = derivative(czip)
      coeffs%coeffs_61%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_61%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_61%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_61%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_61%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_61%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_61%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_61%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_61%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_61%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_61%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_61%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_61%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_61%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_61:
   end subroutine reconstruct_d61
!---#] subroutine reconstruct_d61:
end module p3_ud_emnebaruu_d61h1l1d
