module     p7_dubar_emnebargg_abbrevd51h0
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh0
   implicit none
   private
   complex(ki), public :: abb51n1
   complex(ki), public :: abb51n2
   complex(ki), public :: abb51n3
   complex(ki), public :: abb51n4
   complex(ki), public :: abb51n5
   complex(ki), public :: abb51n6
   complex(ki), public :: abb51n7
   complex(ki), public :: abb51n8
   complex(ki), public :: abb51n9
   complex(ki), public :: abb51n10
   complex(ki), public :: abb51n11
   complex(ki), public :: abb51n12
   complex(ki), public :: abb51n13
   complex(ki), public :: abb51n14
   complex(ki), public :: abb51n15
   complex(ki), public :: abb51n16
   complex(ki), public :: abb51n17
   complex(ki), public :: abb51n18
   complex(ki), public :: abb51n19
   complex(ki), public :: abb51n20
   complex(ki), public :: abb51n21
   complex(ki), public :: abb51n22
   complex(ki), public :: rat2d51
   complex(ki), public :: abb51n24
   complex(ki), public :: abb51n25
   complex(ki), public :: abb51n26
   complex(ki), public :: abb51n27
   complex(ki), public :: abb51n28
   complex(ki), public :: abb51n29
   complex(ki), public :: abb51n30
   complex(ki), public :: abb51n31
   complex(ki), public :: abb51n32
   complex(ki), public :: abb51n33
   complex(ki), public :: abb51n34
   complex(ki), public :: abb51n35
   complex(ki), public :: abb51n36
   complex(ki), public :: abb51n37
   complex(ki), public :: abb51n38
   complex(ki), public :: abb51n39
   complex(ki), public :: abb51n40
   complex(ki), public :: abb51n41
   complex(ki), public :: abb51n42
   complex(ki), public :: abb51n43
   complex(ki), public :: abb51n44
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   complex(ki) :: t55
   complex(ki) :: t56
   complex(ki) :: t57
   complex(ki) :: t58
   complex(ki) :: t59
   complex(ki) :: t60
   complex(ki) :: t61
   complex(ki) :: t62
   complex(ki) :: t63
   complex(ki) :: t64
   complex(ki) :: t65
   complex(ki) :: t66
   complex(ki) :: t67
   complex(ki) :: t68
   complex(ki) :: t69
   real(ki) :: t70
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = TR*c1*i_
      t2 = t1*spak1k3
      t3 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t4 = NC*t3
      t5 = spak5k6*spak5k6
      t6 = t4*t5
      t7 = t2/t6*spak2k5*spbk4k1*spbk5k1
      t8 = t2/t6*spak2k6*spbk4k1*spbk6k1
      t9 = t1/t6*spak2k5*spak3k4*spbk4k1*spbk5k4
      t10 = t1/t6*spak2k6*spak3k4*spbk4k1*spbk6k4
      t11 = TR*c2*i_
      t12 = t11*spak1k3
      t13 = t12/t6*spak2k5*spbk4k1*spbk5k1
      t14 = t12/t6*spak2k6*spbk4k1*spbk6k1
      t15 = t11/t6*spak2k5*spak3k4*spbk4k1*spbk5k4
      t16 = t11/t6*spak2k6*spak3k4*spbk4k1*spbk6k4
      t70 = NC*TR
      t17 = t70*c1
      t18 = t17*i_
      t19 = t18*spak1k3
      t3 = t3*t5
      t5 = t19/t3*spak2k5*spbk4k1*spbk5k1
      t20 = t19/t3*spak2k6*spbk4k1*spbk6k1
      t21 = t18*spak2k5
      t22 = t21/t3*spak3k4*spbk4k1*spbk5k4
      t23 = t18*spak2k6
      t24 = t23/t3*spak3k4*spbk4k1*spbk6k4
      t25 = t70*c2
      t26 = t25*i_
      t27 = t26*spak1k3
      t28 = t27/t3*spak2k5*spbk4k1*spbk5k1
      t29 = t27/t3*spak2k6*spbk4k1*spbk6k1
      t30 = t26*spak2k5
      t31 = t30/t3*spak3k4*spbk4k1*spbk5k4
      t32 = t26*spak2k6
      t33 = t32/t3*spak3k4*spbk4k1*spbk6k4
      abb51n1 = (t14+t16+t20+t24+t28+t31+t7+t9-(t8+t5+t33+t29+t22+t15+t13+t10))
      t34 = es12*t17*i_
      t35 = t34*spak1k3
      t36 = es234*t17*i_
      t37 = t36*spak1k3
      t38 = es34*t17*i_
      t39 = t38*spak1k3
      t40 = es12*t25*i_
      t41 = t40*spak1k3
      t42 = es234*t25*i_
      t43 = t42*spak1k3
      t44 = es34*t25*i_
      t45 = t44*spak1k3
      t46 = es345*t17*i_
      t47 = t46*spak1k3
      t17 = es61*t17*i_
      t48 = t17*spak1k3
      t49 = es345*t25*i_
      t50 = t49*spak1k3
      t25 = es61*t25*i_
      t51 = t25*spak1k3
      abb51n2 = ((3.0_ki)*(t35/t3*spak2k5*spbk4k1*spbk5k1+t39/t3*spak2k6*spbk4k1&
      &*spbk6k1+t43/t3*spak2k6*spbk4k1*spbk6k1+t34/t3*spak2k5*spak3k4*spbk4k1*sp&
      &bk5k4+t38/t3*spak2k6*spak3k4*spbk4k1*spbk6k4+t42/t3*spak2k6*spak3k4*spbk4&
      &k1*spbk6k4-(t44/t3*spak2k6*spak3k4*spbk4k1*spbk6k4+t40/t3*spak2k5*spak3k4&
      &*spbk4k1*spbk5k4+t36/t3*spak2k6*spak3k4*spbk4k1*spbk6k4+t45/t3*spak2k6*sp&
      &bk4k1*spbk6k1+t41/t3*spak2k5*spbk4k1*spbk5k1+t37/t3*spak2k6*spbk4k1*spbk6&
      &k1))+(2.0_ki)*(t48/t3*spak2k5*spbk4k1*spbk5k1+t48/t3*spak2k6*spbk4k1*spbk&
      &6k1+t50/t3*spak2k5*spbk4k1*spbk5k1+t50/t3*spak2k6*spbk4k1*spbk6k1+t17/t3*&
      &spak2k5*spak3k4*spbk4k1*spbk5k4+t17/t3*spak2k6*spak3k4*spbk4k1*spbk6k4+t4&
      &9/t3*spak2k5*spak3k4*spbk4k1*spbk5k4+t49/t3*spak2k6*spak3k4*spbk4k1*spbk6&
      &k4-(t46/t3*spak2k6*spak3k4*spbk4k1*spbk6k4+t46/t3*spak2k5*spak3k4*spbk4k1&
      &*spbk5k4+t25/t3*spak2k6*spak3k4*spbk4k1*spbk6k4+t25/t3*spak2k5*spak3k4*sp&
      &bk4k1*spbk5k4+t51/t3*spak2k6*spbk4k1*spbk6k1+t51/t3*spak2k5*spbk4k1*spbk5&
      &k1+t47/t3*spak2k6*spbk4k1*spbk6k1+t47/t3*spak2k5*spbk4k1*spbk5k1))+t37/t3&
      &*spak2k5*spbk4k1*spbk5k1+t41/t3*spak2k6*spbk4k1*spbk6k1+t45/t3*spak2k5*sp&
      &bk4k1*spbk5k1+t36/t3*spak2k5*spak3k4*spbk4k1*spbk5k4+t40/t3*spak2k6*spak3&
      &k4*spbk4k1*spbk6k4+t44/t3*spak2k5*spak3k4*spbk4k1*spbk5k4-(t42/t3*spak2k5&
      &*spak3k4*spbk4k1*spbk5k4+t38/t3*spak2k5*spak3k4*spbk4k1*spbk5k4+t34/t3*sp&
      &ak2k6*spak3k4*spbk4k1*spbk6k4+t43/t3*spak2k5*spbk4k1*spbk5k1+t39/t3*spak2&
      &k5*spbk4k1*spbk5k1+t35/t3*spak2k6*spbk4k1*spbk6k1))
      abb51n3 = ((2.0_ki)*(t20+t24+t28+t31-(t5+t33+t29+t22)))
      t35 = t21*spak3k6
      t37 = t35/t3*spbk4k1*spbk6k5
      t39 = t23*spak3k5
      t41 = t39/t3*spbk4k1*spbk6k5
      t43 = t30*spak3k6
      t45 = t43/t3*spbk4k1*spbk6k5
      t47 = t32*spak3k5
      t48 = t47/t3*spbk4k1*spbk6k5
      t50 = t46*spak2k3
      t51 = t50/t3*spbk4k1
      t52 = t17*spak2k3
      t53 = t52/t3*spbk4k1
      t54 = t49*spak2k3
      t55 = t54/t3*spbk4k1
      t56 = t25*spak2k3
      t57 = t56/t3*spbk4k1
      t58 = t34*spak2k3
      t59 = t58/t3*spbk4k1
      t60 = t36*spak2k3
      t61 = t60/t3*spbk4k1
      t62 = t38*spak2k3
      t63 = t62/t3*spbk4k1
      t64 = t40*spak2k3
      t65 = t64/t3*spbk4k1
      t66 = t42*spak2k3
      t67 = t66/t3*spbk4k1
      t68 = t44*spak2k3
      t69 = t68/t3*spbk4k1
      abb51n4 = ((6.0_ki)*(t45+t48-(t41+t37))+(4.0_ki)*(t53+t55-(t57+t51))+(2.0_&
      &ki)*(t59+t63+t67-(t69+t65+t61)))
      abb51n5 = ((6.0_ki)*(t37+t41-(t48+t45))+(4.0_ki)*(t51+t57-(t55+t53))+(2.0_&
      &ki)*(t61+t65+t69-(t67+t63+t59)))
      abb51n6 = ((2.0_ki)*(t52/t3*spbk3k1+t54/t3*spbk3k1+t17/t3*spak2k4*spbk4k1+&
      &t49/t3*spak2k4*spbk4k1-(t46/t3*spak2k4*spbk4k1+t25/t3*spak2k4*spbk4k1+t56&
      &/t3*spbk3k1+t50/t3*spbk3k1))+(3.0_ki)*(t43/t3*spbk3k1*spbk6k5+t47/t3*spbk&
      &3k1*spbk6k5+t30/t3*spak4k6*spbk4k1*spbk6k5+t32/t3*spak4k5*spbk4k1*spbk6k5&
      &-(t23/t3*spak4k5*spbk4k1*spbk6k5+t21/t3*spak4k6*spbk4k1*spbk6k5+t39/t3*sp&
      &bk3k1*spbk6k5+t35/t3*spbk3k1*spbk6k5))+t58/t3*spbk3k1+t62/t3*spbk3k1+t66/&
      &t3*spbk3k1+t34/t3*spak2k4*spbk4k1+t38/t3*spak2k4*spbk4k1+t42/t3*spak2k4*s&
      &pbk4k1-(t44/t3*spak2k4*spbk4k1+t40/t3*spak2k4*spbk4k1+t36/t3*spak2k4*spbk&
      &4k1+t68/t3*spbk3k1+t64/t3*spbk3k1+t60/t3*spbk3k1))
      abb51n7 = ((2.0_ki)*(t52/t3*spbk4k3+t54/t3*spbk4k3+t17/t3*spak1k2*spbk4k1+&
      &t49/t3*spak1k2*spbk4k1-(t46/t3*spak1k2*spbk4k1+t25/t3*spak1k2*spbk4k1+t56&
      &/t3*spbk4k3+t50/t3*spbk4k3))+(3.0_ki)*(t43/t3*spbk4k3*spbk6k5+t47/t3*spbk&
      &4k3*spbk6k5+t18/t3*spak1k5*spak2k6*spbk4k1*spbk6k5+t18/t3*spak1k6*spak2k5&
      &*spbk4k1*spbk6k5-(t26/t3*spak1k6*spak2k5*spbk4k1*spbk6k5+t26/t3*spak1k5*s&
      &pak2k6*spbk4k1*spbk6k5+t39/t3*spbk4k3*spbk6k5+t35/t3*spbk4k3*spbk6k5))+t5&
      &8/t3*spbk4k3+t62/t3*spbk4k3+t66/t3*spbk4k3+t34/t3*spak1k2*spbk4k1+t38/t3*&
      &spak1k2*spbk4k1+t42/t3*spak1k2*spbk4k1-(t44/t3*spak1k2*spbk4k1+t40/t3*spa&
      &k1k2*spbk4k1+t36/t3*spak1k2*spbk4k1+t68/t3*spbk4k3+t64/t3*spbk4k3+t60/t3*&
      &spbk4k3))
      t2 = t2*spbk4k1
      t17 = t2/t6
      t12 = t12*spbk4k1
      t21 = t12/t6
      t19 = t19/t3*spbk4k1
      t23 = t27/t3*spbk4k1
      abb51n8 = ((4.0_ki)*(t21+t23-(t19+t17)))
      abb51n9 = ((4.0_ki)*(t17+t19-(t23+t21)))
      t17 = t1*spak2k3
      t19 = t17/t6*spbk4k1
      t21 = t11*spak2k3
      t23 = t21/t6*spbk4k1
      t25 = t18*spak2k3
      t27 = t25/t3*spbk4k1
      t30 = t26*spak2k3
      t32 = t30/t3*spbk4k1
      abb51n10 = ((16.0_ki)*(t23+t32-(t27+t19)))
      abb51n11 = ((16.0_ki)*(t19+t27-(t32+t23)))
      t19 = t17/t6*spbk3k1
      t23 = t1/t6*spak2k4*spbk4k1
      t27 = t21/t6*spbk3k1
      t32 = t11/t6*spak2k4*spbk4k1
      t34 = t25/t3*spbk3k1
      t35 = t18/t3*spak2k4*spbk4k1
      t36 = t30/t3*spbk3k1
      t37 = t26/t3*spak2k4*spbk4k1
      abb51n12 = ((8.0_ki)*(t27+t32+t36+t37-(t35+t34+t23+t19)))
      abb51n13 = ((8.0_ki)*(t19+t23+t34+t35-(t37+t36+t32+t27)))
      abb51n14 = ((8.0_ki)*(t7+t9-(t15+t13))+(2.0_ki)*(t20+t24-(t33+t29))+(6.0_k&
      &i)*(t22+t5-(t31+t28)))
      abb51n15 = ((8.0_ki)*(t14+t16-(t8+t10))+(6.0_ki)*(t29+t33-(t24+t20))+(2.0_&
      &ki)*(t28+t31-(t5+t22)))
      abb51n16 = ((2.0_ki)*(t10+t13+t15+t22+t29+t33+t5+t8-(t9+t7+t31+t28+t24+t20&
      &+t16+t14)))
      t4 = t4*spak5k6
      t5 = t1*spak3k4*spbk4k1
      t7 = t11*spak3k4*spbk4k1
      abb51n17 = ((2.0_ki)*(t2/t4*spbk5k1+t5/t4*spbk5k4-(t7/t4*spbk5k4+t12/t4*sp&
      &bk5k1)))
      abb51n18 = ((2.0_ki)*(t2/t4*spbk6k1+t5/t4*spbk6k4-(t7/t4*spbk6k4+t12/t4*sp&
      &bk6k1)))
      t2 = t5/t6
      t4 = t7/t6
      t5 = t18/t3*spak3k4*spbk4k1
      t7 = t26/t3*spak3k4*spbk4k1
      abb51n19 = ((4.0_ki)*(t4+t7-(t5+t2)))
      abb51n20 = ((4.0_ki)*(t2+t5-(t7+t4)))
      t1 = t1/t6*spak1k2*spbk4k1
      t2 = t17/t6*spbk4k3
      t4 = t11/t6*spak1k2*spbk4k1
      t5 = t21/t6*spbk4k3
      t6 = t18/t3*spak1k2*spbk4k1
      t7 = t25/t3*spbk4k3
      t8 = t26/t3*spak1k2*spbk4k1
      t3 = t30/t3*spbk4k3
      abb51n21 = ((8.0_ki)*(t3+t4+t5+t8-(t7+t6+t2+t1)))
      abb51n22 = ((8.0_ki)*(t1+t2+t6+t7-(t8+t5+t4+t3)))
      rat2d51 = abb51n1
      rat2 = rat2 + rat2d51
      abb51n24 = abb51n2
      abb51n25 = abb51n22
      abb51n26 = abb51n21
      abb51n27 = abb51n20
      abb51n28 = abb51n19
      abb51n29 = abb51n18
      abb51n30 = abb51n17
      abb51n31 = abb51n16
      abb51n32 = abb51n15
      abb51n33 = abb51n14
      abb51n34 = abb51n13
      abb51n35 = abb51n12
      abb51n36 = abb51n11
      abb51n37 = abb51n10
      abb51n38 = abb51n9
      abb51n39 = abb51n8
      abb51n40 = abb51n7
      abb51n41 = abb51n6
      abb51n42 = abb51n5
      abb51n43 = abb51n4
      abb51n44 = abb51n3
   end subroutine
end module p7_dubar_emnebargg_abbrevd51h0
