module     p7_dubar_emnebargg_d18h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity0/d18h0l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d18
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd18h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t33 = dotproduct(qshift, qshift)
      t1 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t2 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t34 = dotproduct(k2, qshift)
      t35 = dotproduct(k5, qshift)
      t36 = dotproduct(k6, qshift)
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t5 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t6 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t7 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t8 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb18n30+t1*abb18n58+t2*abb18n61+t3*abb18n69+t33*abb18n39+&
         &t34*abb18n67+t35*abb18n68+t36*abb18n68+t4*abb18n70+t5*abb18n71+t1*t3*a&
         &bb18n37+t1*t4*abb18n56+t2*t3*abb18n36+t2*t33*abb18n88+t2*t34*abb18n35+&
         &t2*t35*abb18n33+t2*t36*abb18n33+t3*t33*abb18n73+t3*t34*abb18n44+t3*t5*&
         &abb18n32+t3*t6*abb18n34+t3*t7*abb18n40+t3*t8*abb18n42+t33*t5*abb18n64+&
         &t33*t7*abb18n78+t34*t4*abb18n55+t34*t5*abb18n53+t34*t7*abb18n41+t35*t5&
         &*abb18n51+t35*t7*abb18n43+t36*t5*abb18n51+t36*t7*abb18n43+t4*t7*abb18n&
         &38+t1*t3*t4*abb18n92)
         return
      end if
      t9 = k2(iv1)
      t10 = k5(iv1)
      t11 = k6(iv1)
      t12 = qshift(iv1)
      t13 = spvak2k1(iv1)
      t14 = spvak3k1(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k6(iv1)
      t18 = spvak2k5(iv1)
      t19 = spvak2k6(iv1)
      t20 = t19*abb18n76
      t21 = t14*abb18n66
      t22 = t16*abb18n90
      t23 = spvak6k1(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb18n49+t11*abb18n49+t12*abb18n82+t13*abb18n57+t14*ab&
         &b18n46+t15*abb18n47+t16*abb18n54+t17*abb18n48+t20*t35+t20*t36+t21*t35+&
         &t21*t36+t22*t35+t22*t36+t9*abb18n50+t1*t15*abb18n59+t1*t17*abb18n84+t1&
         &0*t2*abb18n90+t10*t5*abb18n66+t10*t7*abb18n76+t11*t2*abb18n90+t11*t5*a&
         &bb18n66+t11*t7*abb18n76+t12*t2*abb18n87+t12*t3*abb18n72+t12*t5*abb18n6&
         &3+t12*t7*abb18n77+t13*t3*abb18n84+t13*t4*abb18n59+t14*t3*abb18n91+t14*&
         &t33*abb18n52+t14*t34*abb18n62+t15*t34*abb18n60+t15*t7*abb18n83+t16*t3*&
         &abb18n85+t16*t33*abb18n34+t16*t34*abb18n86+t17*t2*abb18n85+t17*t33*abb&
         &18n45+t17*t34*abb18n75+t17*t5*abb18n91+t17*t6*abb18n88+t17*t7*abb18n81&
         &+t17*t8*abb18n78+t18*t3*abb18n78+t19*t3*abb18n81+t19*t33*abb18n42+t19*&
         &t34*abb18n80+t19*t4*abb18n83+t2*t9*abb18n86+t23*t3*abb18n88+t3*t9*abb1&
         &8n75+t4*t9*abb18n60+t5*t9*abb18n62+t7*t9*abb18n80+t1*t15*t3*abb18n31+t&
         &1*t17*t4*abb18n31+t13*t3*t4*abb18n31)
         return
      end if
      t33 = d(iv1,iv2)
      t6 = spvak2k6(iv2)
      t8 = spvak3k1(iv2)
      t20 = spvak3k4(iv2)
      t21 = spvak5k1(iv2)
      t22 = spvak5k6(iv2)
      t24 = k2(iv2)
      t25 = k5(iv2)
      t26 = k6(iv2)
      t27 = qshift(iv2)
      t28 = t13*t20
      t29 = t13*t22
      t30 = spvak2k1(iv2)
      t31 = t15*t30
      t32 = t17*t30
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t33*abb18n39+t2*t33*abb18n88+t3*t33*abb18n73+t33&
         &*t5*abb18n64+t33*t7*abb18n78)+t28*abb18n56+t29*abb18n37+t31*abb18n56+t&
         &32*abb18n37+spvak2k5(iv2)*t17*abb18n42+spvak6k1(iv2)*t17*abb18n34+t10*&
         &t21*abb18n33+t10*t6*abb18n43+t10*t8*abb18n51+t11*t21*abb18n33+t11*t6*a&
         &bb18n43+t11*t8*abb18n51+t12*t21*abb18n89+t12*t22*abb18n74+t12*t6*abb18&
         &n79+t12*t8*abb18n65+t14*t22*abb18n32+t14*t24*abb18n53+t14*t25*abb18n51&
         &+t14*t26*abb18n51+t14*t27*abb18n65+t15*t24*abb18n55+t15*t6*abb18n38+t1&
         &6*t22*abb18n36+t16*t24*abb18n35+t16*t25*abb18n33+t16*t26*abb18n33+t16*&
         &t27*abb18n89+t17*t21*abb18n36+t17*t24*abb18n44+t17*t27*abb18n74+t17*t6&
         &*abb18n40+t17*t8*abb18n32+t18*t22*abb18n42+t19*t20*abb18n38+t19*t22*ab&
         &b18n40+t19*t24*abb18n41+t19*t25*abb18n43+t19*t26*abb18n43+t19*t27*abb1&
         &8n79+t20*t9*abb18n55+t21*t9*abb18n35+t22*t23*abb18n34+t22*t9*abb18n44+&
         &t28*t3*abb18n92+t29*t4*abb18n92+t3*t31*abb18n92+t32*t4*abb18n92+t6*t9*&
         &abb18n41+t8*t9*abb18n53+t1*t15*t22*abb18n92+t1*t17*t20*abb18n92)
         return
      end if
      t34 = d(iv2,iv3)
      t35 = d(iv1,iv3)
      t1 = spvak5k6(iv3)
      t2 = spvak3k4(iv3)
      t3 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k6(iv3)*t33*abb18n42+spvak3k1(iv3)*t33*abb&
         &18n52+spvak5k1(iv3)*t33*abb18n34+t1*t33*abb18n45+t14*t34*abb18n52+t16*&
         &t34*abb18n34+t17*t34*abb18n45+t19*t34*abb18n42+t21*t35*abb18n34+t22*t3&
         &5*abb18n45+t35*t6*abb18n42+t35*t8*abb18n52)+t1*t28*abb18n31+t1*t31*abb&
         &18n31+t13*t2*t22*abb18n31+t15*t22*t3*abb18n31+t17*t2*t30*abb18n31+t17*&
         &t20*t3*abb18n31)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d18:
   subroutine     reconstruct_d18(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_18:
      coeffs%coeffs_18%c0 = derivative(czip)
      coeffs%coeffs_18%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_18%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_18%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_18%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_18%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_18%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_18%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_18%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_18%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_18%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_18%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_18%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_18%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_18%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_18%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_18%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_18%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_18%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_18%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_18%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_18%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_18%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_18%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_18%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_18%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_18%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_18%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_18%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_18%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_18%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_18%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_18%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_18%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_18%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_18:
   end subroutine reconstruct_d18
!---#] subroutine reconstruct_d18:
end module p7_dubar_emnebargg_d18h0l1d
