module     p7_dubar_emnebargg_d90h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity0/d90h0l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d90
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd90h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      real(ki) :: t94
      real(ki) :: t95
      real(ki) :: t96
      real(ki) :: t97
      real(ki) :: t98
      real(ki) :: t99
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift(:) = 0.0_ki
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      if(deg.eq.0) then
         numerator = abb90n81
         return
      end if
      t1 = k1(iv1)
      t2 = k2(iv1)
      t3 = k5(iv1)
      t4 = k6(iv1)
      t5 = spvak3k4(iv1)
      t6 = spvak5k1(iv1)
      t7 = spvak5k6(iv1)
      t8 = spvak6k1(iv1)
      t9 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t1*abb90n135+t2*abb90n139+t3*abb90n137+t4*abb90n150+t5*abb&
         &90n156+t6*abb90n151+t7*abb90n149+t8*abb90n152+t9*abb90n138)
         return
      end if
      t94 = d(iv1,iv2)
      t10 = k2(iv2)
      t11 = k6(iv2)
      t12 = spvak3k1(iv2)
      t13 = t1*t12
      t14 = spvak3k4(iv2)
      t15 = t1*t14
      t16 = spvak5k6(iv2)
      t17 = k1(iv2)
      t18 = spvak3k1(iv1)
      t19 = t17*t18
      t20 = t17*t5
      t21 = k5(iv2)
      t22 = t14*t2
      t23 = spvak5k1(iv2)
      t24 = t2*t23
      t25 = spvak6k1(iv2)
      t26 = spvak6k5(iv2)
      t27 = t10*t5
      t28 = t10*t6
      t29 = t12*t3
      t30 = t14*t3
      t31 = t16*t3
      t32 = t18*t21
      t33 = t21*t5
      t34 = t21*t7
      t35 = t23*t4
      t36 = t11*t6
      t37 = spvak2k1(iv1)
      t38 = spvak2k1(iv2)
      t39 = spvak2k6(iv1)
      t40 = t26*t39
      t41 = spvak2k6(iv2)
      t42 = t41*t9
      t43 = t18*t26
      t44 = t12*t9
      t45 = t16*t5
      t46 = t25*t5
      t47 = t26*t5
      t48 = t14*t7
      t49 = t14*t8
      t50 = t14*t9
      t51 = t16*t6
      t52 = t26*t6
      t53 = t23*t7
      t54 = t23*t9
      t55 = t25*t7
      t56 = t26*t7
      t57 = t16*t8
      t58 = t16*t9
      if(deg.eq.2) then
         numerator = (t13*abb90n103+t15*abb90n154+t19*abb90n103+t20*abb90n154+t2&
         &2*abb90n157+t24*abb90n88+t27*abb90n157+t28*abb90n88+t29*abb90n101+t30*&
         &abb90n154+t31*abb90n134+t32*abb90n101+t33*abb90n154+t34*abb90n134+t35*&
         &abb90n90+t36*abb90n90+t40*abb90n122+t42*abb90n122+t43*abb90n104+t44*ab&
         &b90n104+t45*abb90n140+t46*abb90n159+t47*abb90n155+t48*abb90n140+t49*ab&
         &b90n159+t50*abb90n155+t51*abb90n87+t52*abb90n111+t53*abb90n87+t54*abb9&
         &0n111+t55*abb90n96+t56*abb90n116+t57*abb90n96+t58*abb90n116+(2.0_ki)*t&
         &94*abb90n136+t1*t10*abb90n128+t1*t11*abb90n146+t1*t16*abb90n125+t10*t3&
         &*abb90n133+t10*t8*abb90n99+t10*t9*abb90n119+t11*t3*abb90n146+t11*t8*ab&
         &b90n97+t11*t9*abb90n117+t14*t6*abb90n158+t17*t2*abb90n128+t17*t4*abb90&
         &n146+t17*t7*abb90n125+t2*t21*abb90n133+t2*t25*abb90n99+t2*t26*abb90n11&
         &9+t21*t4*abb90n146+t21*t9*abb90n120+t23*t5*abb90n158+t25*t4*abb90n97+t&
         &26*t3*abb90n120+t26*t37*abb90n112+t26*t4*abb90n117+t38*t9*abb90n112)
         return
      end if
      t95 = d(iv2,iv3)
      t96 = d(iv1,iv3)
      t59 = k1(iv3)
      t60 = k2(iv3)
      t61 = k5(iv3)
      t62 = k6(iv3)
      t63 = spvak3k1(iv3)
      t64 = spvak3k4(iv3)
      t65 = spvak5k1(iv3)
      t66 = spvak5k6(iv3)
      t67 = spvak6k1(iv3)
      t68 = spvak6k5(iv3)
      t69 = spvak2k6(iv3)
      t70 = t2*t64
      t71 = t10*t64
      t72 = t5*t60
      t73 = t14*t60
      t74 = t14*t37
      t75 = t37*t64
      t76 = t38*t5
      t77 = t38*t64
      t78 = spvak2k1(iv3)
      t79 = t5*t78
      t80 = t14*t78
      t81 = spvak2k4(iv1)
      t82 = spvak2k4(iv2)
      t83 = spvak2k4(iv3)
      t84 = t16*t18
      t85 = t18*t66
      t86 = t12*t7
      t87 = t12*t66
      t88 = t63*t7
      t89 = t16*t63
      t90 = t5*t66
      t91 = t14*t66
      t92 = t64*t7
      t93 = t16*t64
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t1*t95*abb90n132+t10*t96*abb90n129+t11*t96*abb90&
         &n145+t12*t96*abb90n102+t14*t96*abb90n153+t16*t96*abb90n126+t17*t96*abb&
         &90n132+t18*t95*abb90n102+t2*t95*abb90n129+t21*t96*abb90n130+t23*t96*ab&
         &b90n89+t25*t96*abb90n98+t26*t96*abb90n118+t3*t95*abb90n130+t4*t95*abb9&
         &0n145+t5*t95*abb90n153+t59*t94*abb90n132+t6*t95*abb90n89+t60*t94*abb90&
         &n129+t61*t94*abb90n130+t62*t94*abb90n145+t63*t94*abb90n102+t64*t94*abb&
         &90n153+t65*t94*abb90n89+t66*t94*abb90n126+t67*t94*abb90n98+t68*t94*abb&
         &90n118+t7*t95*abb90n126+t8*t95*abb90n98+t9*t95*abb90n118)+t13*t66*abb9&
         &0n86+t15*t66*abb90n123+t19*t66*abb90n86+t20*t66*abb90n123+t22*t67*abb9&
         &0n91+t22*t68*abb90n114+t24*t68*abb90n108+t25*t70*abb90n91+t25*t72*abb9&
         &0n91+t26*t70*abb90n114+t26*t72*abb90n114+t26*t75*abb90n100+t26*t79*abb&
         &90n100+t26*t85*abb90n83+t26*t88*abb90n83+t26*t90*abb90n127+t26*t92*abb&
         &90n127+t27*t67*abb90n91+t27*t68*abb90n114+t28*t68*abb90n108+t29*t66*ab&
         &b90n84+t30*t66*abb90n123+t31*t68*abb90n147+t32*t66*abb90n84+t33*t66*ab&
         &b90n123+t34*t68*abb90n147+t35*t68*abb90n105+t36*t68*abb90n105+t45*t68*&
         &abb90n127+t48*t68*abb90n127+t51*t68*abb90n109+t53*t68*abb90n109+t55*t6&
         &8*abb90n107+t57*t68*abb90n107+t68*t74*abb90n100+t68*t76*abb90n100+t68*&
         &t84*abb90n83+t68*t86*abb90n83+t71*t8*abb90n91+t71*t9*abb90n114+t73*t8*&
         &abb90n91+t73*t9*abb90n114+t77*t9*abb90n100+t80*t9*abb90n100+t87*t9*abb&
         &90n83+t89*t9*abb90n83+t9*t91*abb90n127+t9*t93*abb90n127+t1*t16*t63*abb&
         &90n86+t1*t16*t64*abb90n123+t10*t18*t68*abb90n93+t10*t39*t68*abb90n142+&
         &t10*t63*t9*abb90n93+t10*t65*t9*abb90n108+t10*t66*t9*abb90n147+t10*t68*&
         &t7*abb90n147+t10*t69*t9*abb90n142+t11*t18*t68*abb90n95+t11*t39*t68*abb&
         &90n144+t11*t63*t9*abb90n95+t11*t65*t9*abb90n105+t11*t69*t9*abb90n144+t&
         &12*t2*t68*abb90n93+t12*t4*t68*abb90n95+t12*t59*t7*abb90n86+t12*t60*t9*&
         &abb90n93+t12*t61*t7*abb90n84+t12*t62*t9*abb90n95+t14*t39*t68*abb90n113&
         &+t14*t59*t7*abb90n123+t14*t61*t7*abb90n123+t14*t69*t9*abb90n113+t16*t1&
         &8*t59*abb90n86+t16*t18*t61*abb90n84+t16*t2*t68*abb90n147+t16*t3*t63*ab&
         &b90n84+t16*t3*t64*abb90n123+t16*t37*t68*abb90n110+t16*t39*t68*abb90n14&
         &1+t16*t5*t59*abb90n123+t16*t5*t61*abb90n123+t16*t60*t9*abb90n147+t16*t&
         &61*t9*abb90n147+t16*t65*t9*abb90n109+t16*t67*t9*abb90n107+t16*t68*t81*&
         &abb90n121+t16*t69*t9*abb90n141+t16*t78*t9*abb90n110+t16*t83*t9*abb90n1&
         &21+t17*t63*t7*abb90n86+t17*t64*t7*abb90n123+t18*t26*t60*abb90n93+t18*t&
         &26*t62*abb90n95+t2*t26*t63*abb90n93+t2*t26*t65*abb90n108+t2*t26*t66*ab&
         &b90n147+t2*t26*t69*abb90n142+t2*t41*t68*abb90n142+t21*t63*t7*abb90n84+&
         &t21*t64*t7*abb90n123+t21*t66*t9*abb90n147+t23*t60*t9*abb90n108+t23*t62&
         &*t9*abb90n105+t23*t66*t9*abb90n109+t25*t66*t9*abb90n107+t26*t3*t66*abb&
         &90n147+t26*t37*t66*abb90n110+t26*t39*t60*abb90n142+t26*t39*t62*abb90n1&
         &44+t26*t39*t64*abb90n113+t26*t39*t66*abb90n141+t26*t4*t63*abb90n95+t26&
         &*t4*t65*abb90n105+t26*t4*t69*abb90n144+t26*t5*t69*abb90n113+t26*t6*t60&
         &*abb90n108+t26*t6*t62*abb90n105+t26*t6*t66*abb90n109+t26*t60*t7*abb90n&
         &147+t26*t61*t7*abb90n147+t26*t65*t7*abb90n109+t26*t66*t8*abb90n107+t26&
         &*t66*t81*abb90n121+t26*t67*t7*abb90n107+t26*t69*t7*abb90n141+t26*t7*t7&
         &8*abb90n110+t26*t7*t83*abb90n121+t38*t66*t9*abb90n110+t38*t68*t7*abb90&
         &n110+t4*t41*t68*abb90n144+t41*t5*t68*abb90n113+t41*t60*t9*abb90n142+t4&
         &1*t62*t9*abb90n144+t41*t64*t9*abb90n113+t41*t66*t9*abb90n141+t41*t68*t&
         &7*abb90n141+t66*t82*t9*abb90n121+t68*t7*t82*abb90n121)
         return
      end if
      t97 = d(iv3,iv4)
      t98 = d(iv2,iv4)
      t99 = d(iv1,iv4)
      t1 = spvak6k5(iv4)
      t2 = spvak2k6(iv4)
      t3 = spvak5k6(iv4)
      t4 = spvak3k1(iv4)
      t10 = spvak6k1(iv4)
      t11 = spvak3k4(iv4)
      t13 = spvak5k1(iv4)
      t15 = t11*t37
      t17 = t11*t38
      t19 = t11*t78
      t20 = spvak2k1(iv4)
      t21 = t20*t5
      t22 = t14*t20
      t20 = t20*t64
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t94*t97*abb90n131+t95*t99*abb90n131+t96*t98*abb9&
         &0n131)+(2.0_ki)*(t40*t97*abb90n143+t42*t97*abb90n143+t43*t97*abb90n94+&
         &t44*t97*abb90n94+t45*t97*abb90n124+t46*t97*abb90n92+t47*t97*abb90n115+&
         &t48*t97*abb90n124+t49*t97*abb90n92+t50*t97*abb90n115+t52*t97*abb90n106&
         &+t54*t97*abb90n106+t56*t97*abb90n148+t58*t97*abb90n148+t84*t97*abb90n8&
         &5+t85*t98*abb90n85+t86*t97*abb90n85+t87*t99*abb90n85+t88*t98*abb90n85+&
         &t89*t99*abb90n85+t90*t98*abb90n124+t91*t99*abb90n124+t92*t98*abb90n124&
         &+t93*t99*abb90n124+t1*t12*t96*abb90n94+t1*t14*t96*abb90n115+t1*t16*t96&
         &*abb90n148+t1*t18*t95*abb90n94+t1*t23*t96*abb90n106+t1*t39*t95*abb90n1&
         &43+t1*t41*t96*abb90n143+t1*t5*t95*abb90n115+t1*t6*t95*abb90n106+t1*t63&
         &*t94*abb90n94+t1*t64*t94*abb90n115+t1*t65*t94*abb90n106+t1*t66*t94*abb&
         &90n148+t1*t69*t94*abb90n143+t1*t7*t95*abb90n148+t10*t14*t96*abb90n92+t&
         &10*t5*t95*abb90n92+t10*t64*t94*abb90n92+t11*t16*t96*abb90n124+t11*t25*&
         &t96*abb90n92+t11*t26*t96*abb90n115+t11*t66*t94*abb90n124+t11*t67*t94*a&
         &bb90n92+t11*t68*t94*abb90n115+t11*t7*t95*abb90n124+t11*t8*t95*abb90n92&
         &+t11*t9*t95*abb90n115+t12*t3*t96*abb90n85+t12*t68*t99*abb90n94+t13*t26&
         &*t96*abb90n106+t13*t68*t94*abb90n106+t13*t9*t95*abb90n106+t14*t3*t96*a&
         &bb90n124+t14*t67*t99*abb90n92+t14*t68*t99*abb90n115+t16*t4*t96*abb90n8&
         &5+t16*t68*t99*abb90n148+t18*t3*t95*abb90n85+t18*t68*t98*abb90n94+t2*t2&
         &6*t96*abb90n143+t2*t68*t94*abb90n143+t2*t9*t95*abb90n143+t23*t68*t99*a&
         &bb90n106+t25*t64*t99*abb90n92+t26*t3*t96*abb90n148+t26*t4*t96*abb90n94&
         &+t26*t63*t99*abb90n94+t26*t64*t99*abb90n115+t26*t65*t99*abb90n106+t26*&
         &t66*t99*abb90n148+t26*t69*t99*abb90n143+t3*t5*t95*abb90n124+t3*t63*t94&
         &*abb90n85+t3*t64*t94*abb90n124+t3*t68*t94*abb90n148+t3*t9*t95*abb90n14&
         &8+t39*t68*t98*abb90n143+t4*t66*t94*abb90n85+t4*t68*t94*abb90n94+t4*t7*&
         &t95*abb90n85+t4*t9*t95*abb90n94+t41*t68*t99*abb90n143+t5*t67*t98*abb90&
         &n92+t5*t68*t98*abb90n115+t6*t68*t98*abb90n106+t63*t9*t98*abb90n94+t64*&
         &t8*t98*abb90n92+t64*t9*t98*abb90n115+t65*t9*t98*abb90n106+t66*t9*t98*a&
         &bb90n148+t68*t7*t98*abb90n148+t69*t9*t98*abb90n143)+t1*t16*t75*abb90n8&
         &2+t1*t16*t79*abb90n82+t1*t66*t74*abb90n82+t1*t66*t76*abb90n82+t1*t7*t7&
         &7*abb90n82+t1*t7*t80*abb90n82+t15*t16*t68*abb90n82+t15*t26*t66*abb90n8&
         &2+t16*t19*t9*abb90n82+t16*t20*t9*abb90n82+t16*t21*t68*abb90n82+t17*t66&
         &*t9*abb90n82+t17*t68*t7*abb90n82+t19*t26*t7*abb90n82+t20*t26*t7*abb90n&
         &82+t21*t26*t66*abb90n82+t22*t66*t9*abb90n82+t22*t68*t7*abb90n82+t26*t3&
         &*t75*abb90n82+t26*t3*t79*abb90n82+t3*t68*t74*abb90n82+t3*t68*t76*abb90&
         &n82+t3*t77*t9*abb90n82+t3*t80*t9*abb90n82)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d90:
   subroutine     reconstruct_d90(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group2
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group2), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_90:
      coeffs%coeffs_90%c0 = derivative(czip)
      coeffs%coeffs_90%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_90%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_90%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_90%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_90%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_90%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_90%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_90%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_90%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_90%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_90%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_90%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_90%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_90%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_90%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_90%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_90%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_90%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_90%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_90%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_90%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_90%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_90%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_90%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_90%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_90%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_90%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_90%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_90%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_90%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_90%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_90%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_90%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_90%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_90%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_90%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_90%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_90%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_90%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_90%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_90%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_90%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_90%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_90%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_90%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_90%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_90%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_90%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_90%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_90%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_90%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_90%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_90%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_90%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_90%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_90%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_90%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_90%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_90%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_90%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_90%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_90%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_90%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_90%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_90%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_90%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_90%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_90%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_90%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_90:
   end subroutine reconstruct_d90
!---#] subroutine reconstruct_d90:
end module p7_dubar_emnebargg_d90h0l1d
