module     p7_dubar_emnebargg_abbrevd13h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb13n1
   complex(ki), public :: abb13n2
   complex(ki), public :: abb13n3
   complex(ki), public :: abb13n4
   complex(ki), public :: abb13n5
   complex(ki), public :: abb13n6
   complex(ki), public :: abb13n7
   complex(ki), public :: abb13n8
   complex(ki), public :: abb13n9
   complex(ki), public :: abb13n10
   complex(ki), public :: rat2d13
   complex(ki), public :: abb13n12
   complex(ki), public :: abb13n13
   complex(ki), public :: abb13n14
   complex(ki), public :: abb13n15
   complex(ki), public :: abb13n16
   complex(ki), public :: abb13n17
   complex(ki), public :: abb13n18
   complex(ki), public :: abb13n19
   complex(ki), public :: abb13n20
   complex(ki), public :: abb13n21
   complex(ki), public :: abb13n22
   complex(ki), public :: abb13n23
   complex(ki), public :: abb13n24
   complex(ki), public :: abb13n25
   complex(ki), public :: abb13n26
   complex(ki), public :: abb13n27
   complex(ki), public :: abb13n28
   complex(ki), public :: abb13n29
   complex(ki), public :: abb13n30
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   real(ki) :: t54
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t54 = es34+es61-(es345+es234)
      t2 = TR*c1
      t3 = t2*i_
      t4 = t3*spak1k5
      t5 = t4*spak2k5*spak3k5*spbk4k1*spbk6k1
      t6 = NC*t1
      t7 = t6*spak5k6
      t54 = t54*t54
      t8 = t3*spak2k3*spak2k5*spbk6k1*spbk6k2*spbk6k4
      t9 = NC*TR*c1
      t10 = t9*i_
      t11 = t10*spak1k5
      t12 = t11*spak2k5*spak3k5*spbk4k1*spbk6k1
      t13 = t1*spak5k6
      t14 = t10*spak2k3*spak2k5*spbk6k1*spbk6k2*spbk6k4
      t15 = es56*t2*i_
      t16 = t15*spak2k5*spak3k5*spbk6k1*spbk6k4
      t17 = t54*t7*spbk6k5
      t18 = es56*t9*i_
      t19 = t18*spak2k5*spak3k5*spbk6k1*spbk6k4
      t20 = t54*t13*spbk6k5
      t21 = es234*t2
      t22 = t21*i_
      t23 = t22*spak1k5
      t24 = es61*t6
      t25 = t24*spak5k6
      t26 = t54*t25
      t24 = t54*t24*spbk6k5
      t27 = es34*t2
      t28 = t27*i_
      t29 = t28*spak1k5
      t30 = es345*t2
      t31 = t30*i_
      t32 = t31*spak1k5
      t33 = t4*spak2k3*spak2k5*spbk4k1*spbk6k1
      t34 = t33*spbk6k2
      t35 = es234*t9
      t36 = t35*i_
      t37 = t36*spak1k5
      t38 = es61*t1
      t39 = t38*spak5k6
      t40 = t54*t39
      t38 = t54*t38*spbk6k5
      t41 = es34*t9
      t42 = t41*i_
      t43 = t42*spak1k5
      t44 = es345*t9
      t45 = t44*i_
      t46 = t45*spak1k5
      t47 = t11*spak2k3*spak2k5*spbk4k1*spbk6k1
      t48 = t47*spbk6k2
      t49 = spak2k5*spak2k5
      t50 = (es34+es56-(es234+es12))*t1
      t51 = NC*t50*spak5k6
      t52 = t54*t51*spbk6k5
      t2 = es61*t2*i_
      t50 = t50*spak5k6
      t53 = t54*t50*spbk6k5
      t9 = es61*t9*i_
      t25 = t54*t25*spbk6k5
      t39 = t54*t39*spbk6k5
      abb13n1 = ((4.0_ki)*(t12/(t54*t13)+t8/(t54*t6*spbk6k5)+t16/t17+t48/t20+t23&
      &/t26*spak2k5*spak3k5*spbk4k1*spbk6k1+t32/t26*spak2k5*spak3k5*spbk4k1*spbk&
      &6k1+t43/t40*spak2k5*spak3k5*spbk4k1*spbk6k1+t22*t49/t52*spak1k3*spbk4k1*s&
      &pbk6k1*spbk6k2+t22*t49/t52*spak3k4*spbk4k1*spbk6k2*spbk6k4+t23/t25*spak2k&
      &3*spak2k5*spbk4k1*spbk6k1*spbk6k2+t28/t24*spak2k3*spak2k5*spbk6k1*spbk6k2&
      &*spbk6k4+t32/t25*spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2+t31*t49/t52*spak&
      &1k3*spbk4k1*spbk6k1*spbk6k2+t31*t49/t52*spak3k4*spbk4k1*spbk6k2*spbk6k4+t&
      &36/t38*spak2k3*spak2k5*spbk6k1*spbk6k2*spbk6k4+t45/t38*spak2k3*spak2k5*sp&
      &bk6k1*spbk6k2*spbk6k4+t43/t39*spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2+t42&
      &*t49/t53*spak1k3*spbk4k1*spbk6k1*spbk6k2+t42*t49/t53*spak3k4*spbk4k1*spbk&
      &6k2*spbk6k4+t49/t53*t9*spak1k3*spbk4k1*spbk6k1*spbk6k2+t49/t53*t9*spak3k4&
      &*spbk4k1*spbk6k2*spbk6k4+es56*t27/t25*i_*spak2k5*spak3k5*spbk6k1*spbk6k4+&
      &es56*t35/t39*i_*spak2k5*spak3k5*spbk6k1*spbk6k4+es56*t44/t39*i_*spak2k5*s&
      &pak3k5*spbk6k1*spbk6k4-(es56*t41/t39*i_*spak2k5*spak3k5*spbk6k1*spbk6k4+e&
      &s56*t30/t25*i_*spak2k5*spak3k5*spbk6k1*spbk6k4+es56*t21/t25*i_*spak2k5*sp&
      &ak3k5*spbk6k1*spbk6k4+t45*t49/t53*spak3k4*spbk4k1*spbk6k2*spbk6k4+t45*t49&
      &/t53*spak1k3*spbk4k1*spbk6k1*spbk6k2+t46/t39*spak2k3*spak2k5*spbk4k1*spbk&
      &6k1*spbk6k2+t42/t38*spak2k3*spak2k5*spbk6k1*spbk6k2*spbk6k4+t37/t39*spak2&
      &k3*spak2k5*spbk4k1*spbk6k1*spbk6k2+t36*t49/t53*spak3k4*spbk4k1*spbk6k2*sp&
      &bk6k4+t36*t49/t53*spak1k3*spbk4k1*spbk6k1*spbk6k2+t28*t49/t52*spak3k4*spb&
      &k4k1*spbk6k2*spbk6k4+t28*t49/t52*spak1k3*spbk4k1*spbk6k1*spbk6k2+t29/t25*&
      &spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2+t31/t24*spak2k3*spak2k5*spbk6k1*s&
      &pbk6k2*spbk6k4+t22/t24*spak2k3*spak2k5*spbk6k1*spbk6k2*spbk6k4+t2*t49/t52&
      &*spak3k4*spbk4k1*spbk6k2*spbk6k4+t2*t49/t52*spak1k3*spbk4k1*spbk6k1*spbk6&
      &k2+t46/t40*spak2k5*spak3k5*spbk4k1*spbk6k1+t37/t40*spak2k5*spak3k5*spbk4k&
      &1*spbk6k1+t29/t26*spak2k5*spak3k5*spbk4k1*spbk6k1+t19/t20+t34/t17+t14/(t5&
      &4*t1*spbk6k5)+t5/(t54*t7))))
      abb13n2 = ((8.0_ki)*(t11/t40*t49*spbk2k1*spbk6k1+t15/t25*t49*spbk6k1*spbk6&
      &k2+t3/t17*t49*spbk6k1*spbk6k2+t36/t39*t49*spbk6k1*spbk6k2-(t4/t26*t49*spb&
      &k2k1*spbk6k1+t22/t25*t49*spbk6k1*spbk6k2+t18/t39*t49*spbk6k1*spbk6k2+t10/&
      &t20*t49*spbk6k1*spbk6k2)))
      t1 = t3*spak1k3
      t2 = t10*spak1k3
      abb13n3 = ((8.0_ki)*(t2/t40*t49*spbk4k2*spbk6k1+t2/t39*t49*spbk5k4*spbk6k1&
      &*spbk6k2-(t1/t25*t49*spbk5k4*spbk6k1*spbk6k2+t1/t26*t49*spbk4k2*spbk6k1))&
      &)
      t4 = t1*spbk4k1
      t6 = t4*spbk6k1
      t7 = t54*t51
      t9 = t3*spak3k4*spbk4k1
      t11 = t2*spbk4k1
      t13 = t11*spbk6k1
      t17 = t54*t50
      t20 = t10*spak3k4*spbk4k1
      abb13n4 = ((4.0_ki)*(t33/t26+t49*t6/t7+t49/t7*t9*spbk6k4+t18/t39*spak2k3*s&
      &pak2k5*spbk6k1*spbk6k4-(t15/t25*spak2k3*spak2k5*spbk6k1*spbk6k4+t20/t17*t&
      &49*spbk6k4+t13/t17*t49+t47/t40)))
      t8 = t8/t24
      t14 = t14/t38
      t6 = t49/t52*t6*spbk6k2
      t15 = t49/t52*t9*spbk6k2*spbk6k4
      t13 = t13*t49/t53*spbk6k2
      t18 = t20*t49/t53*spbk6k2*spbk6k4
      t21 = t34/t25
      t22 = t48/t39
      t23 = t5/t26
      t27 = t12/t40
      t16 = t16/t25
      t19 = t19/t39
      abb13n5 = ((8.0_ki)*(t16+t27-(t23+t19))+(16.0_ki)*(t13+t18+t22+t8-(t6+t21+&
      &t15+t14)))
      abb13n6 = ((16.0_ki)*(t19+t23-(t27+t16))+(8.0_ki)*(t14+t15+t21+t6-(t8+t22+&
      &t18+t13)))
      t6 = t3*spak3k5
      t8 = t49/t26*t6*spbk4k2*spbk6k1
      t13 = t10*spak3k5
      t14 = t13/t40*t49*spbk4k2*spbk6k1
      t6 = t49/t25*t6*spbk5k4*spbk6k1*spbk6k2
      t13 = t13/t39*t49*spbk5k4*spbk6k1*spbk6k2
      abb13n7 = ((16.0_ki)*(t6+t8-(t14+t13)))
      abb13n8 = ((16.0_ki)*(t13+t14-(t8+t6)))
      t6 = t3*spak3k6
      t8 = t10*spak3k6
      abb13n9 = ((8.0_ki)*(t49/t7*t9*spbk4k2+t2/t17*t49*spbk2k1*spbk4k1+t4*t49/t&
      &52*spbk5k1*spbk6k2+t49/t40*t8*spbk4k2*spbk6k1+t49/t52*t9*spbk5k4*spbk6k2+&
      &t49/t39*t8*spbk5k4*spbk6k1*spbk6k2-(t49/t25*t6*spbk5k4*spbk6k1*spbk6k2+t4&
      &9/t26*t6*spbk4k2*spbk6k1+t20*t49/t53*spbk5k4*spbk6k2+t11*t49/t53*spbk5k1*&
      &spbk6k2+t1*t49/t7*spbk2k1*spbk4k1+t20/t17*t49*spbk4k2)))
      abb13n10 = ((4.0_ki)*(t12/t39*spbk6k2+t3/t24*spak2k5*spak3k5*spbk6k1*spbk6&
      &k2*spbk6k4-(t10/t38*spak2k5*spak3k5*spbk6k1*spbk6k2*spbk6k4+t5/t25*spbk6k&
      &2)))
      rat2d13 = 0
      rat2 = rat2 + rat2d13
      abb13n12 = abb13n1
      abb13n13 = abb13n10
      abb13n14 = abb13n9
      abb13n15 = abb13n8
      abb13n16 = abb13n7
      abb13n17 = abb13n6
      abb13n18 = abb13n5
      abb13n19 = abb13n4
      abb13n20 = abb13n3
      abb13n21 = abb13n2
      abb13n22 = -(abb13n2)
      abb13n23 = -(abb13n3)
      abb13n24 = -(abb13n4)
      abb13n25 = -(abb13n5)
      abb13n26 = -(abb13n6)
      abb13n27 = -(abb13n7)
      abb13n28 = -(abb13n8)
      abb13n29 = -(abb13n9)
      abb13n30 = -(abb13n10)
   end subroutine
end module p7_dubar_emnebargg_abbrevd13h1
