module     p7_dubar_emnebargg_abbrevd47h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb47n1
   complex(ki), public :: abb47n2
   complex(ki), public :: abb47n3
   complex(ki), public :: abb47n4
   complex(ki), public :: abb47n5
   complex(ki), public :: abb47n6
   complex(ki), public :: abb47n7
   complex(ki), public :: abb47n8
   complex(ki), public :: abb47n9
   complex(ki), public :: abb47n10
   complex(ki), public :: abb47n11
   complex(ki), public :: abb47n12
   complex(ki), public :: abb47n13
   complex(ki), public :: abb47n14
   complex(ki), public :: abb47n15
   complex(ki), public :: abb47n16
   complex(ki), public :: abb47n17
   complex(ki), public :: abb47n18
   complex(ki), public :: abb47n19
   complex(ki), public :: abb47n20
   complex(ki), public :: rat2d47
   complex(ki), public :: abb47n22
   complex(ki), public :: abb47n23
   complex(ki), public :: abb47n24
   complex(ki), public :: abb47n25
   complex(ki), public :: abb47n26
   complex(ki), public :: abb47n27
   complex(ki), public :: abb47n28
   complex(ki), public :: abb47n29
   complex(ki), public :: abb47n30
   complex(ki), public :: abb47n31
   complex(ki), public :: abb47n32
   complex(ki), public :: abb47n33
   complex(ki), public :: abb47n34
   complex(ki), public :: abb47n35
   complex(ki), public :: abb47n36
   complex(ki), public :: abb47n37
   complex(ki), public :: abb47n38
   complex(ki), public :: abb47n39
   complex(ki), public :: abb47n40
   complex(ki), public :: abb47n41
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = TR*c1
      t2 = t1*i_
      t3 = t2*spak1k3
      t4 = spak2k5*spak2k5
      t5 = (es34+es61-(es345+es234))*(es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*&
      &mW)
      t6 = NC*t5
      t7 = t6*spak5k6
      t8 = t7*spbk6k5
      t9 = t3*t4/t8*spbk4k1*spbk6k1*spbk6k2
      t10 = t2*t4/t8*spak3k4*spbk4k1*spbk6k2*spbk6k4
      t11 = NC*TR*c1
      t12 = t11*i_
      t13 = t12*spak1k3
      t14 = t13*spbk4k1
      t5 = t5*spak5k6
      t15 = t5*spbk6k5
      t16 = t14/t15*t4*spbk6k1*spbk6k2
      t17 = t12*spak3k4*spbk4k1
      t18 = t17/t15*t4*spbk6k2*spbk6k4
      abb47n1 = ((2.0_ki)*(t16+t18-(t9+t10)))
      t19 = es12*t11*i_
      t20 = t19*spak1k3
      t21 = es345*t11*i_
      t22 = t21*spak1k3
      t23 = es56*t11*i_
      t24 = t23*spak1k3
      t11 = es61*t11*i_
      t25 = t11*spak1k3
      abb47n2 = ((2.0_ki)*(t22/t15*t4*spbk4k1*spbk6k1*spbk6k2+t24/t15*t4*spbk4k1&
      &*spbk6k1*spbk6k2+t21/t15*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4+t23/t15*t4*sp&
      &ak3k4*spbk4k1*spbk6k2*spbk6k4-(t19/t15*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4&
      &+t11/t15*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4+t25/t15*t4*spbk4k1*spbk6k1*sp&
      &bk6k2+t20/t15*t4*spbk4k1*spbk6k1*spbk6k2)))
      t26 = (4.0_ki)*(t16+t18)
      abb47n3 = t26
      abb47n4 = ((4.0_ki)*(-(t18+t16)))
      t27 = t12*spak3k5
      t28 = t27*t4/t5*spbk4k1*spbk6k2
      t29 = t12*spak2k3
      t30 = spak2k5*spbk6k2
      t30 = t30*t30
      t31 = t29/t15*t30*spbk4k1
      abb47n5 = ((4.0_ki)*(t28+t31))
      abb47n6 = ((4.0_ki)*(-(t31+t28)))
      t28 = t12*spak2k4
      abb47n7 = ((2.0_ki)*(-(t12*t4/t5*spak4k5*spbk4k1*spbk6k2+t27*t4/t5*spbk3k1&
      &*spbk6k2+t29/t15*t30*spbk3k1+t28/t15*t30*spbk4k1)))
      t31 = t12*spak1k5
      t32 = t12*spak1k2
      abb47n8 = ((2.0_ki)*(t31*t4/t5*spbk4k1*spbk6k2-(t27*t4/t5*spbk4k3*spbk6k2+&
      &t30/t15*t32*spbk4k1+t29/t15*t30*spbk4k3)))
      t27 = es12*t1*i_
      t30 = es345*t1*i_
      t1 = es61*t1*i_
      abb47n9 = ((2.0_ki)*(t17*t4/t5*spbk4k2+t14/t15*t4*spbk5k1*spbk6k2+t17/t15*&
      &t4*spbk5k4*spbk6k2-t13*t4/t5*spbk2k1*spbk4k1)+(4.0_ki)*(t22/t15*spak2k5*s&
      &pbk4k1*spbk6k1+t24/t15*spak2k5*spbk4k1*spbk6k1+t21/t15*spak2k5*spak3k4*sp&
      &bk4k1*spbk6k4+t23/t15*spak2k5*spak3k4*spbk4k1*spbk6k4+t30/t8*spak1k3*spak&
      &2k5*spbk4k1*spbk6k1+t30/t8*spak2k5*spak3k4*spbk4k1*spbk6k4-(t27/t8*spak2k&
      &5*spak3k4*spbk4k1*spbk6k4+t27/t8*spak1k3*spak2k5*spbk4k1*spbk6k1+t19/t15*&
      &spak2k5*spak3k4*spbk4k1*spbk6k4+t11/t15*spak2k5*spak3k4*spbk4k1*spbk6k4+t&
      &1/t8*spak2k5*spak3k4*spbk4k1*spbk6k4+t1/t8*spak1k3*spak2k5*spbk4k1*spbk6k&
      &1+t25/t15*spak2k5*spbk4k1*spbk6k1+t20/t15*spak2k5*spbk4k1*spbk6k1)))
      t1 = t3*spak2k5*spbk4k1
      t3 = t13*spak2k5*spbk4k1
      abb47n10 = ((4.0_ki)*(t1/t8*spbk6k2+t3/t15*spbk6k2))
      abb47n11 = ((4.0_ki)*(-(t3/t5+t1/t7)))
      t3 = t10+t9
      abb47n12 = (t26+(8.0_ki)*t3)
      abb47n13 = ((4.0_ki)*(t3-(t18+t16)))
      t3 = t6*spbk6k5
      t4 = t2*spak2k5
      t6 = t4*spak3k4*spbk4k1
      t9 = t6*spbk6k2
      abb47n14 = ((4.0_ki)*(t9/t3*spbk6k4+t1/t3*spbk6k1*spbk6k2))
      t1 = t12*spak2k5
      t3 = t1*spak3k4*spbk4k1
      abb47n15 = ((4.0_ki)*(t9/t8+t3/t15*spbk6k2))
      abb47n16 = ((4.0_ki)*(-(t6/t7+t3/t5)))
      t3 = t4*spak3k5
      t6 = t3/t7*spbk4k1
      t9 = t1*spak3k5
      t10 = t9/t5*spbk4k1
      t11 = t2*spak2k3*spak2k5
      t12 = t11/t8*spbk4k1*spbk6k2
      t13 = t29*spak2k5
      t14 = t13/t15*spbk4k1*spbk6k2
      abb47n17 = ((16.0_ki)*(t10+t12+t14+t6))
      abb47n18 = ((16.0_ki)*(-(t6+t14+t12+t10)))
      abb47n19 = ((8.0_ki)*(-(t2/t8*spak2k4*spak2k5*spbk4k1*spbk6k2+t28/t15*spak&
      &2k5*spbk4k1*spbk6k2+t4/t7*spak4k5*spbk4k1+t13/t15*spbk3k1*spbk6k2+t11/t8*&
      &spbk3k1*spbk6k2+t1/t5*spak4k5*spbk4k1+t9/t5*spbk3k1+t3/t7*spbk3k1)))
      abb47n20 = ((8.0_ki)*(t31/t5*spak2k5*spbk4k1+t2/t7*spak1k5*spak2k5*spbk4k1&
      &-(t2/t8*spak1k2*spak2k5*spbk4k1*spbk6k2+t32/t15*spak2k5*spbk4k1*spbk6k2+t&
      &13/t15*spbk4k3*spbk6k2+t11/t8*spbk4k3*spbk6k2+t9/t5*spbk4k3+t3/t7*spbk4k3&
      &)))
      rat2d47 = abb47n1
      rat2 = rat2 + rat2d47
      abb47n22 = abb47n2
      abb47n23 = abb47n20
      abb47n24 = abb47n19
      abb47n25 = abb47n18
      abb47n26 = abb47n17
      abb47n27 = abb47n16
      abb47n28 = abb47n15
      abb47n29 = abb47n13
      abb47n30 = abb47n11
      abb47n31 = abb47n10
      abb47n32 = -(abb47n3)
      abb47n33 = -(abb47n4)
      abb47n34 = -(abb47n5)
      abb47n35 = -(abb47n6)
      abb47n36 = -(abb47n7)
      abb47n37 = -(abb47n8)
      abb47n38 = -(abb47n9)
      abb47n39 = -(abb47n12)
      abb47n40 = ((2.0_ki)*abb47n13)
      abb47n41 = -(abb47n14)
   end subroutine
end module p7_dubar_emnebargg_abbrevd47h1
