module     p7_dubar_emnebargg_abbrevd101h3
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh3
   implicit none
   private
   complex(ki), public :: abb101n1
   complex(ki), public :: abb101n2
   complex(ki), public :: abb101n3
   complex(ki), public :: abb101n4
   complex(ki), public :: abb101n5
   complex(ki), public :: abb101n6
   complex(ki), public :: abb101n7
   complex(ki), public :: abb101n8
   complex(ki), public :: abb101n9
   complex(ki), public :: abb101n10
   complex(ki), public :: abb101n11
   complex(ki), public :: abb101n12
   complex(ki), public :: abb101n13
   complex(ki), public :: abb101n14
   complex(ki), public :: abb101n15
   complex(ki), public :: abb101n16
   complex(ki), public :: abb101n17
   complex(ki), public :: abb101n18
   complex(ki), public :: abb101n19
   complex(ki), public :: abb101n20
   complex(ki), public :: rat2d101
   complex(ki), public :: abb101n22
   complex(ki), public :: abb101n23
   complex(ki), public :: abb101n24
   complex(ki), public :: abb101n25
   complex(ki), public :: abb101n26
   complex(ki), public :: abb101n27
   complex(ki), public :: abb101n28
   complex(ki), public :: abb101n29
   complex(ki), public :: abb101n30
   complex(ki), public :: abb101n31
   complex(ki), public :: abb101n32
   complex(ki), public :: abb101n33
   complex(ki), public :: abb101n34
   complex(ki), public :: abb101n35
   complex(ki), public :: abb101n36
   complex(ki), public :: abb101n37
   complex(ki), public :: abb101n38
   complex(ki), public :: abb101n39
   complex(ki), public :: abb101n40
   complex(ki), public :: abb101n41
   complex(ki), public :: abb101n42
   complex(ki), public :: abb101n43
   complex(ki), public :: abb101n44
   complex(ki), public :: abb101n45
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   real(ki) :: t28
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c3
      t3 = es61*t2*i_
      t4 = t3*spak2k3
      t5 = t4*spak2k5*spbk4k2
      t6 = t5*spbk5k1
      t7 = spbk6k5*spbk6k5
      t8 = t1*t7
      t9 = t4*spak3k5*spbk4k3
      t10 = t9*spbk5k1
      t11 = t2*i_
      t12 = t11*spak2k3
      t13 = t12*spak2k5*spbk4k2
      t28 = es61*es61
      t1 = es234*t1
      t7 = t1*t7
      t14 = t12*spak3k5*spbk4k3
      t2 = es56*t2
      t15 = es61*t2*i_*spak2k3
      abb101n1 = ((2.0_ki)*(t6/t8+t28*t14/t7*spbk5k1+t15/t7*spak3k5*spbk4k3*spbk&
      &5k1-(t15/t7*spak2k5*spbk4k2*spbk5k1+t28*t13/t7*spbk5k1+t10/t8)))
      t6 = t6/t7
      t10 = t10/t7
      abb101n2 = ((8.0_ki)*(t6-t10))
      t2 = t2*i_*spak2k3
      t15 = t2/t7*spak2k6*spbk4k2*spbk6k1
      t16 = t2/t7*spak3k6*spbk4k3*spbk6k1
      t17 = t2*spak2k5*spbk4k2
      t18 = t17/t7*spbk5k1
      t2 = t2*spak3k5*spbk4k3
      t19 = t2/t7*spbk5k1
      t20 = t12*spak2k6*spbk4k2
      t21 = t20/t8*spbk6k1
      t12 = t12*spak3k6*spbk4k3
      t22 = t12/t8*spbk6k1
      t23 = t22-t21
      t24 = t4*spak2k6*spbk4k2
      t25 = t24/t7*spbk6k1
      t4 = t4*spak3k6*spbk4k3
      t26 = t4/t7*spbk6k1
      abb101n3 = ((8.0_ki)*(t15-t16)+(2.0_ki)*(t23+t25-t26)+(6.0_ki)*(t10+t18-(t&
      &6+t19)))
      abb101n4 = ((4.0_ki)*(t15+t23+t25-(t26+t16)))
      t23 = t11*spak1k2*spak2k3
      t27 = t11*spak1k3*spak2k3
      abb101n5 = ((8.0_ki)*(t16+t19-(t18+t15))+(4.0_ki)*(t21+t26+t6+t23/t7*spak5&
      &k6*spbk4k2*spbk5k1*spbk6k1-(t27/t7*spak5k6*spbk4k3*spbk5k1*spbk6k1+t25+t2&
      &2+t10)))
      t6 = t13*spbk6k1
      t10 = t14*spbk6k1
      t15 = t11*spak1k5*spak2k3
      t16 = spbk6k1*spbk6k1
      abb101n6 = ((2.0_ki)*(t6/t8+t2/t7*spbk6k1+t9/t7*spbk6k1+t15*t16/t7*spak3k6&
      &*spbk4k3-(t15*t16/t7*spak2k6*spbk4k2+t5/t7*spbk6k1+t17/t7*spbk6k1+t10/t8)&
      &))
      t2 = t11*spak1k6*spak2k3
      t5 = t2*spak2k5*spbk4k2
      t8 = spbk5k1*spbk5k1
      t9 = t2*spak3k5*spbk4k3
      abb101n7 = ((2.0_ki)*(t5/t7*t8-t8/t7*t9))
      abb101n8 = (-8.0_ki)*t2/t7*spbk4k2*spbk5k1
      t1 = t1*spbk6k5
      abb101n9 = ((6.0_ki)*(t5/t1*spbk5k1-t9/t1*spbk5k1)+(2.0_ki)*(t4/t1+t3/t7*s&
      &pak1k2*spak2k3*spbk4k2*spbk5k1-(t3/t7*spak1k3*spak2k3*spbk4k3*spbk5k1+t24&
      &/t1)))
      abb101n10 = ((8.0_ki)*t2/t7*spbk4k3*spbk5k1)
      t2 = t20/t7*spbk5k1-t12/t7*spbk5k1
      abb101n11 = ((4.0_ki)*t2)
      abb101n12 = ((12.0_ki)*t2)
      t2 = t6/t7
      t3 = t10/t7
      abb101n13 = ((4.0_ki)*(t3-t2))
      abb101n14 = ((4.0_ki)*(t2-t3))
      t2 = t13/t1
      t3 = t14/t1
      t4 = t3-t2
      t5 = t23*spbk4k2
      t6 = t27*spbk4k3
      abb101n15 = ((2.0_ki)*(t5/t7*spbk6k1-t6/t7*spbk6k1)+(6.0_ki)*t4)
      abb101n16 = ((4.0_ki)*t4)
      abb101n17 = ((4.0_ki)*(t2-t3))
      t2 = t20/t1
      t1 = t12/t1
      abb101n18 = ((4.0_ki)*(t1-t2))
      t1 = t2-t1
      abb101n19 = ((4.0_ki)*t1)
      abb101n20 = ((10.0_ki)*(t5/t7*spbk5k1-t6/t7*spbk5k1)+(6.0_ki)*t1)
      rat2d101 = 0
      rat2 = rat2 + rat2d101
      abb101n22 = abb101n1
      abb101n23 = abb101n20
      abb101n24 = abb101n19
      abb101n25 = abb101n18
      abb101n26 = abb101n17
      abb101n27 = abb101n16
      abb101n28 = abb101n15
      abb101n29 = abb101n14
      abb101n30 = abb101n12
      abb101n31 = abb101n11
      abb101n32 = abb101n10
      abb101n33 = abb101n8
      abb101n34 = abb101n3
      abb101n35 = -(abb101n2)
      abb101n36 = ((2.0_ki)*abb101n3)
      abb101n37 = -(abb101n4)
      abb101n38 = -(abb101n5)
      abb101n39 = -(abb101n6)
      abb101n40 = -(abb101n7)
      abb101n41 = -(abb101n9)
      abb101n42 = -(abb101n11)
      abb101n43 = (-2.0_ki)*abb101n11
      abb101n44 = -(abb101n13)
      abb101n45 = (-2.0_ki)*abb101n13
   end subroutine
end module p7_dubar_emnebargg_abbrevd101h3
