module     p7_dubar_emnebargg_abbrevd27h3
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh3
   implicit none
   private
   complex(ki), public :: abb27n1
   complex(ki), public :: abb27n2
   complex(ki), public :: abb27n3
   complex(ki), public :: abb27n4
   complex(ki), public :: abb27n5
   complex(ki), public :: abb27n6
   complex(ki), public :: abb27n7
   complex(ki), public :: abb27n8
   complex(ki), public :: abb27n9
   complex(ki), public :: abb27n10
   complex(ki), public :: abb27n11
   complex(ki), public :: abb27n12
   complex(ki), public :: abb27n13
   complex(ki), public :: abb27n14
   complex(ki), public :: abb27n15
   complex(ki), public :: abb27n16
   complex(ki), public :: abb27n17
   complex(ki), public :: abb27n18
   complex(ki), public :: abb27n19
   complex(ki), public :: abb27n20
   complex(ki), public :: abb27n21
   complex(ki), public :: abb27n22
   complex(ki), public :: abb27n23
   complex(ki), public :: rat2d27
   complex(ki), public :: abb27n25
   complex(ki), public :: abb27n26
   complex(ki), public :: abb27n27
   complex(ki), public :: abb27n28
   complex(ki), public :: abb27n29
   complex(ki), public :: abb27n30
   complex(ki), public :: abb27n31
   complex(ki), public :: abb27n32
   complex(ki), public :: abb27n33
   complex(ki), public :: abb27n34
   complex(ki), public :: abb27n35
   complex(ki), public :: abb27n36
   complex(ki), public :: abb27n37
   complex(ki), public :: abb27n38
   complex(ki), public :: abb27n39
   complex(ki), public :: abb27n40
   complex(ki), public :: abb27n41
   complex(ki), public :: abb27n42
   complex(ki), public :: abb27n43
   complex(ki), public :: abb27n44
   complex(ki), public :: abb27n45
   complex(ki), public :: abb27n46
   complex(ki), public :: abb27n47
   complex(ki), public :: abb27n48
   complex(ki), public :: abb27n49
   complex(ki), public :: abb27n50
   complex(ki), public :: abb27n51
   complex(ki), public :: abb27n52
   complex(ki), public :: abb27n53
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2
      t2 = t1*i_
      t3 = t2*spak2k6
      t4 = t3*spak3k5
      t5 = t4*spbk5k1
      t6 = NC*(es345-(es61+es12))*(es34+wW*mW*i_-mW*mW)
      t7 = t6*spbk6k5
      abb27n1 = (-4.0_ki)*t5/t7
      t8 = es234*t1*i_
      t9 = t8*spak2k6
      t10 = es34*t1*i_
      t11 = t10*spak2k6
      t12 = es345*t1*i_
      t13 = t12*spak2k6
      t14 = es56*t1*i_
      t15 = t14*spak2k6
      t1 = es61*t1*i_
      t16 = t1*spak2k6
      t6 = t6*spbk6k5*spbk6k5
      abb27n2 = ((4.0_ki)*(t13/t7*spak3k5*spbk4k1+t9/t7*spak3k5*spbk4k1+t13/t6*s&
      &pak3k6*spbk6k1*spbk6k4+t9/t6*spak3k6*spbk6k1*spbk6k4+t12/t6*spak2k3*spak2&
      &k6*spbk2k1*spbk6k4+t8/t6*spak2k3*spak2k6*spbk2k1*spbk6k4-(t14/t6*spak2k3*&
      &spak2k6*spbk2k1*spbk6k4+t10/t6*spak2k3*spak2k6*spbk2k1*spbk6k4+t1/t6*spak&
      &2k3*spak2k6*spbk2k1*spbk6k4+t16/t6*spak3k6*spbk6k1*spbk6k4+t15/t6*spak3k6&
      &*spbk6k1*spbk6k4+t11/t6*spak3k6*spbk6k1*spbk6k4+t16/t7*spak3k5*spbk4k1+t1&
      &5/t7*spak3k5*spbk4k1+t11/t7*spak3k5*spbk4k1)))
      abb27n3 = ((4.0_ki)*(t13/t6*spbk6k1+t9/t6*spbk6k1-(t16/t6*spbk6k1+t15/t6*s&
      &pbk6k1+t11/t6*spbk6k1)))
      t1 = t9/t6*spbk6k4
      t8 = t11/t6*spbk6k4
      t10 = t13/t6*spbk6k4
      t12 = t15/t6*spbk6k4
      t14 = t16/t6*spbk6k4
      abb27n4 = ((8.0_ki)*(t12+t14+t8-(t10+t1)))
      abb27n5 = ((4.0_ki)*(t1+t10-(t8+t14+t12)))
      t1 = t2*spak2k3*spak2k6
      t8 = t1*spbk4k1
      t10 = t8/t6*spbk5k2
      abb27n6 = (-8.0_ki)*t10
      abb27n7 = (-4.0_ki)/t7*t8
      t8 = t3*spak3k6
      t12 = t8*spbk4k1
      abb27n8 = (-4.0_ki)*t12/t6*spbk5k2
      t12 = t12/t7
      abb27n9 = ((8.0_ki)*(t10-t12))
      abb27n10 = (-8.0_ki)*t12
      abb27n11 = (-4.0_ki)*t5/t6*spbk5k2
      t5 = t4/t6*spbk5k2*spbk6k1
      abb27n12 = ((8.0_ki)*t5)
      abb27n13 = (-4.0_ki)*t5
      t4 = t4/t7*spbk6k1
      abb27n14 = ((8.0_ki)*t4)
      abb27n15 = (-4.0_ki)*t4
      t4 = t2*spak1k3*spak2k6*spbk4k1
      abb27n16 = ((4.0_ki)*(t1/t6*spbk4k2*spbk5k2-(t8/t7*spbk4k2+t4/t6*spbk5k2))&
      &)
      t5 = spak2k6*spak2k6
      abb27n17 = ((4.0_ki)*(t13/t6*spbk5k4+t9/t6*spbk5k4+t2*t5/t7*spbk4k2+t2/t7*&
      &spak1k6*spak2k6*spbk4k1+t2/t6*spak1k2*spak2k6*spbk4k1*spbk5k2-(t2*t5/t6*s&
      &pbk5k2*spbk6k4+t16/t6*spbk5k4+t15/t6*spbk5k4+t11/t6*spbk5k4)))
      abb27n18 = (-4.0_ki)*t3/t6*spbk5k2
      t1 = t1*spbk5k2
      abb27n19 = ((4.0_ki)*(t8/t7*spbk5k4-t1/t6*spbk5k4))
      t2 = t8/t7*spbk6k4
      t1 = t1/t6*spbk6k4
      abb27n20 = ((4.0_ki)*(t2-t1))
      abb27n21 = ((4.0_ki)*(t1-(t4/t7+t2)))
      abb27n22 = ((8.0_ki)*(t1-t2))
      abb27n23 = (-4.0_ki)*t3/t7
      rat2d27 = 0
      rat2 = rat2 + rat2d27
      abb27n25 = abb27n1
      abb27n26 = abb27n22
      abb27n27 = abb27n21
      abb27n28 = abb27n19
      abb27n29 = abb27n17
      abb27n30 = abb27n16
      abb27n31 = abb27n14
      abb27n32 = abb27n12
      abb27n33 = abb27n11
      abb27n34 = abb27n10
      abb27n35 = abb27n9
      abb27n36 = abb27n8
      abb27n37 = abb27n7
      abb27n38 = abb27n6
      abb27n39 = abb27n4
      abb27n40 = abb27n2
      abb27n41 = ((2.0_ki)*abb27n2)
      abb27n42 = -(abb27n3)
      abb27n43 = (-2.0_ki)*abb27n3
      abb27n44 = -(abb27n5)
      abb27n45 = (-2.0_ki)*abb27n5
      abb27n46 = -(abb27n13)
      abb27n47 = (-2.0_ki)*abb27n13
      abb27n48 = -(abb27n15)
      abb27n49 = (-2.0_ki)*abb27n15
      abb27n50 = -(abb27n18)
      abb27n51 = -(abb27n20)
      abb27n52 = (-2.0_ki)*abb27n20
      abb27n53 = -(abb27n23)
   end subroutine
end module p7_dubar_emnebargg_abbrevd27h3
