module     p7_dubar_emnebargg_d83h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity3/d83h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d83
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd83h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      complex(ki) :: t152
      complex(ki) :: t153
      complex(ki) :: t154
      complex(ki) :: t155
      complex(ki) :: t156
      complex(ki) :: t157
      complex(ki) :: t158
      complex(ki) :: t159
      complex(ki) :: t160
      complex(ki) :: t161
      complex(ki) :: t162
      complex(ki) :: t163
      complex(ki) :: t164
      complex(ki) :: t165
      complex(ki) :: t166
      complex(ki) :: t167
      complex(ki) :: t168
      complex(ki) :: t169
      complex(ki) :: t170
      complex(ki) :: t171
      complex(ki) :: t172
      complex(ki) :: t173
      complex(ki) :: t174
      complex(ki) :: t175
      complex(ki) :: t176
      complex(ki) :: t177
      complex(ki) :: t178
      complex(ki) :: t179
      complex(ki) :: t180
      real(ki) :: t181
      real(ki) :: t182
      real(ki) :: t183
      real(ki) :: t184
      real(ki) :: t185
      real(ki) :: t186
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t181 = dotproduct(qshift, qshift)
      t182 = dotproduct(k6, qshift)
      t1 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t2 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t183 = dotproduct(k1, qshift)
      t184 = dotproduct(k5, qshift)
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t185 = dotproduct(k2, qshift)
      t4 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t5 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t6 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t7 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t8 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t9 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t10 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-s&
      &pvak2k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb83n83+t1*abb83n167+t181*abb83n129+t181*t181*abb83n127+t&
         &182*abb83n164+t183*abb83n175+t184*abb83n176+t185*abb83n189+t2*abb83n17&
         &4+t3*abb83n177+t1*t181*abb83n223+t1*t183*abb83n138+t1*t184*abb83n157+t&
         &1*t185*abb83n143+t1*t2*abb83n156+t1*t3*abb83n149+t1*t7*abb83n140+t181*&
         &t182*abb83n212+t181*t183*abb83n197+t181*t185*abb83n231+t181*t2*abb83n1&
         &69+t181*t3*abb83n243+t181*t6*abb83n219+t181*t8*abb83n185+t181*t9*abb83&
         &n261+t182*t183*abb83n136+t182*t2*abb83n158+t182*t3*abb83n150+t182*t6*a&
         &bb83n139+t183*t185*abb83n114+t183*t2*abb83n130+t183*t3*abb83n106+t183*&
         &t6*abb83n120+t183*t8*abb83n146+t183*t9*abb83n96+t184*t185*abb83n116+t1&
         &84*t3*abb83n109+t184*t6*abb83n122+t184*t9*abb83n94+t185*t2*abb83n125+t&
         &185*t3*abb83n151+t185*t6*abb83n141+t185*t8*abb83n161+t2*t3*abb83n104+t&
         &2*t4*abb83n108+t2*t5*abb83n110+t2*t6*abb83n128+t2*t9*abb83n93+t3*t8*ab&
         &b83n162+t6*t8*abb83n147+t1*t10*t181*abb83n112+t1*t10*t183*abb83n238+t1&
         &*t10*t184*abb83n234+t1*t10*t2*abb83n216+t1*t181*t3*abb83n98+t1*t181*t8&
         &*abb83n118+t1*t181*t9*abb83n91+t1*t183*t2*abb83n194+t1*t183*t3*abb83n2&
         &58+t1*t183*t8*abb83n228+t1*t183*t9*abb83n265+t1*t184*t3*abb83n254+t1*t&
         &184*t9*abb83n269+t1*t185*t2*abb83n194+t1*t2*t3*abb83n252+t1*t2*t4*abb8&
         &3n256+t1*t2*t5*abb83n246+t1*t2*t7*abb83n201+t1*t2*t9*abb83n276+t1*t3*t&
         &8*abb83n181+t1*t5*t8*abb83n204+t181*t2*t4*abb83n102+t181*t2*t6*abb83n1&
         &33+t181*t2*t9*abb83n87+t182*t2*t4*abb83n253+t182*t2*t6*abb83n199+t182*&
         &t2*t9*abb83n271+t185*t2*t4*abb83n248+t185*t2*t6*abb83n203+t185*t2*t8*a&
         &bb83n215+t185*t2*t9*abb83n275+t2*t5*t8*abb83n270+t2*t6*t8*abb83n187+t1&
         &*t2*t5*t8*abb83n84)
         return
      end if
      t11 = k1(iv1)
      t12 = k2(iv1)
      t13 = k5(iv1)
      t14 = k6(iv1)
      t15 = qshift(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k6(iv1)
      t18 = spvak6k5(iv1)
      t19 = spvak2k1(iv1)
      t20 = spvak2k5(iv1)
      t21 = spvak2k6(iv1)
      t22 = spvak3k1(iv1)
      t23 = spvak3k4(iv1)
      t24 = spvak6k1(iv1)
      t25 = spvak2k4(iv1)
      t26 = t17*abb83n137
      t27 = t18*abb83n137
      if(deg.eq.1) then
         numerator = (t11*abb83n154+t12*abb83n142+t13*abb83n153+t14*abb83n163+t1&
         &5*abb83n206+t16*abb83n152+t17*abb83n155+t18*abb83n160+t1*t11*abb83n193&
         &+t1*t12*abb83n188+t1*t13*abb83n172+t1*t15*abb83n222+t1*t16*abb83n180+t&
         &1*t17*abb83n173+t1*t183*t26+t1*t185*t26+t1*t21*abb83n191+t11*t181*abb8&
         &3n135+t11*t182*abb83n195+t11*t185*abb83n233+t11*t2*abb83n205+t11*t3*ab&
         &b83n245+t11*t6*abb83n221+t11*t8*abb83n183+t11*t9*abb83n259+t12*t181*ab&
         &b83n115+t12*t183*abb83n233+t12*t184*abb83n229+t12*t2*abb83n214+t12*t3*&
         &abb83n178+t12*t6*abb83n190+t12*t8*abb83n166+t13*t185*abb83n229+t13*t3*&
         &abb83n240+t13*t6*abb83n217+t13*t9*abb83n263+t14*t181*abb83n126+t14*t18&
         &3*abb83n195+t14*t2*abb83n171+t14*t3*abb83n179+t14*t6*abb83n192+t15*t18&
         &1*abb83n210+t15*t182*abb83n211+t15*t183*abb83n196+t15*t185*abb83n230+t&
         &15*t2*abb83n168+t15*t3*abb83n242+t15*t6*abb83n218+t15*t8*abb83n184+t15&
         &*t9*abb83n260+t16*t181*abb83n107+t16*t182*abb83n179+t16*t183*abb83n245&
         &+t16*t184*abb83n240+t16*t185*abb83n178+t16*t2*abb83n247+t16*t8*abb83n1&
         &65+t17*t181*abb83n159+t17*t182*abb83n171+t17*t183*abb83n205+t17*t185*a&
         &bb83n214+t17*t3*abb83n247+t17*t4*abb83n241+t17*t5*abb83n239+t17*t6*abb&
         &83n207+t17*t9*abb83n264+t18*t181*abb83n119+t18*t183*abb83n193+t18*t184&
         &*abb83n172+t18*t185*abb83n188+t18*t2*abb83n173+t18*t3*abb83n180+t18*t7&
         &*abb83n191+t181*t20*abb83n121+t181*t22*abb83n95+t181*t23*abb83n145+t18&
         &2*t20*abb83n192+t183*t2*t27+t183*t20*abb83n221+t183*t22*abb83n259+t183&
         &*t23*abb83n183+t184*t20*abb83n217+t184*t22*abb83n263+t185*t2*t27+t185*&
         &t20*abb83n190+t185*t23*abb83n166+t19*t2*abb83n239+t2*t20*abb83n207+t2*&
         &t22*abb83n264+t2*t24*abb83n241+t20*t8*abb83n182+t23*t3*abb83n165+t23*t&
         &6*abb83n182+t1*t10*t11*abb83n111+t1*t10*t13*abb83n113+t1*t10*t15*abb83&
         &n237+t1*t10*t17*abb83n123+t1*t11*t2*abb83n137+t1*t11*t3*abb83n97+t1*t1&
         &1*t8*abb83n117+t1*t11*t9*abb83n92+t1*t12*t2*abb83n137+t1*t13*t3*abb83n&
         &99+t1*t13*t9*abb83n90+t1*t15*t3*abb83n257+t1*t15*t8*abb83n227+t1*t15*t&
         &9*abb83n268+t1*t16*t181*abb83n256+t1*t16*t183*abb83n97+t1*t16*t184*abb&
         &83n99+t1*t16*t2*abb83n101+t1*t16*t8*abb83n148+t1*t17*t3*abb83n101+t1*t&
         &17*t4*abb83n98+t1*t17*t5*abb83n105+t1*t17*t7*abb83n133+t1*t17*t9*abb83&
         &n85+t1*t181*t22*abb83n267+t1*t181*t23*abb83n226+t1*t181*t25*abb83n236+&
         &t1*t183*t22*abb83n92+t1*t183*t23*abb83n117+t1*t183*t25*abb83n111+t1*t1&
         &84*t22*abb83n90+t1*t184*t25*abb83n113+t1*t19*t2*abb83n105+t1*t19*t8*ab&
         &b83n131+t1*t2*t21*abb83n133+t1*t2*t22*abb83n85+t1*t2*t24*abb83n98+t1*t&
         &2*t25*abb83n123+t1*t23*t3*abb83n148+t1*t23*t5*abb83n131+t10*t18*t181*a&
         &bb83n236+t10*t18*t183*abb83n111+t10*t18*t184*abb83n113+t10*t18*t2*abb8&
         &3n123+t12*t2*t4*abb83n103+t12*t2*t6*abb83n132+t12*t2*t8*abb83n124+t12*&
         &t2*t9*abb83n86+t14*t2*t4*abb83n100+t14*t2*t6*abb83n134+t14*t2*t9*abb83&
         &n88+t15*t2*t4*abb83n251+t15*t2*t6*abb83n202+t15*t2*t9*abb83n274+t17*t1&
         &81*t4*abb83n250+t17*t181*t6*abb83n201+t17*t181*t9*abb83n273+t17*t182*t&
         &4*abb83n100+t17*t182*t6*abb83n134+t17*t182*t9*abb83n88+t17*t185*t4*abb&
         &83n103+t17*t185*t6*abb83n132+t17*t185*t8*abb83n124+t17*t185*t9*abb83n8&
         &6+t17*t5*t8*abb83n89+t17*t6*t8*abb83n144+t18*t181*t3*abb83n256+t18*t18&
         &1*t8*abb83n226+t18*t181*t9*abb83n267+t18*t183*t3*abb83n97+t18*t183*t8*&
         &abb83n117+t18*t183*t9*abb83n92+t18*t184*t3*abb83n99+t18*t184*t9*abb83n&
         &90+t18*t2*t3*abb83n101+t18*t2*t4*abb83n98+t18*t2*t5*abb83n105+t18*t2*t&
         &7*abb83n133+t18*t2*t9*abb83n85+t18*t3*t8*abb83n148+t18*t5*t8*abb83n131&
         &+t181*t2*t20*abb83n201+t181*t2*t22*abb83n273+t181*t2*t24*abb83n250+t18&
         &2*t2*t20*abb83n134+t182*t2*t22*abb83n88+t182*t2*t24*abb83n100+t185*t2*&
         &t20*abb83n132+t185*t2*t22*abb83n86+t185*t2*t23*abb83n124+t185*t2*t24*a&
         &bb83n103+t19*t2*t8*abb83n89+t2*t20*t8*abb83n144+t2*t23*t5*abb83n89+t2*&
         &t23*t6*abb83n144+t1*t17*t5*t8*abb83n277+t1*t19*t2*t8*abb83n277+t1*t2*t&
         &23*t5*abb83n277+t18*t2*t5*t8*abb83n277)
         return
      end if
      t186 = d(iv1,iv2)
      t26 = qshift(iv2)
      t27 = k2(iv2)
      t28 = k6(iv2)
      t29 = spvak2k5(iv2)
      t30 = spvak3k1(iv2)
      t31 = t11*t30
      t32 = spvak3k4(iv2)
      t33 = t11*t32
      t34 = spvak5k1(iv2)
      t35 = t11*t34
      t36 = spvak5k6(iv2)
      t37 = t11*t36
      t38 = spvak6k5(iv2)
      t39 = t11*t38
      t40 = k1(iv2)
      t41 = t22*t40
      t42 = t23*t40
      t43 = t16*t40
      t44 = t17*t40
      t45 = t18*t40
      t46 = k5(iv2)
      t47 = t12*t29
      t48 = t12*t32
      t49 = t12*t36
      t50 = t12*t38
      t51 = t20*t27
      t52 = t23*t27
      t53 = t17*t27
      t54 = t18*t27
      t55 = t13*t30
      t56 = t13*t34
      t57 = t13*t38
      t58 = t22*t46
      t59 = t16*t46
      t60 = t18*t46
      t61 = t14*t29
      t62 = t14*t36
      t63 = t20*t28
      t64 = t17*t28
      t65 = t15*t29
      t66 = t15*t30
      t67 = t15*t32
      t68 = t15*t34
      t69 = t15*t36
      t70 = t15*t38
      t71 = t20*t26
      t72 = t22*t26
      t73 = t23*t26
      t74 = t16*t26
      t75 = t17*t26
      t76 = t18*t26
      t77 = t19*t36
      t78 = spvak2k1(iv2)
      t79 = t17*t78
      t80 = t20*t32
      t81 = t20*t36
      t82 = t23*t29
      t83 = t17*t29
      t84 = t21*t38
      t85 = spvak2k6(iv2)
      t86 = t18*t85
      t87 = t22*t36
      t88 = t17*t30
      t89 = t23*t34
      t90 = t16*t32
      t91 = t16*t36
      t92 = t16*t38
      t93 = t17*t34
      t94 = t18*t34
      t95 = spvak6k1(iv2)
      t96 = t17*t95
      t97 = t17*t38
      t98 = t24*t36
      t99 = t18*t36
      t100 = spvak2k4(iv2)
      t101 = t100*t11
      t102 = t25*t40
      t103 = t12*t30
      t104 = t22*t27
      t105 = t100*t13
      t106 = t25*t46
      t107 = t14*t30
      t108 = t22*t28
      t109 = t100*t15
      t110 = t25*t26
      t111 = t19*t32
      t112 = t19*t38
      t113 = t23*t78
      t114 = t18*t78
      t115 = t25*t36
      t116 = t25*t38
      t117 = t100*t17
      t118 = t100*t18
      t119 = t21*t36
      t120 = t17*t85
      t121 = t22*t38
      t122 = t18*t30
      t123 = t23*t36
      t124 = t23*t38
      t125 = t17*t32
      t126 = t18*t32
      t127 = t97*abb83n194
      t128 = t99*abb83n194
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t186*abb83n129+t1*t186*abb83n223+t15*t26*abb83n2&
         &08+t181*t186*abb83n209+t182*t186*abb83n212+t183*t186*abb83n197+t185*t1&
         &86*abb83n231+t186*t2*abb83n169+t186*t3*abb83n243+t186*t6*abb83n219+t18&
         &6*t8*abb83n185+t186*t9*abb83n261+t1*t10*t186*abb83n112+t1*t186*t3*abb8&
         &3n98+t1*t186*t8*abb83n118+t1*t186*t9*abb83n91+t186*t2*t4*abb83n102+t18&
         &6*t2*t6*abb83n133+t186*t2*t9*abb83n87)+t127*t183+t127*t185+t128*t183+t&
         &128*t185+t31*abb83n96+t33*abb83n146+t35*abb83n106+t37*abb83n130+t39*ab&
         &b83n138+t41*abb83n96+t42*abb83n146+t43*abb83n106+t44*abb83n130+t45*abb&
         &83n138+t47*abb83n141+t48*abb83n161+t49*abb83n125+t50*abb83n143+t51*abb&
         &83n141+t52*abb83n161+t53*abb83n125+t54*abb83n143+t55*abb83n94+t56*abb8&
         &3n109+t57*abb83n157+t58*abb83n94+t59*abb83n109+t60*abb83n157+t61*abb83&
         &n139+t62*abb83n158+t63*abb83n139+t64*abb83n158+t65*abb83n220+t66*abb83&
         &n262+t67*abb83n186+t68*abb83n244+t69*abb83n170+t70*abb83n224+t71*abb83&
         &n220+t72*abb83n262+t73*abb83n186+t74*abb83n244+t75*abb83n170+t76*abb83&
         &n224+t77*abb83n110+t79*abb83n110+t80*abb83n147+t81*abb83n128+t82*abb83&
         &n147+t83*abb83n128+t84*abb83n140+t86*abb83n140+t87*abb83n93+t88*abb83n&
         &93+t89*abb83n162+t90*abb83n162+t91*abb83n104+t92*abb83n149+t93*abb83n1&
         &04+t94*abb83n149+t96*abb83n108+t97*abb83n156+t98*abb83n108+t99*abb83n1&
         &56+t1*t101*abb83n238+t1*t102*abb83n238+t1*t105*abb83n234+t1*t106*abb83&
         &n234+t1*t109*abb83n235+t1*t110*abb83n235+t1*t111*abb83n204+t1*t113*abb&
         &83n204+t1*t115*abb83n216+t1*t117*abb83n216+t1*t119*abb83n201+t1*t120*a&
         &bb83n201+t1*t31*abb83n265+t1*t33*abb83n228+t1*t35*abb83n258+t1*t37*abb&
         &83n194+t1*t41*abb83n265+t1*t42*abb83n228+t1*t43*abb83n258+t1*t44*abb83&
         &n194+t1*t49*abb83n194+t1*t53*abb83n194+t1*t55*abb83n269+t1*t56*abb83n2&
         &54+t1*t58*abb83n269+t1*t59*abb83n254+t1*t66*abb83n266+t1*t67*abb83n225&
         &+t1*t68*abb83n255+t1*t72*abb83n266+t1*t73*abb83n225+t1*t74*abb83n255+t&
         &1*t77*abb83n246+t1*t79*abb83n246+t1*t87*abb83n276+t1*t88*abb83n276+t1*&
         &t89*abb83n181+t1*t90*abb83n181+t1*t91*abb83n252+t1*t93*abb83n252+t1*t9&
         &6*abb83n256+t1*t98*abb83n256+t10*t39*abb83n238+t10*t45*abb83n238+t10*t&
         &57*abb83n234+t10*t60*abb83n234+t10*t70*abb83n235+t10*t76*abb83n235+t10&
         &*t97*abb83n216+t10*t99*abb83n216+t103*t2*abb83n275+t104*t2*abb83n275+t&
         &107*t2*abb83n271+t108*t2*abb83n271+t11*t26*abb83n198+t11*t27*abb83n114&
         &+t11*t28*abb83n136+t11*t29*abb83n120+t111*t2*abb83n270+t112*t2*abb83n2&
         &46+t112*t8*abb83n204+t113*t2*abb83n270+t114*t2*abb83n246+t114*t8*abb83&
         &n204+t116*t181*abb83n112+t116*t183*abb83n238+t116*t184*abb83n234+t116*&
         &t2*abb83n216+t118*t181*abb83n112+t118*t183*abb83n238+t118*t184*abb83n2&
         &34+t118*t2*abb83n216+t12*t26*abb83n232+t12*t34*abb83n151+t12*t40*abb83&
         &n114+t12*t46*abb83n116+t121*t181*abb83n91+t121*t183*abb83n265+t121*t18&
         &4*abb83n269+t121*t2*abb83n276+t122*t181*abb83n91+t122*t183*abb83n265+t&
         &122*t184*abb83n269+t122*t2*abb83n276+t123*t185*abb83n215+t123*t5*abb83&
         &n270+t123*t6*abb83n187+t124*t181*abb83n118+t124*t183*abb83n228+t124*t3&
         &*abb83n181+t124*t5*abb83n204+t125*t185*abb83n215+t125*t5*abb83n270+t12&
         &5*t6*abb83n187+t126*t181*abb83n118+t126*t183*abb83n228+t126*t3*abb83n1&
         &81+t126*t5*abb83n204+t13*t27*abb83n116+t13*t29*abb83n122+t14*t26*abb83&
         &n213+t14*t34*abb83n150+t14*t40*abb83n136+t15*t27*abb83n232+t15*t28*abb&
         &83n213+t15*t40*abb83n198+t16*t27*abb83n151+t16*t28*abb83n150+t181*t81*&
         &abb83n133+t181*t83*abb83n133+t181*t87*abb83n87+t181*t88*abb83n87+t181*&
         &t92*abb83n98+t181*t94*abb83n98+t181*t96*abb83n102+t181*t98*abb83n102+t&
         &182*t81*abb83n199+t182*t83*abb83n199+t182*t87*abb83n271+t182*t88*abb83&
         &n271+t182*t96*abb83n253+t182*t98*abb83n253+t183*t92*abb83n258+t183*t94&
         &*abb83n258+t184*t92*abb83n254+t184*t94*abb83n254+t185*t81*abb83n203+t1&
         &85*t83*abb83n203+t185*t87*abb83n275+t185*t88*abb83n275+t185*t96*abb83n&
         &248+t185*t98*abb83n248+t2*t39*abb83n194+t2*t45*abb83n194+t2*t47*abb83n&
         &203+t2*t48*abb83n215+t2*t50*abb83n194+t2*t51*abb83n203+t2*t52*abb83n21&
         &5+t2*t54*abb83n194+t2*t61*abb83n199+t2*t63*abb83n199+t2*t65*abb83n200+&
         &t2*t66*abb83n272+t2*t71*abb83n200+t2*t72*abb83n272+t2*t80*abb83n187+t2&
         &*t82*abb83n187+t2*t84*abb83n201+t2*t86*abb83n201+t2*t92*abb83n252+t2*t&
         &94*abb83n252+t20*t40*abb83n120+t20*t46*abb83n122+t3*t39*abb83n258+t3*t&
         &45*abb83n258+t3*t57*abb83n254+t3*t60*abb83n254+t3*t70*abb83n255+t3*t76&
         &*abb83n255+t3*t97*abb83n252+t3*t99*abb83n252+t39*t8*abb83n228+t39*t9*a&
         &bb83n265+t4*t49*abb83n248+t4*t53*abb83n248+t4*t62*abb83n253+t4*t64*abb&
         &83n253+t4*t69*abb83n249+t4*t75*abb83n249+t4*t97*abb83n256+t4*t99*abb83&
         &n256+t45*t8*abb83n228+t45*t9*abb83n265+t49*t6*abb83n203+t49*t8*abb83n2&
         &15+t49*t9*abb83n275+t5*t97*abb83n246+t5*t99*abb83n246+t53*t6*abb83n203&
         &+t53*t8*abb83n215+t53*t9*abb83n275+t57*t9*abb83n269+t6*t62*abb83n199+t&
         &6*t64*abb83n199+t6*t69*abb83n200+t6*t75*abb83n200+t60*t9*abb83n269+t62&
         &*t9*abb83n271+t64*t9*abb83n271+t69*t9*abb83n272+t7*t97*abb83n201+t7*t9&
         &9*abb83n201+t70*t8*abb83n225+t70*t9*abb83n266+t75*t9*abb83n272+t76*t8*&
         &abb83n225+t76*t9*abb83n266+t77*t8*abb83n270+t79*t8*abb83n270+t8*t81*ab&
         &b83n187+t8*t83*abb83n187+t8*t92*abb83n181+t8*t94*abb83n181+t9*t97*abb8&
         &3n276+t9*t99*abb83n276+t1*t111*t2*abb83n84+t1*t113*t2*abb83n84+t1*t123&
         &*t5*abb83n84+t1*t125*t5*abb83n84+t1*t77*t8*abb83n84+t1*t79*t8*abb83n84&
         &+t112*t2*t8*abb83n84+t114*t2*t8*abb83n84+t12*t2*t95*abb83n248+t124*t2*&
         &t5*abb83n84+t126*t2*t5*abb83n84+t14*t2*t95*abb83n253+t15*t2*t95*abb83n&
         &249+t18*t2*t95*abb83n256+t2*t24*t26*abb83n249+t2*t24*t27*abb83n248+t2*&
         &t24*t28*abb83n253+t2*t24*t38*abb83n256+t5*t8*t97*abb83n84+t5*t8*t99*ab&
         &b83n84)
         return
      end if
      t181 = d(iv2,iv3)
      t182 = d(iv1,iv3)
      t7 = k1(iv3)
      t39 = k2(iv3)
      t45 = k6(iv3)
      t50 = qshift(iv3)
      t54 = t181*t20
      t57 = t182*t29
      t60 = spvak2k5(iv3)
      t70 = t186*t60
      t76 = t181*t22
      t84 = t182*t30
      t86 = spvak3k1(iv3)
      t97 = t186*t86
      t99 = t181*t23
      t112 = t182*t32
      t114 = spvak3k4(iv3)
      t127 = t114*t186
      t128 = t16*t181
      t129 = t182*t34
      t130 = spvak5k1(iv3)
      t131 = t130*t186
      t132 = t17*t181
      t133 = t182*t36
      t134 = spvak5k6(iv3)
      t135 = t134*t186
      t136 = t18*t181
      t137 = t182*t38
      t138 = spvak6k5(iv3)
      t139 = t138*t186
      t140 = spvak2k4(iv3)
      t141 = spvak6k1(iv3)
      t142 = t12*t134
      t143 = t134*t27
      t144 = t17*t39
      t145 = t36*t39
      t146 = k5(iv3)
      t147 = t15*t86
      t148 = t26*t86
      t149 = t22*t50
      t150 = t30*t50
      t151 = t111*t134
      t152 = t111*t138
      t153 = t114*t19
      t154 = t153*t36
      t155 = t153*t38
      t77 = t138*t77
      t156 = t134*t19*t38
      t157 = t113*t134
      t158 = t113*t138
      t159 = t114*t78
      t160 = t159*t17
      t161 = t159*t18
      t79 = t138*t79
      t162 = t134*t18*t78
      t163 = spvak2k1(iv3)
      t164 = t163*t23
      t165 = t164*t36
      t166 = t164*t38
      t167 = t163*t32
      t168 = t167*t17
      t169 = t167*t18
      t170 = t163*t17*t38
      t171 = t163*t18*t36
      t172 = spvak2k6(iv3)
      t173 = t134*t22
      t174 = t134*t30
      t175 = t17*t86
      t176 = t36*t86
      t177 = t141*t17
      t178 = t141*t36
      t179 = t134*t24
      t180 = t134*t95
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t112*abb83n145+t127*abb83n145+t128*abb83n107+t12&
         &9*abb83n107+t131*abb83n107+t132*abb83n159+t133*abb83n159+t135*abb83n15&
         &9+t136*abb83n119+t137*abb83n119+t139*abb83n119+t54*abb83n121+t57*abb83&
         &n121+t70*abb83n121+t76*abb83n95+t84*abb83n95+t97*abb83n95+t99*abb83n14&
         &5+t1*t112*abb83n226+t1*t127*abb83n226+t1*t128*abb83n256+t1*t129*abb83n&
         &256+t1*t131*abb83n256+t1*t76*abb83n267+t1*t84*abb83n267+t1*t97*abb83n2&
         &67+t1*t99*abb83n226+t10*t136*abb83n236+t10*t137*abb83n236+t10*t139*abb&
         &83n236+t11*t181*abb83n135+t12*t181*abb83n115+t132*t4*abb83n250+t132*t6&
         &*abb83n201+t132*t9*abb83n273+t133*t4*abb83n250+t133*t6*abb83n201+t133*&
         &t9*abb83n273+t135*t4*abb83n250+t135*t6*abb83n201+t135*t9*abb83n273+t13&
         &6*t3*abb83n256+t136*t8*abb83n226+t136*t9*abb83n267+t137*t3*abb83n256+t&
         &137*t8*abb83n226+t137*t9*abb83n267+t139*t3*abb83n256+t139*t8*abb83n226&
         &+t139*t9*abb83n267+t14*t181*abb83n126+t15*t181*abb83n210+t182*t26*abb8&
         &3n210+t182*t27*abb83n115+t182*t28*abb83n126+t182*t40*abb83n135+t186*t3&
         &9*abb83n115+t186*t45*abb83n126+t186*t50*abb83n210+t186*t7*abb83n135+t2&
         &*t54*abb83n201+t2*t57*abb83n201+t2*t70*abb83n201+t2*t76*abb83n273+t2*t&
         &84*abb83n273+t2*t97*abb83n273+t1*t100*t182*abb83n236+t1*t140*t186*abb8&
         &3n236+t1*t181*t25*abb83n236+t141*t186*t2*abb83n250+t181*t2*t24*abb83n2&
         &50+t182*t2*t95*abb83n250)+t151*abb83n89+t152*abb83n131+t154*abb83n89+t&
         &155*abb83n131+t156*abb83n105+t157*abb83n89+t158*abb83n131+t160*abb83n8&
         &9+t161*abb83n131+t162*abb83n105+t165*abb83n89+t166*abb83n131+t168*abb8&
         &3n89+t169*abb83n131+t170*abb83n105+t171*abb83n105+t77*abb83n105+t79*ab&
         &b83n105+t1*t151*abb83n277+t1*t154*abb83n277+t1*t157*abb83n277+t1*t160*&
         &abb83n277+t1*t165*abb83n277+t1*t168*abb83n277+t101*t138*abb83n111+t102&
         &*t138*abb83n111+t103*t134*abb83n86+t104*t134*abb83n86+t105*t138*abb83n&
         &113+t106*t138*abb83n113+t107*t134*abb83n88+t108*t134*abb83n88+t109*t13&
         &8*abb83n237+t110*t138*abb83n237+t115*t138*abb83n123+t117*t138*abb83n12&
         &3+t119*t138*abb83n133+t120*t138*abb83n133+t134*t47*abb83n132+t134*t48*&
         &abb83n124+t134*t51*abb83n132+t134*t52*abb83n124+t134*t61*abb83n134+t13&
         &4*t63*abb83n134+t134*t65*abb83n202+t134*t66*abb83n274+t134*t71*abb83n2&
         &02+t134*t72*abb83n274+t134*t80*abb83n144+t134*t82*abb83n144+t138*t31*a&
         &bb83n92+t138*t33*abb83n117+t138*t35*abb83n97+t138*t37*abb83n137+t138*t&
         &41*abb83n92+t138*t42*abb83n117+t138*t43*abb83n97+t138*t44*abb83n137+t1&
         &38*t49*abb83n137+t138*t53*abb83n137+t138*t55*abb83n90+t138*t56*abb83n9&
         &9+t138*t58*abb83n90+t138*t59*abb83n99+t138*t66*abb83n268+t138*t67*abb8&
         &3n227+t138*t68*abb83n257+t138*t72*abb83n268+t138*t73*abb83n227+t138*t7&
         &4*abb83n257+t138*t87*abb83n85+t138*t88*abb83n85+t138*t89*abb83n148+t13&
         &8*t90*abb83n148+t138*t91*abb83n101+t138*t93*abb83n101+t138*t96*abb83n9&
         &8+t138*t98*abb83n98+t141*t49*abb83n103+t141*t53*abb83n103+t141*t62*abb&
         &83n100+t141*t64*abb83n100+t141*t69*abb83n251+t141*t75*abb83n251+t142*t&
         &38*abb83n137+t142*t95*abb83n103+t143*t18*abb83n137+t143*t24*abb83n103+&
         &t144*t38*abb83n137+t144*t95*abb83n103+t145*t18*abb83n137+t145*t24*abb8&
         &3n103+t147*t36*abb83n274+t147*t38*abb83n268+t148*t17*abb83n274+t148*t1&
         &8*abb83n268+t149*t36*abb83n274+t149*t38*abb83n268+t150*t17*abb83n274+t&
         &150*t18*abb83n268+t152*t2*abb83n277+t155*t2*abb83n277+t156*t8*abb83n27&
         &7+t158*t2*abb83n277+t161*t2*abb83n277+t162*t8*abb83n277+t166*t2*abb83n&
         &277+t169*t2*abb83n277+t170*t8*abb83n277+t171*t8*abb83n277+t173*t38*abb&
         &83n85+t174*t18*abb83n85+t175*t38*abb83n85+t176*t18*abb83n85+t177*t38*a&
         &bb83n98+t178*t18*abb83n98+t179*t38*abb83n98+t18*t180*abb83n98+t77*t8*a&
         &bb83n277+t79*t8*abb83n277+t100*t134*t18*abb83n123+t100*t146*t18*abb83n&
         &113+t100*t18*t50*abb83n237+t100*t18*t7*abb83n111+t11*t114*t38*abb83n11&
         &7+t11*t130*t38*abb83n97+t11*t134*t38*abb83n137+t11*t140*t38*abb83n111+&
         &t11*t38*t86*abb83n92+t114*t12*t36*abb83n124+t114*t15*t38*abb83n227+t11&
         &4*t16*t38*abb83n148+t114*t17*t27*abb83n124+t114*t17*t29*abb83n144+t114&
         &*t18*t26*abb83n227+t114*t18*t34*abb83n148+t114*t18*t40*abb83n117+t114*&
         &t20*t36*abb83n144+t12*t36*t60*abb83n132+t12*t36*t86*abb83n86+t123*t138&
         &*t5*abb83n277+t125*t138*t5*abb83n277+t13*t130*t38*abb83n99+t13*t140*t3&
         &8*abb83n113+t13*t38*t86*abb83n90+t130*t15*t38*abb83n257+t130*t17*t38*a&
         &bb83n101+t130*t18*t26*abb83n257+t130*t18*t32*abb83n148+t130*t18*t36*ab&
         &b83n101+t130*t18*t40*abb83n97+t130*t18*t46*abb83n99+t130*t23*t38*abb83&
         &n148+t134*t14*t95*abb83n100+t134*t15*t95*abb83n251+t134*t16*t38*abb83n&
         &101+t134*t18*t34*abb83n101+t134*t18*t40*abb83n137+t134*t18*t85*abb83n1&
         &33+t134*t21*t38*abb83n133+t134*t24*t26*abb83n251+t134*t24*t28*abb83n10&
         &0+t134*t25*t38*abb83n123+t14*t36*t60*abb83n134+t14*t36*t86*abb83n88+t1&
         &40*t15*t38*abb83n237+t140*t17*t38*abb83n123+t140*t18*t26*abb83n237+t14&
         &0*t18*t36*abb83n123+t140*t18*t40*abb83n111+t140*t18*t46*abb83n113+t146&
         &*t16*t38*abb83n99+t146*t18*t30*abb83n90+t146*t18*t34*abb83n99+t146*t22&
         &*t38*abb83n90+t146*t25*t38*abb83n113+t15*t36*t60*abb83n202+t16*t38*t50&
         &*abb83n257+t16*t38*t7*abb83n97+t17*t172*t38*abb83n133+t17*t26*t60*abb8&
         &3n202+t17*t27*t60*abb83n132+t17*t27*t86*abb83n86+t17*t28*t60*abb83n134&
         &+t17*t28*t86*abb83n88+t17*t29*t39*abb83n132+t17*t29*t45*abb83n134+t17*&
         &t29*t50*abb83n202+t17*t30*t39*abb83n86+t17*t30*t45*abb83n88+t17*t32*t3&
         &9*abb83n124+t17*t32*t60*abb83n144+t17*t38*t7*abb83n137+t17*t45*t95*abb&
         &83n100+t17*t50*t95*abb83n251+t172*t18*t36*abb83n133+t18*t30*t7*abb83n9&
         &2+t18*t32*t50*abb83n227+t18*t32*t7*abb83n117+t18*t34*t50*abb83n257+t18&
         &*t34*t7*abb83n97+t18*t36*t7*abb83n137+t18*t40*t86*abb83n92+t18*t46*t86&
         &*abb83n90+t20*t36*t39*abb83n132+t20*t36*t45*abb83n134+t20*t36*t50*abb8&
         &3n202+t22*t36*t39*abb83n86+t22*t36*t45*abb83n88+t22*t38*t7*abb83n92+t2&
         &3*t36*t39*abb83n124+t23*t36*t60*abb83n144+t23*t38*t50*abb83n227+t23*t3&
         &8*t7*abb83n117+t24*t36*t45*abb83n100+t24*t36*t50*abb83n251+t25*t38*t50&
         &*abb83n237+t25*t38*t7*abb83n111+t114*t17*t38*t5*abb83n277+t114*t18*t36&
         &*t5*abb83n277+t134*t18*t32*t5*abb83n277+t134*t23*t38*t5*abb83n277)
         return
      end if
      t183 = d(iv3,iv4)
      t184 = d(iv2,iv4)
      t185 = d(iv1,iv4)
      t1 = spvak6k5(iv4)
      t2 = spvak2k4(iv4)
      t3 = spvak5k6(iv4)
      t4 = spvak2k5(iv4)
      t5 = spvak3k1(iv4)
      t6 = spvak3k4(iv4)
      t7 = spvak5k1(iv4)
      t8 = spvak6k1(iv4)
      t9 = t19*t6
      t10 = t6*t78
      t11 = t163*t6
      t12 = spvak2k1(iv4)
      t13 = t12*t23
      t14 = t12*t32
      t12 = t114*t12
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t181*t185*abb83n127+t182*t184*abb83n127+t183*t18&
         &6*abb83n127)+(2.0_ki)*(t116*t183*abb83n112+t118*t183*abb83n112+t121*t1&
         &83*abb83n91+t122*t183*abb83n91+t124*t183*abb83n118+t126*t183*abb83n118&
         &+t173*t184*abb83n87+t174*t185*abb83n87+t175*t184*abb83n87+t176*t185*ab&
         &b83n87+t177*t184*abb83n102+t178*t185*abb83n102+t179*t184*abb83n102+t18&
         &0*t185*abb83n102+t183*t81*abb83n133+t183*t83*abb83n133+t183*t87*abb83n&
         &87+t183*t88*abb83n87+t183*t92*abb83n98+t183*t94*abb83n98+t183*t96*abb8&
         &3n102+t183*t98*abb83n102+t1*t100*t182*abb83n112+t1*t114*t186*abb83n118&
         &+t1*t130*t186*abb83n98+t1*t140*t186*abb83n112+t1*t16*t181*abb83n98+t1*&
         &t181*t22*abb83n91+t1*t181*t23*abb83n118+t1*t181*t25*abb83n112+t1*t182*&
         &t30*abb83n91+t1*t182*t32*abb83n118+t1*t182*t34*abb83n98+t1*t186*t86*ab&
         &b83n91+t100*t138*t185*abb83n112+t114*t18*t184*abb83n118+t114*t185*t38*&
         &abb83n118+t130*t18*t184*abb83n98+t130*t185*t38*abb83n98+t134*t184*t20*&
         &abb83n133+t134*t185*t29*abb83n133+t134*t186*t4*abb83n133+t134*t186*t5*&
         &abb83n87+t134*t186*t8*abb83n102+t138*t16*t184*abb83n98+t138*t184*t22*a&
         &bb83n91+t138*t184*t23*abb83n118+t138*t184*t25*abb83n112+t138*t185*t30*&
         &abb83n91+t138*t185*t32*abb83n118+t138*t185*t34*abb83n98+t138*t186*t2*a&
         &bb83n112+t138*t186*t5*abb83n91+t138*t186*t6*abb83n118+t138*t186*t7*abb&
         &83n98+t140*t18*t184*abb83n112+t140*t185*t38*abb83n112+t141*t186*t3*abb&
         &83n102+t17*t181*t4*abb83n133+t17*t181*t5*abb83n87+t17*t181*t8*abb83n10&
         &2+t17*t184*t60*abb83n133+t18*t181*t2*abb83n112+t18*t181*t5*abb83n91+t1&
         &8*t181*t6*abb83n118+t18*t181*t7*abb83n98+t18*t184*t86*abb83n91+t181*t2&
         &0*t3*abb83n133+t181*t22*t3*abb83n87+t181*t24*t3*abb83n102+t182*t2*t38*&
         &abb83n112+t182*t29*t3*abb83n133+t182*t3*t30*abb83n87+t182*t3*t95*abb83&
         &n102+t182*t36*t4*abb83n133+t182*t36*t5*abb83n87+t182*t36*t8*abb83n102+&
         &t182*t38*t5*abb83n91+t182*t38*t6*abb83n118+t182*t38*t7*abb83n98+t185*t&
         &36*t60*abb83n133+t185*t38*t86*abb83n91+t186*t3*t60*abb83n133+t186*t3*t&
         &86*abb83n87)+t1*t151*abb83n84+t1*t154*abb83n84+t1*t157*abb83n84+t1*t16&
         &0*abb83n84+t1*t165*abb83n84+t1*t168*abb83n84+t10*t134*t18*abb83n84+t10&
         &*t138*t17*abb83n84+t11*t17*t38*abb83n84+t11*t18*t36*abb83n84+t111*t138&
         &*t3*abb83n84+t113*t138*t3*abb83n84+t12*t17*t38*abb83n84+t12*t18*t36*ab&
         &b83n84+t13*t134*t38*abb83n84+t13*t138*t36*abb83n84+t134*t14*t18*abb83n&
         &84+t134*t38*t9*abb83n84+t138*t14*t17*abb83n84+t138*t36*t9*abb83n84+t15&
         &3*t3*t38*abb83n84+t159*t18*t3*abb83n84+t164*t3*t38*abb83n84+t167*t18*t&
         &3*abb83n84)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d83:
   subroutine     reconstruct_d83(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group10
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group10), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_83:
      coeffs%coeffs_83%c0 = derivative(czip)
      coeffs%coeffs_83%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_83%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_83%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_83%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_83%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_83%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_83%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_83%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_83%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_83%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_83%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_83%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_83%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_83%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_83%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_83%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_83%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_83%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_83%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_83%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_83%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_83%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_83%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_83%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_83%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_83%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_83%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_83%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_83%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_83%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_83%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_83%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_83%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_83%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_83%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_83%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_83%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_83%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_83%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_83%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_83%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_83%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_83%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_83%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_83%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_83%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_83%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_83%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_83%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_83%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_83%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_83%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_83%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_83%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_83%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_83%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_83%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_83%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_83%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_83%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_83%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_83%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_83%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_83%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_83%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_83%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_83%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_83%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_83%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_83:
   end subroutine reconstruct_d83
!---#] subroutine reconstruct_d83:
end module p7_dubar_emnebargg_d83h3l1d
