module     p7_dubar_emnebargg_d85h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity3/d85h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d85
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd85h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      complex(ki) :: t152
      complex(ki) :: t153
      complex(ki) :: t154
      complex(ki) :: t155
      real(ki) :: t156
      real(ki) :: t157
      real(ki) :: t158
      real(ki) :: t159
      real(ki) :: t160
      real(ki) :: t161
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3-k6-k5-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t156 = dotproduct(qshift, qshift)
      t1 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t2 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t157 = dotproduct(k5, qshift)
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t158 = dotproduct(k2, qshift)
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t6 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t159 = dotproduct(k6, qshift)
      t7 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t8 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t9 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t160 = dotproduct(k1, qshift)
      if(deg.eq.0) then
         numerator = (t156*abb85n56+t156*t156*abb85n52+t1*t2*abb85n39+t1*t3*abb8&
         &5n44+t1*t5*abb85n55+t156*t157*abb85n66+t156*t158*abb85n72+t156*t159*ab&
         &b85n66+t156*t2*abb85n83+t156*t3*abb85n87+t156*t4*abb85n60+t156*t5*abb8&
         &5n58+t156*t6*abb85n64+t157*t158*abb85n50+t157*t2*abb85n46+t157*t3*abb8&
         &5n43+t157*t4*abb85n53+t157*t5*abb85n54+t1*t156*t2*abb85n47+t1*t156*t5*&
         &abb85n51+t1*t156*t8*abb85n42+t1*t157*t2*abb85n81+t1*t157*t5*abb85n71+t&
         &1*t157*t8*abb85n89+t1*t158*t6*abb85n62+t1*t159*t2*abb85n81+t1*t159*t5*&
         &abb85n71+t1*t159*t8*abb85n89+t1*t160*t6*abb85n63+t1*t2*t6*abb85n82+t1*&
         &t3*t6*abb85n80+t1*t4*t6*abb85n78+t1*t5*t6*abb85n75+t1*t6*t8*abb85n91+t&
         &156*t2*t7*abb85n45+t156*t3*t7*abb85n41+t156*t6*t7*abb85n49+t156*t7*t9*&
         &abb85n48+t157*t2*t7*abb85n85+t157*t3*t7*abb85n93+t157*t7*t9*abb85n76+t&
         &1*t4*t6*t7*abb85n40)
         return
      end if
      t10 = qshift(iv1)
      t11 = k2(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = t10*abb85n67
      t15 = spvak2k1(iv1)
      t16 = spvak2k4(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k6(iv1)
      t19 = spvak6k1(iv1)
      t20 = spvak6k5(iv1)
      t21 = k1(iv1)
      t22 = t16*abb85n71
      t23 = spvak2k5(iv1)
      t24 = spvak3k1(iv1)
      t25 = t24*abb85n89
      t26 = spvak3k4(iv1)
      t27 = t18*abb85n71
      t28 = t18*abb85n81
      t29 = t18*abb85n89
      t30 = t19*abb85n81
      if(deg.eq.1) then
         numerator = (t10*abb85n57+t14*t157+t14*t159+t1*t157*t22+t1*t157*t25+t1*&
         &t157*t30+t1*t159*t22+t1*t159*t25+t1*t159*t30+t1*t16*abb85n55+t1*t17*ab&
         &b85n44+t1*t19*abb85n39+t10*t156*abb85n68+t10*t158*abb85n73+t10*t2*abb8&
         &5n84+t10*t3*abb85n88+t10*t4*abb85n61+t10*t5*abb85n59+t10*t6*abb85n65+t&
         &11*t156*abb85n72+t11*t157*abb85n50+t12*t156*abb85n66+t12*t158*abb85n50&
         &+t12*t2*abb85n46+t12*t3*abb85n43+t12*t4*abb85n53+t12*t5*abb85n54+t13*t&
         &156*abb85n66+t15*t156*abb85n60+t15*t157*abb85n53+t156*t16*abb85n58+t15&
         &6*t17*abb85n87+t156*t19*abb85n83+t156*t20*abb85n64+t157*t16*abb85n54+t&
         &157*t17*abb85n43+t157*t19*abb85n46+t157*t2*t28+t157*t27*t5+t157*t29*t8&
         &+t159*t2*t28+t159*t27*t5+t159*t29*t8+t18*t2*abb85n39+t18*t3*abb85n44+t&
         &18*t5*abb85n55+t1*t10*t2*abb85n79+t1*t10*t5*abb85n70+t1*t10*t8*abb85n9&
         &0+t1*t11*t6*abb85n62+t1*t12*t2*abb85n81+t1*t12*t5*abb85n71+t1*t12*t8*a&
         &bb85n89+t1*t13*t2*abb85n81+t1*t13*t5*abb85n71+t1*t13*t8*abb85n89+t1*t1&
         &5*t6*abb85n78+t1*t156*t16*abb85n51+t1*t156*t19*abb85n47+t1*t156*t24*ab&
         &b85n42+t1*t158*t20*abb85n62+t1*t16*t6*abb85n75+t1*t160*t20*abb85n63+t1&
         &*t17*t6*abb85n80+t1*t19*t6*abb85n82+t1*t2*t20*abb85n82+t1*t20*t3*abb85&
         &n80+t1*t20*t4*abb85n78+t1*t20*t5*abb85n75+t1*t20*t8*abb85n91+t1*t21*t6&
         &*abb85n63+t1*t24*t6*abb85n91+t10*t2*t7*abb85n86+t10*t3*t7*abb85n92+t10&
         &*t6*t7*abb85n74+t10*t7*t9*abb85n77+t12*t2*t7*abb85n85+t12*t3*t7*abb85n&
         &93+t12*t7*t9*abb85n76+t156*t17*t7*abb85n41+t156*t18*t2*abb85n47+t156*t&
         &18*t5*abb85n51+t156*t18*t8*abb85n42+t156*t19*t7*abb85n45+t156*t2*t26*a&
         &bb85n45+t156*t20*t7*abb85n49+t156*t23*t7*abb85n48+t156*t26*t3*abb85n41&
         &+t156*t26*t6*abb85n49+t156*t26*t9*abb85n48+t157*t17*t7*abb85n93+t157*t&
         &19*t7*abb85n85+t157*t2*t26*abb85n85+t157*t23*t7*abb85n76+t157*t26*t3*a&
         &bb85n93+t157*t26*t9*abb85n76+t158*t18*t6*abb85n62+t160*t18*t6*abb85n63&
         &+t18*t2*t6*abb85n82+t18*t3*t6*abb85n80+t18*t4*t6*abb85n78+t18*t5*t6*ab&
         &b85n75+t18*t6*t8*abb85n91+t1*t15*t6*t7*abb85n40+t1*t20*t4*t7*abb85n40+&
         &t1*t26*t4*t6*abb85n40+t18*t4*t6*t7*abb85n40)
         return
      end if
      t161 = d(iv1,iv2)
      t14 = qshift(iv2)
      t22 = t161*abb85n66
      t25 = k5(iv2)
      t27 = k2(iv2)
      t28 = spvak2k1(iv2)
      t29 = spvak2k4(iv2)
      t30 = t12*t29
      t31 = spvak5k1(iv2)
      t32 = t12*t31
      t33 = spvak6k1(iv2)
      t34 = t12*t33
      t35 = t16*t25
      t36 = t17*t25
      t37 = t19*t25
      t38 = k6(iv2)
      t39 = t10*t29
      t40 = t10*t31
      t41 = t10*t33
      t42 = spvak6k5(iv2)
      t43 = t10*t42
      t44 = t14*t16
      t45 = t14*t17
      t46 = t14*t19
      t47 = t14*t20
      t48 = spvak5k6(iv2)
      t49 = t16*t48
      t50 = t18*t29
      t51 = t17*t48
      t52 = t18*t31
      t53 = t18*t33
      t54 = t19*t48
      t55 = t21*t48
      t56 = k1(iv2)
      t57 = t18*t56
      t58 = t11*t48
      t59 = t18*t27
      t60 = spvak2k5(iv2)
      t61 = t12*t60
      t62 = spvak3k1(iv2)
      t63 = t12*t62
      t64 = spvak3k4(iv2)
      t65 = t12*t64
      t66 = t12*t48
      t67 = t23*t25
      t68 = t24*t25
      t69 = t25*t26
      t70 = t18*t25
      t71 = t13*t29
      t72 = t13*t62
      t73 = t13*t48
      t74 = t16*t38
      t75 = t24*t38
      t76 = t18*t38
      t77 = t10*t60
      t78 = t10*t62
      t79 = t10*t64
      t80 = t10*t48
      t81 = t14*t23
      t82 = t14*t24
      t83 = t14*t26
      t84 = t14*t18
      t85 = t15*t48
      t86 = t15*t42
      t87 = t18*t28
      t88 = t20*t28
      t89 = t49*abb85n71
      t90 = t50*abb85n71
      t91 = t23*t64
      t92 = t26*t60
      t93 = t24*t48
      t94 = t93*abb85n89
      t95 = t18*t62
      t96 = t95*abb85n89
      t97 = t26*t31
      t98 = t26*t33
      t99 = t26*t42
      t100 = t17*t64
      t101 = t19*t64
      t102 = t20*t64
      t103 = t53*abb85n81
      t104 = t18*t42
      t105 = t54*abb85n81
      t106 = t20*t48
      t107 = t15*t64
      t108 = t26*t28
      t109 = t26*t48
      t110 = t18*t64
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t157*t22+t159*t22+t161*abb85n56+t10*t14*abb85n68&
         &+t156*t161*abb85n69+t158*t161*abb85n72+t161*t2*abb85n83+t161*t3*abb85n&
         &87+t161*t4*abb85n60+t161*t5*abb85n58+t161*t6*abb85n64+t1*t161*t2*abb85&
         &n47+t1*t161*t5*abb85n51+t1*t161*t8*abb85n42+t161*t2*t7*abb85n45+t161*t&
         &3*t7*abb85n41+t161*t6*t7*abb85n49+t161*t7*t9*abb85n48)+t103*t157+t103*&
         &t159+t105*t157+t105*t159+t157*t89+t157*t90+t157*t94+t157*t96+t159*t89+&
         &t159*t90+t159*t94+t159*t96+t30*abb85n54+t32*abb85n43+t34*abb85n46+t35*&
         &abb85n54+t36*abb85n43+t37*abb85n46+t39*abb85n59+t40*abb85n88+t41*abb85&
         &n84+t43*abb85n65+t44*abb85n59+t45*abb85n88+t46*abb85n84+t47*abb85n65+t&
         &49*abb85n55+t50*abb85n55+t51*abb85n44+t52*abb85n44+t53*abb85n39+t54*ab&
         &b85n39+t1*t30*abb85n71+t1*t34*abb85n81+t1*t35*abb85n71+t1*t37*abb85n81&
         &+t1*t39*abb85n70+t1*t41*abb85n79+t1*t44*abb85n70+t1*t46*abb85n79+t1*t6&
         &3*abb85n89+t1*t68*abb85n89+t1*t71*abb85n71+t1*t72*abb85n89+t1*t74*abb8&
         &5n71+t1*t75*abb85n89+t1*t78*abb85n90+t1*t82*abb85n90+t1*t86*abb85n78+t&
         &1*t88*abb85n78+t10*t25*abb85n67+t10*t27*abb85n73+t10*t28*abb85n61+t10*&
         &t38*abb85n67+t100*t156*abb85n41+t100*t157*abb85n93+t101*t156*abb85n45+&
         &t101*t157*abb85n85+t102*t156*abb85n49+t104*t158*abb85n62+t104*t160*abb&
         &85n63+t104*t2*abb85n82+t104*t3*abb85n80+t104*t4*abb85n78+t104*t5*abb85&
         &n75+t104*t8*abb85n91+t106*t158*abb85n62+t106*t160*abb85n63+t106*t2*abb&
         &85n82+t106*t3*abb85n80+t106*t4*abb85n78+t106*t5*abb85n75+t106*t8*abb85&
         &n91+t11*t14*abb85n73+t11*t25*abb85n50+t12*t14*abb85n67+t12*t27*abb85n5&
         &0+t12*t28*abb85n53+t13*t14*abb85n67+t14*t15*abb85n61+t15*t25*abb85n53+&
         &t156*t49*abb85n51+t156*t50*abb85n51+t156*t53*abb85n47+t156*t54*abb85n4&
         &7+t156*t91*abb85n48+t156*t92*abb85n48+t156*t93*abb85n42+t156*t95*abb85&
         &n42+t156*t97*abb85n41+t156*t98*abb85n45+t156*t99*abb85n49+t157*t91*abb&
         &85n76+t157*t92*abb85n76+t157*t97*abb85n93+t157*t98*abb85n85+t2*t65*abb&
         &85n85+t2*t66*abb85n81+t2*t69*abb85n85+t2*t70*abb85n81+t2*t73*abb85n81+&
         &t2*t76*abb85n81+t2*t79*abb85n86+t2*t80*abb85n79+t2*t83*abb85n86+t2*t84&
         &*abb85n79+t3*t65*abb85n93+t3*t69*abb85n93+t3*t79*abb85n92+t3*t83*abb85&
         &n92+t32*t7*abb85n93+t34*t7*abb85n85+t36*t7*abb85n93+t37*t7*abb85n85+t4&
         &0*t7*abb85n92+t41*t7*abb85n86+t43*t7*abb85n74+t45*t7*abb85n92+t46*t7*a&
         &bb85n86+t47*t7*abb85n74+t49*t6*abb85n75+t5*t66*abb85n71+t5*t70*abb85n7&
         &1+t5*t73*abb85n71+t5*t76*abb85n71+t5*t80*abb85n70+t5*t84*abb85n70+t50*&
         &t6*abb85n75+t51*t6*abb85n80+t52*t6*abb85n80+t53*t6*abb85n82+t54*t6*abb&
         &85n82+t55*t6*abb85n63+t57*t6*abb85n63+t58*t6*abb85n62+t59*t6*abb85n62+&
         &t6*t79*abb85n74+t6*t83*abb85n74+t6*t85*abb85n78+t6*t87*abb85n78+t6*t93&
         &*abb85n91+t6*t95*abb85n91+t61*t7*abb85n76+t65*t9*abb85n76+t66*t8*abb85&
         &n89+t67*t7*abb85n76+t69*t9*abb85n76+t7*t77*abb85n77+t7*t81*abb85n77+t7&
         &0*t8*abb85n89+t73*t8*abb85n89+t76*t8*abb85n89+t79*t9*abb85n77+t8*t80*a&
         &bb85n90+t8*t84*abb85n90+t83*t9*abb85n77+t1*t102*t4*abb85n40+t1*t107*t6&
         &*abb85n40+t1*t108*t6*abb85n40+t1*t11*t42*abb85n62+t1*t13*t33*abb85n81+&
         &t1*t16*t42*abb85n75+t1*t17*t42*abb85n80+t1*t19*t38*abb85n81+t1*t19*t42&
         &*abb85n82+t1*t20*t27*abb85n62+t1*t20*t29*abb85n75+t1*t20*t31*abb85n80+&
         &t1*t20*t33*abb85n82+t1*t20*t56*abb85n63+t1*t20*t62*abb85n91+t1*t21*t42&
         &*abb85n63+t1*t24*t42*abb85n91+t1*t4*t99*abb85n40+t1*t7*t86*abb85n40+t1&
         &*t7*t88*abb85n40+t104*t4*t7*abb85n40+t106*t4*t7*abb85n40+t109*t4*t6*ab&
         &b85n40+t110*t4*t6*abb85n40+t6*t7*t85*abb85n40+t6*t7*t87*abb85n40)
         return
      end if
      t156 = d(iv2,iv3)
      t157 = d(iv1,iv3)
      t22 = k2(iv3)
      t32 = k5(iv3)
      t34 = k6(iv3)
      t36 = qshift(iv3)
      t37 = spvak2k1(iv3)
      t40 = t156*t16
      t41 = t157*t29
      t43 = spvak2k4(iv3)
      t45 = t161*t43
      t46 = t156*t17
      t47 = t157*t31
      t86 = spvak5k1(iv3)
      t88 = t161*t86
      t89 = t156*t19
      t90 = t157*t33
      t94 = spvak6k1(iv3)
      t96 = t161*t94
      t103 = t156*t20
      t104 = t157*t42
      t105 = spvak6k5(iv3)
      t106 = t105*t161
      t111 = spvak2k5(iv3)
      t112 = spvak3k1(iv3)
      t113 = t156*t26
      t114 = t157*t64
      t115 = spvak3k4(iv3)
      t116 = t115*t161
      t117 = t156*t18
      t118 = t157*t48
      t119 = spvak5k6(iv3)
      t120 = t119*t161
      t121 = k1(iv3)
      t122 = t115*t12
      t123 = t115*t25
      t124 = t26*t32
      t125 = t32*t64
      t126 = t10*t115
      t127 = t115*t14
      t128 = t26*t36
      t129 = t36*t64
      t85 = t105*t85
      t130 = t119*t15*t42
      t87 = t105*t87
      t131 = t119*t20*t28
      t132 = t18*t37*t42
      t133 = t20*t37*t48
      t134 = t119*t16
      t135 = t119*t29
      t136 = t18*t43
      t137 = t43*t48
      t138 = t119*t24
      t139 = t119*t62
      t140 = t112*t18
      t141 = t112*t48
      t142 = t18*t94
      t143 = t48*t94
      t144 = t119*t19
      t145 = t119*t33
      t146 = t107*t119
      t147 = t115*t15
      t148 = t147*t48
      t149 = t108*t119
      t150 = t115*t28
      t151 = t150*t18
      t152 = t26*t37
      t153 = t152*t48
      t154 = t37*t64
      t155 = t154*t18
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t103*abb85n64+t104*abb85n64+t106*abb85n64+t40*ab&
         &b85n58+t41*abb85n58+t45*abb85n58+t46*abb85n87+t47*abb85n87+t88*abb85n8&
         &7+t89*abb85n83+t90*abb85n83+t96*abb85n83+t1*t40*abb85n51+t1*t41*abb85n&
         &51+t1*t45*abb85n51+t1*t89*abb85n47+t1*t90*abb85n47+t1*t96*abb85n47+t10&
         &*t156*abb85n68+t103*t7*abb85n49+t104*t7*abb85n49+t106*t7*abb85n49+t11*&
         &t156*abb85n72+t113*t2*abb85n45+t113*t3*abb85n41+t113*t6*abb85n49+t113*&
         &t9*abb85n48+t114*t2*abb85n45+t114*t3*abb85n41+t114*t6*abb85n49+t114*t9&
         &*abb85n48+t116*t2*abb85n45+t116*t3*abb85n41+t116*t6*abb85n49+t116*t9*a&
         &bb85n48+t117*t2*abb85n47+t117*t5*abb85n51+t117*t8*abb85n42+t118*t2*abb&
         &85n47+t118*t5*abb85n51+t118*t8*abb85n42+t12*t156*abb85n66+t120*t2*abb8&
         &5n47+t120*t5*abb85n51+t120*t8*abb85n42+t13*t156*abb85n66+t14*t157*abb8&
         &5n68+t15*t156*abb85n60+t157*t25*abb85n66+t157*t27*abb85n72+t157*t28*ab&
         &b85n60+t157*t38*abb85n66+t161*t22*abb85n72+t161*t32*abb85n66+t161*t34*&
         &abb85n66+t161*t36*abb85n68+t161*t37*abb85n60+t46*t7*abb85n41+t47*t7*ab&
         &b85n41+t7*t88*abb85n41+t7*t89*abb85n45+t7*t90*abb85n45+t7*t96*abb85n45&
         &+t1*t112*t161*abb85n42+t1*t156*t24*abb85n42+t1*t157*t62*abb85n42+t111*&
         &t161*t7*abb85n48+t156*t23*t7*abb85n48+t157*t60*t7*abb85n48)+t130*abb85&
         &n78+t131*abb85n78+t132*abb85n78+t133*abb85n78+t85*abb85n78+t87*abb85n7&
         &8+t105*t49*abb85n75+t105*t50*abb85n75+t105*t51*abb85n80+t105*t52*abb85&
         &n80+t105*t53*abb85n82+t105*t54*abb85n82+t105*t55*abb85n63+t105*t57*abb&
         &85n63+t105*t58*abb85n62+t105*t59*abb85n62+t105*t79*abb85n74+t105*t83*a&
         &bb85n74+t105*t93*abb85n91+t105*t95*abb85n91+t115*t61*abb85n76+t115*t67&
         &*abb85n76+t115*t77*abb85n77+t115*t81*abb85n77+t119*t30*abb85n71+t119*t&
         &35*abb85n71+t119*t39*abb85n70+t119*t44*abb85n70+t119*t63*abb85n89+t119&
         &*t68*abb85n89+t119*t71*abb85n71+t119*t72*abb85n89+t119*t74*abb85n71+t1&
         &19*t75*abb85n89+t119*t78*abb85n90+t119*t82*abb85n90+t122*t31*abb85n93+&
         &t122*t33*abb85n85+t123*t17*abb85n93+t123*t19*abb85n85+t124*t31*abb85n9&
         &3+t124*t33*abb85n85+t125*t17*abb85n93+t125*t19*abb85n85+t126*t31*abb85&
         &n92+t126*t33*abb85n86+t126*t42*abb85n74+t127*t17*abb85n92+t127*t19*abb&
         &85n86+t127*t20*abb85n74+t128*t31*abb85n92+t128*t33*abb85n86+t128*t42*a&
         &bb85n74+t129*t17*abb85n92+t129*t19*abb85n86+t129*t20*abb85n74+t130*t7*&
         &abb85n40+t131*t7*abb85n40+t132*t7*abb85n40+t133*t7*abb85n40+t134*t42*a&
         &bb85n75+t135*t20*abb85n75+t136*t42*abb85n75+t137*t20*abb85n75+t138*t42&
         &*abb85n91+t139*t20*abb85n91+t140*t42*abb85n91+t141*t20*abb85n91+t142*t&
         &42*abb85n82+t143*t20*abb85n82+t144*t42*abb85n82+t145*t20*abb85n82+t146&
         &*t6*abb85n40+t148*t6*abb85n40+t149*t6*abb85n40+t151*t6*abb85n40+t153*t&
         &6*abb85n40+t155*t6*abb85n40+t65*t86*abb85n93+t65*t94*abb85n85+t66*t94*&
         &abb85n81+t69*t86*abb85n93+t69*t94*abb85n85+t7*t85*abb85n40+t7*t87*abb8&
         &5n40+t70*t94*abb85n81+t73*t94*abb85n81+t76*t94*abb85n81+t79*t86*abb85n&
         &92+t79*t94*abb85n86+t80*t94*abb85n79+t83*t86*abb85n92+t83*t94*abb85n86&
         &+t84*t94*abb85n79+t1*t105*t107*abb85n40+t1*t105*t108*abb85n40+t1*t147*&
         &t42*abb85n40+t1*t150*t20*abb85n40+t1*t152*t42*abb85n40+t1*t154*t20*abb&
         &85n40+t10*t111*t64*abb85n77+t10*t112*t48*abb85n90+t10*t119*t33*abb85n7&
         &9+t10*t43*t48*abb85n70+t105*t109*t4*abb85n40+t105*t110*t4*abb85n40+t11&
         &*t119*t42*abb85n62+t111*t12*t64*abb85n76+t111*t14*t26*abb85n77+t111*t2&
         &5*t26*abb85n76+t112*t12*t48*abb85n89+t112*t13*t48*abb85n89+t112*t14*t1&
         &8*abb85n90+t112*t18*t25*abb85n89+t112*t18*t38*abb85n89+t119*t12*t33*ab&
         &b85n81+t119*t13*t33*abb85n81+t119*t14*t19*abb85n79+t119*t17*t42*abb85n&
         &80+t119*t19*t25*abb85n81+t119*t19*t38*abb85n81+t119*t20*t27*abb85n62+t&
         &119*t20*t31*abb85n80+t119*t20*t56*abb85n63+t119*t21*t42*abb85n63+t12*t&
         &43*t48*abb85n71+t121*t18*t42*abb85n63+t121*t20*t48*abb85n63+t13*t43*t4&
         &8*abb85n71+t14*t18*t43*abb85n70+t16*t32*t48*abb85n71+t16*t34*t48*abb85&
         &n71+t16*t36*t48*abb85n70+t18*t22*t42*abb85n62+t18*t25*t43*abb85n71+t18&
         &*t29*t32*abb85n71+t18*t29*t34*abb85n71+t18*t29*t36*abb85n70+t18*t32*t3&
         &3*abb85n81+t18*t32*t62*abb85n89+t18*t33*t34*abb85n81+t18*t33*t36*abb85&
         &n79+t18*t34*t62*abb85n89+t18*t36*t62*abb85n90+t18*t38*t43*abb85n71+t18&
         &*t42*t86*abb85n80+t19*t32*t48*abb85n81+t19*t34*t48*abb85n81+t19*t36*t4&
         &8*abb85n79+t20*t22*t48*abb85n62+t20*t48*t86*abb85n80+t23*t32*t64*abb85&
         &n76+t23*t36*t64*abb85n77+t24*t32*t48*abb85n89+t24*t34*t48*abb85n89+t24&
         &*t36*t48*abb85n90+t26*t32*t60*abb85n76+t26*t36*t60*abb85n77+t115*t18*t&
         &4*t42*abb85n40+t115*t20*t4*t48*abb85n40+t119*t20*t4*t64*abb85n40+t119*&
         &t26*t4*t42*abb85n40)
         return
      end if
      t158 = d(iv3,iv4)
      t159 = d(iv2,iv4)
      t160 = d(iv1,iv4)
      t1 = spvak5k6(iv4)
      t2 = spvak2k4(iv4)
      t3 = spvak3k4(iv4)
      t4 = spvak2k5(iv4)
      t5 = spvak3k1(iv4)
      t6 = spvak5k1(iv4)
      t7 = spvak6k1(iv4)
      t8 = spvak6k5(iv4)
      t9 = t15*t3
      t10 = t28*t3
      t11 = t3*t37
      t12 = spvak2k1(iv4)
      t13 = t12*t26
      t14 = t12*t64
      t12 = t115*t12
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t156*t160*abb85n52+t157*t159*abb85n52+t158*t161*&
         &abb85n52)+(2.0_ki)*(t100*t158*abb85n41+t101*t158*abb85n45+t102*t158*ab&
         &b85n49+t134*t159*abb85n51+t135*t160*abb85n51+t136*t159*abb85n51+t137*t&
         &160*abb85n51+t138*t159*abb85n42+t139*t160*abb85n42+t140*t159*abb85n42+&
         &t141*t160*abb85n42+t142*t159*abb85n47+t143*t160*abb85n47+t144*t159*abb&
         &85n47+t145*t160*abb85n47+t158*t49*abb85n51+t158*t50*abb85n51+t158*t53*&
         &abb85n47+t158*t54*abb85n47+t158*t91*abb85n48+t158*t92*abb85n48+t158*t9&
         &3*abb85n42+t158*t95*abb85n42+t158*t97*abb85n41+t158*t98*abb85n45+t158*&
         &t99*abb85n49+t1*t112*t161*abb85n42+t1*t156*t16*abb85n51+t1*t156*t19*ab&
         &b85n47+t1*t156*t24*abb85n42+t1*t157*t29*abb85n51+t1*t157*t33*abb85n47+&
         &t1*t157*t62*abb85n42+t1*t161*t43*abb85n51+t1*t161*t94*abb85n47+t105*t1&
         &59*t26*abb85n49+t105*t160*t64*abb85n49+t105*t161*t3*abb85n49+t111*t159&
         &*t26*abb85n48+t111*t160*t64*abb85n48+t111*t161*t3*abb85n48+t115*t159*t&
         &17*abb85n41+t115*t159*t19*abb85n45+t115*t159*t20*abb85n49+t115*t159*t2&
         &3*abb85n48+t115*t160*t31*abb85n41+t115*t160*t33*abb85n45+t115*t160*t42&
         &*abb85n49+t115*t160*t60*abb85n48+t115*t161*t4*abb85n48+t115*t161*t6*ab&
         &b85n41+t115*t161*t7*abb85n45+t115*t161*t8*abb85n49+t119*t161*t2*abb85n&
         &51+t119*t161*t5*abb85n42+t119*t161*t7*abb85n47+t156*t17*t3*abb85n41+t1&
         &56*t18*t2*abb85n51+t156*t18*t5*abb85n42+t156*t18*t7*abb85n47+t156*t19*&
         &t3*abb85n45+t156*t20*t3*abb85n49+t156*t23*t3*abb85n48+t156*t26*t4*abb8&
         &5n48+t156*t26*t6*abb85n41+t156*t26*t7*abb85n45+t156*t26*t8*abb85n49+t1&
         &57*t2*t48*abb85n51+t157*t3*t31*abb85n41+t157*t3*t33*abb85n45+t157*t3*t&
         &42*abb85n49+t157*t3*t60*abb85n48+t157*t4*t64*abb85n48+t157*t48*t5*abb8&
         &5n42+t157*t48*t7*abb85n47+t157*t6*t64*abb85n41+t157*t64*t7*abb85n45+t1&
         &57*t64*t8*abb85n49+t159*t26*t86*abb85n41+t159*t26*t94*abb85n45+t160*t6&
         &4*t86*abb85n41+t160*t64*t94*abb85n45+t161*t3*t86*abb85n41+t161*t3*t94*&
         &abb85n45)+t146*t8*abb85n40+t148*t8*abb85n40+t149*t8*abb85n40+t151*t8*a&
         &bb85n40+t153*t8*abb85n40+t155*t8*abb85n40+t1*t105*t107*abb85n40+t1*t10&
         &5*t108*abb85n40+t1*t147*t42*abb85n40+t1*t150*t20*abb85n40+t1*t152*t42*&
         &abb85n40+t1*t154*t20*abb85n40+t10*t105*t18*abb85n40+t10*t119*t20*abb85&
         &n40+t105*t13*t48*abb85n40+t105*t14*t18*abb85n40+t105*t48*t9*abb85n40+t&
         &11*t18*t42*abb85n40+t11*t20*t48*abb85n40+t119*t13*t42*abb85n40+t119*t1&
         &4*t20*abb85n40+t119*t42*t9*abb85n40+t12*t18*t42*abb85n40+t12*t20*t48*a&
         &bb85n40)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d85:
   subroutine     reconstruct_d85(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group12
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group12), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_85:
      coeffs%coeffs_85%c0 = derivative(czip)
      coeffs%coeffs_85%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_85%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_85%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_85%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_85%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_85%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_85%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_85%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_85%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_85%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_85%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_85%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_85%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_85%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_85%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_85%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_85%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_85%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_85%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_85%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_85%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_85%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_85%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_85%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_85%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_85%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_85%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_85%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_85%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_85%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_85%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_85%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_85%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_85%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_85%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_85%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_85%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_85%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_85%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_85%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_85%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_85%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_85%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_85%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_85%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_85%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_85%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_85%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_85%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_85%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_85%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_85%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_85%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_85%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_85%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_85%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_85%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_85%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_85%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_85%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_85%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_85%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_85%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_85%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_85%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_85%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_85%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_85%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_85%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_85:
   end subroutine reconstruct_d85
!---#] subroutine reconstruct_d85:
end module p7_dubar_emnebargg_d85h3l1d
